aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--MOVED2
-rw-r--r--Mk/Scripts/rust-compat11-canary.sh2
-rw-r--r--Mk/Uses/qca.mk6
-rw-r--r--Mk/bsd.port.mk2
-rwxr-xr-xTools/scripts/tindex8
-rw-r--r--archivers/py-zstandard/Makefile1
-rw-r--r--astro/kosmorro/Makefile21
-rw-r--r--astro/kosmorro/pkg-plist4
-rw-r--r--astro/qmapshack/Makefile2
-rw-r--r--audio/csound/Makefile8
-rw-r--r--audio/moony-lv2/Makefile2
-rw-r--r--audio/musicpd/files/patch-meson.build17
-rw-r--r--audio/surge-synthesizer-lv2/Makefile2
-rw-r--r--audio/surge-synthesizer-lv2/files/patch-vstgui.surge_vstgui_lib_platform_linux_x11fileselector.cpp5
-rw-r--r--audio/tagutil/Makefile3
-rw-r--r--audio/vst3sdk/Makefile1
-rw-r--r--audio/vst3sdk/files/patch-vstgui4_vstgui_lib_platform_linux_x11fileselector.cpp3
-rw-r--r--base/gcc6/Makefile7
-rw-r--r--biology/abyss/Makefile1
-rw-r--r--biology/ddocent/Makefile4
-rw-r--r--biology/igv/Makefile2
-rw-r--r--biology/jalview/Makefile2
-rw-r--r--biology/ncbi-cxx-toolkit/Makefile2
-rw-r--r--cad/PrusaSlicer/files/patch-src_libslic3r_Thread.cpp45
-rw-r--r--cad/astk-serveur/Makefile3
-rw-r--r--cad/openvsp/Makefile1
-rw-r--r--cad/stepcode/Makefile1
-rw-r--r--chinese/fcitx-libpinyin/files/patch-src__CMakeLists.txt10
-rw-r--r--chinese/ibus-libpinyin/files/patch-src_PYLibPinyin.cc5
-rw-r--r--chinese/libpinyin/Makefile2
-rw-r--r--comms/aprsd/Makefile1
-rw-r--r--comms/usbmuxd/files/patch-src_usb.c17
-rw-r--r--databases/arrow/Makefile2
-rw-r--r--databases/clickhouse/Makefile8
-rw-r--r--databases/clickhouse/files/clickhouse.in11
-rw-r--r--databases/couchdb3/Makefile2
-rw-r--r--databases/foundationdb-devel/Makefile1
-rw-r--r--databases/foundationdb/Makefile1
-rw-r--r--databases/gnats4/Makefile1
-rw-r--r--databases/iowow/files/patch-src_platform_unix_unix.c13
-rw-r--r--databases/mariadb103-server/Makefile6
-rw-r--r--databases/mariadb103-server/files/mysql-server.in14
-rw-r--r--databases/mariadb104-server/Makefile6
-rw-r--r--databases/mariadb104-server/files/mysql-server.in14
-rw-r--r--databases/mariadb105-server/Makefile6
-rw-r--r--databases/mariadb105-server/files/mysql-server.in14
-rw-r--r--databases/memcached/Makefile2
-rw-r--r--databases/mongodb36/Makefile6
-rw-r--r--databases/mongodb36/files/mongod.in11
-rw-r--r--databases/mongodb40/Makefile6
-rw-r--r--databases/mongodb40/files/mongod.in11
-rw-r--r--databases/mongodb42/Makefile7
-rw-r--r--databases/mongodb42/files/mongod.in11
-rw-r--r--databases/mongodb44/Makefile6
-rw-r--r--databases/mongodb44/files/mongod.in11
-rw-r--r--databases/mongodb50/Makefile6
-rw-r--r--databases/mongodb50/files/mongod.in11
-rw-r--r--databases/mysql-connector-c/Makefile2
-rw-r--r--databases/mysql55-server/Makefile6
-rw-r--r--databases/mysql55-server/files/mysql-server.in12
-rw-r--r--databases/mysql56-server/Makefile6
-rw-r--r--databases/mysql56-server/files/mysql-server.in12
-rw-r--r--databases/mysql57-server/Makefile6
-rw-r--r--databases/mysql57-server/files/mysql-server.in12
-rw-r--r--databases/mysql80-server/Makefile18
-rw-r--r--databases/mysql80-server/files/mysql-server.in12
-rw-r--r--databases/mysqlwsrep56-server/Makefile6
-rw-r--r--databases/mysqlwsrep56-server/files/mysql-server.in16
-rw-r--r--databases/mysqlwsrep57-server/Makefile10
-rw-r--r--databases/mysqlwsrep57-server/files/mysql-server.in12
-rw-r--r--databases/percona56-server/Makefile6
-rw-r--r--databases/percona56-server/files/mysql-server.in12
-rw-r--r--databases/percona57-server/Makefile6
-rw-r--r--databases/percona57-server/files/mysql-server.in12
-rw-r--r--databases/rocksdb/Makefile1
-rw-r--r--deskutils/ausweisapp2/Makefile6
-rw-r--r--deskutils/easystroke/Makefile1
-rw-r--r--deskutils/nextcloudclient/Makefile4
-rw-r--r--deskutils/sysctlview/Makefile3
-rw-r--r--devel/Makefile1
-rw-r--r--devel/R-cran-data.table/Makefile12
-rw-r--r--devel/aml/files/patch-freebsd1157
-rw-r--r--devel/android-tools-simpleperf/files/Makefile1
-rw-r--r--devel/basu/Makefile5
-rw-r--r--devel/bazel/Makefile1
-rw-r--r--devel/bazel029/Makefile1
-rw-r--r--devel/bear/Makefile7
-rw-r--r--devel/bear/files/extra-patch-source_intercept_source_report_libexec_Logger.cc10
-rw-r--r--devel/bitkeeper/Makefile1
-rw-r--r--devel/concurrencpp/Makefile2
-rw-r--r--devel/creduce/Makefile1
-rw-r--r--devel/dwarves/Makefile2
-rw-r--r--devel/elfutils/Makefile1
-rw-r--r--devel/evemu/Makefile2
-rw-r--r--devel/folly/Makefile1
-rw-r--r--devel/freebsd-sysroot/Makefile2
-rw-r--r--devel/goredo/Makefile6
-rw-r--r--devel/hs-ShellCheck/Makefile4
-rw-r--r--devel/indi/Makefile2
-rw-r--r--devel/juce/Makefile2
-rw-r--r--devel/llbuild/Makefile1
-rw-r--r--devel/llvm10/Makefile6
-rw-r--r--devel/llvm11/Makefile6
-rw-r--r--devel/llvm12/Makefile6
-rw-r--r--devel/llvm13/Makefile7
-rw-r--r--devel/llvm70/Makefile6
-rw-r--r--devel/llvm80/Makefile6
-rw-r--r--devel/llvm90/Makefile6
-rw-r--r--devel/nextpnr/Makefile1
-rw-r--r--devel/p4/Makefile1
-rw-r--r--devel/p4api/Makefile1
-rw-r--r--devel/performance/Makefile1
-rw-r--r--devel/ptlib/Makefile2
-rw-r--r--devel/py-keystone-engine/Makefile1
-rw-r--r--devel/py-pycapsicum/files/patch-__pycapsicum.c16
-rw-r--r--devel/qca-legacy/Makefile58
-rw-r--r--devel/qca-legacy/distinfo3
-rw-r--r--devel/qca-legacy/files/patch-plugins_qca-botan_CMakeLists.txt10
-rw-r--r--devel/qca-legacy/files/patch-plugins_qca-ossl_ossl110-compat.h49
-rw-r--r--devel/qca-legacy/files/patch-plugins_qca-ossl_qca-ossl.cpp44
-rw-r--r--devel/qca-legacy/pkg-descr13
-rw-r--r--devel/qca-legacy/pkg-plist33
-rw-r--r--devel/qca/Makefile8
-rw-r--r--devel/rubygem-rice/Makefile1
-rw-r--r--devel/spirv-llvm-translator/Makefile5
-rw-r--r--devel/zpu-gcc/Makefile1
-rw-r--r--dns/bundy/Makefile1
-rw-r--r--dns/encrypted-dns-server/files/patch-cargo-crates_libsodium-sys-stable-1.19.11_build.rs10
-rw-r--r--dns/gdnsd3/Makefile10
-rw-r--r--dns/ldns/Makefile5
-rw-r--r--dns/powerdns-recursor/Makefile16
-rw-r--r--dns/powerdns/Makefile16
-rw-r--r--editors/libreoffice/Makefile5
-rw-r--r--editors/libreoffice6/Makefile5
-rw-r--r--emulators/i386-wine-devel/Makefile2
-rw-r--r--emulators/i386-wine-devel/Makefile.amd646
-rw-r--r--emulators/i386-wine/Makefile2
-rw-r--r--emulators/i386-wine/Makefile.amd646
-rw-r--r--emulators/i386-wine/pkg-plist1
-rw-r--r--emulators/libc6-shim/Makefile1
-rw-r--r--emulators/linux_base-c7/Makefile3
-rw-r--r--emulators/mesen/Makefile17
-rw-r--r--emulators/qemu-devel/Makefile1
-rw-r--r--emulators/qemu-guest-agent/Makefile6
-rw-r--r--emulators/qemu-guest-agent/pkg-message-1124
-rw-r--r--emulators/rpcs3/files/patch-rpcs3_Emu_system__config.h16
-rw-r--r--emulators/rtc/files/rtc.c18
-rw-r--r--emulators/sameboy/Makefile1
-rw-r--r--emulators/xen-kernel/Makefile4
-rw-r--r--emulators/yuzu/files/patch-freebsd1146
-rw-r--r--finance/ledger/Makefile1
-rw-r--r--french/aster/Makefile3
-rw-r--r--ftp/bsdftpd-ssl/Makefile4
-rw-r--r--games/0ad/Makefile1
-rw-r--r--games/eduke32/Makefile2
-rw-r--r--games/fishsupper/Makefile1
-rw-r--r--games/hyperrogue/Makefile2
-rw-r--r--games/lander/Makefile1
-rw-r--r--games/libretro-snes9x/Makefile2
-rw-r--r--games/libretro-snes9x2010/Makefile8
-rw-r--r--games/linux-steam-utils/Makefile1
-rw-r--r--games/rlvm/Makefile6
-rw-r--r--games/stockfish/Makefile1
-rw-r--r--games/veloren/Makefile5
-rw-r--r--graphics/Makefile1
-rw-r--r--graphics/blender-lts28/Makefile4
-rw-r--r--graphics/blender/Makefile4
-rw-r--r--graphics/drm-fbsd11.2-kmod/Makefile38
-rw-r--r--graphics/drm-fbsd11.2-kmod/distinfo3
-rw-r--r--graphics/drm-fbsd11.2-kmod/pkg-descr6
-rw-r--r--graphics/drm-fbsd11.2-kmod/pkg-message21
-rw-r--r--graphics/drm-fbsd11.2-kmod/pkg-plist8
-rw-r--r--graphics/drm-fbsd12.0-kmod/Makefile2
-rw-r--r--graphics/drm-kmod/Makefile4
-rw-r--r--graphics/dspdfviewer/Makefile2
-rw-r--r--graphics/libjxl/Makefile4
-rw-r--r--graphics/mesa-devel/Makefile5
-rw-r--r--graphics/mesa-devel/files/patch-freebsd1134
-rw-r--r--graphics/mesa-dri/Makefile.common4
-rw-r--r--graphics/mesa-dri/files/extra-patch-src_util_build__id.c15
-rw-r--r--graphics/openshadinglanguage/Makefile5
-rw-r--r--graphics/pcl-pointclouds/Makefile1
-rw-r--r--graphics/pixie/Makefile1
-rw-r--r--graphics/rawtherapee/Makefile13
-rw-r--r--irc/ircproxy/Makefile2
-rw-r--r--java/bootstrap-openjdk11/Makefile2
-rw-r--r--java/openjdk11/Makefile7
-rw-r--r--java/openjdk12/Makefile7
-rw-r--r--java/openjdk13/Makefile7
-rw-r--r--java/openjdk14/Makefile7
-rw-r--r--java/openjdk15/Makefile7
-rw-r--r--java/openjdk16/Makefile7
-rw-r--r--lang/ccl/Makefile7
-rw-r--r--lang/clover/Makefile1
-rw-r--r--lang/crystal/Makefile1
-rw-r--r--lang/gcc6-aux/Makefile12
-rw-r--r--lang/ghc/Makefile8
-rw-r--r--lang/gnustep-base/Makefile1
-rw-r--r--lang/go/Makefile8
-rw-r--r--lang/hermes/Makefile6
-rw-r--r--lang/ldc/Makefile2
-rw-r--r--lang/luajit-openresty/Makefile8
-rw-r--r--lang/perl5-devel/Makefile7
-rw-r--r--lang/perl5.30/Makefile7
-rw-r--r--lang/perl5.32/Makefile7
-rw-r--r--lang/perl5.34/Makefile7
-rw-r--r--lang/python310/Makefile4
-rw-r--r--lang/rust-bootstrap/Makefile2
-rw-r--r--lang/rust/Makefile13
-rw-r--r--lang/zig-devel/Makefile1
-rw-r--r--lang/zig/Makefile1
-rw-r--r--mail/imapfilter/Makefile2
-rw-r--r--mail/isync/Makefile8
-rw-r--r--mail/opensmtpd/Makefile9
-rw-r--r--mail/postfix-current/Makefile6
-rw-r--r--mail/postfix/Makefile6
-rw-r--r--mail/qpopper/Makefile2
-rw-r--r--mail/sendmail-devel/Makefile6
-rw-r--r--mail/sendmail/Makefile10
-rw-r--r--mail/sid-milter/Makefile2
-rw-r--r--mail/thunderbird/files/patch-cubeb-oss5
-rw-r--r--math/clblas/Makefile1
-rw-r--r--math/flann/files/patch-src_cpp_CMakeLists.txt27
-rw-r--r--math/libflame/Makefile4
-rw-r--r--math/opensolaris-libm/Makefile15
-rw-r--r--math/openturns/Makefile2
-rw-r--r--math/py-ducc0/Makefile2
-rw-r--r--math/py-matplotlib/Makefile2
-rw-r--r--math/pynac/Makefile6
-rw-r--r--misc/free42/Makefile2
-rw-r--r--misc/lxi-tools/Makefile1
-rw-r--r--misc/xplr/Makefile11
-rw-r--r--multimedia/aom/files/patch-aom__ports_arm__cpudetect.c40
-rw-r--r--multimedia/aom/files/patch-aom__ports_ppc__cpudetect.c14
-rw-r--r--multimedia/cclive/Makefile1
-rw-r--r--multimedia/dav1d/files/patch-neon-freebsd1141
-rw-r--r--multimedia/ffmpeg/Makefile13
-rw-r--r--multimedia/gstreamer1-plugins-rust/Makefile1
-rw-r--r--multimedia/libvpx/files/patch-vpx__ports_arm__cpudetect.c36
-rw-r--r--multimedia/libvpx/files/patch-vpx__ports_ppc__cpudetect.c14
-rw-r--r--multimedia/mkvtoolnix/Makefile1
-rw-r--r--multimedia/obs-studio/Makefile1
-rw-r--r--multimedia/subtitleripper/Makefile2
-rw-r--r--multimedia/svt-av1/Makefile4
-rw-r--r--multimedia/svt-hevc/Makefile4
-rw-r--r--multimedia/svt-vp9/Makefile4
-rw-r--r--multimedia/vapoursynth-vmaf/Makefile5
-rw-r--r--multimedia/vlc/Makefile5
-rw-r--r--multimedia/vvdec/Makefile2
-rw-r--r--multimedia/zoneminder/Makefile2
-rw-r--r--net-im/ejabberd/Makefile4
-rw-r--r--net-im/jicofo/files/pkg-message.in8
-rw-r--r--net-im/jitsi-videobridge/files/pkg-message.in10
-rw-r--r--net-im/licq/Makefile1
-rw-r--r--net-im/mtxclient/Makefile2
-rw-r--r--net-im/tg_owt/Makefile6
-rw-r--r--net-mgmt/kismet/Makefile2
-rw-r--r--net-mgmt/net-snmp/Makefile2
-rw-r--r--net-mgmt/netdata/Makefile3
-rw-r--r--net-mgmt/nstat/Makefile8
-rw-r--r--net-mgmt/py-gstat_exporter/Makefile2
-rw-r--r--net-p2p/monero-cli/Makefile4
-rw-r--r--net-p2p/openethereum/Makefile2
-rw-r--r--net-p2p/qtum/Makefile14
-rw-r--r--net/dhcprelya/Makefile2
-rw-r--r--net/hostapd-devel/Makefile2
-rw-r--r--net/httping/Makefile2
-rw-r--r--net/krill/Makefile3
-rw-r--r--net/libfabric/Makefile2
-rw-r--r--net/libpfctl/Makefile1
-rw-r--r--net/ntpsec/Makefile6
-rw-r--r--net/openldap25-server/Makefile8
-rw-r--r--net/openntpd/Makefile13
-rw-r--r--net/packetdrill/Makefile2
-rw-r--r--net/qt5-network/Makefile5
-rw-r--r--net/rdist6/Makefile2
-rw-r--r--net/rpki-client/Makefile8
-rw-r--r--net/socat/files/socat.in1
-rw-r--r--net/usockets/Makefile1
-rw-r--r--net/waypipe/files/patch-neon-freebsd1155
-rw-r--r--net/wireguard-kmod/Makefile2
-rw-r--r--net/wireguard/Makefile6
-rw-r--r--print/pdf-tools/Makefile1
-rw-r--r--science/siconos/Makefile1
-rw-r--r--security/afl++/Makefile4
-rw-r--r--security/botan2/Makefile4
-rw-r--r--security/dsniff/Makefile6
-rw-r--r--security/fwbuilder/Makefile1
-rw-r--r--security/gost-engine/Makefile5
-rw-r--r--security/ipsec-tools/Makefile2
-rw-r--r--security/isal-kmod/Makefile1
-rw-r--r--security/krb5-devel/Makefile2
-rw-r--r--security/libfido2/Makefile1
-rw-r--r--security/liboqs/Makefile1
-rw-r--r--security/libretls/Makefile2
-rw-r--r--security/ncrack/Makefile8
-rw-r--r--security/openiked-portable/Makefile8
-rw-r--r--security/p5-Crypt-OpenSSL-CA/Makefile2
-rw-r--r--security/p5-OpenCA-OpenSSL/Makefile6
-rw-r--r--security/pam_ssh_agent_auth/Makefile1
-rw-r--r--security/pkcs11-tools/Makefile4
-rw-r--r--security/pks/Makefile2
-rw-r--r--security/py-cryptography/Makefile11
-rw-r--r--security/py-openssl/Makefile9
-rw-r--r--security/racoon2/Makefile2
-rw-r--r--security/seahorse/Makefile6
-rw-r--r--security/softhsm2/Makefile2
-rw-r--r--security/tpm2-tools/Makefile8
-rw-r--r--security/uacme/Makefile2
-rw-r--r--security/wpa_supplicant-devel/Makefile2
-rw-r--r--security/zeek/Makefile1
-rw-r--r--sysutils/acpica-tools/Makefile1
-rw-r--r--sysutils/apache-mesos/Makefile2
-rw-r--r--sysutils/arcconf/Makefile7
-rw-r--r--sysutils/barrier/Makefile2
-rw-r--r--sysutils/bhyve+/Makefile4
-rw-r--r--sysutils/bhyve+/files/freebsd-11/patch-bhyve-shelp79
-rw-r--r--sysutils/bhyve+/files/freebsd-11/patch-libvmmapi33
-rw-r--r--sysutils/bhyve+/files/freebsd-11/patch-virtio-9p385
-rw-r--r--sysutils/bhyve+/files/freebsd-11/patch-vtd-fix211
-rw-r--r--sysutils/cfengine-devel/files/patch-cf-execd_cf-execd-runagent.c15
-rw-r--r--sysutils/cfengine318/files/patch-cf-execd_cf-execd-runagent.c15
-rw-r--r--sysutils/crate/Makefile2
-rw-r--r--sysutils/ddpt/Makefile2
-rw-r--r--sysutils/dtrace-toolkit/Makefile2
-rw-r--r--sysutils/fluent-bit/Makefile4
-rw-r--r--sysutils/gnome-control-center/Makefile5
-rw-r--r--sysutils/hexpeek/Makefile2
-rw-r--r--sysutils/hid-tools/Makefile2
-rw-r--r--sysutils/iichid/Makefile1
-rw-r--r--sysutils/ipmitool/Makefile2
-rw-r--r--sysutils/keyd/Makefile1
-rw-r--r--sysutils/kvmclock-kmod/Makefile1
-rw-r--r--sysutils/libdnf/Makefile2
-rw-r--r--sysutils/netevent/Makefile1
-rw-r--r--sysutils/nsysctl/Makefile3
-rw-r--r--sysutils/nvme-cli/Makefile1
-rw-r--r--sysutils/openzfs-kmod/Makefile2
-rw-r--r--sysutils/openzfs/Makefile2
-rw-r--r--sysutils/panicmail/Makefile11
-rw-r--r--sysutils/py-azure-cli-core/Makefile5
-rw-r--r--sysutils/rshim-user-space/Makefile2
-rw-r--r--sysutils/sdparm/Makefile2
-rw-r--r--sysutils/sleuthkit/Makefile1
-rw-r--r--sysutils/sysctlbyname-improved-kmod/Makefile6
-rw-r--r--sysutils/sysctlinfo-kmod/Makefile5
-rw-r--r--sysutils/tracker/Makefile5
-rw-r--r--sysutils/tracker3/Makefile5
-rw-r--r--sysutils/u-boot-master/Makefile8
-rw-r--r--sysutils/u-boot-sopine-spi/Makefile1
-rw-r--r--sysutils/uhidd/files/patch-less-basename286
-rw-r--r--sysutils/xen-tools/Makefile4
-rw-r--r--sysutils/ztop/Makefile2
-rw-r--r--textproc/apertium/Makefile1
-rw-r--r--textproc/bsdgrep/Makefile4
-rw-r--r--textproc/dwdiff/Makefile1
-rw-r--r--textproc/libucl/Makefile2
-rw-r--r--textproc/xmlwrapp/Makefile1
-rw-r--r--www/chromium/Makefile1
-rw-r--r--www/cpp-httplib/Makefile4
-rw-r--r--www/deno/Makefile1
-rw-r--r--www/epiphany/Makefile8
-rw-r--r--www/firefox-esr/files/patch-cubeb-oss5
-rw-r--r--www/firefox/files/patch-freebsd1121
-rw-r--r--www/h2o-devel/Makefile1
-rw-r--r--www/h2o/Makefile1
-rw-r--r--www/httest/Makefile8
-rw-r--r--www/lagrange/Makefile8
-rw-r--r--www/libdatachannel/Makefile8
-rw-r--r--www/mod_authnz_crowd/Makefile1
-rw-r--r--www/mod_rpaf2/files/patch-mod__rpaf.c31
-rw-r--r--www/node/Makefile5
-rw-r--r--www/node10/Makefile5
-rw-r--r--www/node10/files/patch-common.gypi18
-rw-r--r--www/node14/Makefile5
-rw-r--r--www/polipo/files/pkg-install.in8
-rw-r--r--www/quark/Makefile5
-rw-r--r--www/sitecopy/Makefile2
-rw-r--r--www/trafficserver/Makefile6
-rw-r--r--x11-drivers/xf86-video-intel/Makefile2
-rw-r--r--x11-servers/xorg-server/Makefile5
-rw-r--r--x11-toolkits/gnustep-gui/Makefile2
-rw-r--r--x11-toolkits/gtk40/Makefile5
-rw-r--r--x11-toolkits/wlroots/files/patch-include_wlr_types_wlr__seat.h26
-rw-r--r--x11-toolkits/wlroots/pkg-message2
-rw-r--r--x11-wm/gamescope/Makefile1
-rw-r--r--x11-wm/picom/files/patch-src_log.c21
-rw-r--r--x11/brisk-menu/Makefile7
-rw-r--r--x11/foot/Makefile5
-rw-r--r--x11/gnome-shell/Makefile5
-rw-r--r--x11/kitty/Makefile5
-rw-r--r--x11/libxkbcommon/Makefile1
-rw-r--r--x11/nvidia-driver/Makefile2
-rw-r--r--x11/squeekboard/Makefile1
-rw-r--r--x11/taiga/Makefile1
-rw-r--r--x11/waybar/Makefile1
-rw-r--r--x11/wayland-logout/Makefile2
-rw-r--r--x11/xlockmore/Makefile4
-rw-r--r--x11/xorg-minimal/Makefile10
399 files changed, 171 insertions, 3400 deletions
diff --git a/MOVED b/MOVED
index 46dd76627fa7..c76524ba3ca5 100644
--- a/MOVED
+++ b/MOVED
@@ -16498,3 +16498,5 @@ multimedia/sms1xxx-kmod|multimedia/webcamd|2021-09-30|Has expired: Supports DVB
sysutils/cfengine311|sysutils/cfengine317|2021-09-30|Has expired: OpenSSL 1.1.X is not supported.
sysutils/cfengine-masterfiles311|sysutils/cfengine-masterfiles317|2021-09-30|Has expired: cfengine311 will retire at FreeBSD 11 EOL
mail/postfix35|mail/postfix|2021-09-30|Has expired: It is only here until FreeBSD 11 is EoL (Postfix >= 3.6 requires OpenSSL >= 1.1.x)
+graphics/drm-fbsd11.2-kmod||2021-09-30|Removed, only useful on EOL FreeBSD 11.4
+devel/qca-legacy|devel/qca|2021-09-30|Removed, only useful on EOL FreeBSD 11.4
diff --git a/Mk/Scripts/rust-compat11-canary.sh b/Mk/Scripts/rust-compat11-canary.sh
index ccc158cba664..64cd3dc2104c 100644
--- a/Mk/Scripts/rust-compat11-canary.sh
+++ b/Mk/Scripts/rust-compat11-canary.sh
@@ -3,7 +3,7 @@
set -eu
set -o pipefail
-if [ "${OPSYS}" != FreeBSD ] || [ "${OSVERSION}" -lt 1200000 ]; then
+if [ "${OPSYS}" != FreeBSD ] ; then
exit 0
fi
diff --git a/Mk/Uses/qca.mk b/Mk/Uses/qca.mk
index 5b5c49ae867c..72f46105946c 100644
--- a/Mk/Uses/qca.mk
+++ b/Mk/Uses/qca.mk
@@ -16,13 +16,7 @@ IGNORE+= USES=qca takes no arguments
_QCA_LIB= libqca-qt5.so
_QCA_DEFAULT_PORT= devel/qca
-_QCA_LEGACY_PORT= devel/qca-legacy
-
-. if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base
-_QCA_CHOSEN_PORT= LEGACY
-. else
_QCA_CHOSEN_PORT= DEFAULT
-. endif
LIB_DEPENDS+= ${_QCA_LIB}:${_QCA_${_QCA_CHOSEN_PORT}_PORT}
diff --git a/Mk/bsd.port.mk b/Mk/bsd.port.mk
index 493b15a59fff..866f45586523 100644
--- a/Mk/bsd.port.mk
+++ b/Mk/bsd.port.mk
@@ -1177,7 +1177,7 @@ OSVERSION!= ${AWK} '/^\#define[[:blank:]]__FreeBSD_version/ {print $$3}' < ${SRC
.endif
_EXPORTED_VARS+= OSVERSION
-.if (${OPSYS} == FreeBSD && (${OSVERSION} < 1104000 || (${OSVERSION} >= 1200000 && ${OSVERSION} < 1202000))) || \
+.if (${OPSYS} == FreeBSD && ${OSVERSION} < 1202000) || \
(${OPSYS} == DragonFly && ${DFLYVERSION} < 400400)
_UNSUPPORTED_SYSTEM_MESSAGE= Ports Collection support for your ${OPSYS} version has ended, and no ports\
are guaranteed to build on this system. Please upgrade to a supported release.
diff --git a/Tools/scripts/tindex b/Tools/scripts/tindex
index 57a74dd8c23f..8d6819fa6302 100755
--- a/Tools/scripts/tindex
+++ b/Tools/scripts/tindex
@@ -27,7 +27,6 @@ ERROR_ADDRESS=root@localhost
# Location of ports tree and source trees
export BASEDIR=/a/tindex
export PORTSDIR=${BASEDIR}/ports
-export SRCDIR11=${BASEDIR}/src.11
export SRCDIR12=${BASEDIR}/src.12
export SRCDIR13=${BASEDIR}/src.13
export SRCDIR14=${BASEDIR}/src.14
@@ -114,9 +113,6 @@ export INDEX_JOBS=3
export INDEX_QUIET=1
# First update the source trees to get current OSVERSION
-${SVN} -q up ${SRCDIR11}/sys/sys
-OSVERSION11=$(awk '/^#define[[:blank:]]__FreeBSD_version/ {print $3}' < ${SRCDIR11}/sys/sys/param.h)
-
${SVN} -q up ${SRCDIR12}/sys/sys
OSVERSION12=$(awk '/^#define[[:blank:]]__FreeBSD_version/ {print $3}' < ${SRCDIR12}/sys/sys/param.h)
@@ -127,7 +123,7 @@ ${GIT} -C ${SRCDIR14} pull --rebase -q
OSVERSION14=$(awk '/^#define[[:blank:]]__FreeBSD_version/ {print $3}' < ${SRCDIR14}/sys/sys/param.h)
cd ${PORTSDIR}
-rm -f INDEX-11 INDEX-11.bz2 INDEX-12 INDEX-12.bz2 INDEX-13 INDEX-13.bz2 INDEX-14 INDEX-14.bz2
+rm -f INDEX-12 INDEX-12.bz2 INDEX-13 INDEX-13.bz2 INDEX-14 INDEX-14.bz2
OLD_HEAD=$(${GIT} rev-parse HEAD)
if ! ${GIT} pull --ff-only > git.log 2>&1 ; then
(echo "Git update failed with conflicts:";
@@ -135,7 +131,7 @@ if ! ${GIT} pull --ff-only > git.log 2>&1 ; then
exit 1
fi
-for branch in 11.x 12.x 13.x 14.x; do
+for branch in 12.x 13.x 14.x; do
release=$(echo $branch | sed -e 's,.x,,')
eval _osver=\$OSVERSION${release}
diff --git a/archivers/py-zstandard/Makefile b/archivers/py-zstandard/Makefile
index cda12bea3fdc..6f6fe4343c68 100644
--- a/archivers/py-zstandard/Makefile
+++ b/archivers/py-zstandard/Makefile
@@ -9,7 +9,6 @@ COMMENT= Zstandard bindings for Python, a full-featured version
LICENSE= BSD2CLAUSE
-BROKEN_FreeBSD_11_powerpc64= fails to build: cffi.error.CDefError: parse error
BROKEN_FreeBSD_12_powerpc64= fails to build: cffi.error.CDefError: parse error
BUILD_DEPENDS= ${PYTHON_PKGNAMEPREFIX}cffi>=1.8.0:devel/py-cffi@${PY_FLAVOR}
diff --git a/astro/kosmorro/Makefile b/astro/kosmorro/Makefile
index ce88825eade5..9af2d2c9f8bc 100644
--- a/astro/kosmorro/Makefile
+++ b/astro/kosmorro/Makefile
@@ -13,7 +13,8 @@ LICENSE= AGPLv3
BUILD_DEPENDS= ${PYTHON_PKGNAMEPREFIX}tabulate>0:devel/py-tabulate@${PY_FLAVOR}\
${PYTHON_PKGNAMEPREFIX}dateutil>0:devel/py-dateutil@${PY_FLAVOR}\
${PYTHON_PKGNAMEPREFIX}termcolor>0:devel/py-termcolor@${PY_FLAVOR}\
- ${PYTHON_PKGNAMEPREFIX}kosmorrolib>0:astro/py-kosmorrolib@${PY_FLAVOR}
+ ${PYTHON_PKGNAMEPREFIX}kosmorrolib>0:astro/py-kosmorrolib@${PY_FLAVOR} \
+ ronn:textproc/rubygem-ronn
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}tabulate>0:devel/py-tabulate@${PY_FLAVOR}\
${PYTHON_PKGNAMEPREFIX}dateutil>0:devel/py-dateutil@${PY_FLAVOR}\
${PYTHON_PKGNAMEPREFIX}termcolor>0:devel/py-termcolor@${PY_FLAVOR}\
@@ -32,25 +33,9 @@ PDF_RUN_DEPENDS=pdflatex:print/tex-formats
NO_ARCH= yes
-.include <bsd.port.pre.mk>
-
-# ronn is broken on 11.x => do not build manpages
-.if ${OSVERSION} < 1200000
-PLIST_SUB+= MAN="@comment "
-.else
-BUILD_DEPENDS+= ronn:textproc/rubygem-ronn
-PLIST_SUB+= MAN=""
-.endif
-
pre-configure:
${REINPLACE_CMD} -e 's|python3|${PYTHON_CMD}|' ${WRKSRC}/Makefile
-.if ${OSVERSION} < 1200000
- ${REINPLACE_CMD} -e 's|i18n manpages|manpages|' ${WRKSRC}/Makefile
- ${REINPLACE_CMD} -e '/manpage\/kosmorro/d' ${WRKSRC}/setup.py
-.else
-
post-build:
(cd ${WRKSRC} && LC_ALL=C.UTF-8 ${MAKE} manpages)
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/astro/kosmorro/pkg-plist b/astro/kosmorro/pkg-plist
index 3adf96711aa6..c8ee4ae38ec4 100644
--- a/astro/kosmorro/pkg-plist
+++ b/astro/kosmorro/pkg-plist
@@ -68,5 +68,5 @@ bin/kosmorro
%%PYTHON_SITELIBDIR%%/_kosmorro/locales/nl/LC_MESSAGES/messages.po
%%PYTHON_SITELIBDIR%%/_kosmorro/locales/ru/LC_MESSAGES/messages.po
%%PYTHON_SITELIBDIR%%/_kosmorro/main.py
-%%MAN%%man/man1/kosmorro.1.gz
-%%MAN%%man/man7/kosmorro.7.gz
+man/man1/kosmorro.1.gz
+man/man7/kosmorro.7.gz
diff --git a/astro/qmapshack/Makefile b/astro/qmapshack/Makefile
index 7c596ba5f425..a7944aec8237 100644
--- a/astro/qmapshack/Makefile
+++ b/astro/qmapshack/Makefile
@@ -15,8 +15,6 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
DEPRECATED= Uses EOL Python 2.7 via www/qt5-webengine
EXPIRATION_DATE=2021-06-23
-BROKEN_FreeBSD_11= Requires OpenSSL 1.1.0+
-
LIB_DEPENDS= libgdal.so:graphics/gdal \
libproj.so:graphics/proj \
libquazip1-qt5.so:archivers/quazip \
diff --git a/audio/csound/Makefile b/audio/csound/Makefile
index 580410c336bc..692dc19537ac 100644
--- a/audio/csound/Makefile
+++ b/audio/csound/Makefile
@@ -169,12 +169,6 @@ WIIMOTE_DESC= Build the Wiimote opcodes
WIIMOTE_CMAKE_BOOL= BUILD_WIIMOTE_OPCODES
WIIMOTE_BROKEN= Need to port wiiuse: https://github.com/rpavlik/wiiuse
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "i386"
-BROKEN_FreeBSD_11= libcsound64.so.6.0: undefined reference to `__atomic_store_8' / undefined reference to `__atomic_load_8'
-.endif
-
post-patch:
@${REINPLACE_CMD} -e \
's|/usr/include/Python2.7|${PYTHON_INCLUDEDIR}| ; \
@@ -196,4 +190,4 @@ post-install:
post-install-FLTK-on:
@${LN} -sf libCsoundAC.so.6.0 ${STAGEDIR}${PREFIX}/lib/libCsoundAC.so.6
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/audio/moony-lv2/Makefile b/audio/moony-lv2/Makefile
index 4e2e78ede439..9d858ccfef9a 100644
--- a/audio/moony-lv2/Makefile
+++ b/audio/moony-lv2/Makefile
@@ -10,8 +10,6 @@ PKGNAMESUFFIX= -lv2
MAINTAINER= yuri@FreeBSD.org
COMMENT= Realtime Lua as programmable glue in LV2
-BROKEN_FreeBSD_11= undefined reference to `clog', see bug#237771
-
LICENSE= ART20
LICENSE_FILE= ${WRKSRC}/COPYING
diff --git a/audio/musicpd/files/patch-meson.build b/audio/musicpd/files/patch-meson.build
index 588e13b10505..4f6749c66ad8 100644
--- a/audio/musicpd/files/patch-meson.build
+++ b/audio/musicpd/files/patch-meson.build
@@ -1,21 +1,6 @@
--- meson.build.orig 2021-06-23 18:56:13 UTC
+++ meson.build
-@@ -28,6 +28,14 @@ elif compiler.get_id() == 'clang' and compiler.version
- warning('Your clang version is too old. You need at least version 7.')
- endif
-
-+test_ldflags = [
-+]
-+
-+if compiler.get_id() == 'clang'
-+ # This can probably go away after FreeBSD 11 is EOL'd
-+ test_ldflags += '-fuse-ld=%%MPD_CLANG_LD%%'
-+endif
-+
- version_conf = configuration_data()
- version_conf.set_quoted('PACKAGE', meson.project_name())
- version_conf.set_quoted('PACKAGE_NAME', meson.project_name())
-@@ -102,7 +110,7 @@ test_cflags = test_common_flags + [
+@@ -102,7 +102,7 @@ test_cflags = test_common_flags + [
'-Wwrite-strings',
]
diff --git a/audio/surge-synthesizer-lv2/Makefile b/audio/surge-synthesizer-lv2/Makefile
index 0304d0b20f1a..4086cc554a5e 100644
--- a/audio/surge-synthesizer-lv2/Makefile
+++ b/audio/surge-synthesizer-lv2/Makefile
@@ -10,8 +10,6 @@ COMMENT= Surge Synthesizer LV2 and VST plug-in
LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11= error: use of undeclared identifier 'getline'; did you mean 'std::getline'?
-
BUILD_DEPENDS= lv2>0:audio/lv2 \
${LOCALBASE}/include/nanosvg.h:graphics/nanosvg \
${LOCALBASE}/include/simde/simde-common.h:devel/simde \
diff --git a/audio/surge-synthesizer-lv2/files/patch-vstgui.surge_vstgui_lib_platform_linux_x11fileselector.cpp b/audio/surge-synthesizer-lv2/files/patch-vstgui.surge_vstgui_lib_platform_linux_x11fileselector.cpp
index dc29cddf9a82..902a0808d894 100644
--- a/audio/surge-synthesizer-lv2/files/patch-vstgui.surge_vstgui_lib_platform_linux_x11fileselector.cpp
+++ b/audio/surge-synthesizer-lv2/files/patch-vstgui.surge_vstgui_lib_platform_linux_x11fileselector.cpp
@@ -1,10 +1,9 @@
---- vstgui.surge/vstgui/lib/platform/linux/x11fileselector.cpp.orig 2020-09-24 01:49:47 UTC
+--- vstgui.surge/vstgui/lib/platform/linux/x11fileselector.cpp.orig 2021-04-02 18:04:51 UTC
+++ vstgui.surge/vstgui/lib/platform/linux/x11fileselector.cpp
-@@ -3,6 +3,8 @@
+@@ -3,6 +3,7 @@
// distribution and at http://github.com/steinbergmedia/vstgui/LICENSE
#include "../../cfileselector.h"
-+#define _WITH_GETLINE // for FreeBSD 11
+#include <stdio.h> // https://github.com/surge-synthesizer/vstgui/issues/7
#include <unistd.h>
#include <string>
diff --git a/audio/tagutil/Makefile b/audio/tagutil/Makefile
index 2656e7176fbe..4ae4190bc272 100644
--- a/audio/tagutil/Makefile
+++ b/audio/tagutil/Makefile
@@ -19,9 +19,6 @@ GH_ACCOUNT= kAworu
CMAKE_ARGS= -DMAN_PATH=${PREFIX}/man
CMAKE_SOURCE_PATH= ${WRKSRC}/src
-LDFLAGS_FreeBSD_11= -fuse-ld=lld
-LDFLAGS+= ${LDFLAGS_${OPSYS}_${OSREL:R}}
-
PLIST_FILES= bin/tagutil \
man/man1/tagutil.1.gz
diff --git a/audio/vst3sdk/Makefile b/audio/vst3sdk/Makefile
index 345b6ec931a5..bf258b590ff6 100644
--- a/audio/vst3sdk/Makefile
+++ b/audio/vst3sdk/Makefile
@@ -11,7 +11,6 @@ LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/LICENSE.txt
BROKEN_i386= fails to build: static_assert failed due to requirement 'alignof(Steinberg::Vst::ProcessContext) == (0 ? 8U : 0 ? 1U : 1 ? 8U : 8U)
-BROKEN_FreeBSD_11= x11fileselector.cpp:57:9: error: use of undeclared identifier 'getline'; did you mean 'std::getline'?
BUILD_DEPENDS= bash:shells/bash
LIB_DEPENDS= libexpat.so:textproc/expat2 \
diff --git a/audio/vst3sdk/files/patch-vstgui4_vstgui_lib_platform_linux_x11fileselector.cpp b/audio/vst3sdk/files/patch-vstgui4_vstgui_lib_platform_linux_x11fileselector.cpp
index 63c2750dd86c..26c2598affba 100644
--- a/audio/vst3sdk/files/patch-vstgui4_vstgui_lib_platform_linux_x11fileselector.cpp
+++ b/audio/vst3sdk/files/patch-vstgui4_vstgui_lib_platform_linux_x11fileselector.cpp
@@ -2,11 +2,10 @@
--- vstgui4/vstgui/lib/platform/linux/x11fileselector.cpp.orig 2020-08-20 14:14:27 UTC
+++ vstgui4/vstgui/lib/platform/linux/x11fileselector.cpp
-@@ -6,6 +6,9 @@
+@@ -6,6 +6,8 @@
#include <unistd.h>
#include <string>
-+#define _WITH_GETLINE // this is still required on FreeBSD 11
+#include <stdio.h>
+
//------------------------------------------------------------------------
diff --git a/base/gcc6/Makefile b/base/gcc6/Makefile
index 2e26c3a62976..05b0bfc6f833 100644
--- a/base/gcc6/Makefile
+++ b/base/gcc6/Makefile
@@ -49,17 +49,14 @@ CONFIGURE_ARGS+= \
--with-gxx-include-dir=/usr/include/c++/v1/ \
--with-sysroot="/" \
--with-build-sysroot=${CROSS_SYSROOT} \
- -with-pkgversion="GNU Collection for FreeBSD"
+ -with-pkgversion="GNU Collection for FreeBSD" \
+ --enable-initfini-array
ALL_TARGET?= all-gcc
INSTALL_TARGET?= install-gcc
.include <bsd.port.pre.mk>
-.if ${OSVERSION} >= 1200000
-CONFIGURE_ARGS+= --enable-initfini-array
-.endif
-
.if ${HOSTARCH} == "amd64"
CONFIGURE_TARGET= x86_64-unknown-${OPSYS:tl}${OSREL}
.else
diff --git a/biology/abyss/Makefile b/biology/abyss/Makefile
index 141b25659a53..91d52df097ac 100644
--- a/biology/abyss/Makefile
+++ b/biology/abyss/Makefile
@@ -9,7 +9,6 @@ LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/LICENSE
BROKEN_i386= result of comparison of constant 18446744073709551615 with expression of type 'size_t', see https://github.com/bcgsc/abyss/issues/310
-BROKEN_FreeBSD_11= error: use of undeclared identifier 'getline'; did you mean 'std::getline'?
BUILD_DEPENDS= ${LOCALBASE}/include/boost/version.hpp:devel/boost-libs \
ghc:lang/ghc \
diff --git a/biology/ddocent/Makefile b/biology/ddocent/Makefile
index bc27815d529c..52f2eda96af0 100644
--- a/biology/ddocent/Makefile
+++ b/biology/ddocent/Makefile
@@ -9,9 +9,7 @@ COMMENT= Bash pipeline for RAD sequencing
LICENSE= MIT
-# ddocent test data do not unpack with FreeBSD 11.1 /usr/bin/unzip
-RUN_DEPENDS= unzip>=0:archivers/unzip \
- mawk>=0:lang/mawk \
+RUN_DEPENDS= mawk>=0:lang/mawk \
gawk>=0:lang/gawk \
coreutils>=0:sysutils/coreutils \
gnuplot>=0:math/gnuplot \
diff --git a/biology/igv/Makefile b/biology/igv/Makefile
index 9803043d22a8..2b23dc18806e 100644
--- a/biology/igv/Makefile
+++ b/biology/igv/Makefile
@@ -13,8 +13,6 @@ COMMENT= Visualization tool for genomic datasets
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/license.txt
-BROKEN_FreeBSD_11= FAILURE: Build failed with an exception.
-
BUILD_DEPENDS= openjfx14>0:java/openjfx14 \
gradle:devel/gradle6
RUN_DEPENDS= openjfx14>0:java/openjfx14
diff --git a/biology/jalview/Makefile b/biology/jalview/Makefile
index b41d1b9abf27..7b7581d2b320 100644
--- a/biology/jalview/Makefile
+++ b/biology/jalview/Makefile
@@ -14,8 +14,6 @@ COMMENT= Viewer and editor for multiple sequence alignments
LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11= gradle daemon systematically fails on 11: The message received from the daemon indicates that the daemon has disappeared.
-
BUILD_DEPENDS= gradle:devel/gradle6
USE_JAVA= yes
diff --git a/biology/ncbi-cxx-toolkit/Makefile b/biology/ncbi-cxx-toolkit/Makefile
index 49d024208177..4148f33e2d63 100644
--- a/biology/ncbi-cxx-toolkit/Makefile
+++ b/biology/ncbi-cxx-toolkit/Makefile
@@ -10,8 +10,6 @@ COMMENT= NCBI C++ Toolkit
LICENSE= PD
LICENSE_FILE= ${WRKSRC}/doc/public/LICENSE
-BROKEN_FreeBSD_11= libxconnserv.so, not found (try using -rpath or -rpath-link)
-
LIB_DEPENDS= libcdd.so:math/cddlib \
liblmdb.so:databases/lmdb \
libpcre.so:devel/pcre
diff --git a/cad/PrusaSlicer/files/patch-src_libslic3r_Thread.cpp b/cad/PrusaSlicer/files/patch-src_libslic3r_Thread.cpp
deleted file mode 100644
index 23d0e75df413..000000000000
--- a/cad/PrusaSlicer/files/patch-src_libslic3r_Thread.cpp
+++ /dev/null
@@ -1,45 +0,0 @@
-Note that this patch may be removed after FreeBSD 11.x EoL
-as latest FreeBSD versions have proper
-pthread_setname_np/pthread_getname_np support.
-
---- src/libslic3r/Thread.cpp.orig 2021-07-16 10:14:03 UTC
-+++ src/libslic3r/Thread.cpp
-@@ -9,10 +9,10 @@
- #include <atomic>
- #include <condition_variable>
- #include <mutex>
-+#include <thread>
-+#include <tbb/global_control.h>
- #include <tbb/parallel_for.h>
--#include <tbb/tbb_thread.h>
- #include <tbb/task_arena.h>
--#include <tbb/task_scheduler_init.h>
-
- #include "Thread.hpp"
-
-@@ -206,13 +206,13 @@ void name_tbb_thread_pool_threads()
- nthreads = 1;
- #endif
-
-- if (nthreads != nthreads_hw)
-- new tbb::task_scheduler_init(int(nthreads));
-+ if (nthreads != nthreads_hw)
-+ tbb::global_control(tbb::global_control::max_allowed_parallelism, nthreads);
-
- std::atomic<size_t> nthreads_running(0);
- std::condition_variable cv;
- std::mutex cv_m;
-- auto master_thread_id = tbb::this_tbb_thread::get_id();
-+ auto master_thread_id = std::this_thread::get_id();
- tbb::parallel_for(
- tbb::blocked_range<size_t>(0, nthreads, 1),
- [&nthreads_running, nthreads, &master_thread_id, &cv, &cv_m](const tbb::blocked_range<size_t> &range) {
-@@ -226,7 +226,7 @@ void name_tbb_thread_pool_threads()
- std::unique_lock<std::mutex> lk(cv_m);
- cv.wait(lk, [&nthreads_running, nthreads]{return nthreads_running == nthreads;});
- }
-- auto thread_id = tbb::this_tbb_thread::get_id();
-+ auto thread_id = std::this_thread::get_id();
- if (thread_id == master_thread_id) {
- // The calling thread runs the 0'th task.
- assert(range.begin() == 0);
diff --git a/cad/astk-serveur/Makefile b/cad/astk-serveur/Makefile
index faa3154d56ea..ffa684c185f7 100644
--- a/cad/astk-serveur/Makefile
+++ b/cad/astk-serveur/Makefile
@@ -61,8 +61,7 @@ conf_dir= ${WRKSRC}/etc/astkrc
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ((${OSREL:R} <= 12 && ${OSVERSION} < 1201506) \
- || (${OSREL:R} > 12 && ${OSVERSION} < 1300068))
+.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1300068
# ASTK is not useful without french/aster
IGNORE= a larger value of ARG_MAX is needed for Code_Aster, please upgrade your system
.endif
diff --git a/cad/openvsp/Makefile b/cad/openvsp/Makefile
index 978768bd3c9d..767c08faf32c 100644
--- a/cad/openvsp/Makefile
+++ b/cad/openvsp/Makefile
@@ -12,7 +12,6 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
LICENSE_PERMS= dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
BROKEN_aarch64= fails to compile: invokes x86 asm
-BROKEN_FreeBSD_11= undefined reference to __atomic_load
BUILD_DEPENDS= ${LOCALBASE}/lib/libopenNURBS.a:graphics/opennurbs \
${LOCALBASE}/include/glm/glm.hpp:math/glm \
diff --git a/cad/stepcode/Makefile b/cad/stepcode/Makefile
index e066166c1410..0e0d45bdf751 100644
--- a/cad/stepcode/Makefile
+++ b/cad/stepcode/Makefile
@@ -10,7 +10,6 @@ COMMENT= Generates C++ and Python from ISO10303 files
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11_powerpc64= fails to configure: Schema scan for 15926-0002-lifecycle_integration.exp exited with error code 1
BROKEN_FreeBSD_12_powerpc64= fails to configure: Schema scan for 15926-0002-lifecycle_integration.exp exited with error code 1
USES= cmake compiler:c++11-lang
diff --git a/chinese/fcitx-libpinyin/files/patch-src__CMakeLists.txt b/chinese/fcitx-libpinyin/files/patch-src__CMakeLists.txt
deleted file mode 100644
index 5a1d19c76611..000000000000
--- a/chinese/fcitx-libpinyin/files/patch-src__CMakeLists.txt
+++ /dev/null
@@ -1,10 +0,0 @@
---- ./src/CMakeLists.txt.orig 2013-07-16 05:34:05.000000000 +0900
-+++ ./src/CMakeLists.txt 2014-03-19 15:51:24.000000000 +0900
-@@ -22,6 +22,7 @@
- )
-
- add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )
-+add_definitions( -D_WITH_GETLINE )
-
- fcitx_add_addon_full(libpinyin DESC
- SOURCES ${fcitx_libpinyin_sources}
diff --git a/chinese/ibus-libpinyin/files/patch-src_PYLibPinyin.cc b/chinese/ibus-libpinyin/files/patch-src_PYLibPinyin.cc
index 9fbac7843ef2..d2185f29451c 100644
--- a/chinese/ibus-libpinyin/files/patch-src_PYLibPinyin.cc
+++ b/chinese/ibus-libpinyin/files/patch-src_PYLibPinyin.cc
@@ -1,10 +1,9 @@
---- src/PYLibPinyin.cc.orig 2015-01-23 04:57:48 UTC
+--- src/PYLibPinyin.cc.orig 2018-06-27 03:08:59 UTC
+++ src/PYLibPinyin.cc
-@@ -21,6 +21,8 @@
+@@ -21,6 +21,7 @@
#include "PYLibPinyin.h"
-+#define _WITH_GETLINE
+#include <stdio.h>
#include <string.h>
#include <pinyin.h>
diff --git a/chinese/libpinyin/Makefile b/chinese/libpinyin/Makefile
index 4f96ddd947c7..64aabe0140b7 100644
--- a/chinese/libpinyin/Makefile
+++ b/chinese/libpinyin/Makefile
@@ -17,7 +17,7 @@ GNU_CONFIGURE= yes
USE_LDCONFIG= yes
CONFIGURE_ARGS+=CPPFLAGS="-I${LOCALBASE}/include \
- -I${BDB_INCLUDE_DIR} -D_WITH_GETLINE" \
+ -I${BDB_INCLUDE_DIR}" \
LDFLAGS="-L${LOCALBASE}/lib -l${BDB_LIB_NAME}"
INSTALL_TARGET=install-strip
diff --git a/comms/aprsd/Makefile b/comms/aprsd/Makefile
index 8e9f34aaf000..bcd9254ef6bf 100644
--- a/comms/aprsd/Makefile
+++ b/comms/aprsd/Makefile
@@ -12,7 +12,6 @@ COMMENT= Server daemon providing Internet access to APRS packet data
LICENSE= GPLv2
-BROKEN_FreeBSD_11_powerpc64= fails to link on powerpc64 elfv1: httpserver.o:(.text+0x1074): undefined reference to `convertUpTime(int)'
BROKEN_FreeBSD_12_powerpc64= fails to link on powerpc64 elfv1: httpserver.o:(.text+0x1074): undefined reference to `convertUpTime(int)'
GNU_CONFIGURE= yes
diff --git a/comms/usbmuxd/files/patch-src_usb.c b/comms/usbmuxd/files/patch-src_usb.c
deleted file mode 100644
index 8a6240a3de35..000000000000
--- a/comms/usbmuxd/files/patch-src_usb.c
+++ /dev/null
@@ -1,17 +0,0 @@
-libusb_has_capability() was implemented in r361977 and is only available on:
-FreeBSD >= 1104501, 1201518, 1300098
-However, libusb in all supported versions of FreeBSD supports hotplug events.
-
-This patch can be safely removed after 11.4 and 12.1 EOL.
-
---- src/usb.c.orig 2021-01-21 10:10:40 UTC
-+++ src/usb.c
-@@ -815,7 +815,7 @@ int usb_init(void)
- collection_init(&device_list);
-
- #ifdef HAVE_LIBUSB_HOTPLUG_API
-- if (libusb_has_capability(LIBUSB_CAP_HAS_HOTPLUG)) {
-+ if (1) {
- usbmuxd_log(LL_INFO, "Registering for libusb hotplug events");
- res = libusb_hotplug_register_callback(NULL, LIBUSB_HOTPLUG_EVENT_DEVICE_ARRIVED | LIBUSB_HOTPLUG_EVENT_DEVICE_LEFT, LIBUSB_HOTPLUG_ENUMERATE, VID_APPLE, LIBUSB_HOTPLUG_MATCH_ANY, 0, usb_hotplug_cb, NULL, &usb_hotplug_cb_handle);
- if (res == LIBUSB_SUCCESS) {
diff --git a/databases/arrow/Makefile b/databases/arrow/Makefile
index bef6fba557a4..28725fb916a3 100644
--- a/databases/arrow/Makefile
+++ b/databases/arrow/Makefile
@@ -14,8 +14,6 @@ COMMENT= Columnar in-memory analytics layer for big data
LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/../LICENSE.txt
-BROKEN_FreeBSD_11= The OpenSSL must be greater than or equal to 1.1.0
-
LIB_DEPENDS= libboost_system.so:devel/boost-libs
USES= cmake compiler:c++11-lang localbase pkgconfig python:build
diff --git a/databases/clickhouse/Makefile b/databases/clickhouse/Makefile
index b6e3fa36090a..0e224cac89b1 100644
--- a/databases/clickhouse/Makefile
+++ b/databases/clickhouse/Makefile
@@ -209,14 +209,6 @@ CC= clang
CXX= clang++
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " \
- MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" \
- MODERN_LIMITS="@comment "
-.endif
-
SOVERSION= ${PORTVERSION}
.include <bsd.port.pre.mk>
diff --git a/databases/clickhouse/files/clickhouse.in b/databases/clickhouse/files/clickhouse.in
index a3ff2098e49b..f058335c875d 100644
--- a/databases/clickhouse/files/clickhouse.in
+++ b/databases/clickhouse/files/clickhouse.in
@@ -8,9 +8,6 @@
#
# clickhouse_enable (bool): Set to "NO" by default
# Set it to "YES" to enable clickhouse server
-%%LEGACY_LIMITS%%# clickhouse_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U clickhouse`
-%%LEGACY_LIMITS%%# just before clickhouse starts.
# clickhouse_config (str): Path to config file (required).
# (default: %%PREFIX%%/etc/clickhouse-server/config.xml)
# clickhouse_rundir (str): Path to directory holding a pidfile.
@@ -32,7 +29,6 @@ rcvar=clickhouse_enable
load_rc_config ${name}
: ${clickhouse_enable="NO"}
-%%LEGACY_LIMITS%%: ${clickhouse_limits="NO"}
: ${clickhouse_config="%%PREFIX%%/etc/clickhouse-server/config.xml"}
: ${clickhouse_rundir="/var/run/clickhouse"}
: ${clickhouse_user="clickhouse"}
@@ -54,12 +50,7 @@ clickhouse_prestart () {
install -d -o ${clickhouse_user} -g ${clickhouse_group} ${_dir}
done
-%%LEGACY_LIMITS%% if checkyesno clickhouse_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits -e -U ${clickhouse_user}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
run_rc_command "$1"
diff --git a/databases/couchdb3/Makefile b/databases/couchdb3/Makefile
index 9483ebc41aff..49d1dc430c8c 100644
--- a/databases/couchdb3/Makefile
+++ b/databases/couchdb3/Makefile
@@ -74,7 +74,7 @@ post-patch:
-e 's,$$LOG_FILE,${LOGFILE},g' \
${WRKSRC}/configure
# https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238514
-.if ${OPSYS} == FreeBSD && (${OSVERSION} < 1200000 || ${ARCH} == i386)
+.if ${OPSYS} == FreeBSD && ${ARCH} == i386
@${REINPLACE_CMD} \
-e 's,$$FLTO_FLAG ,,g' \
${WRKSRC}/src/jiffy/rebar.config
diff --git a/databases/foundationdb-devel/Makefile b/databases/foundationdb-devel/Makefile
index ddda28966943..fc54585a679e 100644
--- a/databases/foundationdb-devel/Makefile
+++ b/databases/foundationdb-devel/Makefile
@@ -10,7 +10,6 @@ COMMENT= Distributed, transactional key-value store
LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11= requires newer OpenSSL
ONLY_FOR_ARCHS= aarch64 amd64
ONLY_FOR_ARCHS_REASON= not yet ported to anything else
diff --git a/databases/foundationdb/Makefile b/databases/foundationdb/Makefile
index 739120dfc3c8..a959372b3c62 100644
--- a/databases/foundationdb/Makefile
+++ b/databases/foundationdb/Makefile
@@ -8,7 +8,6 @@ COMMENT= Distributed, transactional key-value store
LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11= requires newer OpenSSL
ONLY_FOR_ARCHS= aarch64 amd64
ONLY_FOR_ARCHS_REASON= not yet ported to anything else
diff --git a/databases/gnats4/Makefile b/databases/gnats4/Makefile
index 207098da4a06..97d1fda62a36 100644
--- a/databases/gnats4/Makefile
+++ b/databases/gnats4/Makefile
@@ -12,7 +12,6 @@ COMMENT= GNATS, the GNU Problem Report Management System
BROKEN_mips= Does not build: error: conflicting types for yy_scan_string
BROKEN_mips64= Does not build: error: conflicting types for yy_scan_string
-BROKEN_FreeBSD_11_powerpc64= fails to build on powerpc64 elfv1: conflicting types for yy_scan_string
BROKEN_FreeBSD_12_powerpc64= fails to build on powerpc64 elfv1: conflicting types for yy_scan_string
GNU_CONFIGURE= yes
diff --git a/databases/iowow/files/patch-src_platform_unix_unix.c b/databases/iowow/files/patch-src_platform_unix_unix.c
index 6910201ce373..7e58d255962b 100644
--- a/databases/iowow/files/patch-src_platform_unix_unix.c
+++ b/databases/iowow/files/patch-src_platform_unix_unix.c
@@ -5,18 +5,7 @@
return iwrc_set_errno(IW_ERROR_IO_ERRNO, errno);
}
-#else
-+#elif defined(__FreeBSD_version) && __FreeBSD_version > 1100501
++#elif defined(__FreeBSD_version)
if (fdatasync(fh) == -1) {
return iwrc_set_errno(IW_ERROR_IO_ERRNO, errno);
}
-@@ -384,6 +384,10 @@ void iwp_set_current_thread_name(const char *name) {
-
- #if defined(__linux__)
- prctl(PR_SET_NAME, name);
-+#elif defined(__FreeBSD__)
-+ // We're using even more non-standard pthread_set_name_np() here
-+ // because pthread_setname_np() is not available on FreeBSD 11.X.
-+ pthread_set_name_np(pthread_self(), name);
- #elif defined(__NetBSD__)
- rv = pthread_setname_np(pthread_self(), "%s", (void*) name);
- #elif defined(__APPLE__)
diff --git a/databases/mariadb103-server/Makefile b/databases/mariadb103-server/Makefile
index 0d2562ab2541..ae36e9bc3c2f 100644
--- a/databases/mariadb103-server/Makefile
+++ b/databases/mariadb103-server/Makefile
@@ -164,12 +164,6 @@ ZSTD_LIB_DEPENDS= libzstd.so:archivers/zstd
CMAKE_ARGS+= -DPLUGIN_${PLUGIN}=NO
.endfor
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.endif # ${PKGNAMESUFFIX:M*-client}
.if defined(WITH_OPENSSL_PORT)
diff --git a/databases/mariadb103-server/files/mysql-server.in b/databases/mariadb103-server/files/mysql-server.in
index 9da717d5b9a3..356d6bb2f9c0 100644
--- a/databases/mariadb103-server/files/mysql-server.in
+++ b/databases/mariadb103-server/files/mysql-server.in
@@ -7,9 +7,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_(instance_)?enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_(instance_)?limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_(instance_)?dbdir (str): Default to "/var/db/mysql"
# Base database directory.
# mysql_(instance_)?args (str): Custom additional arguments to be passed
@@ -31,9 +28,7 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_user="mysql"}
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${mysql_dbdir="/var/db/mysql"}
: ${mysql_optfile="${mysql_dbdir}/my.cnf"}
@@ -49,9 +44,7 @@ if [ -n "$2" ]; then
"$2 "*|*" $2 "*|*" $2"|"$2")
eval mysql_args="\${mysql_${instance}_args:-\"${mysql_args}\"}"
eval mysql_dbdir="\${mysql_${instance}_dbdir:-\"/var/db/mysql_${instance}\"}"
- %%LEGACY_LIMITS%%eval mysql_limits="\${mysql_${instance}_limits:-\"${mysql_limits}\"}"
eval mysql_user="\${mysql_${instance}_user:-\"${mysql_user}\"}"
- %%LEGACY_LIMITS%%eval mysql_limits_args="\${mysql_${instance}_limits_args:-\"-e -U $mysql_user\"}"
eval mysql_optfile="\${mysql_${instance}_optfile:-\"${mysql_dbdir}/my.cnf\"}"
eval mysql_pidfile="\${mysql_${instance}_pidfile:-\"${mysql_dbdir}/`/bin/hostname`.pid\"}"
;;
@@ -117,12 +110,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/mariadb104-server/Makefile b/databases/mariadb104-server/Makefile
index eef8cc75b7de..52bd6a11c638 100644
--- a/databases/mariadb104-server/Makefile
+++ b/databases/mariadb104-server/Makefile
@@ -190,12 +190,6 @@ CMAKE_ARGS+= -DPLUGIN_${PLUGIN}=NO
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${SSL_DEFAULT} != base && ${PORT_OPTIONS:MGSSAPI_BASE}
GSSAPI_BASE_IGNORE= BASE_GSSAPI is not compatible with OpenSSL from ports. Use other GSSAPI options or OpenSSL from base system
.endif
diff --git a/databases/mariadb104-server/files/mysql-server.in b/databases/mariadb104-server/files/mysql-server.in
index 4e2753f09ee6..965e81ac025c 100644
--- a/databases/mariadb104-server/files/mysql-server.in
+++ b/databases/mariadb104-server/files/mysql-server.in
@@ -7,9 +7,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_(instance_)?enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_(instance_)?limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_(instance_)?dbdir (str): Base database directory.
# Default to "/var/db/mysql"
# mysql_(instance_)?args (str): Custom additional arguments to be passed
@@ -34,9 +31,7 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_user="%%MARIADB_USER%%"}
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${mysql_dbdir="/var/db/mysql"}
: ${mysql_optfile="${mysql_dbdir}/my.cnf"}
@@ -52,9 +47,7 @@ if [ -n "$2" ]; then
"$2 "*|*" $2 "*|*" $2"|"$2")
eval mysql_args="\${mysql_${instance}_args:-\"${mysql_args}\"}"
eval mysql_dbdir="\${mysql_${instance}_dbdir:-\"/var/db/mysql_${instance}\"}"
- %%LEGACY_LIMITS%%eval mysql_limits="\${mysql_${instance}_limits:-\"${mysql_limits}\"}"
eval mysql_user="\${mysql_${instance}_user:-\"${mysql_user}\"}"
- %%LEGACY_LIMITS%%eval mysql_limits_args="\${mysql_${instance}_limits_args:-\"-e -U $mysql_user\"}"
eval mysql_socket="\${mysql_${instance}_socket:-\"${mysql_socket}\"}"
eval mysql_optfile="\${mysql_${instance}_optfile:-\"${mysql_dbdir}/my.cnf\"}"
eval mysql_pidfile="\${mysql_${instance}_pidfile:-\"${mysql_dbdir}/`/bin/hostname`.pid\"}"
@@ -126,12 +119,7 @@ mysql_prestart()
install -d -o ${mysql_user} -g $(id -gn $mysql_user) "${mysql_rundir}"
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/mariadb105-server/Makefile b/databases/mariadb105-server/Makefile
index 4a3565ff8fb5..2d4f7c8c7baf 100644
--- a/databases/mariadb105-server/Makefile
+++ b/databases/mariadb105-server/Makefile
@@ -196,12 +196,6 @@ CMAKE_ARGS+= -DPLUGIN_${PLUGIN}=NO
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${SSL_DEFAULT} != base && ${PORT_OPTIONS:MGSSAPI_BASE}
GSSAPI_BASE_IGNORE= GSSAPI_BASE is not compatible with OpenSSL from ports. Use other GSSAPI options or OpenSSL from base system
.endif
diff --git a/databases/mariadb105-server/files/mysql-server.in b/databases/mariadb105-server/files/mysql-server.in
index c4fd7307ca24..8d0b8e7eff4e 100644
--- a/databases/mariadb105-server/files/mysql-server.in
+++ b/databases/mariadb105-server/files/mysql-server.in
@@ -7,9 +7,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_(instance_)?enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_(instance_)?limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_(instance_)?dbdir (str): Default to "%%MARIADB_DBDIR%%"
# Base database directory.
# mysql_(instance_)?args (str): Custom additional arguments to be passed
@@ -32,9 +29,7 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_user="%%MARIADB_USER%%"}
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${mysql_dbdir="%%MARIADB_DBDIR%%"}
: ${mysql_optfile="%%ETCDIR%%/my.cnf"}
: ${mysql_rundir="%%MARIADB_RUNDIR%%"}
@@ -51,9 +46,7 @@ if [ -n "$2" ]; then
"$2 "*|*" $2 "*|*" $2"|"$2")
eval mysql_args="\${mysql_${instance}_args:-\"${mysql_args}\"}"
eval mysql_dbdir="\${mysql_${instance}_dbdir:-\"%%MARIADB_DBDIR%%_${instance}\"}"
- %%LEGACY_LIMITS%%eval mysql_limits="\${mysql_${instance}_limits:-\"${mysql_limits}\"}"
eval mysql_user="\${mysql_${instance}_user:-\"${mysql_user}\"}"
- %%LEGACY_LIMITS%%eval mysql_limits_args="\${mysql_${instance}_limits_args:-\"-e -U $mysql_user\"}"
eval mysql_socket="\${mysql_${instance}_socket:-\"%%MARIADB_RUNDIR%%_${instance}/%%MARIADB_SOCK%%\"}"
eval mysql_optfile="\${mysql_${instance}_optfile:-\"%%ETCDIR%%_${instance}/my.cnf\"}"
eval mysql_pidfile="\${mysql_${instance}_pidfile:-\"%%MARIADB_RUNDIR%%_${instance}/mysqld.pid\"}"
@@ -125,12 +118,7 @@ mysql_prestart()
if [ ! -d "${mysql_rundir}" ]; then
install -d -o ${mysql_user} -g ${mysql_group} "${mysql_rundir}"
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
if [ ! -d "${mysql_rundir}" ]; then
install -d -u${mysql_user} -g$(id -gn $mysql_user) -m755 ${mysql_rundir}
fi
diff --git a/databases/memcached/Makefile b/databases/memcached/Makefile
index 4e13727dd6a9..2e4aa23131fd 100644
--- a/databases/memcached/Makefile
+++ b/databases/memcached/Makefile
@@ -61,7 +61,7 @@ MAKE_JOBS_UNSAFE= yes
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
+.if ${OPSYS} == FreeBSD
CONFIGURE_ARGS+= --enable-tls
USES+= ssl
.endif
diff --git a/databases/mongodb36/Makefile b/databases/mongodb36/Makefile
index 08bc75c50f91..df8ffe780562 100644
--- a/databases/mongodb36/Makefile
+++ b/databases/mongodb36/Makefile
@@ -55,12 +55,6 @@ SSL_MAKE_ARGS= --ssl
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${ARCH} == aarch64
EXTRA_PATCHES= ${FILESDIR}/aarch64
.endif
diff --git a/databases/mongodb36/files/mongod.in b/databases/mongodb36/files/mongod.in
index e885be83196c..20b0f5c0f43d 100644
--- a/databases/mongodb36/files/mongod.in
+++ b/databases/mongodb36/files/mongod.in
@@ -9,9 +9,6 @@
#
# mongod_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable mongod.
-%%LEGACY_LIMITS%%# mongod_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mongodb`
-%%LEGACY_LIMITS%%# just before mongod starts.
# mongod_dbpath (str): Default to "/var/db/mongodb"
# Base database directory.
# mongod_flags (str): Custom additional arguments to be passed to mongod.
@@ -28,7 +25,6 @@ rcvar=mongod_enable
load_rc_config $name
: ${mongod_enable="NO"}
-%%LEGACY_LIMITS%%: ${mongod_limits="NO"}
: ${mongod_dbpath="/var/db/mongodb"}
: ${mongod_flags="--logpath ${mongod_dbpath}/mongod.log --logappend --setParameter=disabledSecureAllocatorDomains=\*"}
: ${mongod_user="mongodb"}
@@ -51,12 +47,7 @@ mongod_prestart()
if [ ! -d ${mongod_dbpath} ]; then
mongod_create_dbpath || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mongod_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits -e -U ${mongod_user}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
run_rc_command "$1"
diff --git a/databases/mongodb40/Makefile b/databases/mongodb40/Makefile
index 861c448b094e..663fdfd395ae 100644
--- a/databases/mongodb40/Makefile
+++ b/databases/mongodb40/Makefile
@@ -57,12 +57,6 @@ SSL_MAKE_ARGS= --ssl
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${ARCH} == aarch64 || ${ARCH} == powerpc64le
EXTRA_PATCHES= ${FILESDIR}/${ARCH}
.endif
diff --git a/databases/mongodb40/files/mongod.in b/databases/mongodb40/files/mongod.in
index e885be83196c..20b0f5c0f43d 100644
--- a/databases/mongodb40/files/mongod.in
+++ b/databases/mongodb40/files/mongod.in
@@ -9,9 +9,6 @@
#
# mongod_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable mongod.
-%%LEGACY_LIMITS%%# mongod_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mongodb`
-%%LEGACY_LIMITS%%# just before mongod starts.
# mongod_dbpath (str): Default to "/var/db/mongodb"
# Base database directory.
# mongod_flags (str): Custom additional arguments to be passed to mongod.
@@ -28,7 +25,6 @@ rcvar=mongod_enable
load_rc_config $name
: ${mongod_enable="NO"}
-%%LEGACY_LIMITS%%: ${mongod_limits="NO"}
: ${mongod_dbpath="/var/db/mongodb"}
: ${mongod_flags="--logpath ${mongod_dbpath}/mongod.log --logappend --setParameter=disabledSecureAllocatorDomains=\*"}
: ${mongod_user="mongodb"}
@@ -51,12 +47,7 @@ mongod_prestart()
if [ ! -d ${mongod_dbpath} ]; then
mongod_create_dbpath || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mongod_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits -e -U ${mongod_user}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
run_rc_command "$1"
diff --git a/databases/mongodb42/Makefile b/databases/mongodb42/Makefile
index 472210ec4353..13a88e3913b3 100644
--- a/databases/mongodb42/Makefile
+++ b/databases/mongodb42/Makefile
@@ -57,7 +57,6 @@ MAKE_ARGS= --prefix=${STAGEDIR}${PREFIX} \
USERS= mongodb
GROUPS= mongodb
-LTO_LDFLAGS= -fuse-ld=lld
LTO_MAKE_ARGS= --lto=on
SASL_LIB_DEPENDS= libsasl2.so:security/cyrus-sasl2
@@ -73,12 +72,6 @@ SSL_MAKE_ARGS= --ssl
BROKEN= Aarch64 needs LSE atomics which was fixed in https://cgit.freebsd.org/src/commit/?id=efe67f33c322265eb303ec0ab40275100795b22a
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${ARCH} == aarch64 || ${ARCH} == powerpc64le
EXTRA_PATCHES= ${FILESDIR}/${ARCH}
.endif
diff --git a/databases/mongodb42/files/mongod.in b/databases/mongodb42/files/mongod.in
index e885be83196c..20b0f5c0f43d 100644
--- a/databases/mongodb42/files/mongod.in
+++ b/databases/mongodb42/files/mongod.in
@@ -9,9 +9,6 @@
#
# mongod_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable mongod.
-%%LEGACY_LIMITS%%# mongod_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mongodb`
-%%LEGACY_LIMITS%%# just before mongod starts.
# mongod_dbpath (str): Default to "/var/db/mongodb"
# Base database directory.
# mongod_flags (str): Custom additional arguments to be passed to mongod.
@@ -28,7 +25,6 @@ rcvar=mongod_enable
load_rc_config $name
: ${mongod_enable="NO"}
-%%LEGACY_LIMITS%%: ${mongod_limits="NO"}
: ${mongod_dbpath="/var/db/mongodb"}
: ${mongod_flags="--logpath ${mongod_dbpath}/mongod.log --logappend --setParameter=disabledSecureAllocatorDomains=\*"}
: ${mongod_user="mongodb"}
@@ -51,12 +47,7 @@ mongod_prestart()
if [ ! -d ${mongod_dbpath} ]; then
mongod_create_dbpath || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mongod_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits -e -U ${mongod_user}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
run_rc_command "$1"
diff --git a/databases/mongodb44/Makefile b/databases/mongodb44/Makefile
index a3720cf9b94f..1a361999b525 100644
--- a/databases/mongodb44/Makefile
+++ b/databases/mongodb44/Makefile
@@ -63,12 +63,6 @@ SSL_MAKE_ARGS= --ssl
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${ARCH} == aarch64 || ${ARCH} == powerpc64le
EXTRA_PATCHES= ${FILESDIR}/${ARCH}
.endif
diff --git a/databases/mongodb44/files/mongod.in b/databases/mongodb44/files/mongod.in
index e885be83196c..20b0f5c0f43d 100644
--- a/databases/mongodb44/files/mongod.in
+++ b/databases/mongodb44/files/mongod.in
@@ -9,9 +9,6 @@
#
# mongod_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable mongod.
-%%LEGACY_LIMITS%%# mongod_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mongodb`
-%%LEGACY_LIMITS%%# just before mongod starts.
# mongod_dbpath (str): Default to "/var/db/mongodb"
# Base database directory.
# mongod_flags (str): Custom additional arguments to be passed to mongod.
@@ -28,7 +25,6 @@ rcvar=mongod_enable
load_rc_config $name
: ${mongod_enable="NO"}
-%%LEGACY_LIMITS%%: ${mongod_limits="NO"}
: ${mongod_dbpath="/var/db/mongodb"}
: ${mongod_flags="--logpath ${mongod_dbpath}/mongod.log --logappend --setParameter=disabledSecureAllocatorDomains=\*"}
: ${mongod_user="mongodb"}
@@ -51,12 +47,7 @@ mongod_prestart()
if [ ! -d ${mongod_dbpath} ]; then
mongod_create_dbpath || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mongod_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits -e -U ${mongod_user}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
run_rc_command "$1"
diff --git a/databases/mongodb50/Makefile b/databases/mongodb50/Makefile
index 593808b7b8e3..4d331897e774 100644
--- a/databases/mongodb50/Makefile
+++ b/databases/mongodb50/Makefile
@@ -64,12 +64,6 @@ SSL_MAKE_ARGS= --ssl
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${ARCH} == aarch64 || ${ARCH} == powerpc64le
EXTRA_PATCHES= ${FILESDIR}/${ARCH}
.endif
diff --git a/databases/mongodb50/files/mongod.in b/databases/mongodb50/files/mongod.in
index e885be83196c..20b0f5c0f43d 100644
--- a/databases/mongodb50/files/mongod.in
+++ b/databases/mongodb50/files/mongod.in
@@ -9,9 +9,6 @@
#
# mongod_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable mongod.
-%%LEGACY_LIMITS%%# mongod_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mongodb`
-%%LEGACY_LIMITS%%# just before mongod starts.
# mongod_dbpath (str): Default to "/var/db/mongodb"
# Base database directory.
# mongod_flags (str): Custom additional arguments to be passed to mongod.
@@ -28,7 +25,6 @@ rcvar=mongod_enable
load_rc_config $name
: ${mongod_enable="NO"}
-%%LEGACY_LIMITS%%: ${mongod_limits="NO"}
: ${mongod_dbpath="/var/db/mongodb"}
: ${mongod_flags="--logpath ${mongod_dbpath}/mongod.log --logappend --setParameter=disabledSecureAllocatorDomains=\*"}
: ${mongod_user="mongodb"}
@@ -51,12 +47,7 @@ mongod_prestart()
if [ ! -d ${mongod_dbpath} ]; then
mongod_create_dbpath || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mongod_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits -e -U ${mongod_user}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
run_rc_command "$1"
diff --git a/databases/mysql-connector-c/Makefile b/databases/mysql-connector-c/Makefile
index 31605a38fb0e..64b3243d46c8 100644
--- a/databases/mysql-connector-c/Makefile
+++ b/databases/mysql-connector-c/Makefile
@@ -25,7 +25,7 @@ PLIST_SUB+= PORTVERSION=${PORTVERSION}
CFLAGS+= -march=i586
.endif
-.if (${OPSYS} == FreeBSD && ${OSVERSION} > 1200085 && ${SSL_DEFAULT} == base) || ${SSL_DEFAULT} == openssl
+.if (${OPSYS} == FreeBSD && ${SSL_DEFAULT} == base) || ${SSL_DEFAULT} == openssl
EXTRA_PATCHES+= ${FILESDIR}/extra-patch-vio_viosslfactories.c \
${FILESDIR}/extra-patch-mysys__ssl_my__aes__openssl.cc
.endif
diff --git a/databases/mysql55-server/Makefile b/databases/mysql55-server/Makefile
index 80ec9d48c6f8..bd0010044b83 100644
--- a/databases/mysql55-server/Makefile
+++ b/databases/mysql55-server/Makefile
@@ -59,12 +59,6 @@ USES+= compiler:c++11-lang
USE_CXXSTD= gnu++98
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.if ${PORT_OPTIONS:MSSL}
CMAKE_ARGS+= -DWITH_SSL=bundled
.endif
diff --git a/databases/mysql55-server/files/mysql-server.in b/databases/mysql55-server/files/mysql-server.in
index 6e9ca18040a6..5bd18d2d68c8 100644
--- a/databases/mysql55-server/files/mysql-server.in
+++ b/databases/mysql55-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "/var/db/mysql"
# Base database directory.
# mysql_optfile (str): Server-specific option file.
@@ -29,12 +26,10 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_dbdir="/var/db/mysql"}
: ${mysql_optfile="${mysql_dbdir}/my.cnf"}
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${hostname:=`/bin/hostname`}
pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
@@ -56,12 +51,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/mysql56-server/Makefile b/databases/mysql56-server/Makefile
index 1805470ec640..ff2f3527e6dd 100644
--- a/databases/mysql56-server/Makefile
+++ b/databases/mysql56-server/Makefile
@@ -146,12 +146,6 @@ USES+= compiler:c++11-lib
USE_CXXSTD= c++11
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.include <bsd.port.pre.mk>
post-patch:
diff --git a/databases/mysql56-server/files/mysql-server.in b/databases/mysql56-server/files/mysql-server.in
index cf0a501c6f46..af1a234269ed 100644
--- a/databases/mysql56-server/files/mysql-server.in
+++ b/databases/mysql56-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "%%MY_DBDIR%%"
# Base database directory.
# mysql_confdir (str): Default to "%%ETCDIR%%"
@@ -33,7 +30,6 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_dbdir="%%MY_DBDIR%%"}
: ${mysql_confdir="%%ETCDIR%%"}
if [ -f "${mysql_confdir}/my.cnf" ]; then
@@ -46,7 +42,6 @@ mysql_extra="--defaults-extra-file=${mysql_optfile}"
fi
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${hostname:=`/bin/hostname`}
pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
@@ -68,12 +63,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/mysql57-server/Makefile b/databases/mysql57-server/Makefile
index 2ace4c5f7304..1e8f93fdffa9 100644
--- a/databases/mysql57-server/Makefile
+++ b/databases/mysql57-server/Makefile
@@ -149,12 +149,6 @@ CMAKE_ARGS+= -DWITH_AUTHENTICATION_LDAP=0
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.include <bsd.port.pre.mk>
.if ${SSL_DEFAULT} == base
diff --git a/databases/mysql57-server/files/mysql-server.in b/databases/mysql57-server/files/mysql-server.in
index 37022059e2bc..3addbaa92431 100644
--- a/databases/mysql57-server/files/mysql-server.in
+++ b/databases/mysql57-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "%%MY_DBDIR%%"
# Base database directory.
# mysql_confdir (str): Default to "%%ETCDIR%%"
@@ -33,7 +30,6 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_dbdir="%%MY_DBDIR%%"}
: ${mysql_confdir="%%ETCDIR%%"}
if [ -f "${mysql_confdir}/my.cnf" ]; then
@@ -47,7 +43,6 @@ fi
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${hostname:=`/bin/hostname`}
pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
@@ -68,12 +63,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/mysql80-server/Makefile b/databases/mysql80-server/Makefile
index 771fef19bd1a..e31ffae5f1fb 100644
--- a/databases/mysql80-server/Makefile
+++ b/databases/mysql80-server/Makefile
@@ -180,22 +180,6 @@ FEDERATED_SUB_LIST_OFF+= FEDER=""
CMAKE_ARGS+= -DDISABLE_PSI_MEMORY=1
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "i386" && ${OSVERSION} < 1200000
-# clang 7.x and 8.x do not build properly on 11i386
-CPP= clang-cpp${LLVM_DEFAULT}
-CC= clang${LLVM_DEFAULT}
-CXX= clang++${LLVM_DEFAULT}
-BUILD_DEPENDS+= clang${LLVM_DEFAULT}:devel/llvm${LLVM_DEFAULT}
-.endif
-
post-extract:
@${RM} -rv ${WRKSRC}/sql/sql_hints.yy.cc ${WRKSRC}/sql/sql_hints.yy.h
@@ -208,4 +192,4 @@ post-install:
${MKDIR} ${STAGEDIR}${MY_TMPDIR}
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/databases/mysql80-server/files/mysql-server.in b/databases/mysql80-server/files/mysql-server.in
index b0297539a441..271c38c2d2c5 100644
--- a/databases/mysql80-server/files/mysql-server.in
+++ b/databases/mysql80-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "%%MY_DBDIR%%"
# Base database directory.
# mysql_confdir (str): Default to "%%ETCDIR%%"
@@ -33,7 +30,6 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_dbdir="%%MY_DBDIR%%"}
: ${mysql_confdir="%%ETCDIR%%"}
if [ -f "${mysql_confdir}/my.cnf" ]; then
@@ -46,7 +42,6 @@ mysql_extra="--defaults-extra-file=${mysql_optfile}"
fi
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${hostname:=`/bin/hostname`}
pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
@@ -67,12 +62,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/mysqlwsrep56-server/Makefile b/databases/mysqlwsrep56-server/Makefile
index 1930386321ac..1ca4c5b090c9 100644
--- a/databases/mysqlwsrep56-server/Makefile
+++ b/databases/mysqlwsrep56-server/Makefile
@@ -133,12 +133,6 @@ MMAN1= my_print_defaults.1 \
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.include <bsd.port.pre.mk>
# Plugin innodb_memcached requires -fcommon to avoid duplicate symbol linker
diff --git a/databases/mysqlwsrep56-server/files/mysql-server.in b/databases/mysqlwsrep56-server/files/mysql-server.in
index d6693957b2d4..c91277332e64 100644
--- a/databases/mysqlwsrep56-server/files/mysql-server.in
+++ b/databases/mysqlwsrep56-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "/var/db/mysql"
# Base database directory.
# mysql_optfile (str): Server-specific option file.
@@ -29,14 +26,8 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
-: ${mysql_dbdir="/var/db/mysql"}
-: ${mysql_optfile="${mysql_dbdir}/my.cnf"}
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
-: ${hostname:=`/bin/hostname`}
-pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
command_args="-c -f %%PREFIX%%/bin/mysqld_safe --defaults-extra-file=${mysql_optfile} --user=${mysql_user} --datadir=${mysql_dbdir} --pid-file=${pidfile} ${mysql_args}"
procname="%%PREFIX%%/libexec/mysqld"
@@ -70,12 +61,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/mysqlwsrep57-server/Makefile b/databases/mysqlwsrep57-server/Makefile
index 70f20347216a..c977f270458d 100644
--- a/databases/mysqlwsrep57-server/Makefile
+++ b/databases/mysqlwsrep57-server/Makefile
@@ -162,12 +162,6 @@ SUB_LIST+= PERFSCHEMRC=""
SUB_LIST+= PERFSCHEMRC="--skip-performance-schema"
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
.include <bsd.port.pre.mk>
.if ${SSL_DEFAULT} == base
@@ -178,13 +172,11 @@ CMAKE_ARGS+= -DWITH_SSL=${OPENSSLBASE}
# ${LOCALBASE}/include/lz4.h does not compile with Clang 6.
# Also MySQL code itself needs -Wno-c++11-narrowing when Clang 6 is used.
-.if ${OSVERSION} >= 1200056
CFLAGS+= -DLZ4_DISABLE_DEPRECATE_WARNINGS
CXXFLAGS+= -DLZ4_DISABLE_DEPRECATE_WARNINGS
LDFLAGS+= -L${LOCALBASE}/lib
-. if ${CHOSEN_COMPILER_TYPE} == clang
+.if ${CHOSEN_COMPILER_TYPE} == clang
CXXFLAGS+= -Wno-c++11-narrowing
-. endif
.endif
# Ensure that assertions are not turned on in non-debug builds.
diff --git a/databases/mysqlwsrep57-server/files/mysql-server.in b/databases/mysqlwsrep57-server/files/mysql-server.in
index 17320906bf56..1ea9411cde8b 100644
--- a/databases/mysqlwsrep57-server/files/mysql-server.in
+++ b/databases/mysqlwsrep57-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "%%MY_DBDIR%%"
# Base database directory.
# mysql_confdir (str): Default to "%%ETCDIR%%"
@@ -35,7 +32,6 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_dbdir="%%MY_DBDIR%%"}
: ${mysql_confdir="%%ETCDIR%%"}
if [ -f "${mysql_confdir}/my.cnf" ]; then
@@ -48,7 +44,6 @@ mysql_extra="--defaults-extra-file=${mysql_optfile}"
fi
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${hostname:=`/bin/hostname`}
pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
@@ -83,12 +78,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/percona56-server/Makefile b/databases/percona56-server/Makefile
index 8347aaef1065..b62f436fd76f 100644
--- a/databases/percona56-server/Makefile
+++ b/databases/percona56-server/Makefile
@@ -97,12 +97,6 @@ CMAKE_ARGS+= -DWITH_EMBEDDED_SERVER="ON"
# Workaround to clang11/gcc10 with -fno-common by default
CFLAGS+= -fcommon
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
post-install:
@${MKDIR} ${STAGEDIR}/var/db/mysql
.endif
diff --git a/databases/percona56-server/files/mysql-server.in b/databases/percona56-server/files/mysql-server.in
index 62ab20cd1658..aecef7080107 100644
--- a/databases/percona56-server/files/mysql-server.in
+++ b/databases/percona56-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "/var/db/mysql"
# Base database directory.
# mysql_optfile (str): Server-specific option file.
@@ -29,12 +26,10 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_dbdir="/var/db/mysql"}
: ${mysql_optfile="${mysql_dbdir}/my.cnf"}
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${hostname:=`/bin/hostname`}
pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
@@ -56,12 +51,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql/." ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/percona57-server/Makefile b/databases/percona57-server/Makefile
index 2c4ee43ab3f5..e59570b1e847 100644
--- a/databases/percona57-server/Makefile
+++ b/databases/percona57-server/Makefile
@@ -140,12 +140,6 @@ CMAKE_ARGS+= -DWITH_AUTHENTICATION_LDAP=0
#MY_TESTDIR= ""
#.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200057
-SUB_LIST+= LEGACY_LIMITS="@comment " MODERN_LIMITS=""
-.else
-SUB_LIST+= LEGACY_LIMITS="" MODERN_LIMITS="@comment "
-.endif
-
post-install:
${MKDIR} ${STAGEDIR}/var/db/mysql
${MKDIR} ${STAGEDIR}${ETCDIR}/keyring
diff --git a/databases/percona57-server/files/mysql-server.in b/databases/percona57-server/files/mysql-server.in
index 41280227b18b..5e0ebd0f85fd 100644
--- a/databases/percona57-server/files/mysql-server.in
+++ b/databases/percona57-server/files/mysql-server.in
@@ -8,9 +8,6 @@
# Add the following line to /etc/rc.conf to enable mysql:
# mysql_enable (bool): Set to "NO" by default.
# Set it to "YES" to enable MySQL.
-%%LEGACY_LIMITS%%# mysql_limits (bool): Set to "NO" by default.
-%%LEGACY_LIMITS%%# Set it to yes to run `limits -e -U mysql`
-%%LEGACY_LIMITS%%# just before mysql starts.
# mysql_dbdir (str): Default to "%%MY_DBDIR%%"
# Base database directory.
# mysql_confdir (str): Default to "%%ETCDIR%%"
@@ -31,7 +28,6 @@ rcvar=mysql_enable
load_rc_config $name
: ${mysql_enable="NO"}
-%%LEGACY_LIMITS%%: ${mysql_limits="NO"}
: ${mysql_dbdir="%%MY_DBDIR%%"}
: ${mysql_confdir="%%ETCDIR%%"}
if [ -f "${mysql_dbdir}/my.cnf" ]; then
@@ -41,7 +37,6 @@ else
fi
mysql_user="mysql"
-%%LEGACY_LIMITS%%mysql_limits_args="-e -U ${mysql_user}"
: ${hostname:=`/bin/hostname`}
pidfile=${mysql_pidfile:-"${mysql_dbdir}/${hostname}.pid"}
command="/usr/sbin/daemon"
@@ -73,12 +68,7 @@ mysql_prestart()
if [ ! -d "${mysql_dbdir}/mysql" ]; then
mysql_create_auth_tables || return 1
fi
-%%LEGACY_LIMITS%% if checkyesno mysql_limits; then
-%%LEGACY_LIMITS%% eval `/usr/bin/limits ${mysql_limits_args}` 2>/dev/null
-%%LEGACY_LIMITS%% else
-%%LEGACY_LIMITS%% return 0
-%%LEGACY_LIMITS%% fi
-%%MODERN_LIMITS%% return 0
+ return 0
}
mysql_poststart()
diff --git a/databases/rocksdb/Makefile b/databases/rocksdb/Makefile
index aaa3333e1160..25b1c7115e11 100644
--- a/databases/rocksdb/Makefile
+++ b/databases/rocksdb/Makefile
@@ -20,7 +20,6 @@ LICENSE_FILE_GPLv2= ${WRKSRC}/COPYING
BROKEN_DragonFly= does not build on DragonFly BSD using GCC with -Werror
BROKEN_armv6?= does not build: db/c.cc:2281:44: implicit conversion loses integer precision: 'uint64_t' (aka 'unsigned long long') to 'size_t' (aka 'unsigned int')
BROKEN_armv7?= does not build: /nxb-bin/usr/bin/ld: undefined reference to symbol `__gnu_Unwind_Find_exidx@@FBSD_1.4' (try adding -lc) #'`
-BROKEN_FreeBSD_11_powerpc64= does not build: util/crc32c.cc:435:22: 'arch_ppc_probe' was not declared in this scope
BROKEN_FreeBSD_12_powerpc64= does not build: util/crc32c.cc:435:22: 'arch_ppc_probe' was not declared in this scope
BUILD_DEPENDS= bash:shells/bash
diff --git a/deskutils/ausweisapp2/Makefile b/deskutils/ausweisapp2/Makefile
index 2caae8f44f1f..a5403770f504 100644
--- a/deskutils/ausweisapp2/Makefile
+++ b/deskutils/ausweisapp2/Makefile
@@ -26,10 +26,4 @@ USE_QT= concurrent core declarative gui network quickcontrols2 svg \
CMAKE_ARGS= -DVENDOR=${PORTNAME}
MAKE_ENV= DESTDIR=${STAGEDIR}
-.include <bsd.port.options.mk>
-
-.if ${SSL_DEFAULT} == base && ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-CMAKE_ON+= FORCE_LEGACY_OPENSSL
-.endif
-
.include <bsd.port.mk>
diff --git a/deskutils/easystroke/Makefile b/deskutils/easystroke/Makefile
index 39608e990991..aef28bd419a0 100644
--- a/deskutils/easystroke/Makefile
+++ b/deskutils/easystroke/Makefile
@@ -10,7 +10,6 @@ COMMENT= Gesture-recognition application for X11
LICENSE= ISCL
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11_powerpc64= fails to build on powerpc64 elfv1: handler.cc:560:27: call of overloaded 'abs(float&)' is ambiguous
BROKEN_FreeBSD_12_powerpc64= fails to build on powerpc64 elfv1: handler.cc:560:27: call of overloaded 'abs(float&)' is ambiguous
BUILD_DEPENDS= help2man:misc/help2man \
diff --git a/deskutils/nextcloudclient/Makefile b/deskutils/nextcloudclient/Makefile
index 7e15a77d45a2..52a21e0638c8 100644
--- a/deskutils/nextcloudclient/Makefile
+++ b/deskutils/nextcloudclient/Makefile
@@ -51,10 +51,6 @@ PLIST_SUB= VERSION=${PORTVERSION}
CMAKE_ARGS+= -DCMAKE_BUILD_TYPE:STRING=Debug
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && !${SSL_DEFAULT:Mopenssl}
-BROKEN= nextcloudclient requires OpenSSL 1.1.0, add DEFAULT_VERSIONS+=ssl=openssl to /etc/make.conf
-.endif
-
post-patch:
@${REINPLACE_CMD} -e \
's|.lst |.lst.sample |' ${WRKSRC}/CMakeLists.txt
diff --git a/deskutils/sysctlview/Makefile b/deskutils/sysctlview/Makefile
index e9b6c135e699..db79bf2b68ba 100644
--- a/deskutils/sysctlview/Makefile
+++ b/deskutils/sysctlview/Makefile
@@ -29,9 +29,6 @@ DESKTOP_ENTRIES= "Sysctlview" \
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200019
-IGNORE= needs oid_label member of struct sysctl_oid defined in sysctl.h which was first introduced in FreeBSD 12
-.endif
.if ${OPSYS} != FreeBSD
IGNORE= not supported on anything but FreeBSD
.endif
diff --git a/devel/Makefile b/devel/Makefile
index d83b64e5ac6e..608452aafb38 100644
--- a/devel/Makefile
+++ b/devel/Makefile
@@ -5459,7 +5459,6 @@
SUBDIR += pytype
SUBDIR += qbs
SUBDIR += qca
- SUBDIR += qca-legacy
SUBDIR += qconf
SUBDIR += qgit
SUBDIR += qjson
diff --git a/devel/R-cran-data.table/Makefile b/devel/R-cran-data.table/Makefile
index 2a5979e75e33..596ecf8c87b7 100644
--- a/devel/R-cran-data.table/Makefile
+++ b/devel/R-cran-data.table/Makefile
@@ -22,20 +22,10 @@ NO_ARCH_IGNORE= datatable.so
.include <bsd.port.options.mk>
-.if ${ARCH} == i386 && ${OSVERSION} < 1202000
-# See PR 230888 : Missing 64 bit atomic functions for i386
-USES+= compiler:gcc-c++11-lib
-.elif defined(PPC_ABI) && ${PPC_ABI} == ELFv1
+.if defined(PPC_ABI) && ${PPC_ABI} == ELFv1
USE_GCC= yes
.else
USES+= cran:compiles
.endif
-.if ${ARCH} == i386 && ${OSVERSION} < 1202000
-# See PR 230888 : Missing 64 bit atomic functions for i386
-post-patch:
- @${REINPLACE_CMD} -e '/^PKG_LIBS/s|$$| -latomic|' \
- ${WRKSRC}/src/Makevars.in
-.endif
-
.include <bsd.port.mk>
diff --git a/devel/aml/files/patch-freebsd11 b/devel/aml/files/patch-freebsd11
deleted file mode 100644
index 525b61680b18..000000000000
--- a/devel/aml/files/patch-freebsd11
+++ /dev/null
@@ -1,57 +0,0 @@
-Drop after FreeBSD 11 EOL around 2021-09-30
-https://github.com/freebsd/freebsd-src/commit/92bb8c680916
-https://github.com/freebsd/freebsd-src/commit/2b34e8433514
-
-Header <sys/event.h> has symbol "kqueue" : NO
-meson.build:62:1: ERROR: Problem encountered: Unsupported system
-
-Compiler stderr:
- In file included from _build/meson-private/tmp0rptdqs6/testfile.c:2:
-/usr/include/sys/event.h:75:2: error: unknown type name 'uintptr_t'
- uintptr_t ident; /* identifier for this event */
- ^
-/usr/include/sys/event.h:77:2: error: unknown type name 'u_short'; did you mean 'short'?
- u_short flags; /* action flags for kqueue */
- ^
-/usr/include/sys/event.h:78:2: error: unknown type name 'u_int'
- u_int fflags; /* filter flag value */
- ^
-/usr/include/sys/event.h:79:2: error: unknown type name 'intptr_t'
- intptr_t data; /* filter data value */
- ^
-In file included from ../src/kqueue.c:20:
-/usr/include/sys/event.h:77:2: error: unknown type name 'u_short'; did you mean 'short'?
- u_short flags; /* action flags for kqueue */
- ^
-/usr/include/sys/event.h:78:2: error: unknown type name 'u_int'
- u_int fflags; /* filter flag value */
- ^
-../src/kqueue.c:184:20: error: use of undeclared identifier 'NOTE_ABSTIME'
- NOTE_MSECONDS | NOTE_ABSTIME, deadline, NULL);
- ^
-
---- meson.build.orig 2020-12-31 12:37:18 UTC
-+++ meson.build
-@@ -50,7 +50,7 @@ sources = [
- ]
-
- have_epoll = cc.has_header_symbol('sys/epoll.h', 'epoll_create')
--have_kqueue = cc.has_header_symbol('sys/event.h', 'kqueue')
-+have_kqueue = cc.has_header_symbol('sys/event.h', 'kqueue', prefix: '#include <sys/types.h>')
-
- if have_epoll
- sources += 'src/epoll.c'
---- src/kqueue.c.orig 2020-12-31 12:37:18 UTC
-+++ src/kqueue.c
-@@ -17,6 +17,11 @@
- #include "aml.h"
- #include "backend.h"
-
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+#define NOTE_ABSTIME 0
-+typedef unsigned short u_short;
-+typedef unsigned int u_int;
-+#endif
- #include <sys/event.h>
- #include <stdlib.h>
- #include <unistd.h>
diff --git a/devel/android-tools-simpleperf/files/Makefile b/devel/android-tools-simpleperf/files/Makefile
index 5d09c63353fa..84d22861cfb1 100644
--- a/devel/android-tools-simpleperf/files/Makefile
+++ b/devel/android-tools-simpleperf/files/Makefile
@@ -61,7 +61,6 @@ SRCS+= FileMap.cpp
.PATH: ${.CURDIR}/../libziparchive
SRCS+= zip_archive.cc
-CPPFLAGS+= -D_WITH_GETLINE
CPPFLAGS+= -DUSE_BIONIC_UAPI_HEADERS
CPPFLAGS+= -Doff64_t=off_t
CPPFLAGS+= -Dftruncate64=ftruncate
diff --git a/devel/basu/Makefile b/devel/basu/Makefile
index 4c3a812d9b1c..7f0b49f53834 100644
--- a/devel/basu/Makefile
+++ b/devel/basu/Makefile
@@ -20,9 +20,4 @@ USES= compiler:c11 gperf meson python:build shebangfix
USE_LDCONFIG= yes
SHEBANG_FILES= src/basic/generate-gperfs.py
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# bus-error.c:(.text.bus_error_name_to_errno+0x9a): undefined reference to '__start_BUS_ERROR_MAP'
-LDFLAGS+= -fuse-ld=lld
-.endif
-
.include <bsd.port.mk>
diff --git a/devel/bazel/Makefile b/devel/bazel/Makefile
index 6d06454c2b07..4c28f2a03c49 100644
--- a/devel/bazel/Makefile
+++ b/devel/bazel/Makefile
@@ -15,7 +15,6 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
BROKEN_aarch64= fails to build: java.lang.OutOfMemoryError: Java heap space
BROKEN_armv6= fails to package: cp: bazel: No such file or directory
BROKEN_armv7= fails to package: cp: bazel: No such file or directory
-BROKEN_FreeBSD_11_powerpc64= fails to compile: Action failed to execute: java.io.IOException: Cannot run program /usr/bin/clang
BROKEN_FreeBSD_12_powerpc64= fails to compile: Action failed to execute: java.io.IOException: Cannot run program /usr/bin/clang
BUILD_DEPENDS= bash:shells/bash \
diff --git a/devel/bazel029/Makefile b/devel/bazel029/Makefile
index cfcb4be4fcb4..16b5cd74987d 100644
--- a/devel/bazel029/Makefile
+++ b/devel/bazel029/Makefile
@@ -17,7 +17,6 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
BROKEN_aarch64= fails to build: java.lang.OutOfMemoryError: Java heap space
BROKEN_armv6= fails to package: cp: bazel: No such file or directory
BROKEN_armv7= fails to package: cp: bazel: No such file or directory
-BROKEN_FreeBSD_11_powerpc64= fails to compile: Action failed to execute: java.io.IOException: Cannot run program /usr/bin/clang
BROKEN_FreeBSD_12_powerpc64= fails to compile: Action failed to execute: java.io.IOException: Cannot run program /usr/bin/clang
BUILD_DEPENDS= bash:shells/bash \
diff --git a/devel/bear/Makefile b/devel/bear/Makefile
index abf782b396a5..c5dfea8d5b7f 100644
--- a/devel/bear/Makefile
+++ b/devel/bear/Makefile
@@ -30,13 +30,6 @@ CMAKE_ARGS= -DCMAKE_INSTALL_DOCDIR=${DOCSDIR} \
OPTIONS_DEFINE= DOCS
-.include <bsd.port.options.mk>
-
-# Patch 11.x, which requires #define _WITH_DPRINTF
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-EXTRA_PATCHES= ${PATCHDIR}/extra-patch-source_intercept_source_report_libexec_Logger.cc
-.endif
-
pre-install:
${MV} ${STAGEDIR}/${CONFIGURE_WRKSRC}/stage ${CONFIGURE_WRKSRC}/
${RM} -r ${STAGEDIR}/wrkdirs
diff --git a/devel/bear/files/extra-patch-source_intercept_source_report_libexec_Logger.cc b/devel/bear/files/extra-patch-source_intercept_source_report_libexec_Logger.cc
deleted file mode 100644
index 91cdee1891a8..000000000000
--- a/devel/bear/files/extra-patch-source_intercept_source_report_libexec_Logger.cc
+++ /dev/null
@@ -1,10 +0,0 @@
---- source/intercept/source/report/libexec/Logger.cc.orig 2021-07-22 21:19:02 UTC
-+++ source/intercept/source/report/libexec/Logger.cc
-@@ -20,6 +20,7 @@
- #include "report/libexec/Logger.h"
-
- #include <ctime>
-+#define _WITH_DPRINTF
- #include <cstdio>
- #include <unistd.h>
-
diff --git a/devel/bitkeeper/Makefile b/devel/bitkeeper/Makefile
index 9de99f1af708..c34b83d73542 100644
--- a/devel/bitkeeper/Makefile
+++ b/devel/bitkeeper/Makefile
@@ -14,7 +14,6 @@ LICENSE= APACHE20
BROKEN_aarch64= ld: error: undefined symbol: fpsetround
BROKEN_riscv64= fails to compile: src/gui/tcltk/tcl/unix/tclUnixInit.c:401:16: error: use of undeclared identifier 'FP_RN'
-BROKEN_FreeBSD_11= perl: No such file or directory
BUILD_DEPENDS= ${LOCALBASE}/bin/gperf:devel/gperf \
${LOCALBASE}/include/tommath.h:math/libtommath \
diff --git a/devel/concurrencpp/Makefile b/devel/concurrencpp/Makefile
index 5eb8b44fb24d..2ac84cc48431 100644
--- a/devel/concurrencpp/Makefile
+++ b/devel/concurrencpp/Makefile
@@ -9,8 +9,6 @@ COMMENT= C++ concurrency library: tasks, executors, timers, C++20 coroutines
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE.txt
-BROKEN_FreeBSD_11= fatal error: 'semaphore' file not found
-
USES= cmake compiler:c++17-lang # should be compiler:c++20-lang
USE_GITHUB= yes
diff --git a/devel/creduce/Makefile b/devel/creduce/Makefile
index e1d9811acfe0..d0cf2295c97f 100644
--- a/devel/creduce/Makefile
+++ b/devel/creduce/Makefile
@@ -18,7 +18,6 @@ RUN_DEPENDS= llvm-config${LLVM_VER}:devel/llvm${LLVM_VER} \
p5-Sys-CPU>=0:devel/p5-Sys-CPU \
p5-Getopt-Tabular>=0:devel/p5-Getopt-Tabular
-BROKEN_FreeBSD_11_powerpc64= fails to configure: cannot compile and link test program with selected LLVM
BROKEN_FreeBSD_12_powerpc64= fails to configure: cannot compile and link test program with selected LLVM
GNU_CONFIGURE= yes
diff --git a/devel/dwarves/Makefile b/devel/dwarves/Makefile
index 3d58d2be38c9..9df1cebaaf2f 100644
--- a/devel/dwarves/Makefile
+++ b/devel/dwarves/Makefile
@@ -14,8 +14,6 @@ LICENSE_FILE_BSD2CLAUSE= ${WRKSRC}/lib/bpf/LICENSE.BSD-2-Clause
LICENSE_FILE_GPLv2= ${WRKSRC}/COPYING
LICENSE_FILE_LGPL21= ${WRKSRC}/lib/bpf/LICENSE.LPGL-2.1
-IGNORE_FreeBSD_11= inherited from dependency devel/elfutils
-
BUILD_DEPENDS= gnulib>=0:devel/gnulib
LIB_DEPENDS= libargp.so:devel/argp-standalone \
libdw.so:devel/elfutils
diff --git a/devel/elfutils/Makefile b/devel/elfutils/Makefile
index 392a9404e949..894ce37687dc 100644
--- a/devel/elfutils/Makefile
+++ b/devel/elfutils/Makefile
@@ -14,7 +14,6 @@ LICENSE_FILE_GPLv3+ = ${WRKSRC}/COPYING
LICENSE_FILE_GPLv2+ = ${WRKSRC}/COPYING-GPLV2
LICENSE_FILE_LGPL3= ${WRKSRC}/COPYING-LGPLV3
-IGNORE_FreeBSD_11= fails to build: fails to compile dwarf_abbrev_hash.c
BROKEN_armv6= fails to build: fails to compile i386_disasm.c
BROKEN_sparc64= sparc patch does not apply cleanly to 0.172
diff --git a/devel/evemu/Makefile b/devel/evemu/Makefile
index 4bd81b9c0404..b6c8a518cdde 100644
--- a/devel/evemu/Makefile
+++ b/devel/evemu/Makefile
@@ -30,7 +30,7 @@ PYTHON_CONFIGURE_ENABLE= python-bindings
PYTHON_USE= PYTHON=py3kplist
GNU_CONFIGURE= yes
-CFLAGS+= -D_WITH_DPRINTF -include stdlib.h -include limits.h
+CFLAGS+= -include stdlib.h -include limits.h
USE_LDCONFIG= yes
INSTALL_TARGET= install-strip
REINPLACE_ARGS= -i ''
diff --git a/devel/folly/Makefile b/devel/folly/Makefile
index 61f9b340d7c2..90826110873d 100644
--- a/devel/folly/Makefile
+++ b/devel/folly/Makefile
@@ -9,7 +9,6 @@ COMMENT= C++ library developed and used at Facebook
LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11= bug in folly, confusion with Jemalloc: https://github.com/facebook/folly/issues/1458
BROKEN_i386= error: use of undeclared identifier 'DCHECK': https://github.com/facebook/folly/issues/1168
LIB_DEPENDS= libboost_atomic.so:devel/boost-libs \
diff --git a/devel/freebsd-sysroot/Makefile b/devel/freebsd-sysroot/Makefile
index ee697818f2ed..80a5e836cf29 100644
--- a/devel/freebsd-sysroot/Makefile
+++ b/devel/freebsd-sysroot/Makefile
@@ -95,8 +95,6 @@ DISTFILES:= ${FLAVORS:O:@_flavor@${:!${SETENV} FLAVOR=${_flavor} ${MAKE} -V'DIST
.if ${OPSYS} != FreeBSD
IGNORE= is only for FreeBSD
-.elif ${OSVERSION} < 1202000
-IGNORE= is only for FreeBSD 12.2-RELEASE or greater
.elif ${FLAVOR} == powerpc64le && ${OSVERSION} < 1300139
IGNORE= is only for FreeBSD 13.0-RELEASE or greater
.endif
diff --git a/devel/goredo/Makefile b/devel/goredo/Makefile
index 774f77a4abc0..3c16ffc1f54a 100644
--- a/devel/goredo/Makefile
+++ b/devel/goredo/Makefile
@@ -16,10 +16,4 @@ WRKSRC_SUBDIR= src
PLIST_FILES= bin/${PORTNAME}
-.include <bsd.port.options.mk>
-
-.if ${OSVERSION} < 1200000
-EXTRACT_DEPENDS= zstd:archivers/zstd # 11 doesn't have the 'zstd' executable that tar(1) expects: Error opening archive: Can't initialize filter; unable to run program "zstd -d -qq"
-.endif
-
.include <bsd.port.mk>
diff --git a/devel/hs-ShellCheck/Makefile b/devel/hs-ShellCheck/Makefile
index 2d30703f715e..8fbeb883719c 100644
--- a/devel/hs-ShellCheck/Makefile
+++ b/devel/hs-ShellCheck/Makefile
@@ -47,10 +47,6 @@ EXECUTABLES= shellcheck
OPTIONS_DEFINE= MANPAGES
OPTIONS_DEFAULT= MANPAGES
-# hs-pandoc is broken on 11.4 i386 due to missing __atomic_load_8;
-# make sure we still have a package (just without a manual) there
-# anyway.
-OPTIONS_EXCLUDE= ${${ARCH} == i386 && ${OPSYS} == FreeBSD && ${OSVERSION} < 1201525:?MANPAGES:}
MANPAGES_BUILD_DEPENDS= pandoc:textproc/hs-pandoc
MANPAGES_PLIST_FILES= share/man/man1/shellcheck.1.gz
diff --git a/devel/indi/Makefile b/devel/indi/Makefile
index 03e54056d60f..73612acfb912 100644
--- a/devel/indi/Makefile
+++ b/devel/indi/Makefile
@@ -8,8 +8,6 @@ COMMENT= Implementation of the Instrument-Neutral-Device-Interface protocol
LICENSE= LGPL21
-BROKEN_FreeBSD_11= error: use of undeclared identifier 'TIME_UTC'
-
BUILD_DEPENDS= ${LOCALBASE}/include/linux/videodev2.h:multimedia/v4l_compat
LIB_DEPENDS= libcfitsio.so:astro/cfitsio \
libnova.so:astro/libnova \
diff --git a/devel/juce/Makefile b/devel/juce/Makefile
index b7610a84cabe..9b549abd6204 100644
--- a/devel/juce/Makefile
+++ b/devel/juce/Makefile
@@ -11,8 +11,6 @@ LICENSE_NAME= JUCE 6 End User License Agreement
LICENSE_FILE= ${WRKSRC}/LICENSE.md
LICENSE_PERMS= auto-accept dist-mirror pkg-mirror
-BROKEN_FreeBSD_11= error: use of undeclared identifier 'pthread_setname_np'
-
BUILD_DEPENDS= ladspa>0:audio/ladspa
LIB_DEPENDS= libasound.so:audio/alsa-lib \
libfreetype.so:print/freetype2 \
diff --git a/devel/llbuild/Makefile b/devel/llbuild/Makefile
index bb45d4208218..51b2f1aa8597 100644
--- a/devel/llbuild/Makefile
+++ b/devel/llbuild/Makefile
@@ -13,7 +13,6 @@ LICENSE_FILE_APACHE20= ${WRKSRC}/LICENSE.txt
BROKEN_aarch64= fails to link: undefined symbol: sbrk
BROKEN_riscv64= fails to link: undefined symbol: sbrk
-BROKEN_FreeBSD_11_powerpc64= fails to build on powerpc64 elfv1: unrecognized command line option "-Wdocumentation"
BROKEN_FreeBSD_12_powerpc64= fails to build on powerpc64 elfv1: unrecognized command line option "-Wdocumentation"
LIB_DEPENDS= libsqlite3.so:databases/sqlite3
diff --git a/devel/llvm10/Makefile b/devel/llvm10/Makefile
index eece54aaa40a..77a0200ee703 100644
--- a/devel/llvm10/Makefile
+++ b/devel/llvm10/Makefile
@@ -423,12 +423,6 @@ _COMPILER_RT_LIBS+= \
libclang_rt.ubsan_standalone_cxx-i386.a
.endif
-# Use lld for armv6 on clang 7 and up to avoid binutils ld issues
-# PR: 235282
-.if ${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 70
-LDFLAGS_armv6=-fuse-ld=lld
-.endif
-
.if ${ARCH} == "armv6"
BUILD_DEPENDS+= ${LOCALBASE}/bin/ld:devel/binutils
CONFIGURE_ENV+= COMPILER_PATH=${LOCALBASE}/bin
diff --git a/devel/llvm11/Makefile b/devel/llvm11/Makefile
index 2279478fb63e..5169370c65af 100644
--- a/devel/llvm11/Makefile
+++ b/devel/llvm11/Makefile
@@ -417,12 +417,6 @@ _COMPILER_RT_LIBS+= \
libclang_rt.ubsan_standalone_cxx-i386.a
.endif
-# Use lld for armv6 on clang 7 and up to avoid binutils ld issues
-# PR: 235282
-.if ${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 70
-LDFLAGS_armv6=-fuse-ld=lld
-.endif
-
.if ${ARCH} == "armv6"
BUILD_DEPENDS+= ${LOCALBASE}/bin/ld:devel/binutils
CONFIGURE_ENV+= COMPILER_PATH=${LOCALBASE}/bin
diff --git a/devel/llvm12/Makefile b/devel/llvm12/Makefile
index 86f94ffc5e0e..3a8cc22c1b28 100644
--- a/devel/llvm12/Makefile
+++ b/devel/llvm12/Makefile
@@ -437,12 +437,6 @@ _COMPILER_RT_BLACKLISTS+= asan_blacklist.txt
_COMPILER_RT_LIBS+= ${_COMPILER_RT_LIBS_i386}
.endif
-# Use lld for armv6 on clang 7 and up to avoid binutils ld issues
-# PR: 235282
-.if ${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 70
-LDFLAGS_armv6=-fuse-ld=lld
-.endif
-
.if ${ARCH} == "armv6"
BUILD_DEPENDS+= ${LOCALBASE}/bin/ld:devel/binutils
CONFIGURE_ENV+= COMPILER_PATH=${LOCALBASE}/bin
diff --git a/devel/llvm13/Makefile b/devel/llvm13/Makefile
index 593a2bcc127f..ad62fcc370d1 100644
--- a/devel/llvm13/Makefile
+++ b/devel/llvm13/Makefile
@@ -99,7 +99,6 @@ OPTIONS_DEFAULT_powerpc64= ${OPTIONS_DEFAULT_powerpc64_${OSREL:R}} OPENMP
OPTIONS_DEFAULT_powerpc64_13= GOLD
OPTIONS_DEFAULT_powerpc64_14= GOLD
OPTIONS_DEFAULT_powerpc64le= GOLD OPENMP
-OPTIONS_EXCLUDE_FreeBSD_11= COMPILER_RT
OPTIONS_EXCLUDE_i386= FLANG
OPTIONS_EXCLUDE_powerpc= FLANG
OPTIONS_DEFAULT_riscv64= OPENMP
@@ -476,12 +475,6 @@ _COMPILER_RT_BLACKLISTS+= asan_ignorelist.txt
_COMPILER_RT_LIBS+= ${_COMPILER_RT_LIBS_i386}
.endif
-# Use lld for armv6 on clang 7 and up to avoid binutils ld issues
-# PR: 235282
-.if ${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 70
-LDFLAGS_armv6=-fuse-ld=lld
-.endif
-
.if ${ARCH} == "armv6"
BUILD_DEPENDS+= ${LOCALBASE}/bin/ld:devel/binutils
CONFIGURE_ENV+= COMPILER_PATH=${LOCALBASE}/bin
diff --git a/devel/llvm70/Makefile b/devel/llvm70/Makefile
index 6c9a425f441f..f669bc190c5d 100644
--- a/devel/llvm70/Makefile
+++ b/devel/llvm70/Makefile
@@ -196,12 +196,6 @@ MAN1SRCS+= bugpoint.1 dsymutil.1 llc.1 lli.1 llvm-ar.1 llvm-as.1 \
.include <bsd.port.pre.mk>
.include "${.CURDIR}/Makefile.COMMANDS"
-# Use lld for armv6 on clang 7 and up to avoid binutils ld issues
-# PR: 235282
-.if ${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 70
-LDFLAGS_armv6=-fuse-ld=lld
-.endif
-
_CRTLIBDIR= ${LLVM_DIR}/lib/clang/${LLVM_RELEASE}/lib/freebsd
_CRTBLDIR= ${LLVM_DIR}/share
_COMPILER_RT_BLACKLISTS= cfi_blacklist.txt
diff --git a/devel/llvm80/Makefile b/devel/llvm80/Makefile
index a4dff03c7499..399ee8acad7e 100644
--- a/devel/llvm80/Makefile
+++ b/devel/llvm80/Makefile
@@ -364,12 +364,6 @@ _COMPILER_RT_LIBS+= \
libclang_rt.ubsan_standalone_cxx-i386.a
.endif
-# Use lld for armv6 on clang 7 and up to avoid binutils ld issues
-# PR: 235282
-.if ${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 70
-LDFLAGS_armv6=-fuse-ld=lld
-.endif
-
.if ${ARCH} == "armv6"
BUILD_DEPENDS+= ${LOCALBASE}/bin/ld:devel/binutils
CONFIGURE_ENV+= COMPILER_PATH=${LOCALBASE}/bin
diff --git a/devel/llvm90/Makefile b/devel/llvm90/Makefile
index b265c5bdfeda..0c0e0443e19c 100644
--- a/devel/llvm90/Makefile
+++ b/devel/llvm90/Makefile
@@ -396,12 +396,6 @@ _COMPILER_RT_LIBS+= \
libclang_rt.ubsan_standalone_cxx-i386.a
.endif
-# Use lld for armv6 on clang 7 and up to avoid binutils ld issues
-# PR: 235282
-.if ${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 70
-LDFLAGS_armv6=-fuse-ld=lld
-.endif
-
.if ${ARCH} == "armv6"
BUILD_DEPENDS+= ${LOCALBASE}/bin/ld:devel/binutils
CONFIGURE_ENV+= COMPILER_PATH=${LOCALBASE}/bin
diff --git a/devel/nextpnr/Makefile b/devel/nextpnr/Makefile
index 56d3a0e49a7c..dd3a56df513e 100644
--- a/devel/nextpnr/Makefile
+++ b/devel/nextpnr/Makefile
@@ -11,7 +11,6 @@ LICENSE_FILE= ${WRKSRC}/COPYING
NOT_FOR_ARCHS= i386
NOT_FOR_ARCHS_REASON= clang segfault
-BROKEN_FreeBSD_11_powerpc64= runaway build
BROKEN_FreeBSD_12_powerpc64= runaway build
BUILD_DEPENDS= ${LOCALBASE}/share/trellis/database:devel/trellis \
diff --git a/devel/p4/Makefile b/devel/p4/Makefile
index 7f0a72a5fed2..7d06b0b6c38c 100644
--- a/devel/p4/Makefile
+++ b/devel/p4/Makefile
@@ -21,7 +21,6 @@ LICENSE= BSD2CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE
BROKEN_mips64= fails to install: /wrkdirs/usr/ports/devel/p4/work/2016-1/p4-bin/p4: No such file or directory
-BROKEN_FreeBSD_11_powerpc64= fails to build: /bin/sh: clang++: not found
BROKEN_FreeBSD_12_powerpc64= fails to build: /bin/sh: clang++: not found
BUILD_DEPENDS= ${JAM}:devel/jam
diff --git a/devel/p4api/Makefile b/devel/p4api/Makefile
index ab04764ae936..4a46ad77a648 100644
--- a/devel/p4api/Makefile
+++ b/devel/p4api/Makefile
@@ -20,7 +20,6 @@ COMMENT= Perforce API (static libraries and header files)
LICENSE= BSD2CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11_powerpc64= fails to build: /bin/sh: clang++: not found
BROKEN_FreeBSD_12_powerpc64= fails to build: /bin/sh: clang++: not found
BUILD_DEPENDS= ${JAM}:devel/jam
diff --git a/devel/performance/Makefile b/devel/performance/Makefile
index 943b70007490..2b19d9fdb5ed 100644
--- a/devel/performance/Makefile
+++ b/devel/performance/Makefile
@@ -13,7 +13,6 @@ LICENSE= LGPL3
BROKEN_aarch64= fails to build: gmake[2]: No rule to make target 'Performance/dependencies', needed by 'internal-doc-all_'. Stop.
BROKEN_armv7= fails to build: gmake[2]: No rule to make target 'Performance/dependencies', needed by 'internal-doc-all_'. Stop.
BROKEN_powerpc64= fails to build: gmake[2]: No rule to make target 'Performance/dependencies', needed by 'internal-doc-all_'. Stop.
-BROKEN_FreeBSD_11= fails to build: gmake[2]: No rule to make target 'Performance/dependencies', needed by 'internal-doc-all_'. Stop.
USES= gnustep
USE_GNUSTEP= base build
diff --git a/devel/ptlib/Makefile b/devel/ptlib/Makefile
index f089911924a8..db16213ae119 100644
--- a/devel/ptlib/Makefile
+++ b/devel/ptlib/Makefile
@@ -48,7 +48,7 @@ OPTIONS_DEFINE+= BSDVIDEO
OPTIONS_DEFAULT+= BSDVIDEO
.endif
-.if (${OPSYS} == FreeBSD && ${OSVERSION} > 1200085 && ${SSL_DEFAULT} == base) || ${SSL_DEFAULT} == openssl
+.if (${OPSYS} == FreeBSD && ${SSL_DEFAULT} == base) || ${SSL_DEFAULT} == openssl
EXTRA_PATCHES+= ${FILESDIR}/extra-patch-src_ptclib_pssl.cxx-openssl111
.else
EXTRA_PATCHES+= ${FILESDIR}/extra-patch-src_ptclib_pssl.cxx
diff --git a/devel/py-keystone-engine/Makefile b/devel/py-keystone-engine/Makefile
index 150fffa9b1fe..7e6fb3aadd77 100644
--- a/devel/py-keystone-engine/Makefile
+++ b/devel/py-keystone-engine/Makefile
@@ -10,7 +10,6 @@ COMMENT= Keystone Assembler Engine with Python bindings
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE.TXT
-BROKEN_FreeBSD_11_powerpc64= fails to install: /wrkdirs/usr/ports/devel/py-keystone-engine/work-py36/keystone-engine-0.9.1-3/src/build/llvm/lib/libkeystone.so: No such file or directory
BROKEN_FreeBSD_12_powerpc64= fails to install: /wrkdirs/usr/ports/devel/py-keystone-engine/work-py36/keystone-engine-0.9.1-3/src/build/llvm/lib/libkeystone.so: No such file or directory
BUILD_DEPENDS= cmake:devel/cmake
diff --git a/devel/py-pycapsicum/files/patch-__pycapsicum.c b/devel/py-pycapsicum/files/patch-__pycapsicum.c
deleted file mode 100644
index c3afb603e956..000000000000
--- a/devel/py-pycapsicum/files/patch-__pycapsicum.c
+++ /dev/null
@@ -1,16 +0,0 @@
-https://github.com/stillson/pycapsicum2/pull/3
-
---- _pycapsicum.c.orig 2020-03-22 05:41:16 UTC
-+++ _pycapsicum.c
-@@ -32,11 +32,7 @@
- #include <fcntl.h>
-
- #include "Python.h"
--#if OSVERSION < 1020000
--#include "sys/capability.h"
--#else
- #include "sys/capsicum.h"
--#endif
- #include "sys/caprights.h"
- #include "structmember.h"
-
diff --git a/devel/qca-legacy/Makefile b/devel/qca-legacy/Makefile
deleted file mode 100644
index ef6104fec0c5..000000000000
--- a/devel/qca-legacy/Makefile
+++ /dev/null
@@ -1,58 +0,0 @@
-# Created by: Vsevolod Stakhov <vsevolod@highsecure.ru>
-
-PORTNAME= qca
-PORTVERSION= 2.2.1
-PORTREVISION= 6
-CATEGORIES= devel
-MASTER_SITES= KDE/stable/qca/${PORTVERSION}
-PKGNAMESUFFIX= -legacy-qt5
-
-MAINTAINER= kde@FreeBSD.org
-COMMENT= Cross-platform crypto API for Qt ${FLAVOR:C/qt//} -- for FreeBSD 11
-
-LICENSE= LGPL21
-LICENSE_FILE= ${WRKSRC}/COPYING
-
-CONFLICTS_INSTALL= qca-qt5-*
-
-BUILD_DEPENDS= ${LOCALBASE}/share/certs/ca-root-nss.crt:security/ca_root_nss
-RUN_DEPENDS= ${LOCALBASE}/share/certs/ca-root-nss.crt:security/ca_root_nss
-
-USES= cmake compiler:c++11-lang qt:5 tar:xz
-CMAKE_ARGS= -DBUILD_PLUGINS=none -DBUILD_TESTS=no \
- -DPKGCONFIG_INSTALL_PREFIX=${PREFIX}/libdata/pkgconfig \
- -DQCA_FEATURE_INSTALL_DIR=${QT_MKSPECDIR}/features \
- -DQCA_MAN_INSTALL_DIR=${PREFIX}/man
-CONFIGURE_ENV= QC_CERTSTORE_PATH=${LOCALBASE}/share/certs/ca-root-nss.crt
-USE_LDCONFIG= yes
-
-CMAKE_ARGS+= -DQCA_SUFFIX=qt5
-USE_QT= core buildtools_build qmake_build
-
-PLIST_SUB= SHLIB_VER=${PORTVERSION}
-
-OPTIONS_DEFINE= BOTAN GNUPG OPENSSL SASL TEST
-OPTIONS_DEFAULT=GNUPG OPENSSL
-OPTIONS_SUB= yes
-
-BOTAN_CMAKE_ON= -DWITH_botan_PLUGIN=yes
-BOTAN_DESC= Build with Botan crypto library
-BOTAN_LIB_DEPENDS= libbotan-2.so:security/botan2
-BOTAN_USES= pkgconfig
-
-GNUPG_CMAKE_ON= -DWITH_gnupg_PLUGIN=yes
-GNUPG_RUN_DEPENDS= gpg2:security/gnupg
-
-OPENSSL_CMAKE_ON= -DWITH_ossl_PLUGIN=yes
-OPENSSL_USES= ssl
-
-SASL_CMAKE_ON= -DWITH_cyrus-sasl_PLUGIN=yes
-SASL_LIB_DEPENDS= libsasl2.so:security/cyrus-sasl2
-
-TEST_CMAKE_BOOL= BUILD_TESTS
-TEST_TEST_TARGET= test
-TEST_USE= QT=network,testlib
-
-PORTSCOUT= limit:^2\.2\.1
-
-.include <bsd.port.mk>
diff --git a/devel/qca-legacy/distinfo b/devel/qca-legacy/distinfo
deleted file mode 100644
index b4e73a9c7888..000000000000
--- a/devel/qca-legacy/distinfo
+++ /dev/null
@@ -1,3 +0,0 @@
-TIMESTAMP = 1556314674
-SHA256 (qca-2.2.1.tar.xz) = d716d2d8e3ed8d95bbdb061f03081d7d032206f746a30a4d29d72196f50e7b02
-SIZE (qca-2.2.1.tar.xz) = 691676
diff --git a/devel/qca-legacy/files/patch-plugins_qca-botan_CMakeLists.txt b/devel/qca-legacy/files/patch-plugins_qca-botan_CMakeLists.txt
deleted file mode 100644
index fa9fe230c79a..000000000000
--- a/devel/qca-legacy/files/patch-plugins_qca-botan_CMakeLists.txt
+++ /dev/null
@@ -1,10 +0,0 @@
---- plugins/qca-botan/CMakeLists.txt.orig 2019-04-24 12:58:14 UTC
-+++ plugins/qca-botan/CMakeLists.txt
-@@ -16,6 +16,7 @@ if(BOTAN_FOUND)
- set_property(TARGET qca-botan PROPERTY SUFFIX ".dylib")
- endif()
-
-+ target_link_directories(qca-botan PRIVATE ${BOTAN_LIBRARY_DIRS})
- target_link_libraries(qca-botan ${QT_QTCORE_LIBRARY} ${QCA_LIB_NAME} ${BOTAN_LIBRARIES})
-
- if(NOT DEVELOPER_MODE)
diff --git a/devel/qca-legacy/files/patch-plugins_qca-ossl_ossl110-compat.h b/devel/qca-legacy/files/patch-plugins_qca-ossl_ossl110-compat.h
deleted file mode 100644
index a0e197ef3e4e..000000000000
--- a/devel/qca-legacy/files/patch-plugins_qca-ossl_ossl110-compat.h
+++ /dev/null
@@ -1,49 +0,0 @@
---- plugins/qca-ossl/ossl110-compat.h.orig 2019-04-24 12:58:14 UTC
-+++ plugins/qca-ossl/ossl110-compat.h
-@@ -205,22 +205,6 @@ static int RSA_meth_set_priv_dec(RSA_METHOD *rsa, int
- return 1;
- }
-
--static int RSA_meth_set_sign(RSA_METHOD *meth, int (*sign) (int type, const unsigned char *m,
-- unsigned int m_length, unsigned char *sigret, unsigned int *siglen, const RSA *rsa))
--{
-- if (!meth) return 0;
-- meth->rsa_sign = sign;
-- return 1;
--}
--
--static int RSA_meth_set_verify(RSA_METHOD *meth, int (*verify) (int dtype, const unsigned char *m,
-- unsigned int m_length, const unsigned char *sigbuf, unsigned int siglen, const RSA *rsa))
--{
-- if (!meth) return 0;
-- meth->rsa_verify = verify;
-- return 1;
--}
--
- static int RSA_meth_set_finish(RSA_METHOD *meth, int (*finish) (RSA *rsa))
- {
- if (!meth) return 0;
-@@ -271,5 +255,23 @@ static void HMAC_CTX_free(HMAC_CTX *ctx)
- #define X509_REVOKED_get0_revocationDate(rev) (rev)->revocationDate
-
- #endif // OPENSSL_VERSION_NUMBER < 0x10100000L
-+
-+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
-+static int RSA_meth_set_sign(RSA_METHOD *meth, int (*sign) (int type, const unsigned char *m,
-+ unsigned int m_length, unsigned char *sigret, unsigned int *siglen, const RSA *rsa))
-+{
-+ if (!meth) return 0;
-+ meth->rsa_sign = sign;
-+ return 1;
-+}
-+
-+static int RSA_meth_set_verify(RSA_METHOD *meth, int (*verify) (int dtype, const unsigned char *m,
-+ unsigned int m_length, const unsigned char *sigbuf, unsigned int siglen, const RSA *rsa))
-+{
-+ if (!meth) return 0;
-+ meth->rsa_verify = verify;
-+ return 1;
-+}
-+#endif // (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
-
- #endif // OSSL110COMPAT_H
diff --git a/devel/qca-legacy/files/patch-plugins_qca-ossl_qca-ossl.cpp b/devel/qca-legacy/files/patch-plugins_qca-ossl_qca-ossl.cpp
deleted file mode 100644
index a5ddc5f874ad..000000000000
--- a/devel/qca-legacy/files/patch-plugins_qca-ossl_qca-ossl.cpp
+++ /dev/null
@@ -1,44 +0,0 @@
---- plugins/qca-ossl/qca-ossl.cpp.orig 2019-04-24 12:58:14 UTC
-+++ plugins/qca-ossl/qca-ossl.cpp
-@@ -62,12 +62,12 @@
- #endif
-
- // OpenSSL 1.1.0 compatibility macros
--#ifdef OSSL_110
-+#if defined(OSSL_110) && !defined(LIBRESSL_VERSION_NUMBER)
- #define M_ASN1_IA5STRING_new() ASN1_IA5STRING_new()
- #define RSA_F_RSA_EAY_PRIVATE_DECRYPT RSA_F_RSA_OSSL_PRIVATE_DECRYPT
- #endif
-
--#ifdef OSSL_110
-+#if defined(OSSL_110) && !defined(LIBRESSL_VERSION_NUMBER)
- #include <openssl/kdf.h>
- #endif
-
-@@ -1280,7 +1280,7 @@ class opensslPbkdf2Context : public KDFContext (public
- protected:
- };
-
--#ifdef OSSL_110
-+#if defined(OSSL_110) && !defined(LIBRESSL_VERSION_NUMBER)
- class opensslHkdfContext : public HKDFContext
- {
- public:
-@@ -7416,7 +7416,7 @@ class opensslProvider : public Provider (public)
- #endif
- list += "pbkdf1(sha1)";
- list += "pbkdf2(sha1)";
--#ifdef OSSL_110
-+#if defined(OSSL_110) && !defined(LIBRESSL_VERSION_NUMBER)
- list += "hkdf(sha256)";
- #endif
- list += "pkey";
-@@ -7489,7 +7489,7 @@ class opensslProvider : public Provider (public)
- #endif
- else if ( type == "pbkdf2(sha1)" )
- return new opensslPbkdf2Context( this, type );
--#ifdef OSSL_110
-+#if defined(OSSL_110) && !defined(LIBRESSL_VERSION_NUMBER)
- else if ( type == "hkdf(sha256)" )
- return new opensslHkdfContext( this, type );
- #endif
diff --git a/devel/qca-legacy/pkg-descr b/devel/qca-legacy/pkg-descr
deleted file mode 100644
index 72df515b47b5..000000000000
--- a/devel/qca-legacy/pkg-descr
+++ /dev/null
@@ -1,13 +0,0 @@
-QCA aims to provide a straightforward and cross-platform crypto API,
-using Qt datatypes and conventions.
-
-Supported features:
-
- * SSL/TLS
- * X509
- * SASL
- * RSA
- * Hashing (SHA1, MD5)
- * Ciphers (Blowfish, 3DES, AES)
-
-WWW: http://delta.affinix.com/qca/
diff --git a/devel/qca-legacy/pkg-plist b/devel/qca-legacy/pkg-plist
deleted file mode 100644
index d9a46b9672ff..000000000000
--- a/devel/qca-legacy/pkg-plist
+++ /dev/null
@@ -1,33 +0,0 @@
-bin/mozcerts-qt5
-bin/qcatool-qt5
-include/Qca-qt5/QtCrypto/QtCrypto
-include/Qca-qt5/QtCrypto/qca.h
-include/Qca-qt5/QtCrypto/qca_basic.h
-include/Qca-qt5/QtCrypto/qca_cert.h
-include/Qca-qt5/QtCrypto/qca_core.h
-include/Qca-qt5/QtCrypto/qca_export.h
-include/Qca-qt5/QtCrypto/qca_keystore.h
-include/Qca-qt5/QtCrypto/qca_publickey.h
-include/Qca-qt5/QtCrypto/qca_safetimer.h
-include/Qca-qt5/QtCrypto/qca_securelayer.h
-include/Qca-qt5/QtCrypto/qca_securemessage.h
-include/Qca-qt5/QtCrypto/qca_support.h
-include/Qca-qt5/QtCrypto/qca_textfilter.h
-include/Qca-qt5/QtCrypto/qca_tools.h
-include/Qca-qt5/QtCrypto/qca_version.h
-include/Qca-qt5/QtCrypto/qcaprovider.h
-include/Qca-qt5/QtCrypto/qpipe.h
-lib/cmake/Qca-qt5/Qca-qt5Config.cmake
-lib/cmake/Qca-qt5/Qca-qt5ConfigVersion.cmake
-lib/cmake/Qca-qt5/Qca-qt5Targets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/Qca-qt5/Qca-qt5Targets.cmake
-lib/libqca-qt5.so
-lib/libqca-qt5.so.2
-lib/libqca-qt5.so.%%SHLIB_VER%%
-%%BOTAN%%lib/qca-qt5/crypto/libqca-botan.so
-%%SASL%%lib/qca-qt5/crypto/libqca-cyrus-sasl.so
-%%GNUPG%%lib/qca-qt5/crypto/libqca-gnupg.so
-%%OPENSSL%%lib/qca-qt5/crypto/libqca-ossl.so
-%%QT_MKSPECDIR%%/features/crypto.prf
-libdata/pkgconfig/qca2-qt5.pc
-man/man1/qcatool-qt5.1.gz
diff --git a/devel/qca/Makefile b/devel/qca/Makefile
index d8480e933112..c05ccad0133d 100644
--- a/devel/qca/Makefile
+++ b/devel/qca/Makefile
@@ -50,10 +50,4 @@ TEST_CMAKE_BOOL= BUILD_TESTS
TEST_TEST_TARGET= test
TEST_USE= QT=network,testlib
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base
-IGNORE= Does not support OpenSSL < 1.1
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/devel/rubygem-rice/Makefile b/devel/rubygem-rice/Makefile
index 18c47280165f..19fbadf2a62e 100644
--- a/devel/rubygem-rice/Makefile
+++ b/devel/rubygem-rice/Makefile
@@ -9,7 +9,6 @@ COMMENT= C++ interface to Rubys C API
LICENSE= BSD2CLAUSE
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11_powerpc64= fails to configure: could not find ruby.h
BROKEN_FreeBSD_12_powerpc64= fails to configure: could not find ruby.h
USES= gem
diff --git a/devel/spirv-llvm-translator/Makefile b/devel/spirv-llvm-translator/Makefile
index 83f1af0658a8..7ec528ed78d4 100644
--- a/devel/spirv-llvm-translator/Makefile
+++ b/devel/spirv-llvm-translator/Makefile
@@ -44,11 +44,6 @@ _PLIST_FILES:= ${_PLIST_FILES:N*Opts*}
.endif
PLIST_FILES= ${_PLIST_FILES:S,^,${FLAVOR}/,}
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# undefined reference to `llvm::cfg::Update<llvm::BasicBlock*>::dump() const'
-LDFLAGS+= -fuse-ld=lld
-.endif
-
post-patch:
@${REINPLACE_CMD} -e '/pkgconfig/s/lib/&data/' \
${WRKSRC}/CMakeLists.txt
diff --git a/devel/zpu-gcc/Makefile b/devel/zpu-gcc/Makefile
index 3cda1aa0fc2b..600fa151d19b 100644
--- a/devel/zpu-gcc/Makefile
+++ b/devel/zpu-gcc/Makefile
@@ -10,7 +10,6 @@ COMMENT= ZPU gcc compiler
LICENSE= GPLv2
-BROKEN_FreeBSD_11_powerpc64= fails to compile on powerpc64 elfv1: libgcc2.h: conflicting types for '__structdi3'
BROKEN_FreeBSD_12_powerpc64= fails to compile on powerpc64 elfv1: libgcc2.h: conflicting types for '__structdi3'
BUILD_DEPENDS= ${LOCALBASE}/zpu/bin/zpu-elf-as:devel/zpu-binutils
diff --git a/dns/bundy/Makefile b/dns/bundy/Makefile
index 453554ee4c32..71f6e20f7106 100644
--- a/dns/bundy/Makefile
+++ b/dns/bundy/Makefile
@@ -18,7 +18,6 @@ LICENSE_PERMS= dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
BROKEN_armv6= fails to build: Child process terminated abnormally: Segmentation fault
BROKEN_armv7= fails to build: Child process terminated abnormally: Segmentation fault
-BROKEN_FreeBSD_11_powerpc64= fails to configure on powerpc64 elfv1: checking for botan/botan.h... no
BROKEN_FreeBSD_12_powerpc64= fails to configure on powerpc64 elfv1: checking for botan/botan.h... no
BROKEN_FreeBSD_14= fails to build: error: Boost shared memory does not compile on this system.
diff --git a/dns/encrypted-dns-server/files/patch-cargo-crates_libsodium-sys-stable-1.19.11_build.rs b/dns/encrypted-dns-server/files/patch-cargo-crates_libsodium-sys-stable-1.19.11_build.rs
deleted file mode 100644
index 6ea89fb032c2..000000000000
--- a/dns/encrypted-dns-server/files/patch-cargo-crates_libsodium-sys-stable-1.19.11_build.rs
+++ /dev/null
@@ -1,10 +0,0 @@
---- cargo-crates/libsodium-sys-stable-1.19.15/build.rs.orig 2020-11-19 15:20:25 UTC
-+++ cargo-crates/libsodium-sys-stable-1.19.15/build.rs
-@@ -214,6 +214,7 @@ fn make_libsodium(target: &str, source_dir: &Path, ins
- cross_compiling = true;
- help = "";
- } else {
-+ cflags += " -fuse-ld=lld";
- if target.contains("i686") {
- compiler += " -m32 -maes";
- cflags += " -march=i686 -fuse-ld=lld";
diff --git a/dns/gdnsd3/Makefile b/dns/gdnsd3/Makefile
index a849395d7628..1deb03b3f1e8 100644
--- a/dns/gdnsd3/Makefile
+++ b/dns/gdnsd3/Makefile
@@ -40,14 +40,6 @@ OPTIONS_DEFAULT=MAXMINDDB
MAXMINDDB_DESC= Enable GeoIP1 + GeoIP2 Support
MAXMINDDB_LIB_DEPENDS= libmaxminddb.so:net/libmaxminddb
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-CONFIGURE_ARGS+=--without-hardening
-CFLAGS+= -fstack-protector-strong -fexceptions -ftrapv
-LDFLAGS+= -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack
-.endif
-
post-patch:
@${REINPLACE_CMD} -e 's|$${localstatedir}/lib/$${PACKAGE_NAME}|/var/db/${PORTNAME}|g' \
${WRKSRC}/configure
@@ -57,4 +49,4 @@ post-install:
${STAGEDIR}${PREFIX}/etc/gdnsd/zones \
${STAGEDIR}/var/run/gdnsd
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/ldns/Makefile b/dns/ldns/Makefile
index 16bb2655e444..36ac23935870 100644
--- a/dns/ldns/Makefile
+++ b/dns/ldns/Makefile
@@ -103,11 +103,6 @@ INSTALL_TARGET= install-lib install-h install-config
.include <bsd.port.pre.mk>
-.if ${PORT_OPTIONS:MDANETAUSAGE} && \
- ((${OSVERSION} < 1200084 && ${SSL_DEFAULT} == base))
-BROKEN= this option requires openssl >= 1.1.0 ${OSVERSION} ${SSL_DEFAULT}
-.endif
-
.if ! ${PORT_OPTIONS:MGOST}
NO_GOST= --disable-gost
.endif
diff --git a/dns/powerdns-recursor/Makefile b/dns/powerdns-recursor/Makefile
index ac7bccdf3850..70d748e2c53f 100644
--- a/dns/powerdns-recursor/Makefile
+++ b/dns/powerdns-recursor/Makefile
@@ -31,7 +31,8 @@ USE_RC_SUBR= pdns-recursor
GNU_CONFIGURE= YES
CONFIGURE_ARGS= --sysconfdir=${PREFIX}/etc/pdns \
--without-net-snmp \
- --without-systemd
+ --without-systemd \
+ --with-libsodium=no
SUB_FILES= pkg-message
@@ -59,18 +60,7 @@ LUAJIT_CONFIGURE_ON= --with-lua=luajit
LUA_USES= lua
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} != openssl
-CONFIGURE_ARGS+= --with-libdecaf \
- --with-libsodium
-LIB_DEPENDS+= libdecaf.so:security/libdecaf \
- libsodium.so:security/libsodium
-.else
-CONFIGURE_ARGS+= --with-libsodium=no
-.endif
-
post-install:
@${MKDIR} ${STAGEDIR}/var/run/pdns-recursor
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/dns/powerdns/Makefile b/dns/powerdns/Makefile
index 6951c19344f5..8e57e7160513 100644
--- a/dns/powerdns/Makefile
+++ b/dns/powerdns/Makefile
@@ -28,7 +28,8 @@ CONFIGURE_ARGS= --disable-static \
--sysconfdir="${PREFIX}/etc/pdns" \
--with-boost="${LOCALBASE}" \
--with-dynmodules="pipe bind ${MODULES}" \
- --with-modules=""
+ --with-modules="" \
+ --with-libsodium=no
SCRIPTS_ENV= CURDIR2="${.CURDIR}" \
DISTNAME="${DISTNAME}" \
@@ -124,20 +125,9 @@ ZEROMQ_IMPLIES= REMOTE
ZEROMQ_LIB_DEPENDS= libzmq.so:net/libzmq4
ZEROMQ_CONFIGURE_ON= --enable-remotebackend-zeromq
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} != openssl
-CONFIGURE_ARGS+= --with-libdecaf \
- --with-libsodium
-LIB_DEPENDS+= libdecaf.so:security/libdecaf \
- libsodium.so:security/libsodium
-.else
-CONFIGURE_ARGS+= --with-libsodium=no
-.endif
-
post-install::
@${MKDIR} ${STAGEDIR}${EXAMPLESDIR} ${STAGEDIR}/var/run/pdns
@${STAGEDIR}${PREFIX}/sbin/pdns_server --module-dir=${STAGEDIR}${PREFIX}/lib/pdns --launch="pipe bind ${MODULES}" --config > ${STAGEDIR}${EXAMPLESDIR}/pdns.conf
@${REINPLACE_CMD} -e 's;${STAGEDIR};;' -i '' ${STAGEDIR}${EXAMPLESDIR}/pdns.conf
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/editors/libreoffice/Makefile b/editors/libreoffice/Makefile
index a9e56764468c..1749975bc153 100644
--- a/editors/libreoffice/Makefile
+++ b/editors/libreoffice/Makefile
@@ -120,11 +120,6 @@ USE_XORG= ice sm x11 xaw xcb xext xinerama xrandr xrender
OPTIONS_DEFINE= COINMP CUPS DOCS GNOME GTK3 GTK4 JAVA KF5 LTO MMEDIA PGSQL MARIADB QT5 SDK TEST WEBDAV
OPTIONS_DEFAULT= CUPS JAVA MMEDIA QT5
-.if !defined(DEFAULT_VERSIONS) || ! ${DEFAULT_VERSIONS:Mssl=*}
-# Blocked by net/qt5-network: cannot use QT5 with default OpenSSL
-OPTIONS_EXCLUDE_FreeBSD_11+= QT5
-.endif
-
COINMP_DESC= Enable CoinMP (deprecated) math solver
GTK3_DESC= GTK+ 3 GUI toolkit support
GTK4_DESC= GTK+ 4 GUI toolkit support
diff --git a/editors/libreoffice6/Makefile b/editors/libreoffice6/Makefile
index 0c67585d5e74..dfa18147dd27 100644
--- a/editors/libreoffice6/Makefile
+++ b/editors/libreoffice6/Makefile
@@ -118,11 +118,6 @@ USES= autoreconf:build bison compiler:c++14-lang cpe desktop-file-utils \
OPTIONS_DEFINE= COINMP CUPS DOCS GNOME GTK3 I18N JAVA KF5 MMEDIA PGSQL QT5 SDK TEST WEBDAV
OPTIONS_DEFAULT= CUPS MMEDIA QT5
-.if !defined(DEFAULT_VERSIONS) || ! ${DEFAULT_VERSIONS:Mssl=*}
-# Blocked by net/qt5-network: cannot use QT5 with default OpenSSL
-OPTIONS_EXCLUDE_FreeBSD_11+= QT5
-.endif
-
COINMP_DESC= Enable CoinMP (deprecated) math solver
GTK3_DESC= GTK+ 3 GUI toolkit support (incomplete visual style)
I18N_DESC= Build i18n resources
diff --git a/emulators/i386-wine-devel/Makefile b/emulators/i386-wine-devel/Makefile
index 11df0601940f..e5aa64d6ee7e 100644
--- a/emulators/i386-wine-devel/Makefile
+++ b/emulators/i386-wine-devel/Makefile
@@ -27,7 +27,7 @@ PKGDEINSTALL= ${PKGINSTALL}
distinfo-update:
${RM} ${.CURDIR}/distinfo~
-.for osrel in 11 12 13 14
+.for osrel in 12 13 14
${MAKE} makesum OSREL=${osrel} OSVERSION=${osrel}99999 _OSRELEASE=${osrel}
${CAT} ${.CURDIR}/distinfo >> ${.CURDIR}/distinfo~
.endfor
diff --git a/emulators/i386-wine-devel/Makefile.amd64 b/emulators/i386-wine-devel/Makefile.amd64
index 19d705e314d9..4a03379d2e8f 100644
--- a/emulators/i386-wine-devel/Makefile.amd64
+++ b/emulators/i386-wine-devel/Makefile.amd64
@@ -21,7 +21,7 @@ USES= desktop-file-utils tar:txz
BUNDLE_LIBS= yes
PKGMESSAGE= ${WRKDIR}/pkg-message
-.for osrel in 11 12 13 14
+.for osrel in 12 13 14
.if ${OSREL:C/\..*//} == ${osrel}
PLIST_SUB+= OSREL${osrel}=""
PLIST_SUB+= NOOSREL${osrel}="@comment "
@@ -31,8 +31,8 @@ PLIST_SUB+= NOOSREL${osrel}=""
.endif
.endfor
-.if ${OPSYS} != FreeBSD || (!(${OSVERSION} >= 1104001 && ${OSVERSION} < 1200000) && !(${OSVERSION} >= 1202000 && ${OSVERSION} < 1300000) && !(${OSVERSION} >= 1300139 && ${OSVERSION} < 1400000) && !(${OSVERSION} >= 1400024))
-IGNORE= binaries compiled for FreeBSD 11.4+, 12.2+, 13.0+ and 14.0+ only
+.if ${OPSYS} != FreeBSD || (!(${OSVERSION} >= 1202000 && ${OSVERSION} < 1300000) && !(${OSVERSION} >= 1300139 && ${OSVERSION} < 1400000) && !(${OSVERSION} >= 1400024))
+IGNORE= binaries compiled for FreeBSD 12.2+, 13.0+ and 14.0+ only
.endif
OPTIONS_DEFINE= GECKO MONO
diff --git a/emulators/i386-wine/Makefile b/emulators/i386-wine/Makefile
index c0667e8ba455..7904a4328f45 100644
--- a/emulators/i386-wine/Makefile
+++ b/emulators/i386-wine/Makefile
@@ -26,7 +26,7 @@ PKGDEINSTALL= ${PKGINSTALL}
distinfo-update:
${RM} ${.CURDIR}/distinfo ${.CURDIR}/distinfo~
-.for osrel in 11 12 13 14
+.for osrel in 12 13 14
${MAKE} fetch OSREL=${osrel} OSVERSION=${osrel}99999 _OSRELEASE=${osrel}
${MAKE} makesum OSREL=${osrel} OSVERSION=${osrel}99999 _OSRELEASE=${osrel}
${CAT} ${.CURDIR}/distinfo >> ${.CURDIR}/distinfo~
diff --git a/emulators/i386-wine/Makefile.amd64 b/emulators/i386-wine/Makefile.amd64
index 8af03b14fc8a..565689b58994 100644
--- a/emulators/i386-wine/Makefile.amd64
+++ b/emulators/i386-wine/Makefile.amd64
@@ -22,7 +22,7 @@ BUNDLE_LIBS= yes
PKGMESSAGE= ${WRKDIR}/pkg-message
PORTSCOUT= limitw:1,even
-.for osrel in 11 12 13 14
+.for osrel in 12 13 14
.if ${OSREL:C/\..*//} == ${osrel}
PLIST_SUB+= OSREL${osrel}=""
PLIST_SUB+= NOOSREL${osrel}="@comment "
@@ -32,8 +32,8 @@ PLIST_SUB+= NOOSREL${osrel}=""
.endif
.endfor
-.if ${OPSYS} != FreeBSD || (!(${OSVERSION} >= 1104001 && ${OSVERSION} < 1200000) && !(${OSVERSION} >= 1202000 && ${OSVERSION} < 1300000) && !(${OSVERSION} >= 1300139 && ${OSVERSION} < 1400000) && !(${OSVERSION} >= 1400024))
-IGNORE= binaries compiled for FreeBSD 11.4+, 12.2+, 13.0+ & 14.0+ only
+.if ${OPSYS} != FreeBSD || (!(${OSVERSION} >= 1202000 && ${OSVERSION} < 1300000) && !(${OSVERSION} >= 1300139 && ${OSVERSION} < 1400000) && !(${OSVERSION} >= 1400024))
+IGNORE= binaries compiled for FreeBSD 12.2+, 13.0+ & 14.0+ only
.endif
OPTIONS_DEFINE= GECKO MONO
diff --git a/emulators/i386-wine/pkg-plist b/emulators/i386-wine/pkg-plist
index 38394c36fe31..370366b6576c 100644
--- a/emulators/i386-wine/pkg-plist
+++ b/emulators/i386-wine/pkg-plist
@@ -1160,7 +1160,6 @@ lib32/libpcre.so.1
lib32/libpng16.so.16
lib32/libtasn1.so.6
lib32/libunistring.so.2
-%%OSREL11%%lib32/libunwind.so.8
lib32/libwine.so
lib32/libwine.so.1
lib32/libxcb-dri2.so.0
diff --git a/emulators/libc6-shim/Makefile b/emulators/libc6-shim/Makefile
index 4d0dfe5cc53d..d6d8e20aea3b 100644
--- a/emulators/libc6-shim/Makefile
+++ b/emulators/libc6-shim/Makefile
@@ -8,7 +8,6 @@ COMMENT= ABI-compatible glibc shim library
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11=not supported
ONLY_FOR_ARCHS= amd64
USE_GITHUB= yes
diff --git a/emulators/linux_base-c7/Makefile b/emulators/linux_base-c7/Makefile
index d267f05ec2d5..8964a3901c63 100644
--- a/emulators/linux_base-c7/Makefile
+++ b/emulators/linux_base-c7/Makefile
@@ -131,8 +131,7 @@ REMOVE_FILES= bin/chfn bin/chsh bin/findmnt bin/login bin/lsblk bin/lscpu \
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && (${OSVERSION} < 1201524 \
- || (${OSVERSION} >= 1300000 && ${OSVERSION} < 1300077))
+.if ${OPSYS} == FreeBSD && (${OSVERSION} >= 1300000 && ${OSVERSION} < 1300077)
GLIBC_VER= 2.17-292.el7
MASTER_SITE_SUBDIR+= centos/7.7.1908/os/x86_64/Packages/:DEFAULT,amd64 \
centos/7.7.1908/updates/x86_64/Packages/:DEFAULT,amd64 \
diff --git a/emulators/mesen/Makefile b/emulators/mesen/Makefile
index 083312a41888..052b714128bf 100644
--- a/emulators/mesen/Makefile
+++ b/emulators/mesen/Makefile
@@ -26,24 +26,11 @@ USE_SDL= sdl2
MAKEFILE= makefile
MAKE_ARGS= MESENPLATFORM=${MESEN_ARCH} \
CC="${CC}" CPPC="${CXX}" \
+ FSLIB=-lc++experimental \
+ LTO=true \
SYSTEM_LIBEVDEV=true
MESEN_ARCH= ${ARCH:S/amd64/x64/:S/i386/x86/}
-.if exists(/usr/lib/libc++fs.a)
-MAKE_ARGS+= FSLIB=-lc++fs
-.elif exists(/usr/lib/libc++experimental.a)
-# XXX Remove after FreeBSD 12.0 EOL
-MAKE_ARGS+= FSLIB=-lc++experimental
-.else
-# XXX Remove after FreeBSD 11.2 EOL
-USE_GCC= yes
-.endif
-
-# XXX Always enable LTO after FreeBSD 11.2 and 12.0 EOL
-.if defined(USE_GCC) || (${/usr/bin/ld:L:tA} == /usr/bin/ld.lld)
-MAKE_ARGS+= LTO=true
-.endif
-
OPTIONS_MULTI= FRONTENDS
OPTIONS_MULTI_FRONTENDS= MONO LIBRETRO
OPTIONS_DEFAULT= MONO LIBRETRO
diff --git a/emulators/qemu-devel/Makefile b/emulators/qemu-devel/Makefile
index 9220675fb093..699fecc85471 100644
--- a/emulators/qemu-devel/Makefile
+++ b/emulators/qemu-devel/Makefile
@@ -12,7 +12,6 @@ COMMENT= QEMU CPU Emulator - development version
LICENSE= GPLv2
ONLY_FOR_ARCHS= amd64 powerpc powerpc64 powerpc64 powerpc64le
-IGNORE_FreeBSD_11= Unable to produce Position Independent Code
BUILD_DEPENDS= sphinx-build:textproc/py-sphinx \
${PYTHON_PKGNAMEPREFIX}sphinx_rtd_theme>0:textproc/py-sphinx_rtd_theme@${PY_FLAVOR} \
diff --git a/emulators/qemu-guest-agent/Makefile b/emulators/qemu-guest-agent/Makefile
index 66aa2ff0c86a..21b02023f317 100644
--- a/emulators/qemu-guest-agent/Makefile
+++ b/emulators/qemu-guest-agent/Makefile
@@ -163,12 +163,6 @@ MAKE_ARGS+= ARCH=ppc64
CONFIGURE_ARGS+= --sparc_cpu=v9
.endif
-.if ${OSVERSION} < 1200000
-PKGMESSAGE= ${.CURDIR}/pkg-message-11
-.else
-PKGMESSAGE= ${.CURDIR}/pkg-message
-.endif
-
PLIST_SUB+= LINUXBOOT_DMA=""
# XXX need to disable usb host code on head while it's not ported to the
diff --git a/emulators/qemu-guest-agent/pkg-message-11 b/emulators/qemu-guest-agent/pkg-message-11
deleted file mode 100644
index aa4cddb92062..000000000000
--- a/emulators/qemu-guest-agent/pkg-message-11
+++ /dev/null
@@ -1,24 +0,0 @@
-[
-{ type: install
- message: <<EOM
-=======================================================
-Modify your `/etc/rc.conf` by adding these settings
-
-qemu_guest_agent_enable="YES"
-qemu_guest_agent_flags="-d -v -l /var/log/qemu-ga.log"
-
-and run
-# service qemu-guest-agent start
-
-For FreeBSD less than 12
-------------------------
-virtio_console driver in FreeBSD 11 doesn't support aliasing virtio channels in devfs. Use direct path for control device. eq:
-qemu_guest_agent_flags="-d -v -l /var/log/qemu-ga.log -p /dev/ttyV0.2"
-
-For detailed help use `qemu-ga -h`
-
-Also read port homepage https://github.com/aborche/qemu-guest-agent
-=======================================================
-EOM
-}
-]
diff --git a/emulators/rpcs3/files/patch-rpcs3_Emu_system__config.h b/emulators/rpcs3/files/patch-rpcs3_Emu_system__config.h
deleted file mode 100644
index 653489f1a9c1..000000000000
--- a/emulators/rpcs3/files/patch-rpcs3_Emu_system__config.h
+++ /dev/null
@@ -1,16 +0,0 @@
-https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240495
-
---- rpcs3/Emu/system_config.h.orig 2020-05-02 11:57:38 UTC
-+++ rpcs3/Emu/system_config.h
-@@ -28,7 +28,11 @@ struct cfg_root : cfg::node
- cfg::_int<0, INT32_MAX> llvm_threads{ this, "Max LLVM Compile Threads", 0 };
- cfg::_bool thread_scheduler_enabled{ this, "Enable thread scheduler", thread_scheduler_enabled_def };
- cfg::_bool set_daz_and_ftz{ this, "Set DAZ and FTZ", false };
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+ cfg::_enum<spu_decoder_type> spu_decoder{ this, "SPU Decoder", spu_decoder_type::asmjit };
-+#else
- cfg::_enum<spu_decoder_type> spu_decoder{ this, "SPU Decoder", spu_decoder_type::llvm };
-+#endif
- cfg::_bool lower_spu_priority{ this, "Lower SPU thread priority" };
- cfg::_bool spu_debug{ this, "SPU Debug" };
- cfg::_int<0, 6> preferred_spu_threads{ this, "Preferred SPU Threads", 0, true }; // Number of hardware threads dedicated to heavy simultaneous spu tasks
diff --git a/emulators/rtc/files/rtc.c b/emulators/rtc/files/rtc.c
index 8cc3f50dfa23..49c3638965f7 100644
--- a/emulators/rtc/files/rtc.c
+++ b/emulators/rtc/files/rtc.c
@@ -337,36 +337,18 @@ rtc_callback(void *xtp)
restart:
increment.tv_sec = 0;
increment.tv_nsec = 1000000000 / sc->var.freq;
-#if P_OSREL_MAJOR(__FreeBSD_version) >= 12
timespecadd(&sc->var.lasttime, &increment, &sc->var.lasttime);
timespecadd(&sc->var.lasttime, &increment, &nexttime);
-#else
- timespecadd(&sc->var.lasttime, &increment);
- nexttime.tv_sec = sc->var.lasttime.tv_sec;
- nexttime.tv_nsec = sc->var.lasttime.tv_nsec;
- timespecadd(&nexttime, &increment);
-#endif
if (timespeccmp(&nexttime, &curtime, <)) {
/* Catch up if we lag curtime */
-#if P_OSREL_MAJOR(__FreeBSD_version) >= 12
timespecsub(&curtime, &increment, &sc->var.lasttime);
timespecsub(&nexttime, &curtime, &nexttime);
-#else
- sc->var.lasttime.tv_sec = curtime.tv_sec;
- sc->var.lasttime.tv_nsec = curtime.tv_nsec;
- timespecsub(&sc->var.lasttime, &increment);
- timespecsub(&nexttime, &curtime);
-#endif
#if 0
printf("lagging curtime by %d.%ld\n", nexttime.tv_sec, nexttime.tv_nsec);
#endif
goto restart;
} else {
-#if P_OSREL_MAJOR(__FreeBSD_version) >= 12
timespecsub(&nexttime, &curtime, &nexttime);
-#else
- timespecsub(&nexttime, &curtime);
-#endif
sleep = nexttime.tv_nsec / (1000000000 / hz);
}
callout_reset(&sc->var.rtc_handle, sleep, &rtc_callback, xtp);
diff --git a/emulators/sameboy/Makefile b/emulators/sameboy/Makefile
index 7ae33480fa50..899ed51f2574 100644
--- a/emulators/sameboy/Makefile
+++ b/emulators/sameboy/Makefile
@@ -22,7 +22,6 @@ USE_SDL= sdl2
MAKE_ARGS= FREEDESKTOP=true
ALL_TARGET= sdl
# -flto
-LDFLAGS+= -fuse-ld=lld
OPTIONS_DEFINE= LIBRETRO
OPTIONS_DEFAULT= LIBRETRO
diff --git a/emulators/xen-kernel/Makefile b/emulators/xen-kernel/Makefile
index 24c222999c77..8bd1c117fa20 100644
--- a/emulators/xen-kernel/Makefile
+++ b/emulators/xen-kernel/Makefile
@@ -34,10 +34,6 @@ EXTRA_PATCHES+= ${PATCHDIR}/0001-x86-mtrr-remove-stale-function-prototype.patch:
IGNORE= only supported on FreeBSD
.endif
-.if ${OSVERSION} < 1200074
-IGNORE= only supported on FreeBSD 12.0 or newer
-.endif
-
# The ports native 'build' target cannot be used because it sets
# CFLAGS, and that breaks the Xen build system.
do-build:
diff --git a/emulators/yuzu/files/patch-freebsd11 b/emulators/yuzu/files/patch-freebsd11
deleted file mode 100644
index c3922e2e2507..000000000000
--- a/emulators/yuzu/files/patch-freebsd11
+++ /dev/null
@@ -1,46 +0,0 @@
-Drop after FreeBSD 11 EOL. OpenSSL 1.0 still works fine.
-
--- Could NOT find OpenSSL, try to set the path to OpenSSL root folder in the system variable OPENSSL_ROOT_DIR: Found unsuitable version "1.0.2u", but required is at least "1.1" (found /usr/lib/libcrypto.so, )
-CMake Error at externals/CMakeLists.txt:83 (add_subdirectory):
-
-In file included from src/core/hle/service/bcat/backend/boxcat.cpp:6:
-externals/./httplib/httplib.h:214:2: error: Sorry, OpenSSL versions prior to 1.1.1 are not supported
-#error Sorry, OpenSSL versions prior to 1.1.1 are not supported
- ^
-
---- externals/CMakeLists.txt.orig 2020-11-18 04:02:27 UTC
-+++ externals/CMakeLists.txt
-@@ -73,7 +73,7 @@ if (NOT LIBZIP_FOUND)
- endif()
-
- if (ENABLE_WEB_SERVICE)
-- find_package(OpenSSL 1.1)
-+ find_package(OpenSSL)
- if (OPENSSL_FOUND)
- set(OPENSSL_LIBRARIES OpenSSL::SSL OpenSSL::Crypto)
- else()
---- externals/cpp-httplib/httplib.h.orig 2021-06-18 12:45:50 UTC
-+++ externals/cpp-httplib/httplib.h
-@@ -219,10 +219,6 @@ using socket_t = int;
- #include <iostream>
- #include <sstream>
-
--#if OPENSSL_VERSION_NUMBER < 0x1010100fL
--#error Sorry, OpenSSL versions prior to 1.1.1 are not supported
--#endif
--
- #if OPENSSL_VERSION_NUMBER < 0x10100000L
- #include <openssl/crypto.h>
- inline const unsigned char *ASN1_STRING_get0_data(const ASN1_STRING *asn1) {
-@@ -6729,7 +6725,11 @@ static SSLInit sslinit_;
- inline SSLServer::SSLServer(const char *cert_path, const char *private_key_path,
- const char *client_ca_cert_file_path,
- const char *client_ca_cert_dir_path) {
-+#if OPENSSL_VERSION_NUMBER < 0x10100001L
-+ ctx_ = SSL_CTX_new(SSLv23_server_method());
-+#else
- ctx_ = SSL_CTX_new(TLS_method());
-+#endif
-
- if (ctx_) {
- SSL_CTX_set_options(ctx_,
diff --git a/finance/ledger/Makefile b/finance/ledger/Makefile
index e5f7ab4bc299..442d4f6069ee 100644
--- a/finance/ledger/Makefile
+++ b/finance/ledger/Makefile
@@ -12,7 +12,6 @@ COMMENT= John Wiegley's command line accounting program
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE.md
-BROKEN_FreeBSD_11_powerpc64= fails to link on powerpc64 elfv1: ibledger.so.3: undefined reference to boost::match_results
BROKEN_FreeBSD_12_powerpc64= fails to link on powerpc64 elfv1: ibledger.so.3: undefined reference to boost::match_results
BUILD_DEPENDS= ${LOCALBASE}/include/utf8cpp/utf8.h:devel/utf8cpp
diff --git a/french/aster/Makefile b/french/aster/Makefile
index e8a72ad79bea..f01858f52f8a 100644
--- a/french/aster/Makefile
+++ b/french/aster/Makefile
@@ -92,8 +92,7 @@ INTERACTIVE_SCRIPTS= check_compilers.py setup.py
.include "${.CURDIR}/../../french/aster/bsd.aster.mk"
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ((${OSREL:R} <= 12 && ${OSVERSION} < 1201506) \
- || (${OSREL:R} > 12 && ${OSVERSION} < 1300068))
+.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1300068
BROKEN= a larger value of ARG_MAX is needed for Code_Aster, please upgrade your system
.endif
diff --git a/ftp/bsdftpd-ssl/Makefile b/ftp/bsdftpd-ssl/Makefile
index 5d4b29b77754..60b91de8c7f3 100644
--- a/ftp/bsdftpd-ssl/Makefile
+++ b/ftp/bsdftpd-ssl/Makefile
@@ -29,10 +29,6 @@ LDFLAGS+= -lpam
.include <bsd.port.options.mk>
-.if ${SSL_DEFAULT} == base
-BROKEN_FreeBSD_11= undefined reference to `X509_OBJECT_new'
-.endif
-
.if ${PORT_OPTIONS:MSERVER} && ${PORT_OPTIONS:MEXAMPLES}
SUB_FILES= pkg-message
.endif
diff --git a/games/0ad/Makefile b/games/0ad/Makefile
index 9ff2517affa7..4a739c164d76 100644
--- a/games/0ad/Makefile
+++ b/games/0ad/Makefile
@@ -10,7 +10,6 @@ DISTFILES= ${PORTNAME}-${PORTVERSION}-alpha-unix-build.tar.xz \
MAINTAINER= madpilot@FreeBSD.org
COMMENT= Real-time strategy (RTS) game of ancient warfare
-BROKEN_FreeBSD_11= fails to link: undefined reference to gloox::Client::Client(...)
BROKEN_aarch64= fails to compile: no member named verifyHeapAccessDisassembly
BROKEN_armv6= fails to link: fatal error: conftest: Unknown error: -1
BROKEN_armv7= fails to link: fatal error: conftest: Unknown error: -1
diff --git a/games/eduke32/Makefile b/games/eduke32/Makefile
index 8c4284923e8b..7f444db7f304 100644
--- a/games/eduke32/Makefile
+++ b/games/eduke32/Makefile
@@ -76,7 +76,7 @@ FULL_PLIST_FILES= ${DATADIR}/duke3d.grp ${DATADIR}/duke.rts
.include <bsd.port.options.mk>
-.if (${ARCH} == i386 || ${ARCH} == powerpc64 || ${ARCH} == riscv64) || ${OSVERSION} < 1202000
+.if ${ARCH} == i386 || ${ARCH} == powerpc64 || ${ARCH} == riscv64
MAKE_ARGS+= LTO=0
.endif
diff --git a/games/fishsupper/Makefile b/games/fishsupper/Makefile
index 5a1450a0068f..82eeb362e6cb 100644
--- a/games/fishsupper/Makefile
+++ b/games/fishsupper/Makefile
@@ -12,7 +12,6 @@ LICENSE_FILE= ${WRKSRC}/COPYING
BUILD_DEPENDS= ${LOCALBASE}/include/boost/bind.hpp:devel/boost-libs
-BROKEN_FreeBSD_11_powerpc64= fails to compile: Log.h: expected initializer before '<' token
BROKEN_FreeBSD_12_powerpc64= fails to compile: Log.h: expected initializer before '<' token
GNU_CONFIGURE= yes
diff --git a/games/hyperrogue/Makefile b/games/hyperrogue/Makefile
index c5445b0e5249..2f08d97f75eb 100644
--- a/games/hyperrogue/Makefile
+++ b/games/hyperrogue/Makefile
@@ -9,8 +9,6 @@ COMMENT= Roguelike in a non-euclidean world
LICENSE= GPLv2+
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11= does not build: hyperrogue-hyper.o: file not recognized: File format not recognized
-
LIB_DEPENDS= libpng.so:graphics/png
USE_GITHUB= yes
diff --git a/games/lander/Makefile b/games/lander/Makefile
index c9ff1b741833..1dd5e0d1c244 100644
--- a/games/lander/Makefile
+++ b/games/lander/Makefile
@@ -11,7 +11,6 @@ COMMENT= Lunar Lander clone
LICENSE= GPLv3+
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11_powerpc64= fails to configure on powerpc64 elfv1: could not link against boost_filesystem-boost_filesystem
BROKEN_FreeBSD_12_powerpc64= fails to configure on powerpc64 elfv1: could not link against boost_filesystem-boost_filesystem
LIB_DEPENDS= libfreetype.so:print/freetype2 \
diff --git a/games/libretro-snes9x/Makefile b/games/libretro-snes9x/Makefile
index 149d4836c49e..1afbafece6f3 100644
--- a/games/libretro-snes9x/Makefile
+++ b/games/libretro-snes9x/Makefile
@@ -11,8 +11,6 @@ LICENSE_NAME= PS
LICENSE_FILE= ${WRKSRC}/LICENSE
LICENSE_PERMS= dist-mirror pkg-mirror auto-accept
-BROKEN_FreeBSD_11= linker error: unrecognized option '-plugin'
-
USES= compiler:c++11-lib gmake
USE_LDCONFIG= yes
diff --git a/games/libretro-snes9x2010/Makefile b/games/libretro-snes9x2010/Makefile
index 837af11a56c4..44eba3fffbe0 100644
--- a/games/libretro-snes9x2010/Makefile
+++ b/games/libretro-snes9x2010/Makefile
@@ -21,16 +21,10 @@ GH_TAGNAME= a3e65b8
PLIST_FILES= lib/libretro/snes9x2010_libretro.so
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-MAKE_ENV= LTO=
-.else
MAKE_ENV= LTO=-flto # may drop this branch on next port update
-.endif
do-install:
@${MKDIR} ${STAGEDIR}/${PREFIX}/lib/libretro
${INSTALL_LIB} ${WRKSRC}/snes9x2010_libretro.so ${STAGEDIR}/${PREFIX}/lib/libretro
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/games/linux-steam-utils/Makefile b/games/linux-steam-utils/Makefile
index 82ca03ea0a72..8d8ef2c7ec9b 100644
--- a/games/linux-steam-utils/Makefile
+++ b/games/linux-steam-utils/Makefile
@@ -9,7 +9,6 @@ COMMENT= Steam launcher for FreeBSD
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= not tested at all
ONLY_FOR_ARCHS= amd64
RUN_DEPENDS= ca_root_nss>=0:security/ca_root_nss \
diff --git a/games/rlvm/Makefile b/games/rlvm/Makefile
index 278da439fce2..1ba3c96f4108 100644
--- a/games/rlvm/Makefile
+++ b/games/rlvm/Makefile
@@ -11,7 +11,6 @@ COMMENT= RealLive virtual machine clone
LICENSE= GPLv2 GPLv3 MIT
LICENSE_COMB= multi
-BROKEN_FreeBSD_11_powerpc64= fails to link on powerpc64 elfv1: gcn_platform.cc: undefined reference to gcn::Exception::Exception
BROKEN_FreeBSD_12_powerpc64= fails to link on powerpc64 elfv1: gcn_platform.cc: undefined reference to gcn::Exception::Exception
BUILD_DEPENDS= boost-libs>0:devel/boost-libs \
@@ -36,11 +35,6 @@ MAKE_ARGS= VERBOSE=1
INSTALLS_ICONS= yes
PORTDOCS= AUTHORS.TXT NEWS.TXT README.md STATUS.TXT notes
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# undefined reference to symbol `inflateEnd@@ZLIB_1.2.4.0' (try adding -lz)
-LDFLAGS+= -fuse-ld=lld
-.endif
-
OPTIONS_DEFINE= DEBUG DOCS NLS TEST
OPTIONS_DEFAULT=MONA
OPTIONS_MULTI= JAPANESE_FONT
diff --git a/games/stockfish/Makefile b/games/stockfish/Makefile
index 5be49ab6e9e9..4a840da9dc53 100644
--- a/games/stockfish/Makefile
+++ b/games/stockfish/Makefile
@@ -25,7 +25,6 @@ MAKE_ARGS= ARCH=${MYARCH} \
CXX="${CXX}" \
PREFIX=${PREFIX}
ALL_TARGET= build
-LDFLAGS+= -fuse-ld=lld
_NNUE_VER= 3475407dc199
diff --git a/games/veloren/Makefile b/games/veloren/Makefile
index e5ed7e5ccec8..0798e0b00fb1 100644
--- a/games/veloren/Makefile
+++ b/games/veloren/Makefile
@@ -49,11 +49,6 @@ PLIST_FILES= bin/${PORTNAME}-server-cli \
share/pixmaps/net.veloren.veloren.png
PORTDATA= *
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# veloren_voxygen*rcgu* has 71718 section headers, breaking old GNU ld.bfd in base
-LDFLAGS+= -fuse-ld=lld
-.endif
-
CARGO_CRATES= ab_glyph-0.2.11 \
ab_glyph_rasterizer-0.1.4 \
addr2line-0.15.2 \
diff --git a/graphics/Makefile b/graphics/Makefile
index 4b2b744dbc03..c590d477ee53 100644
--- a/graphics/Makefile
+++ b/graphics/Makefile
@@ -144,7 +144,6 @@
SUBDIR += drawpile
SUBDIR += drm-current-kmod
SUBDIR += drm-devel-kmod
- SUBDIR += drm-fbsd11.2-kmod
SUBDIR += drm-fbsd12.0-kmod
SUBDIR += drm-fbsd13-kmod
SUBDIR += drm-kmod
diff --git a/graphics/blender-lts28/Makefile b/graphics/blender-lts28/Makefile
index 21dfe58870bf..9af9aea3b1c9 100644
--- a/graphics/blender-lts28/Makefile
+++ b/graphics/blender-lts28/Makefile
@@ -42,10 +42,6 @@ CFLAGS+= ${CFLAGS_${CHOSEN_COMPILER_TYPE}}
CFLAGS_gcc= -Wno-float-conversion
CFLAGS_i386= -march=i586
CXXFLAGS_i386= -march=i586
-# Use LLVM linker where available
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-LDFLAGS+= -fuse-ld=lld
-.endif
# prevent conflict with other blender versions
DATADIR= ${PREFIX}/share/${PORTNAME}${PKGNAMESUFFIX}
diff --git a/graphics/blender/Makefile b/graphics/blender/Makefile
index 648f78d193ca..780e3d4fa4ae 100644
--- a/graphics/blender/Makefile
+++ b/graphics/blender/Makefile
@@ -44,10 +44,6 @@ CFLAGS+= ${CFLAGS_${CHOSEN_COMPILER_TYPE}}
CFLAGS_gcc= -Wno-float-conversion
CFLAGS_i386= -march=i586
CXXFLAGS_i386= -march=i586
-# Use LLVM linker where available
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-LDFLAGS+= -fuse-ld=lld
-.endif
PLIST_SUB+= VER=${DISTVERSION:R}
OPTIONS_SUB= yes
diff --git a/graphics/drm-fbsd11.2-kmod/Makefile b/graphics/drm-fbsd11.2-kmod/Makefile
deleted file mode 100644
index 785d1d6878cd..000000000000
--- a/graphics/drm-fbsd11.2-kmod/Makefile
+++ /dev/null
@@ -1,38 +0,0 @@
-# Created by: Johannes Dieterich <jmd@FreeBSD.org>
-
-PORTNAME= drm-fbsd11.2-kmod
-PORTVERSION= 4.11g20200420
-PORTREVISION= 1
-CATEGORIES= graphics
-
-MAINTAINER= x11@FreeBSD.org
-COMMENT= DRM modules for the linuxkpi-based KMS components
-
-LICENSE= BSD2CLAUSE MIT GPLv2
-LICENSE_COMB= multi
-
-ONLY_FOR_ARCHS= amd64
-ONLY_FOR_ARCHS_REASON= the new KMS components are only supported on amd64
-
-RUN_DEPENDS= gpu-firmware-kmod>=g20180319:graphics/gpu-firmware-kmod
-
-OPTIONS_DEFINE= DEBUG
-
-USES= kmod uidfix
-
-USE_GITHUB= yes
-GH_ACCOUNT= FreeBSDDesktop
-GH_PROJECT= kms-drm
-GH_TAGNAME= d7d433d
-
-.include <bsd.port.options.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200000
-IGNORE= only supported on FreeBSD 11.
-.endif
-
-.if ${OPSYS} != FreeBSD
-IGNORE= not supported on anything but FreeBSD (missing linuxkpi functionality)
-.endif
-
-.include <bsd.port.mk>
diff --git a/graphics/drm-fbsd11.2-kmod/distinfo b/graphics/drm-fbsd11.2-kmod/distinfo
deleted file mode 100644
index f27486cf7577..000000000000
--- a/graphics/drm-fbsd11.2-kmod/distinfo
+++ /dev/null
@@ -1,3 +0,0 @@
-TIMESTAMP = 1587398846
-SHA256 (FreeBSDDesktop-kms-drm-4.11g20200420-d7d433d_GH0.tar.gz) = ad292fa6508b98b2f2c576633b79eb080bf9cc84b83bca18dbbb66d7a3c429eb
-SIZE (FreeBSDDesktop-kms-drm-4.11g20200420-d7d433d_GH0.tar.gz) = 7362180
diff --git a/graphics/drm-fbsd11.2-kmod/pkg-descr b/graphics/drm-fbsd11.2-kmod/pkg-descr
deleted file mode 100644
index d795c513d8bc..000000000000
--- a/graphics/drm-fbsd11.2-kmod/pkg-descr
+++ /dev/null
@@ -1,6 +0,0 @@
-amdgpu, i915, and radeon DRM modules for the linuxkpi-based KMS components.
-Currently corresponding to Linux 4.11 DRM.
-This version is for FreeBSD 11.4.
-amdgpu and radeonkms are known to fail with EFI boot.
-
-WWW: https://github.com/FreeBSDDesktop/kms-drm
diff --git a/graphics/drm-fbsd11.2-kmod/pkg-message b/graphics/drm-fbsd11.2-kmod/pkg-message
deleted file mode 100644
index 9ffa33a92063..000000000000
--- a/graphics/drm-fbsd11.2-kmod/pkg-message
+++ /dev/null
@@ -1,21 +0,0 @@
-[
-{ type: install
- message: <<EOM
-The drm-fbsd11.2-kmod port can be enabled for amdgpu (for AMD GPUs starting
-with the HD7000 series / Tahiti) or i915kms (for Intel APUs starting with
-HD3000 / Sandy Bridge) through kld_list in /etc/rc.conf. radeonkms for older
-AMD GPUs can be loaded and there are some positive reports if EFI boot is NOT
-enabled (similar to amdgpu).
-
-For amdgpu: kld_list="amdgpu"
-For Intel: kld_list="/boot/modules/i915kms.ko"
-For radeonkms: kld_list="/boot/modules/radeonkms.ko"
-
-Please ensure that all users requiring graphics are members of the
-"video" group.
-
-Older generations are supported by the legacy kms modules (radeonkms /
-i915kms) in base or by installing graphics/drm-legacy-kmod.
-EOM
-}
-]
diff --git a/graphics/drm-fbsd11.2-kmod/pkg-plist b/graphics/drm-fbsd11.2-kmod/pkg-plist
deleted file mode 100644
index 52a0daf1bb9c..000000000000
--- a/graphics/drm-fbsd11.2-kmod/pkg-plist
+++ /dev/null
@@ -1,8 +0,0 @@
-/%%KMODDIR%%/amdgpu.ko
-/%%KMODDIR%%/amdkfd.ko
-/%%KMODDIR%%/debugfs.ko
-/%%KMODDIR%%/drm.ko
-/%%KMODDIR%%/i915kms.ko
-/%%KMODDIR%%/linuxkpi_gplv2.ko
-/%%KMODDIR%%/radeonkms.ko
-/%%KMODDIR%%/ttm.ko
diff --git a/graphics/drm-fbsd12.0-kmod/Makefile b/graphics/drm-fbsd12.0-kmod/Makefile
index f6758b4a739e..b90f7753cc61 100644
--- a/graphics/drm-fbsd12.0-kmod/Makefile
+++ b/graphics/drm-fbsd12.0-kmod/Makefile
@@ -27,7 +27,7 @@ GH_TAGNAME= 8843e1fc5
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && (${OSVERSION} < 1200058 || ${OSVERSION} >= 1300000)
+.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1300000
IGNORE= only supported on FreeBSD 12.
.endif
.if ${OPSYS} != FreeBSD
diff --git a/graphics/drm-kmod/Makefile b/graphics/drm-kmod/Makefile
index a35293863d2d..d95af0bd1b6c 100644
--- a/graphics/drm-kmod/Makefile
+++ b/graphics/drm-kmod/Makefile
@@ -16,9 +16,7 @@ USES= metaport
IGNORE= not supported on anything but FreeBSD (missing linuxkpi functionality)
.else
.if ${ARCH} == "amd64"
-.if ${OSVERSION} >= 1103000 && ${OSVERSION} < 1200000
-RUN_DEPENDS= ${KMODDIR}/drm.ko:graphics/drm-fbsd11.2-kmod
-.elif ${OSVERSION} >= 1200058 && ${OSVERSION} < 1300000
+.if ${OSVERSION} < 1300000
RUN_DEPENDS= ${KMODDIR}/drm.ko:graphics/drm-fbsd12.0-kmod
.elif ${OSVERSION} >= 1300000 && ${OSVERSION} < 1300136
IGNORE= not supported on older 13, no kernel support
diff --git a/graphics/dspdfviewer/Makefile b/graphics/dspdfviewer/Makefile
index bbd6cea9ed8c..6f78c79b8da5 100644
--- a/graphics/dspdfviewer/Makefile
+++ b/graphics/dspdfviewer/Makefile
@@ -39,7 +39,7 @@ PLIST_FILES= bin/dspdfviewer \
CFLAGS+= -Wno-error=undefined-func-template
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200039 && ${CHOSEN_COMPILER_TYPE} == clang
+.if ${OPSYS} == FreeBSD && ${CHOSEN_COMPILER_TYPE} == clang
# (rene) also related to issue #191 which is still open as of 2020-10-21
CFLAGS+= -Wno-error=zero-as-null-pointer-constant
.endif
diff --git a/graphics/libjxl/Makefile b/graphics/libjxl/Makefile
index 8de3e64d4913..41b39880038f 100644
--- a/graphics/libjxl/Makefile
+++ b/graphics/libjxl/Makefile
@@ -51,10 +51,6 @@ JPEG_CMAKE_BOOL_OFF= CMAKE_DISABLE_FIND_PACKAGE_JPEG
LTO_CMAKE_BOOL= CMAKE_INTERPROCEDURAL_OPTIMIZATION
LTO_CMAKE_ON= -DCMAKE_POLICY_DEFAULT_CMP0069:STRING=NEW
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --plugin isn't supported by old GNU ld.bfd in base
-LTO_LDFLAGS= -fuse-ld=lld
-.endif
MANPAGES_BUILD_DEPENDS= a2x:textproc/asciidoc
MANPAGES_USES= python:build
diff --git a/graphics/mesa-devel/Makefile b/graphics/mesa-devel/Makefile
index 7123ef66c0a0..17a33c863cc1 100644
--- a/graphics/mesa-devel/Makefile
+++ b/graphics/mesa-devel/Makefile
@@ -48,11 +48,6 @@ MESON_ARGS= -Dgallium-omx=disabled \
${NULL}
PLIST_SUB= ARCH=${ARCH:S/amd/x86_/}
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --build-id isn't supported by old GNU ld.bfd in base
-LDFLAGS+= -fuse-ld=lld
-.endif
-
OPTIONS_DEFINE= LIBUNWIND LLVM LTO VAAPI VDPAU VKLAYERS WAYLAND X11 ZSTD
OPTIONS_DEFAULT= LIBUNWIND LLVM LTO VAAPI VDPAU VKLAYERS WAYLAND X11 ZSTD
OPTIONS_GROUP= DRI GALLIUM VULKAN
diff --git a/graphics/mesa-devel/files/patch-freebsd11 b/graphics/mesa-devel/files/patch-freebsd11
deleted file mode 100644
index f5f626705c2a..000000000000
--- a/graphics/mesa-devel/files/patch-freebsd11
+++ /dev/null
@@ -1,34 +0,0 @@
-https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=225302
-
-../src/util/build_id.c:42:4: error: unknown type name 'Elf_Nhdr'
- ElfW(Nhdr) nhdr;
- ^
-../src/util/build_id.c:38:20: note: expanded from macro 'ElfW'
-#define ElfW(type) Elf_##type
- ^
-<scratch space>:101:1: note: expanded from here
-Elf_Nhdr
-^
-../src/util/build_id.c:91:33: error: use of undeclared identifier 'Elf_Nhdr'
- size_t offset = sizeof(ElfW(Nhdr)) +
- ^
-../src/util/build_id.c:38:20: note: expanded from macro 'ElfW'
-#define ElfW(type) Elf_##type
- ^
-<scratch space>:102:1: note: expanded from here
-Elf_Nhdr
-^
-
---- src/util/build_id.c.orig 2020-05-30 21:28:01 UTC
-+++ src/util/build_id.c
-@@ -38,6 +38,10 @@
- #define ElfW(type) Elf_##type
- #endif
-
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+typedef Elf_Note Elf_Nhdr;
-+#endif
-+
- struct build_id_note {
- ElfW(Nhdr) nhdr;
-
diff --git a/graphics/mesa-dri/Makefile.common b/graphics/mesa-dri/Makefile.common
index 36ba47ccbe30..20931bf44980 100644
--- a/graphics/mesa-dri/Makefile.common
+++ b/graphics/mesa-dri/Makefile.common
@@ -81,10 +81,6 @@ PKGHELP= ${.CURDIR}/pkg-help
PKGINSTALL= ${.CURDIR}/pkg-install
PKGDEINSTALL= ${.CURDIR}/pkg-deinstall
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-EXTRA_PATCHES+= ${PATCHDIR}/extra-patch-src_util_build__id.c
-.endif
-
.include <bsd.port.pre.mk>
BINARY_ALIAS+= python3=${PYTHON_VERSION}
diff --git a/graphics/mesa-dri/files/extra-patch-src_util_build__id.c b/graphics/mesa-dri/files/extra-patch-src_util_build__id.c
deleted file mode 100644
index 4b7b69d6b8ee..000000000000
--- a/graphics/mesa-dri/files/extra-patch-src_util_build__id.c
+++ /dev/null
@@ -1,15 +0,0 @@
-# Elf_ doesn't exist, use Elf32_ or Elf64_
-#
---- src/util/build_id.c.orig 2017-12-21 17:31:22 UTC
-+++ src/util/build_id.c
-@@ -38,6 +38,10 @@
- #define ElfW(type) Elf_##type
- #endif
-
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+typedef Elf_Note Elf_Nhdr;
-+#endif
-+
- struct build_id_note {
- ElfW(Nhdr) nhdr;
-
diff --git a/graphics/openshadinglanguage/Makefile b/graphics/openshadinglanguage/Makefile
index cac0723c870b..06ab523f9067 100644
--- a/graphics/openshadinglanguage/Makefile
+++ b/graphics/openshadinglanguage/Makefile
@@ -28,11 +28,6 @@ USE_GITHUB= yes
GH_ACCOUNT= imageworks
GH_PROJECT= OpenShadingLanguage
-# Use LLVM linker where available
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-LDFLAGS+= -fuse-ld=lld
-.endif
-
CMAKE_ON= ENABLERTTI OSL_BUILD_TESTS USE_LLVM_BITCODE USE_LIBCPLUSPLUS
CMAKE_OFF= USE_BOOST_WAVE
CMAKE_ARGS+= -DLLVM_CONFIG:STRING="${LOCALBASE}/bin/llvm-config${LLVM_VER}" \
diff --git a/graphics/pcl-pointclouds/Makefile b/graphics/pcl-pointclouds/Makefile
index 9eb05c01dc42..5d97f4d681ff 100644
--- a/graphics/pcl-pointclouds/Makefile
+++ b/graphics/pcl-pointclouds/Makefile
@@ -11,7 +11,6 @@ LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE.txt
BROKEN_i386= undefined reference to `__atomic_load'
-BROKEN_FreeBSD_11= surface/CMakeFiles/pcl_surface.dir/src/mls.cpp.o: file not recognized: File format not recognized
NOT_FOR_ARCHS= armv6 armv7
NOT_FOR_ARCHS_REASON= common/include/pcl/pcl_macros.h:420:4: error: aligned_malloc not supported on your platform
diff --git a/graphics/pixie/Makefile b/graphics/pixie/Makefile
index 04cca76b8a39..f7066ab39631 100644
--- a/graphics/pixie/Makefile
+++ b/graphics/pixie/Makefile
@@ -17,7 +17,6 @@ BROKEN_aarch64= fails to compile: ri/atomic.h:149:9: use of undeclared identifi
BROKEN_armv6= fails to compile: ri/atomic.h:149:9: use of undeclared identifier CRenderer
BROKEN_armv7= fails to compile: ri/atomic.h:149:9: use of undeclared identifier CRenderer
BROKEN_riscv64= fails to compile: ri/atomic.h:149:9: use of undeclared identifier CRenderer
-BROKEN_FreeBSD_11_powerpc64= fails to compile on powerpc64 elfv1: ../common/mathSpec.h:548:37: error: 'max' was not declared in this scope
BROKEN_FreeBSD_12_powerpc64= fails to compile on powerpc64 elfv1: ../common/mathSpec.h:548:37: error: 'max' was not declared in this scope
LIB_DEPENDS= libOpenEXR.so:graphics/openexr \
diff --git a/graphics/rawtherapee/Makefile b/graphics/rawtherapee/Makefile
index 9a36e086d945..250f94b3d979 100644
--- a/graphics/rawtherapee/Makefile
+++ b/graphics/rawtherapee/Makefile
@@ -103,19 +103,6 @@ OPENMP_CMAKE_BOOL= OPTION_OMP
# -------------------------------------------------------------------
-.if (${OPSYS} == FreeBSD) && (${OSVERSION} < 1200000)
-# can't save 16-bit TIFF on FreeBSD 11.3 and 11.4 i386
-# "TIFFWriteDirectoryTagIfdIfd8Array: Attempt to write value
-# larger than 0xFFFFFFFF in Classic TIFF file"
-#
-# And no, the maintainer is not going to spend any time on it
-# unless there is a tested proven well-integrated patch offered.
-#
-# Tier-2 only supported on the latest stable FreeBSD release.
-ONLY_FOR_ARCHS= amd64
-ONLY_FOR_ARCHS_REASON=On i386, rawtherapee malfunctions under FreeBSD 11.x - upgrade to 12.x
-.endif
-
.if (${OPSYS} == FreeBSD) && (${OSVERSION} >= 1400000)
# don't waste everybody's time with Tier-2 and moving targets.
# might add ARM64 later on if they are established by the
diff --git a/irc/ircproxy/Makefile b/irc/ircproxy/Makefile
index 6a7409350086..c77682be2155 100644
--- a/irc/ircproxy/Makefile
+++ b/irc/ircproxy/Makefile
@@ -41,10 +41,8 @@ SSL_USES= ssl
post-patch:
@${REINPLACE_CMD} -e 's|EUSER="ircproxy"|EUSER="ircproxyd"|g; \
s|EGROUP="users"|EGROUP="ircproxyd"|g' ${WRKSRC}/data/${PORTNAME}d.conf
-.if ${OSVERSION} > 1200084
@${REINPLACE_CMD} -e '/gnutls/!s,SSL_library_init,OPENSSL_init_ssl,' \
${WRKSRC}/configure.in
-.endif
post-install:
@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/imkpasswd ${STAGEDIR}${PREFIX}/bin/ircproxyd
diff --git a/java/bootstrap-openjdk11/Makefile b/java/bootstrap-openjdk11/Makefile
index c904d7fa27c0..676b5bd9240c 100644
--- a/java/bootstrap-openjdk11/Makefile
+++ b/java/bootstrap-openjdk11/Makefile
@@ -29,9 +29,7 @@ INSTALLDIR= ${STAGEDIR}${PREFIX}/${JDK_ROOT}
.include <bsd.port.pre.mk>
# Support aarch64, armv6 and armv7 on FreeBSD 12 and up
-.if ${OSVERSION} >= 1200500
ONLY_FOR_ARCHS+=aarch64 armv6 armv7
-.endif
.if ${ARCH} == aarch64 || ${ARCH:Marmv*}
DISTNAME= ${JDK_PORT}-${JDK_ARCH}-12-${PORTVERSION}
diff --git a/java/openjdk11/Makefile b/java/openjdk11/Makefile
index 9a05feb2f85a..a6f9fe592ded 100644
--- a/java/openjdk11/Makefile
+++ b/java/openjdk11/Makefile
@@ -12,7 +12,7 @@ COMMENT?= Java Development Kit ${JDK_MAJOR_VERSION}
LICENSE= GPLv2
-ONLY_FOR_ARCHS= amd64 i386 powerpc64 powerpc64le
+ONLY_FOR_ARCHS= aarch64 amd64 armv6 armv7 i386 powerpc64 powerpc64le
BUILD_DEPENDS= zip:archivers/zip \
autoconf>0:devel/autoconf \
@@ -114,11 +114,6 @@ JDK_BUILD_TYPE= release
.include <bsd.port.pre.mk>
-# Support aarch64, armv6 and armv7 on FreeBSD 12 and up
-.if ${OSVERSION} >= 1200500
-ONLY_FOR_ARCHS+=aarch64 armv6 armv7
-.endif
-
BOOTSTRAP_JDKS= ${LOCALBASE}/openjdk11 \
${LOCALBASE}/bootstrap-openjdk11
diff --git a/java/openjdk12/Makefile b/java/openjdk12/Makefile
index a5923e5df89e..9f860f250a77 100644
--- a/java/openjdk12/Makefile
+++ b/java/openjdk12/Makefile
@@ -10,7 +10,7 @@ COMMENT= Java Development Kit ${JDK_MAJOR_VERSION}
LICENSE= GPLv2
-ONLY_FOR_ARCHS= amd64 i386 powerpc64 powerpc64le
+ONLY_FOR_ARCHS= aarch64 amd64 i386 powerpc64 powerpc64le
BUILD_DEPENDS= zip:archivers/zip \
autoconf>0:devel/autoconf \
@@ -102,11 +102,6 @@ JDK_BUILD_TYPE= release
.include <bsd.port.pre.mk>
-# Support aarch64 on FreeBSD 12 and up
-.if ${OSVERSION} >= 1200500
-ONLY_FOR_ARCHS+=aarch64
-.endif
-
BOOTSTRAP_JDKS= ${LOCALBASE}/openjdk12 \
${LOCALBASE}/openjdk11 \
${LOCALBASE}/bootstrap-openjdk11
diff --git a/java/openjdk13/Makefile b/java/openjdk13/Makefile
index 948399fc0591..20cf6fcc719e 100644
--- a/java/openjdk13/Makefile
+++ b/java/openjdk13/Makefile
@@ -9,7 +9,7 @@ COMMENT= Java Development Kit ${JDK_MAJOR_VERSION}
LICENSE= GPLv2
-ONLY_FOR_ARCHS= amd64 i386 powerpc64 powerpc64le
+ONLY_FOR_ARCHS= aarch64 amd64 i386 powerpc64 powerpc64le
BUILD_DEPENDS= zip:archivers/zip \
autoconf>0:devel/autoconf \
@@ -101,11 +101,6 @@ JDK_BUILD_TYPE= release
.include <bsd.port.pre.mk>
-# Support aarch64 on FreeBSD 12 and up
-.if ${OSVERSION} >= 1200500
-ONLY_FOR_ARCHS+=aarch64
-.endif
-
BOOTSTRAP_JDKS= ${LOCALBASE}/openjdk13 \
${LOCALBASE}/openjdk12
diff --git a/java/openjdk14/Makefile b/java/openjdk14/Makefile
index 6aa5f4972b9f..d799dbc1b1f1 100644
--- a/java/openjdk14/Makefile
+++ b/java/openjdk14/Makefile
@@ -10,7 +10,7 @@ COMMENT= Java Development Kit ${JDK_MAJOR_VERSION}
LICENSE= GPLv2
-ONLY_FOR_ARCHS= amd64 i386 powerpc64 powerpc64le
+ONLY_FOR_ARCHS= aarch64 amd64 i386 powerpc64 powerpc64le
BUILD_DEPENDS= zip:archivers/zip \
autoconf>0:devel/autoconf \
@@ -103,11 +103,6 @@ JDK_BUILD_TYPE= release
.include <bsd.port.pre.mk>
-# Support aarch64 on FreeBSD 12 and up
-.if ${OSVERSION} >= 1200500
-ONLY_FOR_ARCHS+=aarch64
-.endif
-
BOOTSTRAP_JDKS= ${LOCALBASE}/openjdk14 \
${LOCALBASE}/openjdk13
diff --git a/java/openjdk15/Makefile b/java/openjdk15/Makefile
index 1690a87e74e8..1f88eade1ed4 100644
--- a/java/openjdk15/Makefile
+++ b/java/openjdk15/Makefile
@@ -9,7 +9,7 @@ COMMENT= Java Development Kit ${JDK_MAJOR_VERSION}
LICENSE= GPLv2
-ONLY_FOR_ARCHS= amd64 i386 powerpc64 powerpc64le
+ONLY_FOR_ARCHS= aarch64 amd64 i386 powerpc64 powerpc64le
BUILD_DEPENDS= zip:archivers/zip \
autoconf>0:devel/autoconf \
@@ -102,11 +102,6 @@ JDK_BUILD_TYPE= release
.include <bsd.port.pre.mk>
-# Support aarch64 on FreeBSD 12 and up
-.if ${OSVERSION} >= 1200500
-ONLY_FOR_ARCHS+=aarch64
-.endif
-
BOOTSTRAP_JDKS= ${LOCALBASE}/openjdk15 \
${LOCALBASE}/openjdk14
diff --git a/java/openjdk16/Makefile b/java/openjdk16/Makefile
index 6bffa62764a9..e47aa553774e 100644
--- a/java/openjdk16/Makefile
+++ b/java/openjdk16/Makefile
@@ -9,7 +9,7 @@ COMMENT= Java Development Kit ${JDK_MAJOR_VERSION}
LICENSE= GPLv2
-ONLY_FOR_ARCHS= amd64 i386 powerpc64 powerpc64le
+ONLY_FOR_ARCHS= aarch64 amd64 i386 powerpc64 powerpc64le
BUILD_DEPENDS= zip:archivers/zip \
autoconf>0:devel/autoconf \
@@ -104,11 +104,6 @@ JDK_BUILD_TYPE= release
.include <bsd.port.pre.mk>
-# Support aarch64 on FreeBSD 12 and up
-.if ${OSVERSION} >= 1200500
-ONLY_FOR_ARCHS+=aarch64
-.endif
-
BOOTSTRAP_JDKS= ${LOCALBASE}/openjdk16 \
${LOCALBASE}/openjdk15
diff --git a/lang/ccl/Makefile b/lang/ccl/Makefile
index f801f2635594..62438d38f95d 100644
--- a/lang/ccl/Makefile
+++ b/lang/ccl/Makefile
@@ -26,11 +26,6 @@ USE_ASDF= yes
.include "${.CURDIR}/../../devel/cl-asdf/bsd.cl-asdf.mk"
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 1200000
-IGNORE= does not build on FreeBSD < 12.0
-.endif
BUILD_DEPENDS+= as:devel/binutils
LISP_ARCH= x8664
@@ -64,4 +59,4 @@ do-install:
done
${INSTALL_SCRIPT} ${WRKDIR}/ccl.sh ${STAGEDIR}${PREFIX}/bin/ccl
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/lang/clover/Makefile b/lang/clover/Makefile
index c56294ee5f15..148a8904350f 100644
--- a/lang/clover/Makefile
+++ b/lang/clover/Makefile
@@ -13,7 +13,6 @@ RUN_DEPENDS= libclc>=0.3.0:devel/libclc \
ONLY_FOR_ARCHS= i386 amd64 powerpc64le powerpc64
ONLY_FOR_ARCHS_REASON= Clover needs a GPU supported by the Radeon KMS driver
-BROKEN_FreeBSD_11= undefined reference to `vl_video_buffer_plane_order'
.include <bsd.port.options.mk>
.include "${.CURDIR:H:H}/graphics/mesa-dri/Makefile.common"
diff --git a/lang/crystal/Makefile b/lang/crystal/Makefile
index e82ef1821380..47c32dbee0e2 100644
--- a/lang/crystal/Makefile
+++ b/lang/crystal/Makefile
@@ -11,7 +11,6 @@ COMMENT= Language with Ruby-like syntax and static type checking
LICENSE= APACHE20
-IGNORE_FreeBSD_11= prebuilt bootstrap only built for FreeBSD >=12 (ino64)
ONLY_FOR_ARCHS= aarch64 amd64
ONLY_FOR_ARCHS_REASON= requires prebuilt bootstrap compiler
diff --git a/lang/gcc6-aux/Makefile b/lang/gcc6-aux/Makefile
index 074401270aa6..f532a3d9de28 100644
--- a/lang/gcc6-aux/Makefile
+++ b/lang/gcc6-aux/Makefile
@@ -50,17 +50,7 @@ BOOTSTRAP_DESC= Create bootstrap compiler (overrides other options)
.if ${OPSYS} == FreeBSD
ONLY_FOR_ARCHS= aarch64 amd64 i386
MODERN_BINUTILS= yes
-. if ${ARCH} == aarch64 && ${OSVERSION} > 1200075 #ino64
-BOOTSTRAP_COMPILER= ada-bootstrap.aarch64.freebsd.120.tar.bz2
-. elif ${ARCH} == aarch64
-BOOTSTRAP_COMPILER= ada-bootstrap.aarch64.freebsd.111.tar.bz2
-. elif ${ARCH} == amd64 && ${OSVERSION} > 1200030 #ino64
-BOOTSTRAP_COMPILER= ada-bootstrap.${GARCH}.freebsd.120.tar.bz2
-. elif ${ARCH} == i386 && ${OSVERSION} > 1200030 #ino64
-BOOTSTRAP_COMPILER= ada-bootstrap.${GARCH}.freebsd.120.tar.bz2
-. else
-BOOTSTRAP_COMPILER= ada-bootstrap.${GARCH}.freebsd.100B.tar.bz2
-. endif
+BOOTSTRAP_COMPILER= ada-bootstrap.${ARCH}.freebsd.120.tar.bz2
.endif
.if ${OPSYS} == DragonFly
ONLY_FOR_ARCHS= x86_64
diff --git a/lang/ghc/Makefile b/lang/ghc/Makefile
index 2b70b2cb8b55..37b610987ff7 100644
--- a/lang/ghc/Makefile
+++ b/lang/ghc/Makefile
@@ -132,10 +132,7 @@ _EXECUTABLES+= ${GHC_LIBDIR}/bin/ghc-iserv-dyn
.if empty(PORT_OPTIONS:MBOOT)
BOOTSTRAPS_SUFFIX?= ${BOOTSTRAPS_SUFFIX_${ARCH}}
BOOTSTRAPS_SUFFIX_powerpc64?= -${PPC_ABI:tl}
-. if ${OSVERSION} < 1200000 && (${ARCH} == amd64 || ${ARCH} == i386)
-ELEVEN_SUFX= 11
-. endif
-DISTFILES+= ghc-${BOOT_GHC_VERSION}-boot-${ARCH}-freebsd${BOOTSTRAPS_SUFFIX}${ELEVEN_SUFX}${EXTRACT_SUFX}:boot
+DISTFILES+= ghc-${BOOT_GHC_VERSION}-boot-${ARCH}-freebsd${BOOTSTRAPS_SUFFIX}${EXTRACT_SUFX}:boot
.endif # MBOOT
.if ${ARCH} == aarch64 || ${ARCH:Marmv*}
@@ -162,9 +159,6 @@ CONFIGURE_ENV_BOOTSTRAP=LLC=llc${BOOT_LLVM_VERSION} \
.endif
.if ${ARCH} == aarch64 || ${ARCH:Marmv*} || ${ARCH} == powerpc64
-. if ${OSVERSION} < 1202000
-IGNORE= lang/ghc requires at least FreeBSD 12.2-RELEASE
-. endif
. ifdef QEMU_EMULATING
IGNORE= qemu-user-static isn't able to build lang/ghc, but it builds fine on a real hardware
. endif
diff --git a/lang/gnustep-base/Makefile b/lang/gnustep-base/Makefile
index cce41c595c40..1984313a8ee6 100644
--- a/lang/gnustep-base/Makefile
+++ b/lang/gnustep-base/Makefile
@@ -12,7 +12,6 @@ COMMENT= GNUstep Foundation library
LICENSE= GPLv3 LGPL3
LICENSE_COMB= multi
-BROKEN_FreeBSD_11_powerpc64= fails to link: ld.lld: error: /usr/src/lib/csu/common/crtend.c:55: relocation R_PPC64_ADDR16_DS out of range: -32776 is not in [-32768, 32767]
BROKEN_FreeBSD_12_powerpc64= fails to link: ld.lld: error: /usr/src/lib/csu/common/crtend.c:55: relocation R_PPC64_ADDR16_DS out of range: -32776 is not in [-32768, 32767]
LIB_DEPENDS+= libffi.so:devel/libffi
diff --git a/lang/go/Makefile b/lang/go/Makefile
index edc64432f732..4c9fe513d8e2 100644
--- a/lang/go/Makefile
+++ b/lang/go/Makefile
@@ -65,12 +65,6 @@ GOARCH_i386= 386
GOARM_armv6= 6
GOARM_armv7= 7
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == aarch64 && ${OSVERSION} < 1200000
-IGNORE= aarch64 support requires FreeBSD 12.0 or newer
-.endif
-
post-patch:
@${REINPLACE_CMD} -e 's|^if ulimit -T|false \&\& &|' ${WRKSRC}/src/run.bash
@@ -126,4 +120,4 @@ makesum:
${RM} ${DISTINFO_FILE}.tmp
.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/lang/hermes/Makefile b/lang/hermes/Makefile
index 1fece6cc427e..abd108302abe 100644
--- a/lang/hermes/Makefile
+++ b/lang/hermes/Makefile
@@ -25,12 +25,6 @@ CMAKE_OFF= HERMES_ENABLE_TEST_SUITE
BINARY_ALIAS= python=${PYTHON_CMD} python3=${PYTHON_CMD}
-.include <bsd.port.options.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1201518
-BROKEN= needs pthread_getname_np from OSVERSION 1201518 or above
-.endif
-
do-test: # some tests are known to fail: https://github.com/facebook/hermes/issues/347
@cd ${BUILD_WRKSRC} && \
${SETENV} ${CONFIGURE_ENV} ${CMAKE_BIN} ${CMAKE_ARGS} -DHERMES_ENABLE_TEST_SUITE:BOOL=ON ${CMAKE_SOURCE_PATH} && \
diff --git a/lang/ldc/Makefile b/lang/ldc/Makefile
index 93e3cfb246a7..6d3e714005f0 100644
--- a/lang/ldc/Makefile
+++ b/lang/ldc/Makefile
@@ -44,7 +44,7 @@ LDCVER= ${PORTVERSION}
CFLAGS+= -fPIC
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} > 1200029
+.if ${OPSYS} == FreeBSD
EXTRA_PATCHES= ${PATCHDIR}/fbsd12-*
.endif
diff --git a/lang/luajit-openresty/Makefile b/lang/luajit-openresty/Makefile
index b4f2ee89b709..bfe12fecc865 100644
--- a/lang/luajit-openresty/Makefile
+++ b/lang/luajit-openresty/Makefile
@@ -39,15 +39,9 @@ PLIST_SUB+= VERSION=${LUAJIT_VERSION} SOVERSION=${LUAJIT_SOVERSION}
USE_GCC=yes
.endif
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-MAKE_ARGS+= XCFLAGS=-DLJ_TARGET_HAS_GETENTROPY=0
-.endif
-
post-install:
${LN} -sf ${PORTNAME}-${LUAJIT_VERSION} \
${STAGEDIR}${PREFIX}/bin/${PORTNAME}
${INSTALL_MAN} ${WRKSRC}/etc/luajit.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/lang/perl5-devel/Makefile b/lang/perl5-devel/Makefile
index 8bae24ef6134..9bda07c8dcf2 100644
--- a/lang/perl5-devel/Makefile
+++ b/lang/perl5-devel/Makefile
@@ -46,7 +46,8 @@ TEST_ENV= ${MAKE_ENV} \
HAS_CONFIGURE= yes
CONFIGURE_SCRIPT= Configure
-CONFIGURE_ARGS= -Darchlib=${PREFIX}/${_ARCH_LIB} \
+CONFIGURE_ARGS= -Accflags='-DUSE_THREAD_SAFE_LOCALE' \
+ -Darchlib=${PREFIX}/${_ARCH_LIB} \
-Dcc="${CC}" \
-Dcf_by=${MAINTAINER:C,@.*,,} \
-Dcf_email=${MAINTAINER} \
@@ -197,10 +198,6 @@ _PERL5_DEFAULT_FILE= /tmp/PERL5_DEFAULT
.include <bsd.port.options.mk>
.sinclude "${_PERL5_DEFAULT_FILE}"
-.if ${OSVERSION} >= 1200004
-CONFIGURE_ARGS+= -Accflags='-DUSE_THREAD_SAFE_LOCALE'
-.endif
-
# if this port is default due PERL5_DEFAULT
# change PKGNAME to reflect this
.if ${PERL_VER} == ${PERL5_DEFAULT} || ${PERL5_DEFAULT} == devel # XXX Remove devel case
diff --git a/lang/perl5.30/Makefile b/lang/perl5.30/Makefile
index 84e6486a774d..703a24240901 100644
--- a/lang/perl5.30/Makefile
+++ b/lang/perl5.30/Makefile
@@ -43,7 +43,8 @@ CONFIGURE_ARGS= -sde -Dprefix=${PREFIX} \
-Ui_malloc -Ui_iconv -Uinstallusrbinperl -Dusenm=n \
-Dcc="${CC}" -Duseshrplib -Dinc_version_list=none \
-Dcf_by=${MAINTAINER:C,@.*,,} -Dcf_email=${MAINTAINER} \
- -Dcf_time="`${STAT} -t \"%a %b %d %T %Z %Y\" -f %Sm ${_DISTDIR}/${DISTNAME}${EXTRACT_SUFX}`"
+ -Dcf_time="`${STAT} -t \"%a %b %d %T %Z %Y\" -f %Sm ${_DISTDIR}/${DISTNAME}${EXTRACT_SUFX}`" \
+ -Accflags='-DUSE_THREAD_SAFE_LOCALE'
# Keep the following two in sync.
# lddlflags is used for all .so linking
# shrpldflags is used for libperl.so, so remove all the extra bits inherited from lddlflags.
@@ -166,10 +167,6 @@ _PERL5_DEFAULT_FILE= /tmp/PERL5_DEFAULT
.include <bsd.port.options.mk>
.sinclude "${_PERL5_DEFAULT_FILE}"
-.if ${OSVERSION} >= 1200004
-CONFIGURE_ARGS+= -Accflags='-DUSE_THREAD_SAFE_LOCALE'
-.endif
-
# if this port is default due PERL5_DEFAULT
# change PKGNAME to reflect this
.if ${PERL_VER} == ${PERL5_DEFAULT}
diff --git a/lang/perl5.32/Makefile b/lang/perl5.32/Makefile
index ffb0d239590c..7cf5fb55fa68 100644
--- a/lang/perl5.32/Makefile
+++ b/lang/perl5.32/Makefile
@@ -52,7 +52,8 @@ CONFIGURE_ARGS= -Darchlib=${PREFIX}/${_ARCH_LIB} \
-sde \
-Ui_iconv \
-Ui_malloc \
- -Uinstallusrbinperl
+ -Uinstallusrbinperl \
+ -Accflags='-DUSE_THREAD_SAFE_LOCALE'
# Keep the following two in sync.
# lddlflags is used for all .so linking
# shrpldflags is used for libperl.so, so remove all the extra bits inherited from lddlflags.
@@ -172,10 +173,6 @@ _PERL5_DEFAULT_FILE= /tmp/PERL5_DEFAULT
.include <bsd.port.options.mk>
.sinclude "${_PERL5_DEFAULT_FILE}"
-.if ${OSVERSION} >= 1200004
-CONFIGURE_ARGS+= -Accflags='-DUSE_THREAD_SAFE_LOCALE'
-.endif
-
# if this port is default due PERL5_DEFAULT
# change PKGNAME to reflect this
.if ${PERL_VER} == ${PERL5_DEFAULT}
diff --git a/lang/perl5.34/Makefile b/lang/perl5.34/Makefile
index ed38db918ce0..044eabcd635b 100644
--- a/lang/perl5.34/Makefile
+++ b/lang/perl5.34/Makefile
@@ -52,7 +52,8 @@ CONFIGURE_ARGS= -Darchlib=${PREFIX}/${_ARCH_LIB} \
-sde \
-Ui_iconv \
-Ui_malloc \
- -Uinstallusrbinperl
+ -Uinstallusrbinperl \
+ -Accflags='-DUSE_THREAD_SAFE_LOCALE'
# Keep the following two in sync.
# lddlflags is used for all .so linking
# shrpldflags is used for libperl.so, so remove all the extra bits inherited from lddlflags.
@@ -172,10 +173,6 @@ _PERL5_DEFAULT_FILE= /tmp/PERL5_DEFAULT
.include <bsd.port.options.mk>
.sinclude "${_PERL5_DEFAULT_FILE}"
-.if ${OSVERSION} >= 1200004
-CONFIGURE_ARGS+= -Accflags='-DUSE_THREAD_SAFE_LOCALE'
-.endif
-
# if this port is default due PERL5_DEFAULT
# change PKGNAME to reflect this
.if ${PERL_VER} == ${PERL5_DEFAULT}
diff --git a/lang/python310/Makefile b/lang/python310/Makefile
index 64aba656d340..508b194c02aa 100644
--- a/lang/python310/Makefile
+++ b/lang/python310/Makefile
@@ -112,8 +112,8 @@ PLIST_SUB+= NO_NIS=""
.endif
# Python 3.10 requires OpenSSL >= 1.1.1 (PEP 644), so with
-# older OpenSSL or libressl, some modules are not built
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000 && !${SSL_DEFAULT:Mopenssl*} || ${SSL_DEFAULT:Mlibressl*}
+# libressl, some modules are not built
+.if ${SSL_DEFAULT:Mlibressl*}
PLIST_SUB+= SUPPORTED_OPENSSL="@comment "
.else
PLIST_SUB+= SUPPORTED_OPENSSL=""
diff --git a/lang/rust-bootstrap/Makefile b/lang/rust-bootstrap/Makefile
index 6a8d9d1ed894..a014052ec0c3 100644
--- a/lang/rust-bootstrap/Makefile
+++ b/lang/rust-bootstrap/Makefile
@@ -67,8 +67,6 @@ _RUST_LLVM_TARGET_powerpc= PowerPC
.if ${OPSYS} != FreeBSD
IGNORE= is only for FreeBSD
-.elif ${OSVERSION} < 1200502
-IGNORE= will not build on 12.0 due to old toolchain; 11.x untested
.endif
.if ${FLAVOR} == powerpc64le && ${OSVERSION} < 1300116
IGNORE= will not build on 12.x due to old system
diff --git a/lang/rust/Makefile b/lang/rust/Makefile
index c6815b26b515..0db40e6a5e3f 100644
--- a/lang/rust/Makefile
+++ b/lang/rust/Makefile
@@ -24,8 +24,6 @@ LICENSE_COMB= dual
LICENSE_FILE_APACHE20= ${WRKSRC}/LICENSE-APACHE
LICENSE_FILE_MIT= ${WRKSRC}/LICENSE-MIT
-IGNORE_FreeBSD_11_powerpc64= is missing a bootstrap for FreeBSD 11.x powerpc64
-IGNORE_FreeBSD_11_powerpc= is missing a bootstrap for FreeBSD 11.x powerpc
IGNORE_FreeBSD_12_powerpc= is missing a bootstrap for FreeBSD 12.x powerpc
ONLY_FOR_ARCHS?= aarch64 amd64 armv6 armv7 i386 powerpc64 powerpc64le \
powerpc
@@ -111,11 +109,6 @@ USE_GCC= yes
STRIP_CMD= ${LOCALBASE}/bin/strip # unsupported e_type with base strip
.endif
-# remove when 11.4 is EOL
-.if ${ARCH} == aarch64 && ${OSVERSION} < 1202000
-IGNORE= fails to run due to a bug in rtld, update to 12.2-RELEASE or newer
-.endif
-
.ifdef QEMU_EMULATING
IGNORE= fails to build with qemu-user-static
.endif
@@ -187,11 +180,7 @@ do-configure:
@${ECHO_CMD} 'ccache=false' >> ${WRKSRC}/config.toml
.endif
@${ECHO_CMD} 'ninja=true' >> ${WRKSRC}/config.toml
-.if ${ARCH} == armv6
-# fails to link with base ld.bfd: rustc_codegen_llvm.e2557spx-cgu.11:(.text._ZN89_$LT$rustc_target..abi..call..CastTarget$u20$as$u20$rustc_codegen_llvm..abi..LlvmType$GT$9llvm_type17h1296210ab461fc57E+0x54): relocation truncated to fit: R_ARM_CALL against symbol `__aeabi_uldivmod' defined in .text.__aeabi_uldivmod section in /tmp/rustcdnGbao/libcompiler_builtins-ee65b414e4115a8f.rlib(compiler_builtins-ee65b414e4115a8f.compiler_builtins.ay8p39ey-cgu.13.rcgu.o)
- @${PRINTF} '#!/bin/sh\nexec ${CC} -fuse-ld=lld "$$@"' > ${WRKDIR}/cc-wrapper
- @${CHMOD} +x ${WRKDIR}/cc-wrapper
-.elif ${ARCH} == powerpc
+.if ${ARCH} == powerpc
# Rust doesn't call the system compiler with the full version of the target.
# This makes powerpc miscompile due to the secure-plt ABI change.
# Additionally, force using ld.bfd to work around a linking problem in rustc_mir
diff --git a/lang/zig-devel/Makefile b/lang/zig-devel/Makefile
index 33059061e434..62a19947419a 100644
--- a/lang/zig-devel/Makefile
+++ b/lang/zig-devel/Makefile
@@ -11,7 +11,6 @@ COMMENT= Language designed for robustness, optimality, and maintainability
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= expects getrandom(2) which is unavailable on FreeBSD < 12.0
ONLY_FOR_ARCHS= aarch64 amd64
ONLY_FOR_ARCHS_REASON= not yet supported
diff --git a/lang/zig/Makefile b/lang/zig/Makefile
index 1bd162fd1e10..9c0fcb34f400 100644
--- a/lang/zig/Makefile
+++ b/lang/zig/Makefile
@@ -9,7 +9,6 @@ COMMENT= Language designed for robustness, optimality, and maintainability
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= expects getrandom(2) which is unavailable on FreeBSD < 12.0
ONLY_FOR_ARCHS= aarch64 amd64
ONLY_FOR_ARCHS_REASON= not yet supported
diff --git a/mail/imapfilter/Makefile b/mail/imapfilter/Makefile
index ba913e7bbd60..09e3095d9e36 100644
--- a/mail/imapfilter/Makefile
+++ b/mail/imapfilter/Makefile
@@ -10,8 +10,6 @@ COMMENT= IMAP mail filtering utility
LICENSE= MIT
-BROKEN_FreeBSD_11=Requires openssl111 to build
-
LIB_DEPENDS= libpcre2-8.so:devel/pcre2
USES= lua ssl
diff --git a/mail/isync/Makefile b/mail/isync/Makefile
index 9bccb2f52444..2648cb462191 100644
--- a/mail/isync/Makefile
+++ b/mail/isync/Makefile
@@ -27,16 +27,10 @@ MAKE_ARGS+= SSL_LIBS="-L${OPENSSLLIB} -lssl -lcrypto"
CPPFLAGS+= -I${BDB_INCLUDE_DIR}
LDFLAGS+= -L${BDB_LIB_DIR}
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base
-BROKEN= requires OpenSSL 1.1.1, upgrade to FreeBSD 12.x/13.x or add DEFAULT_VERSIONS+=ssl=openssl to /etc/make.conf
-.endif
-
post-patch:
@${REINPLACE_CMD} -e 's|: install-docDATA|:|g' ${WRKSRC}/Makefile.in
@${REINPLACE_CMD} -e 's|\$$(docdir)/examples|\$$(sysconfdir)|g' \
${WRKSRC}/src/Makefile.in
@${REINPLACE_CMD} -e 's|-ansi||g' ${WRKSRC}/${CONFIGURE_SCRIPT}
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/mail/opensmtpd/Makefile b/mail/opensmtpd/Makefile
index 98422f77b40a..9499ce2b8723 100644
--- a/mail/opensmtpd/Makefile
+++ b/mail/opensmtpd/Makefile
@@ -55,14 +55,7 @@ CONFIGURE_ARGS+= --sysconfdir=${PREFIX}/etc/mail/ \
--with-user-queue=_smtpq \
--with-group-queue=_smtpq
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && \
- (${OSVERSION} < 1200084 && ${SSL_DEFAULT} == "base")
-BROKEN= Openssl 1.0 API is EoL, upgrade to FreeBSD 12.x/13.x or add DEFAULT_VERSIONS+=ssl=[openssl|libressl*] to /etc/make.conf
-.endif
-
post-install-TABLE_DB-on:
@${LN} -sf ${PREFIX}/sbin/smtpctl ${STAGEDIR}${PREFIX}/libexec/opensmtpd/makemap
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/mail/postfix-current/Makefile b/mail/postfix-current/Makefile
index c4d64320a1c5..deeb92d4f18c 100644
--- a/mail/postfix-current/Makefile
+++ b/mail/postfix-current/Makefile
@@ -58,7 +58,7 @@ SASLKMIT_LIB_DEPENDS= libkrb5.so:security/krb5
SASL_LIB_DEPENDS= libsasl2.so:security/cyrus-sasl2
SQLITE_USES= sqlite
-BLACKLISTD_DESC= Enable blacklistd support (FreeBSD 11.0 and later only)
+BLACKLISTD_DESC= Enable blacklistd support
CDB_DESC= CDB maps lookups
EAI_DESC= Email Address Internationalization (SMTPUTF8) support
INST_BASE_DESC= Install into /usr and /etc/postfix
@@ -87,7 +87,7 @@ MAKEFILEFLAGS+= DEBUG=
MAKEFILEFLAGS+= pie=yes CC="${CC}" OPT="${CFLAGS}"
-.if (${OSREL:R} < 12 && ${SSL_DEFAULT} == base) || (${SSL_DEFAULT} == libressl)
+.if ${SSL_DEFAULT} == libressl
BROKEN= error: OpenSSL-1.1.1 is the minimum supported version. \
LibreSSL is not supported
.endif
@@ -203,7 +203,7 @@ POSTFIX_AUXLIBS+= -L${BDB_LIB_DIR} -l${BDB_LIB_NAME}
. if ${OPSYS} == FreeBSD
POSTFIX_AUXLIBS+= -lblacklist
. else
-IGNORE= blacklistd is only supported on FreeBSD >= 11.0
+IGNORE= blacklistd is only supported on FreeBSD
. endif
.endif
diff --git a/mail/postfix/Makefile b/mail/postfix/Makefile
index a735a9ddb303..fd2a67c73209 100644
--- a/mail/postfix/Makefile
+++ b/mail/postfix/Makefile
@@ -58,7 +58,7 @@ SASLKMIT_LIB_DEPENDS= libkrb5.so:security/krb5
SASL_LIB_DEPENDS= libsasl2.so:security/cyrus-sasl2
SQLITE_USES= sqlite
-BLACKLISTD_DESC= Enable blacklistd support (FreeBSD 11.0 and later only)
+BLACKLISTD_DESC= Enable blacklistd support
CDB_DESC= CDB maps lookups
EAI_DESC= Email Address Internationalization (SMTPUTF8) support
INST_BASE_DESC= Install into /usr and /etc/postfix
@@ -87,7 +87,7 @@ MAKEFILEFLAGS+= DEBUG=
MAKEFILEFLAGS+= pie=yes CC="${CC}" OPT="${CFLAGS}"
-.if (${OSREL:R} < 12 && ${SSL_DEFAULT} == base) || (${SSL_DEFAULT} == libressl)
+.if ${SSL_DEFAULT} == libressl
BROKEN= error: OpenSSL-1.1.1 is the minimum supported version. \
LibreSSL is not supported
.endif
@@ -203,7 +203,7 @@ POSTFIX_AUXLIBS+= -L${BDB_LIB_DIR} -l${BDB_LIB_NAME}
. if ${OPSYS} == FreeBSD
POSTFIX_AUXLIBS+= -lblacklist
. else
-IGNORE= blacklistd is only supported on FreeBSD >= 11.0
+IGNORE= blacklistd is only supported on FreeBSD
. endif
.endif
diff --git a/mail/qpopper/Makefile b/mail/qpopper/Makefile
index 98bbc202d198..e6e6260465ef 100644
--- a/mail/qpopper/Makefile
+++ b/mail/qpopper/Makefile
@@ -122,7 +122,7 @@ CONFIGURE_ARGS+= --with-openssl=${OPENSSLBASE}
.endif
# openssl-1.1.1 no longer has SSLv2 support
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085
+.if ${OPSYS} == FreeBSD
CFLAGS+= -DOPENSSL_NO_SSL2
CONFIGURE_ARGS+= CFLAGS="${CFLAGS}"
.endif
diff --git a/mail/sendmail-devel/Makefile b/mail/sendmail-devel/Makefile
index 00ca743a241c..e4c7a1307b78 100644
--- a/mail/sendmail-devel/Makefile
+++ b/mail/sendmail-devel/Makefile
@@ -165,12 +165,6 @@ do-configure:
${FALSE}; \
fi)
.endif
-.if ${PORT_OPTIONS:MBLACKLISTD}
- @(if [ ! -e "${DESTDIR}/usr/lib/libblacklist.so" ] ; then \
- ${ECHO_MSG} "===> libblacklist.so not found. Please update to FreeBSD 11"; \
- ${FALSE}; \
- fi)
-.endif
${REINPLACE_CMD} ${SED_SCRIPT} ${WRKSRC}/devtools/OS/FreeBSD
${SED} -e "s=%%PREFIX%%=${PREFIX}=g" \
-e "s=%%LOCALBASE%%=${LOCALBASE}=g" \
diff --git a/mail/sendmail/Makefile b/mail/sendmail/Makefile
index f28c8155c635..b25fa63e120e 100644
--- a/mail/sendmail/Makefile
+++ b/mail/sendmail/Makefile
@@ -77,10 +77,6 @@ SMTPUTF8_LIB_DEPENDS= libidn2.so:dns/libidn2 libicui18n.so:devel/icu
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-PKGNAMESUFFIX?= ${TLS_SUFFIX}${SASL_SUFFIX}${LDAP_SUFFIX}${BDB_SUFFIX}${PKGNAMESUFFIX2}
-.endif
-
.if ${PORT_OPTIONS:MSHMEM} && !defined(BUILDING_INDEX)
IPCCHECK!= ipcrm -q 0 2>&1 || true
.if ${IPCCHECK:Mimplemented}
@@ -168,12 +164,6 @@ do-configure:
${FALSE}; \
fi)
.endif
-.if ${PORT_OPTIONS:MBLACKLISTD}
- @(if [ ! -e "${DESTDIR}/usr/lib/libblacklist.so" ] ; then \
- ${ECHO_MSG} "===> libblacklist.so not found. Please update to FreeBSD 11"; \
- ${FALSE}; \
- fi)
-.endif
${REINPLACE_CMD} ${SED_SCRIPT} ${WRKSRC}/devtools/OS/FreeBSD
${SED} -e "s=%%PREFIX%%=${PREFIX}=g" \
-e "s=%%LOCALBASE%%=${LOCALBASE}=g" \
diff --git a/mail/sid-milter/Makefile b/mail/sid-milter/Makefile
index dc9a12019b94..2f4a2cd38805 100644
--- a/mail/sid-milter/Makefile
+++ b/mail/sid-milter/Makefile
@@ -8,8 +8,6 @@ MAINTAINER= dinoex@FreeBSD.org
COMMENT= Milter module for sid and spf
USES= groff
-# on FreeBSD 11 optimized code fails with 'MalformedDomain'
-CFLAGS:= ${CFLAGS:S/-O2//g}
WCONF= ${WRKSRC}/devtools/Site
DOCSFILES= FEATURES INSTALL KNOWNBUGS LICENSE README README-SenderID \
RELEASE_NOTES rfc4406.txt rfc4407.txt rfc4408.txt
diff --git a/mail/thunderbird/files/patch-cubeb-oss b/mail/thunderbird/files/patch-cubeb-oss
index 2b151a07fb20..41185cf141fd 100644
--- a/mail/thunderbird/files/patch-cubeb-oss
+++ b/mail/thunderbird/files/patch-cubeb-oss
@@ -61,7 +61,7 @@ https://github.com/kinetiknz/cubeb/pull/600
#endif
--- /dev/null
+++ media/libcubeb/src/cubeb_oss.c
-@@ -0,0 +1,1263 @@
+@@ -0,0 +1,1260 @@
+/*
+ * Copyright © 2019-2020 Nia Alarie <nia@NetBSD.org>
+ * Copyright © 2020 Ka Ho Ng <khng300@gmail.com>
@@ -74,9 +74,6 @@ https://github.com/kinetiknz/cubeb/pull/600
+ * accompanying file LICENSE for details.
+ */
+
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+#define _WITH_GETLINE
-+#endif
+#include <assert.h>
+#include <ctype.h>
+#include <limits.h>
diff --git a/math/clblas/Makefile b/math/clblas/Makefile
index f0fc76392775..44d87d1bfe05 100644
--- a/math/clblas/Makefile
+++ b/math/clblas/Makefile
@@ -12,7 +12,6 @@ COMMENT= Software library containing BLAS functions written in OpenCL
LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11_powerpc64= src/library/tools/tune/tune.c:137: error: 'CLOCK_REALTIME' undeclared (first use in this function)
BROKEN_FreeBSD_12_powerpc64= src/library/tools/tune/tune.c:137: error: 'CLOCK_REALTIME' undeclared (first use in this function)
BUILD_DEPENDS= opencl>=0:devel/opencl
diff --git a/math/flann/files/patch-src_cpp_CMakeLists.txt b/math/flann/files/patch-src_cpp_CMakeLists.txt
index 64411160754e..ea453293ef9c 100644
--- a/math/flann/files/patch-src_cpp_CMakeLists.txt
+++ b/math/flann/files/patch-src_cpp_CMakeLists.txt
@@ -9,30 +9,3 @@
set_property(TARGET flann_cuda_s PROPERTY COMPILE_DEFINITIONS FLANN_STATIC)
endif()
-@@ -43,7 +43,7 @@ if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND CMAKE_COMPIL
- endif()
- else()
- add_library(flann_cpp SHARED ${CPP_SOURCES})
-- target_link_libraries(flann_cpp -Wl,--push-state,--no-as-needed ${LZ4_LIBRARIES} -Wl,--pop-state)
-+ target_link_libraries(flann_cpp -Wl,--no-as-needed ${LZ4_LIBRARIES}) # clang-8 in FreeBSD 11 doesn't know -Wl,--push-state / -Wl,--pop-state
- # export lz4 headers, so that MSVC to creates flann_cpp.lib
- set_target_properties(flann_cpp PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS YES)
- if (BUILD_CUDA_LIB)
-@@ -81,7 +81,7 @@ endif()
-
- if (BUILD_C_BINDINGS)
- add_library(flann_s STATIC ${C_SOURCES})
-- target_link_libraries(flann_s -Wl,--push-state,--no-as-needed ${LZ4_LIBRARIES} -Wl,--pop-state)
-+ target_link_libraries(flann_s -Wl,--no-as-needed ${LZ4_LIBRARIES})
- if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANG)
- set_target_properties(flann_s PROPERTIES COMPILE_FLAGS -fPIC)
- endif()
-@@ -93,7 +93,7 @@ if (BUILD_C_BINDINGS)
- target_link_libraries(flann -Wl,-whole-archive flann_s -Wl,-no-whole-archive)
- else()
- add_library(flann SHARED ${C_SOURCES})
-- target_link_libraries(flann -Wl,--push-state,--no-as-needed ${LZ4_LIBRARIES} -Wl,--pop-state)
-+ target_link_libraries(flann -Wl,--no-as-needed ${LZ4_LIBRARIES})
-
- if(MINGW AND OPENMP_FOUND)
- target_link_libraries(flann gomp)
diff --git a/math/libflame/Makefile b/math/libflame/Makefile
index 28511da0fcce..b643f7aca486 100644
--- a/math/libflame/Makefile
+++ b/math/libflame/Makefile
@@ -63,10 +63,6 @@ CONFIGURE_ARGS+= --enable-multithreading=pthreads
CONFIGURE_ARGS+= --enable-multithreading=no
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200060
-IGNORE= requires a newer linker such as lld
-.endif
-
.if !(defined(USE_GCC) || !empty(CC:M*gcc4*))
CONFIGURE_ARGS+= --disable-autodetect-f77-ldflags \
--disable-autodetect-f77-name-mangling
diff --git a/math/opensolaris-libm/Makefile b/math/opensolaris-libm/Makefile
index ec571006c683..a2532a7e5947 100644
--- a/math/opensolaris-libm/Makefile
+++ b/math/opensolaris-libm/Makefile
@@ -12,7 +12,7 @@ COMMENT= C99 Math and vector libraries from OpenSolaris snv_33
LICENSE= CDDL
LICENSE_FILE= ${WRKSRC}/usr/src/OPENSOLARIS.LICENSE
-ONLY_FOR_ARCHS= amd64 # i386 and sparc possible with much work
+ONLY_FOR_ARCHS= amd64 # i386 possible with much work
PORTSCOUT= ignore:1
USE_GITHUB= yes
@@ -24,19 +24,6 @@ INSTALL_WRKSRC= ${WRKSRC}/usr/src/libm/wos64
MAKEFILE= Makefile.bsd
MAKE_ENV= ARCH=${ARCH} USE_ASSEMBLY_VERSIONS=yes
-# On FreeBSD 11+, libm will build on base clang.
-# On FreeBSD 10, the base clang (v3.4) cannot even build libm without emitting
-# Internal Compiler Errors, so GCC is required and does not appear as an
-# option. Similarly, the GCC option does not appear on DragonFly as the
-# base compiler is already GCC. Programs compiled with GCC that link to
-# these libraries require that the libraries are compiled with GCC for
-# proper functioning.
-
-OPTIONS_DEFINE= GCC
-OPTIONS_EXCLUDE_DragonFly= GCC
-
-GCC_USE= GCC=yes
-
.include <bsd.port.options.mk>
.if ${OPSYS} == FreeBSD
diff --git a/math/openturns/Makefile b/math/openturns/Makefile
index ed5e45cd76cc..205a13b534ee 100644
--- a/math/openturns/Makefile
+++ b/math/openturns/Makefile
@@ -10,8 +10,6 @@ COMMENT= Uncertainty treatment library
LICENSE= LGPL3
LICENSE_FILE= ${WRKSRC}/COPYING.LESSER
-BROKEN_FreeBSD_11= SymbolicParserExprTk.cxx.o: file not recognized: File format not recognized
-
BUILD_DEPENDS= boost-libs>0:devel/boost-libs \
flex:textproc/flex \
spectra>0:math/spectra
diff --git a/math/py-ducc0/Makefile b/math/py-ducc0/Makefile
index 8287faa202af..a045d8313480 100644
--- a/math/py-ducc0/Makefile
+++ b/math/py-ducc0/Makefile
@@ -10,8 +10,6 @@ COMMENT= Distinctly Useful Code Collection (DUCC)
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11= ducc.o: file not recognized: File format not recognized
-
BUILD_DEPENDS= ${PYTHON_PKGNAMEPREFIX}pybind11>0:devel/py-pybind11@${PY_FLAVOR}
RUN_DEPENDS= ${PYNUMPY}
diff --git a/math/py-matplotlib/Makefile b/math/py-matplotlib/Makefile
index 57809564b37f..35541f232899 100644
--- a/math/py-matplotlib/Makefile
+++ b/math/py-matplotlib/Makefile
@@ -34,8 +34,6 @@ RUN_DEPENDS= ${PYNUMPY} \
USES= compiler:c++11-lib gettext gnome localbase pkgconfig python:3.7+ shebangfix uniquefiles:dirs
USE_PYTHON= distutils
-LDFLAGS+= -fuse-ld=lld
-
PLIST_SUB= VER=${PORTVERSION}
PORTEXAMPLES= *
diff --git a/math/pynac/Makefile b/math/pynac/Makefile
index 260d9c2beaa8..dd92288adb58 100644
--- a/math/pynac/Makefile
+++ b/math/pynac/Makefile
@@ -33,10 +33,4 @@ WRKSRC= ${WRKDIR}/${PORTNAME}-${PORTNAME}-${PORTVERSION}
USE_LDCONFIG= yes
TEST_TARGET= check
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MGIAC}
-BROKEN_FreeBSD_11= libgiac is broken (undefined reference to `__divmodti4@GCC_7.0.0')
-.endif
-
.include <bsd.port.mk>
diff --git a/misc/free42/Makefile b/misc/free42/Makefile
index d8427ea7be5f..3ba5170013f5 100644
--- a/misc/free42/Makefile
+++ b/misc/free42/Makefile
@@ -10,8 +10,6 @@ COMMENT= Simulation of the HP-42S scientific calculator and HP-82240 printer
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11= error: unknown type name 'cha'; did you mean 'char'?
-
LIB_DEPENDS= libfontconfig.so:x11-fonts/fontconfig \
libfreetype.so:print/freetype2
diff --git a/misc/lxi-tools/Makefile b/misc/lxi-tools/Makefile
index 8621a825917e..02be7a061157 100644
--- a/misc/lxi-tools/Makefile
+++ b/misc/lxi-tools/Makefile
@@ -17,7 +17,6 @@ USE_GITHUB= yes
GNU_CONFIGURE= yes
CONFIGURE_ARGS= --disable-static \
--with-bash-completion-dir=${PREFIX}/etc/bash_completion.d
-CFLAGS+= -D_WITH_GETLINE # enable getline(3) prototype
PORTDOCS= README
diff --git a/misc/xplr/Makefile b/misc/xplr/Makefile
index a053bd99629f..345d50bfac94 100644
--- a/misc/xplr/Makefile
+++ b/misc/xplr/Makefile
@@ -173,13 +173,4 @@ post-install-EXAMPLES-on:
${INSTALL_DATA} ${_EXAMPLES} \
${STAGEDIR}${EXAMPLESDIR}
-.include <bsd.port.pre.mk>
-
-# XXX: getentropy(3) did not appear until FreeBSD 12, anything lower will
-# not compile, throwing an undefined reference to `getentropy'. We can
-# safely remove this once FreeBSD 11 is EOL.
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-EXTRA_PATCHES= ${PATCHDIR}/extra-cargo-crates_luajit-src-210.2.0+resty5f13855_luajit2_src_lj__prng.c
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/multimedia/aom/files/patch-aom__ports_arm__cpudetect.c b/multimedia/aom/files/patch-aom__ports_arm__cpudetect.c
index 30509f0b1352..426f8a1fff08 100644
--- a/multimedia/aom/files/patch-aom__ports_arm__cpudetect.c
+++ b/multimedia/aom/files/patch-aom__ports_arm__cpudetect.c
@@ -1,7 +1,7 @@
- Assume NEON is enabled on aarch64
- Implement NEON runtime detection on FreeBSD
---- aom_ports/arm_cpudetect.c.orig 2018-11-16 20:24:20 UTC
+--- aom_ports/arm_cpudetect.c.orig 2021-07-20 22:23:15 UTC
+++ aom_ports/arm_cpudetect.c
@@ -38,7 +38,7 @@ static int arm_cpu_env_mask(void) {
return env && *env ? (int)strtol(env, NULL, 0) : ~0;
@@ -12,42 +12,14 @@
int aom_arm_cpu_caps(void) {
/* This function should actually be a no-op. There is no way to adjust any of
-@@ -143,7 +143,57 @@ int aom_arm_cpu_caps(void) {
+@@ -143,7 +143,25 @@ int aom_arm_cpu_caps(void) {
}
return flags & mask;
}
-#else /* end __linux__ */
+#elif defined(__FreeBSD__)
+
-+#if __FreeBSD__ < 12
-+#include <sys/param.h>
-+#include <sys/sysctl.h>
-+#include <elf.h>
-+#include <errno.h>
-+#include <unistd.h>
-+
-+static unsigned long getauxval(unsigned long type) {
-+ Elf_Auxinfo auxv[AT_COUNT];
-+ size_t len = sizeof(auxv);
-+ int mib[] = {
-+ CTL_KERN,
-+ KERN_PROC,
-+ KERN_PROC_AUXV,
-+ getpid(),
-+ };
-+
-+ if (sysctl(mib, nitems(mib), auxv, &len, NULL, 0) != -1) {
-+ for (size_t i = 0; i < nitems(auxv); i++)
-+ if ((unsigned long)auxv[i].a_type == type)
-+ return auxv[i].a_un.a_val;
-+
-+ errno = ENOENT;
-+ }
-+ return 0;
-+}
-+#else
+#include <sys/auxv.h>
-+#endif
+
+int aom_arm_cpu_caps(void) {
+ int flags;
@@ -57,11 +29,7 @@
+ return flags;
+ }
+ mask = arm_cpu_env_mask();
-+#if __FreeBSD__ < 12
-+ hwcap = getauxval(AT_HWCAP);
-+#else
+ elf_aux_info(AT_HWCAP, &hwcap, sizeof(hwcap));
-+#endif
+#if HAVE_NEON
+ if (hwcap & HWCAP_NEON) flags |= HAS_NEON;
+#endif
@@ -69,5 +37,5 @@
+}
+#else /* end __FreeBSD__ */
#error \
- "--enable-runtime-cpu-detect selected, but no CPU detection method " \
- "available for your platform. Reconfigure with --disable-runtime-cpu-detect."
+ "Runtime CPU detection selected, but no CPU detection method " \
+ "available for your platform. Rerun cmake with -DCONFIG_RUNTIME_CPU_DETECT=0."
diff --git a/multimedia/aom/files/patch-aom__ports_ppc__cpudetect.c b/multimedia/aom/files/patch-aom__ports_ppc__cpudetect.c
index c30c21940831..271e41579143 100644
--- a/multimedia/aom/files/patch-aom__ports_ppc__cpudetect.c
+++ b/multimedia/aom/files/patch-aom__ports_ppc__cpudetect.c
@@ -1,6 +1,6 @@
- Implement VSX detection on FreeBSD
---- aom_ports/ppc_cpudetect.c.orig 2018-06-25 14:54:59 UTC
+--- aom_ports/ppc_cpudetect.c.orig 2021-07-20 22:23:15 UTC
+++ aom_ports/ppc_cpudetect.c
@@ -9,12 +9,6 @@
* PATENTS file, you can obtain it at www.aomedia.org/license/patent.
@@ -29,17 +29,12 @@
int ppc_simd_caps(void) {
int flags;
int mask;
-@@ -75,6 +76,44 @@ out_close:
+@@ -75,6 +76,34 @@ out_close:
close(fd);
return flags & mask;
}
+#elif defined(__FreeBSD__)
-+#if __FreeBSD__ < 12
-+#include <sys/types.h>
-+#include <sys/sysctl.h>
-+#else
+#include <sys/auxv.h>
-+#endif
+#include <machine/cpu.h>
+
+int ppc_simd_caps(void) {
@@ -54,12 +49,7 @@
+
+ mask = cpu_env_mask();
+
-+#if __FreeBSD__ < 12
-+ size_t sz = sizeof(hwcap);
-+ sysctlbyname("hw.cpu_features", &hwcap, &sz, NULL, 0);
-+#else
+ elf_aux_info(AT_HWCAP, &hwcap, sizeof(hwcap));
-+#endif
+#if HAVE_VSX
+ if (hwcap & PPC_FEATURE_HAS_VSX) flags |= HAS_VSX;
+#endif
diff --git a/multimedia/cclive/Makefile b/multimedia/cclive/Makefile
index 35a68c989eed..d09cd114183a 100644
--- a/multimedia/cclive/Makefile
+++ b/multimedia/cclive/Makefile
@@ -11,7 +11,6 @@ COMMENT= Lightweight command line video extraction tool
LICENSE= GPLv3
-BROKEN_FreeBSD_11_powerpc64= fails to configure on powerpc64 elfv1: cannot find the flags to link with Boost date_time
BROKEN_FreeBSD_12_powerpc64= fails to configure on powerpc64 elfv1: cannot find the flags to link with Boost date_time
LIB_DEPENDS= libboost_system.so:devel/boost-libs \
diff --git a/multimedia/dav1d/files/patch-neon-freebsd11 b/multimedia/dav1d/files/patch-neon-freebsd11
deleted file mode 100644
index 0802fb2290cb..000000000000
--- a/multimedia/dav1d/files/patch-neon-freebsd11
+++ /dev/null
@@ -1,41 +0,0 @@
-- Implement NEON runtime detection on FreeBSD 11.* armv6
-
---- src/arm/cpu.c.orig 2019-05-11 15:23:10 UTC
-+++ src/arm/cpu.c
-@@ -75,6 +75,36 @@ static unsigned parse_proc_cpuinfo(const char *flag) {
- }
- #endif
-
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+#include <sys/param.h>
-+#include <sys/sysctl.h>
-+#include <elf.h>
-+#include <errno.h>
-+#include <unistd.h>
-+
-+#define HAVE_GETAUXVAL
-+#define NEON_HWCAP HWCAP_NEON
-+static unsigned long getauxval(unsigned long type) {
-+ Elf_Auxinfo auxv[AT_COUNT];
-+ size_t len = sizeof(auxv);
-+ int mib[] = {
-+ CTL_KERN,
-+ KERN_PROC,
-+ KERN_PROC_AUXV,
-+ getpid(),
-+ };
-+
-+ if (sysctl(mib, nitems(mib), auxv, &len, NULL, 0) != -1) {
-+ for (size_t i = 0; i < nitems(auxv); i++)
-+ if ((unsigned long)auxv[i].a_type == type)
-+ return auxv[i].a_un.a_val;
-+
-+ errno = ENOENT;
-+ }
-+ return 0;
-+}
-+#endif
-+
- COLD unsigned dav1d_get_cpu_flags_arm(void) {
- unsigned flags = 0;
- #if ARCH_AARCH64
diff --git a/multimedia/ffmpeg/Makefile b/multimedia/ffmpeg/Makefile
index 382374c09fee..0cce70e6dde8 100644
--- a/multimedia/ffmpeg/Makefile
+++ b/multimedia/ffmpeg/Makefile
@@ -233,9 +233,6 @@ FDK_AAC_IMPLIES= NONFREE
# flite
FLITE_LIB_DEPENDS= libflite.so:audio/flite
FLITE_CONFIGURE_ENABLE= libflite
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-FLITE_LDFLAGS= -fuse-ld=lld
-.endif
# fontconfig
FONTCONFIG_LIB_DEPENDS= libfontconfig.so:x11-fonts/fontconfig
@@ -468,10 +465,6 @@ SRT_CONFIGURE_ENABLE= libsrt
# svt-av1
SVTAV1_LIB_DEPENDS= libSvtAv1Enc.so:multimedia/svt-av1
SVTAV1_CONFIGURE_ON= --enable-libsvtav1
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-# https://github.com/OpenVisualCloud/SVT-AV1/issues/691
-SVTAV1_LDFLAGS= -fuse-ld=lld
-.endif
# svt-hevc
SVTHEVC_LIB_DEPENDS= libSvtHevcEnc.so:multimedia/svt-hevc
@@ -479,9 +472,6 @@ SVTHEVC_CONFIGURE_ON= --enable-libsvthevc
SVTHEVC_PATCH_SITES= https://github.com/OpenVisualCloud/SVT-HEVC/raw/v1.5.0-3-g86b58f77/ffmpeg_plugin/:svthevc
SVTHEVC_PATCHFILES= 0001-lavc-svt_hevc-add-libsvt-hevc-encoder-wrapper.patch:-p1:svthevc \
0002-doc-Add-libsvt_hevc-encoder-docs.patch:-p1:svthevc
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-SVTHEVC_LDFLAGS= -fuse-ld=lld
-.endif
.if make(makesum)
.MAKEFLAGS: WITH+=SVTHEVC
.endif
@@ -491,9 +481,6 @@ SVTVP9_LIB_DEPENDS= libSvtVp9Enc.so:multimedia/svt-vp9
SVTVP9_CONFIGURE_ON= --enable-libsvtvp9
SVTVP9_PATCH_SITES= https://github.com/OpenVisualCloud/SVT-VP9/raw/v0.3.0-4-gabd5c59/ffmpeg_plugin/:svtvp9
SVTVP9_PATCHFILES= master-0001-Add-ability-for-ffmpeg-to-run-svt-vp9.patch:-p1:svtvp9
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-SVTVP9_LDFLAGS= -fuse-ld=lld
-.endif
.if make(makesum)
.MAKEFLAGS: WITH+=SVTVP9
.endif
diff --git a/multimedia/gstreamer1-plugins-rust/Makefile b/multimedia/gstreamer1-plugins-rust/Makefile
index 2666637af79c..1906272f7186 100644
--- a/multimedia/gstreamer1-plugins-rust/Makefile
+++ b/multimedia/gstreamer1-plugins-rust/Makefile
@@ -403,7 +403,6 @@ CARGO_TEST= no
OPTIONS_DEFINE= CSOUND DAV1D PANGO SODIUM
OPTIONS_DEFAULT=CSOUND DAV1D PANGO SODIUM
-OPTIONS_EXCLUDE_FreeBSD_11= ${ARCH:Mi386:C/.+/CSOUND/}
OPTIONS_SUB= yes
CSOUND_DESC= Audio filtering via Csound
diff --git a/multimedia/libvpx/files/patch-vpx__ports_arm__cpudetect.c b/multimedia/libvpx/files/patch-vpx__ports_arm__cpudetect.c
index dea4540033ef..14978d7f8f2f 100644
--- a/multimedia/libvpx/files/patch-vpx__ports_arm__cpudetect.c
+++ b/multimedia/libvpx/files/patch-vpx__ports_arm__cpudetect.c
@@ -1,4 +1,4 @@
---- vpx_ports/arm_cpudetect.c.orig 2017-01-12 20:27:27 UTC
+--- vpx_ports/arm_cpudetect.c.orig 2021-03-18 19:59:46 UTC
+++ vpx_ports/arm_cpudetect.c
@@ -38,7 +38,7 @@ static int arm_cpu_env_mask(void) {
return env && *env ? (int)strtol(env, NULL, 0) : ~0;
@@ -9,42 +9,14 @@
int arm_cpu_caps(void) {
/* This function should actually be a no-op. There is no way to adjust any of
-@@ -147,7 +147,57 @@ int arm_cpu_caps(void) {
+@@ -147,7 +147,25 @@ int arm_cpu_caps(void) {
}
return flags & mask;
}
-#else /* end __linux__ */
+#elif defined(__FreeBSD__)
+
-+#if __FreeBSD__ < 12
-+#include <sys/param.h>
-+#include <sys/sysctl.h>
-+#include <elf.h>
-+#include <errno.h>
-+#include <unistd.h>
-+
-+static unsigned long getauxval(unsigned long type) {
-+ Elf_Auxinfo auxv[AT_COUNT];
-+ size_t len = sizeof(auxv);
-+ int mib[] = {
-+ CTL_KERN,
-+ KERN_PROC,
-+ KERN_PROC_AUXV,
-+ getpid(),
-+ };
-+
-+ if (sysctl(mib, nitems(mib), auxv, &len, NULL, 0) != -1) {
-+ for (size_t i = 0; i < nitems(auxv); i++)
-+ if ((unsigned long)auxv[i].a_type == type)
-+ return auxv[i].a_un.a_val;
-+
-+ errno = ENOENT;
-+ }
-+ return 0;
-+}
-+#else
+#include <sys/auxv.h>
-+#endif
+
+int arm_cpu_caps(void) {
+ int flags;
@@ -54,11 +26,7 @@
+ return flags;
+ }
+ mask = arm_cpu_env_mask();
-+#if __FreeBSD__ < 12
-+ hwcap = getauxval(AT_HWCAP);
-+#else
+ elf_aux_info(AT_HWCAP, &hwcap, sizeof(hwcap));
-+#endif
+#if HAVE_NEON || HAVE_NEON_ASM
+ if (hwcap & HWCAP_NEON) flags |= HAS_NEON;
+#endif
diff --git a/multimedia/libvpx/files/patch-vpx__ports_ppc__cpudetect.c b/multimedia/libvpx/files/patch-vpx__ports_ppc__cpudetect.c
index 766a1e1eaa56..bb36e30c0e16 100644
--- a/multimedia/libvpx/files/patch-vpx__ports_ppc__cpudetect.c
+++ b/multimedia/libvpx/files/patch-vpx__ports_ppc__cpudetect.c
@@ -1,4 +1,4 @@
---- vpx_ports/ppc_cpudetect.c.orig 2018-01-24 22:25:44 UTC
+--- vpx_ports/ppc_cpudetect.c.orig 2021-03-18 19:59:46 UTC
+++ vpx_ports/ppc_cpudetect.c
@@ -8,12 +8,6 @@
* be found in the AUTHORS file in the root of the source tree.
@@ -27,17 +27,12 @@
int ppc_simd_caps(void) {
int flags;
int mask;
-@@ -73,6 +74,44 @@ out_close:
+@@ -73,6 +74,34 @@ out_close:
close(fd);
return flags & mask;
}
+#elif defined(__FreeBSD__)
-+#if __FreeBSD__ < 12
-+#include <sys/types.h>
-+#include <sys/sysctl.h>
-+#else
+#include <sys/auxv.h>
-+#endif
+#include <machine/cpu.h>
+
+int ppc_simd_caps(void) {
@@ -52,12 +47,7 @@
+
+ mask = cpu_env_mask();
+
-+#if __FreeBSD__ < 12
-+ size_t sz = sizeof(hwcap);
-+ sysctlbyname("hw.cpu_features", &hwcap, &sz, NULL, 0);
-+#else
+ elf_aux_info(AT_HWCAP, &hwcap, sizeof(hwcap));
-+#endif
+#if HAVE_VSX
+ if (hwcap & PPC_FEATURE_HAS_VSX) flags |= HAS_VSX;
+#endif
diff --git a/multimedia/mkvtoolnix/Makefile b/multimedia/mkvtoolnix/Makefile
index 6c53f45bde61..a724e8e93943 100644
--- a/multimedia/mkvtoolnix/Makefile
+++ b/multimedia/mkvtoolnix/Makefile
@@ -13,7 +13,6 @@ LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/COPYING
BROKEN_sparc64= does not install
-BROKEN_FreeBSD_11= requires non-building qt5 libs even in the non-GUI builds
BUILD_DEPENDS= rake:devel/rubygem-rake \
docbook-xsl>=0:textproc/docbook-xsl \
diff --git a/multimedia/obs-studio/Makefile b/multimedia/obs-studio/Makefile
index e932889a5c3f..9336e33d7833 100644
--- a/multimedia/obs-studio/Makefile
+++ b/multimedia/obs-studio/Makefile
@@ -57,7 +57,6 @@ GH_TUPLE= obsproject:obs-browser:f1a61c5:obs_browser/plugins/obs-browser \
CMAKE_ON= UNIX_STRUCTURE
CMAKE_OFF= ENABLE_PIPEWIRE # beginning with 27.0.1 (PR#4287) the linux-capture plugin optionally requires the piperware library and in this case expects the linux/dma-buf.h header
CMAKE_ARGS= -DOBS_VERSION_OVERRIDE:STRING="${PORTVERSION}"
-CFLAGS+= -D_WITH_GETLINE
LDFLAGS+= -fPIC # pending https://github.com/obsproject/obs-studio/issues/3436
diff --git a/multimedia/subtitleripper/Makefile b/multimedia/subtitleripper/Makefile
index 08f88834c423..beaed9b27a75 100644
--- a/multimedia/subtitleripper/Makefile
+++ b/multimedia/subtitleripper/Makefile
@@ -18,7 +18,7 @@ RUN_DEPENDS= gocr:graphics/gocr \
transcode:multimedia/transcode
USES= gmake tar:tgz
-CFLAGS+= -D_WITH_GETLINE=1 -DHAVE_GETLINE=1 \
+CFLAGS+= -DHAVE_GETLINE=1 \
-I${LOCALBASE}/include/netpbm
WRKSRC= ${WRKDIR}/${PORTNAME}
diff --git a/multimedia/svt-av1/Makefile b/multimedia/svt-av1/Makefile
index e2a3c6d2ae54..84935f4844bd 100644
--- a/multimedia/svt-av1/Makefile
+++ b/multimedia/svt-av1/Makefile
@@ -35,9 +35,5 @@ OPTIONS_EXCLUDE_powerpc64= ${"${/usr/bin/ld:L:tA}"==/usr/bin/ld.lld:?LTO:} # LLV
LTO_CMAKE_BOOL= CMAKE_INTERPROCEDURAL_OPTIMIZATION
LTO_CMAKE_ON= -DCMAKE_POLICY_DEFAULT_CMP0069:STRING=NEW
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --plugin isn't supported by old GNU ld.bfd in base
-LTO_LDFLAGS= -fuse-ld=lld
-.endif
.include <bsd.port.mk>
diff --git a/multimedia/svt-hevc/Makefile b/multimedia/svt-hevc/Makefile
index 3fefa0d13ebe..113e90f12f18 100644
--- a/multimedia/svt-hevc/Makefile
+++ b/multimedia/svt-hevc/Makefile
@@ -30,10 +30,6 @@ OPTIONS_DEFAULT=LTO
LTO_CMAKE_BOOL= CMAKE_INTERPROCEDURAL_OPTIMIZATION
LTO_CMAKE_ON= -DCMAKE_POLICY_DEFAULT_CMP0069:STRING=NEW
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --plugin isn't supported by old GNU ld.bfd in base
-LTO_LDFLAGS= -fuse-ld=lld
-.endif
post-patch:
# Keep using nasm and drop vendor -O/-g
diff --git a/multimedia/svt-vp9/Makefile b/multimedia/svt-vp9/Makefile
index 185a964b66d1..6597482f6632 100644
--- a/multimedia/svt-vp9/Makefile
+++ b/multimedia/svt-vp9/Makefile
@@ -30,10 +30,6 @@ OPTIONS_DEFAULT=LTO
LTO_CMAKE_BOOL= CMAKE_INTERPROCEDURAL_OPTIMIZATION
LTO_CMAKE_ON= -DCMAKE_POLICY_DEFAULT_CMP0069:STRING=NEW
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --plugin isn't supported by old GNU ld.bfd in base
-LTO_LDFLAGS= -fuse-ld=lld
-.endif
post-patch:
# Avoid conflict with standard types
diff --git a/multimedia/vapoursynth-vmaf/Makefile b/multimedia/vapoursynth-vmaf/Makefile
index 9be0103afe2c..6f047a2c6fb5 100644
--- a/multimedia/vapoursynth-vmaf/Makefile
+++ b/multimedia/vapoursynth-vmaf/Makefile
@@ -21,11 +21,6 @@ DOCSDIR= ${PREFIX}/share/doc/${PKGBASE}
PORTDATA= lib${PORTNAME}.so
PORTDOCS= *.md
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --plugin isn't supported by old GNU ld.bfd in base
-LDFLAGS+= -fuse-ld=lld
-.endif
-
OPTIONS_DEFINE= DOCS
do-install-DOCS-on:
diff --git a/multimedia/vlc/Makefile b/multimedia/vlc/Makefile
index 22926e3c1778..e3a1c95409ab 100644
--- a/multimedia/vlc/Makefile
+++ b/multimedia/vlc/Makefile
@@ -83,11 +83,6 @@ OPTIONS_DEFAULT_powerpc= ALTIVEC
OPTIONS_DEFAULT_powerpc64= ALTIVEC
OPTIONS_SUB= yes
-.if !defined(DEFAULT_VERSIONS) || ! ${DEFAULT_VERSIONS:Mssl=*}
-# Blocked by net/qt5-network: cannot use QT5 with default OpenSSL
-OPTIONS_EXCLUDE_FreeBSD_11+= QT5
-.endif
-
AOM_DESC= AV1 video encoding/decoding via libaom
ASS_DESC= ASS/SSA subtitle rendering
CHROMECAST_DESC=Streaming to Chromecast devices
diff --git a/multimedia/vvdec/Makefile b/multimedia/vvdec/Makefile
index 133b33b20014..bd347a7648d0 100644
--- a/multimedia/vvdec/Makefile
+++ b/multimedia/vvdec/Makefile
@@ -21,6 +21,4 @@ GH_ACCOUNT= fraunhoferhhi
CMAKE_ON= BUILD_SHARED_LIBS
CMAKE_OFF= FREEBSD_VVDEC_ENABLE_X86_SIMD
-BROKEN_FreeBSD_11= /usr/bin/ld: unrecognized option '-plugin'
-
.include <bsd.port.mk>
diff --git a/multimedia/zoneminder/Makefile b/multimedia/zoneminder/Makefile
index 029620629929..d3278f60d41b 100644
--- a/multimedia/zoneminder/Makefile
+++ b/multimedia/zoneminder/Makefile
@@ -87,7 +87,7 @@ CMAKE_ARGS+= -DZM_PERL_MM_PARMS=INSTALLDIRS=site \
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} > 1200000
+.if ${OPSYS} == FreeBSD
EXTRA_PATCHES= ${PATCHDIR}/extra-patch-CMakeLists.txt
.endif
diff --git a/net-im/ejabberd/Makefile b/net-im/ejabberd/Makefile
index 4d30b2df0cec..67e6d60f2baa 100644
--- a/net-im/ejabberd/Makefile
+++ b/net-im/ejabberd/Makefile
@@ -170,10 +170,6 @@ pre-everything::
post-patch:
@${REINPLACE_CMD} -e 's,^convert,${LOCALBASE}/bin/convert,' ${WRKSRC}/tools/captcha.sh
@${REINPLACE_CMD} -e 's,%%PORTVERSION%%,${PORTVERSION},' ${WRKSRC}/configure.ac
-.if ${OSVERSION} < 1200000
- # Disable LTO required by dependency, not available by default in < 12.x
- @${REINPLACE_CMD} -e 's/$$FLTO_FLAG//' ${WRKSRC}/deps/jiffy/rebar.config
-.endif
pre-configure:
cd ${WRKSRC} && ${SH} autogen.sh
diff --git a/net-im/jicofo/files/pkg-message.in b/net-im/jicofo/files/pkg-message.in
index b024d44df760..8ed474246bdd 100644
--- a/net-im/jicofo/files/pkg-message.in
+++ b/net-im/jicofo/files/pkg-message.in
@@ -18,13 +18,7 @@ Jitsi Conference Focus was installed
# prosodyctl cert generate auth.jitsi.example.com
# keytool -noprompt -keystore %%ETCDIR%%/truststore.jks -importcert -alias prosody -file /path/to/prosody/auth.jitsi.example.com.crt
-4) If you want use jicofo on FreeBSD 11.x, please apply the
- following patch file: https://reviews.freebsd.org/D14453
-
- jicofo rc script use ${name}_env_file functionality which is only
- available on FreeBSD >= 12.x
-
-5) Enjoy it
+4) Enjoy it
EOM
}
]
diff --git a/net-im/jitsi-videobridge/files/pkg-message.in b/net-im/jitsi-videobridge/files/pkg-message.in
index f73fd9c4f82d..90470b003ed3 100644
--- a/net-im/jitsi-videobridge/files/pkg-message.in
+++ b/net-im/jitsi-videobridge/files/pkg-message.in
@@ -29,15 +29,7 @@ Jitsi Video Bridge was installed
https://github.com/jitsi/jitsi-videobridge/blob/master/doc/tcp.md
-6) If you want use jitsi-videobridge on FreeBSD 11.x, please apply the
- following patch file:
-
- https://reviews.freebsd.org/D14453
-
- jitsi-videobridge rc script use ${name}_env_file funcitonality, which is only
- available on FreeBSD >= 12.x
-
-7) Enjoy it
+6) Enjoy it
EOM
}
]
diff --git a/net-im/licq/Makefile b/net-im/licq/Makefile
index 40553b15096c..44103dd162d3 100644
--- a/net-im/licq/Makefile
+++ b/net-im/licq/Makefile
@@ -14,7 +14,6 @@ LICENSE= GPLv2
LIB_DEPENDS= libboost_regex.so:devel/boost-libs
-BROKEN_FreeBSD_11_powerpc64= fails to pass tests
BROKEN_FreeBSD_12_powerpc64= fails to pass tests
BROKEN_sparc64= fails to link
diff --git a/net-im/mtxclient/Makefile b/net-im/mtxclient/Makefile
index d1c25a38dd75..635dab7e6c8f 100644
--- a/net-im/mtxclient/Makefile
+++ b/net-im/mtxclient/Makefile
@@ -9,8 +9,6 @@ COMMENT= Client API library for the Matrix protocol
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= unsupported SSL in base
-
BUILD_DEPENDS= nlohmann-json>=3:devel/nlohmann-json
LIB_DEPENDS= libsodium.so:security/libsodium \
libboost_date_time.so:devel/boost-libs \
diff --git a/net-im/tg_owt/Makefile b/net-im/tg_owt/Makefile
index ef15ca56e3d3..845346d82860 100644
--- a/net-im/tg_owt/Makefile
+++ b/net-im/tg_owt/Makefile
@@ -37,10 +37,4 @@ CMAKE_OFF= BUILD_SHARED_LIBS
# Disable DCHECKs, otherwise video calls will crash.
CXXFLAGS+= -DNDEBUG
-.include <bsd.port.options.mk>
-
-.if ${SSL_DEFAULT} == "base" && ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-BROKEN= This port requires OpenSSL 1.1.0. Try DEFAULT_VERSIONS+=ssl=[openssl|libressl*]
-.endif
-
.include <bsd.port.mk>
diff --git a/net-mgmt/kismet/Makefile b/net-mgmt/kismet/Makefile
index a722b283d20d..110f6ec93d34 100644
--- a/net-mgmt/kismet/Makefile
+++ b/net-mgmt/kismet/Makefile
@@ -65,7 +65,7 @@ PLIST_SUB+= PLUGINS="@comment "
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200000
+.if ${OPSYS} == FreeBSD
EXTRA_PATCHES+= ${FILESDIR}/extra-patch-restricted-plugin-ptw_aircrack-crypto.cc
.endif
diff --git a/net-mgmt/net-snmp/Makefile b/net-mgmt/net-snmp/Makefile
index c926fde3102b..d4d58f361817 100644
--- a/net-mgmt/net-snmp/Makefile
+++ b/net-mgmt/net-snmp/Makefile
@@ -245,7 +245,7 @@ pre-everything::
post-patch:
@${REINPLACE_CMD} -E -e 's|return pci_lookup_name|disabled broken|g' \
${WRKSRC}/configure
-.if (${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085) || ${SSL_DEFAULT:Mopenssl}
+.if ${OPSYS} == FreeBSD || ${SSL_DEFAULT:Mopenssl}
@${REINPLACE_CMD} -E -e 's|SSL_library_init|OPENSSL_init_ssl|g' \
${WRKSRC}/configure
.endif
diff --git a/net-mgmt/netdata/Makefile b/net-mgmt/netdata/Makefile
index 87697ab83581..8726e8e58be3 100644
--- a/net-mgmt/netdata/Makefile
+++ b/net-mgmt/netdata/Makefile
@@ -84,9 +84,6 @@ LTO_USES= compiler:c11
LTO_CONFIGURE_ENABLE= lto
.include <bsd.port.options.mk>
-.if ${PORT_OPTIONS:MLTO} && ${OPSYS}_${OSREL:R} == FreeBSD_11
-BROKEN= Link-Time Optimization breaks compilation on FreeBSD 11
-.endif
.if ${PORT_OPTIONS:MLTO} && ${ARCH} == powerpc64
USE_GCC= yes
diff --git a/net-mgmt/nstat/Makefile b/net-mgmt/nstat/Makefile
index 53c91456a096..95fb784171e7 100644
--- a/net-mgmt/nstat/Makefile
+++ b/net-mgmt/nstat/Makefile
@@ -25,10 +25,4 @@ do-install:
${INSTALL_PROGRAM} ${WRKSRC}/nstat ${STAGEDIR}${PREFIX}/bin
${INSTALL_MAN} ${WRKSRC}/nstat.1.gz ${STAGEDIR}${PREFIX}/man/man1
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} <= 1200027
-BROKEN= Does not build without clock_nanosleep
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/net-mgmt/py-gstat_exporter/Makefile b/net-mgmt/py-gstat_exporter/Makefile
index 858cafa03caa..02c89efb4d90 100644
--- a/net-mgmt/py-gstat_exporter/Makefile
+++ b/net-mgmt/py-gstat_exporter/Makefile
@@ -9,8 +9,6 @@ COMMENT= Prometheus exporter for gstat data
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= needs "gstat -C", available since FreeBSD 12.0
-
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}prometheus-client>=0.7.1:net-mgmt/py-prometheus-client@${PY_FLAVOR}
USES= python:3.6+
diff --git a/net-p2p/monero-cli/Makefile b/net-p2p/monero-cli/Makefile
index a314905e11cf..e101575d8be8 100644
--- a/net-p2p/monero-cli/Makefile
+++ b/net-p2p/monero-cli/Makefile
@@ -60,8 +60,6 @@ DOXYGEN_CMAKE_BOOL= BUILD_DOCUMENTATION
# /usr/bin/ld -melf_amd64 -r -b binary -o blocksdat.o blocks.dat
# See Bug 226996 - net-p2p/monero-cli: fails to link with lld as the system linker
# https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226996
-.if ${OSVERSION} >= 1200000
-
.if ${ARCH} == aarch64
LD_EMULATION= aarch64elf
.elif ${ARCH} == amd64
@@ -76,8 +74,6 @@ LD_EMULATION= elf64ppc
CMAKE_ARGS+= -DLD_RAW_FLAGS:STRING=-m${LD_EMULATION}
-.endif
-
# keep in sync with all platforms where libunwind is available
.if ${ARCH} == aarch64 || ${ARCH} == amd64 || ${ARCH} == i386 || ${ARCH} == powerpc64 || ${ARCH} == powerpc64le
LIB_DEPENDS+= libunwind.so:devel/libunwind
diff --git a/net-p2p/openethereum/Makefile b/net-p2p/openethereum/Makefile
index eb3d0c54ee8e..aee63724cf24 100644
--- a/net-p2p/openethereum/Makefile
+++ b/net-p2p/openethereum/Makefile
@@ -19,8 +19,6 @@ PLIST_FILES= bin/${PORTNAME}
CARGO_FEATURES= final
CARGO_TEST= yes
-RUSTFLAGS+= -C link-arg=-fuse-ld=lld
-
CARGO_GIT_SUBDIR= rethutil:reth-util:crates/util
post-install:
diff --git a/net-p2p/qtum/Makefile b/net-p2p/qtum/Makefile
index 1dbc02928733..c2c7dffe44ae 100644
--- a/net-p2p/qtum/Makefile
+++ b/net-p2p/qtum/Makefile
@@ -27,7 +27,8 @@ USES= autoreconf bdb:5+ compiler:c++14-lang cpe gmake libtool pkgconfig qt:5 ss
GNU_CONFIGURE= yes
CONFIGURE_ENV+= BDB_CFLAGS="-I${BDB_INCLUDE_DIR}" \
BDB_LIBS="-L${BDB_LIB_DIR} -l${BDB_LIB_CXX_NAME}" \
- LDFLAGS="-L${LOCALBASE}/lib"
+ LDFLAGS="-L${LOCALBASE}/lib" \
+ CPPFLAGS="-I${LOCALBASE}/include"
# * Man pages have not been adjusted after cloning the Bitcoin code base.
# They are the old Bitcoin man pages, so do not install them.
# * --with-incompatible-bdb is required in order to use bdb-5.
@@ -62,15 +63,4 @@ CONFIGURE_ENV+= CRYPTO_CFLAGS="-I${OPENSSLINC}" \
SSL_LIBS="-lssl"
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-# Force PIC on FreeBSD 11.x because otherwise linking fails:
-# /usr/bin/ld: qtum_cli-bitcoin-cli.o: relocation R_X86_64_32 against `a local
-# symbol' can not be used when making a shared object; recompile with -fPIC
-CONFIGURE_ENV+= CPPFLAGS="-I${LOCALBASE}/include -fPIC -DPIC"
-post-patch:
- ${REINPLACE_CMD} -e 's/AC_SUBST(PIE_FLAGS)//' ${WRKSRC}/configure.ac
-.else
-CONFIGURE_ENV+= CPPFLAGS="-I${LOCALBASE}/include"
-.endif
-
.include <bsd.port.post.mk>
diff --git a/net/dhcprelya/Makefile b/net/dhcprelya/Makefile
index 88eea7f4873d..1f69a1777c5a 100644
--- a/net/dhcprelya/Makefile
+++ b/net/dhcprelya/Makefile
@@ -26,7 +26,7 @@ OPTIONS_DEFINE= DOCS
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200000
+.if ${OPSYS} == FreeBSD
LDFLAGS+= -Wl,-E
.endif
diff --git a/net/hostapd-devel/Makefile b/net/hostapd-devel/Makefile
index ef23bc1b1e67..1ee9304a8c6a 100644
--- a/net/hostapd-devel/Makefile
+++ b/net/hostapd-devel/Makefile
@@ -14,8 +14,6 @@ GH_PROJECT= hostap
GH_TAGNAME= b4f7506ff
COMMIT_DATE= 2021.07.14
-BROKEN_FreeBSD_11= Does not support OpenSSL 1.0.2
-
LICENSE= BSD3CLAUSE
USES= cpe gmake ssl
diff --git a/net/httping/Makefile b/net/httping/Makefile
index 6a6f76734700..3f921c33caa8 100644
--- a/net/httping/Makefile
+++ b/net/httping/Makefile
@@ -45,7 +45,7 @@ USES+= ssl
MAKE_ENV+= SSL=no
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200000
+.if ${OPSYS} == FreeBSD
MAKE_ENV+= TFO=yes
.endif
diff --git a/net/krill/Makefile b/net/krill/Makefile
index 33b6fbad9a3d..587a27164946 100644
--- a/net/krill/Makefile
+++ b/net/krill/Makefile
@@ -20,9 +20,6 @@ USE_GITHUB= yes
GH_ACCOUNT= NLnetLabs
.include <bsd.port.options.mk>
-.if ${OSVERSION} < 1200000 && ${SSL_DEFAULT} == base
-IGNORE= Does not build with base ssl on RELEASE ${OSREL} ${OSVERSION}
-.endif
USE_RC_SUBR= ${PORTNAME}
diff --git a/net/libfabric/Makefile b/net/libfabric/Makefile
index 2f117ab705a1..82b837b10e15 100644
--- a/net/libfabric/Makefile
+++ b/net/libfabric/Makefile
@@ -34,10 +34,8 @@ OPTIONS_DEFAULT= ${OPTIONS_MULTI_PROVIDERS}
OPTIONS_SUB= yes
PROVIDERS_DESC= Providers to build:
-.if exists(/usr/include/infiniband/verbs.h) # some earlier FreeBSD 11 systems don't have it
OPTIONS_MULTI_PROVIDERS+= VERBS
VERBS_PLIST_FILES= man/man7/fi_verbs.7.gz
-.endif
.for p in ${OPTIONS_MULTI_PROVIDERS}
${p}_DESC= '${p:tl}' provider
diff --git a/net/libpfctl/Makefile b/net/libpfctl/Makefile
index af42ee98f311..ab74a20142ee 100644
--- a/net/libpfctl/Makefile
+++ b/net/libpfctl/Makefile
@@ -11,7 +11,6 @@ COMMENT= Library for interaction with pf(4)
LICENSE= BSD2CLAUSE
-BROKEN_FreeBSD_11= Will not work until nvlist-ified ioctls are available
BROKEN_FreeBSD_12= Will not work until nvlist-ified ioctls are available
BROKEN_FreeBSD_13= Will not work until nvlist-ified ioctls are available
diff --git a/net/ntpsec/Makefile b/net/ntpsec/Makefile
index 157a46353bf5..27f513c2a098 100644
--- a/net/ntpsec/Makefile
+++ b/net/ntpsec/Makefile
@@ -29,12 +29,6 @@ DOCS_BUILD_DEPENDS= asciidoctor:textproc/rubygem-asciidoctor # alternatively ntp
PORTSCOUT= limit:^\d+\. # prevent alpha-numeric strings
-.include <bsd.port.options.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000 && ${SSL_DEFAULT} == base
-BROKEN= Needs OpenSSL with TLSv1.3 support but OpenSSL in base on FreeBSD 11 doesn't support TLSv1.3
-.endif
-
post-install: # autoplist: plist varies depending on the python version
@cd ${STAGEDIR}${PREFIX} && \
${FIND} * -type f -or -type l | ${SED} -e 's|^share/man/.*|&.gz|' >> ${TMPPLIST}
diff --git a/net/openldap25-server/Makefile b/net/openldap25-server/Makefile
index 3b87457cf290..181cb793687e 100644
--- a/net/openldap25-server/Makefile
+++ b/net/openldap25-server/Makefile
@@ -316,12 +316,6 @@ PLIST_SUB+= SHLIB_MAJOR=${OPENLDAP_SHLIB_MAJOR}
PLIST_SUB+= SHLIB_MINOR=${OPENLDAP_SHLIB_MINOR}
PLIST_SUB+= OPENLDAP_MAJOR=${OPENLDAP_MAJOR}
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base
-BROKEN= Requires OpenSSL 1.1.1+
-.endif
-
.if ${PORT_OPTIONS:MFETCH} && (defined(OPENSSL_INSTALLED) && ${OPENSSL_INSTALLED} != "" || ${SSL_DEFAULT} != base)
BROKEN= using OpenSSL from ports and OPTION FETCH together is not supported
. endif
@@ -439,4 +433,4 @@ post-install-SLAPI-on:
${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/lib$${library}-${OPENLDAP_MAJOR}.so.${OPENLDAP_SHLIB_MAJOR}; \
done
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/net/openntpd/Makefile b/net/openntpd/Makefile
index a461852ff2e2..48c840f8a321 100644
--- a/net/openntpd/Makefile
+++ b/net/openntpd/Makefile
@@ -42,19 +42,6 @@ post-install:
# use libtls from libretls.
.if ${SSL_DEFAULT:Mlibressl*}
# /* empty */
-
-# Drop after FreeBSD 11 EOL: requires libtls from LibreSSL
-.elif ${SSL_DEFAULT:Mbase} && exists(/usr/include/openssl/ssl23.h)
-BUILD_DEPENDS+= ${NONEXISTENT}:security/libressl:stage
-CPPFLAGS+= -I${WRKDIR}/libressl/include
-LDFLAGS+= -L${WRKDIR}/libressl/lib
-
-# Don't use COPYTREE_SHARE here as it hard links files, and the original files
-# are owned by root, which creates problems of its own.
-pre-configure:
- @cd `${MAKE} -V STAGEDIR -C ${PORTSDIR}/security/libressl`${PREFIX} \
- && ${FIND} . ! -name *.so\* | ${CPIO} -dump ${WRKDIR}/libressl >/dev/null 2>&1
-
.else
LIB_DEPENDS+= libtls.so:security/libretls
.endif # SSL_DEFAULT
diff --git a/net/packetdrill/Makefile b/net/packetdrill/Makefile
index 4d38de7bbc5f..20d25d075824 100644
--- a/net/packetdrill/Makefile
+++ b/net/packetdrill/Makefile
@@ -7,8 +7,6 @@ COMMENT= Network stack testing tool
LICENSE= GPLv2
-BROKEN_FreeBSD_11= TCP Fast Open struct changes
-
USES= bison python:run uidfix
USE_GITHUB= yes
GH_ACCOUNT= freebsd-net
diff --git a/net/qt5-network/Makefile b/net/qt5-network/Makefile
index 8b2467f1bb96..a101981df7f5 100644
--- a/net/qt5-network/Makefile
+++ b/net/qt5-network/Makefile
@@ -22,11 +22,6 @@ QT_CONFIG= openssl
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == "base"
-# 1200085 339270 October 19, 2018 12.0-STABLE after updating OpenSSL to version 1.1.1.
-BROKEN= Qt5 requires Openssl 1.1.1, upgrade to FreeBSD 12.x/13.x or add DEFAULT_VERSIONS+=ssl=[openssl|libressl*] to /etc/make.conf
-.endif
-
# LibreSSL does not currently support BIO_ADDR in DTLSv1_listen()
.if ${SSL_DEFAULT:Mlibressl*}
CONFIGURE_ARGS+= -no-feature-dtls
diff --git a/net/rdist6/Makefile b/net/rdist6/Makefile
index 8f5601cd27ec..e5c1db46527d 100644
--- a/net/rdist6/Makefile
+++ b/net/rdist6/Makefile
@@ -20,7 +20,7 @@ PLIST_SUB= RDIST_NAME=${RDIST_NAME}
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200050
+.if ${OPSYS} == FreeBSD
RUN_DEPENDS+= rsh:net/bsdrcmds
.endif
diff --git a/net/rpki-client/Makefile b/net/rpki-client/Makefile
index 139abe1cd2c6..4ede2180b43d 100644
--- a/net/rpki-client/Makefile
+++ b/net/rpki-client/Makefile
@@ -27,13 +27,7 @@ USERS= _rpki-client
GROUPS= ${USERS}
PLIST_SUB= USERS="${USERS}"
-.include <bsd.port.pre.mk>
-
-.if ${OSREL:R} < 12 && ${SSL_DEFAULT} == "base"
-BROKEN= requires OpenSSL 1.1.1, upgrade to FreeBSD 12.x/13.x or add DEFAULT_VERSIONS+=ssl=[openssl|libressl*] to /etc/make.conf
-.endif
-
pre-configure:
cd ${WRKSRC} && ${SH} update.sh
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/net/socat/files/socat.in b/net/socat/files/socat.in
index b1f588bd04ce..6804f8f284d0 100644
--- a/net/socat/files/socat.in
+++ b/net/socat/files/socat.in
@@ -97,7 +97,6 @@ EOCFF
}
# Check if daemon(8) handles title and syslog parameters
-# (as in FreeBSD 11).
if [ "${1%start}" != "${1}" ]; then
daemon_extended_args=" -l daemon"
${command} -t "test" ${daemon_extended_args} -f -u nobody true \
diff --git a/net/usockets/Makefile b/net/usockets/Makefile
index d5ed7554e835..9941dae1e277 100644
--- a/net/usockets/Makefile
+++ b/net/usockets/Makefile
@@ -9,7 +9,6 @@ COMMENT= Minuscule eventing, networking, and crypto for async applications
LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11= error: unknown type name 'u_short'; did you mean 'short'?, etc
BROKEN_riscv64= fails to build: Hard-float 'd' ABI can't be used for a target that doesn't support the D instruction set extension
USES= compiler:c++17-lang gmake ssl # c++17 only for temp C_++ code, otherwise it is c11
diff --git a/net/waypipe/files/patch-neon-freebsd11 b/net/waypipe/files/patch-neon-freebsd11
deleted file mode 100644
index 88402ac0ae27..000000000000
--- a/net/waypipe/files/patch-neon-freebsd11
+++ /dev/null
@@ -1,55 +0,0 @@
-- Implement NEON runtime detection on FreeBSD 11.* armv6
-
---- src/platform.c.orig 2019-08-16 20:55:07 UTC
-+++ src/platform.c
-@@ -41,8 +41,36 @@
- #include <asm/hwcap.h>
- #include <sys/auxv.h>
- #elif defined(__FreeBSD__) && defined(__arm__)
-+#if __FreeBSD__ >= 12
- #include <sys/auxv.h>
-+#else
-+#include <sys/param.h>
-+#include <sys/sysctl.h>
-+#include <elf.h>
-+#include <errno.h>
-+#include <unistd.h>
-+
-+static unsigned long getauxval(unsigned long type) {
-+ Elf_Auxinfo auxv[AT_COUNT];
-+ size_t len = sizeof(auxv);
-+ int mib[] = {
-+ CTL_KERN,
-+ KERN_PROC,
-+ KERN_PROC_AUXV,
-+ getpid(),
-+ };
-+
-+ if (sysctl(mib, nitems(mib), auxv, &len, NULL, 0) != -1) {
-+ for (size_t i = 0; i < nitems(auxv); i++)
-+ if ((unsigned long)auxv[i].a_type == type)
-+ return auxv[i].a_un.a_val;
-+
-+ errno = ENOENT;
-+ }
-+ return 0;
-+}
- #endif
-+#endif
-
- #if defined(__linux__)
- /* memfd_create was introduced in glibc 2.27 */
-@@ -82,9 +110,13 @@ bool neon_available(void)
- #if defined(__linux__) && defined(__arm__)
- return (getauxval(AT_HWCAP) & HWCAP_NEON) != 0;
- #elif defined(__FreeBSD__) && defined(__arm__)
-+#if __FreeBSD__ < 12
-+ return (getauxval(AT_HWCAP) & HWCAP_NEON) != 0;
-+#else
- unsigned long hwcap = 0;
- elf_aux_info(AT_HWCAP, &hwcap, sizeof(hwcap));
- return (hwcap & HWCAP_NEON) != 0;
-+#endif
- #endif
- return true;
- }
diff --git a/net/wireguard-kmod/Makefile b/net/wireguard-kmod/Makefile
index 4ae494f3dbf6..430e59cf049a 100644
--- a/net/wireguard-kmod/Makefile
+++ b/net/wireguard-kmod/Makefile
@@ -11,8 +11,6 @@ COMMENT= WireGuard implementation for the FreeBSD kernel
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/../COPYING
-IGNORE_FreeBSD_11= only for FreeBSD 12.1 and newer
-
USES= kmod tar:xz uidfix
WRKSRC_SUBDIR= src
diff --git a/net/wireguard/Makefile b/net/wireguard/Makefile
index cc9f479e540e..2e78148064d1 100644
--- a/net/wireguard/Makefile
+++ b/net/wireguard/Makefile
@@ -10,12 +10,6 @@ RUN_DEPENDS= wg-quick:net/wireguard-tools
USES= metaport
-.include <bsd.port.options.mk>
-
-.if ${OSVERSION} < 1201000
-RUN_DEPENDS+= wireguard-go:net/wireguard-go
-.else
RUN_DEPENDS+= ${KMODDIR}/if_wg.ko:net/wireguard-kmod
-.endif
.include <bsd.port.mk>
diff --git a/print/pdf-tools/Makefile b/print/pdf-tools/Makefile
index c6a5dbb07abc..e294c7444089 100644
--- a/print/pdf-tools/Makefile
+++ b/print/pdf-tools/Makefile
@@ -12,7 +12,6 @@ COMMENT= Emacs support library for PDF files
LICENSE= GPLv3+
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11_powerpc64= fails to configure on powerpc64 elfv1: cannot find necessary poppler-private header (see README.org)
BROKEN_FreeBSD_12_powerpc64= fails to configure on powerpc64 elfv1: cannot find necessary poppler-private header (see README.org)
BUILD_DEPENDS= cask${EMACS_PKGNAMESUFFIX}>0:devel/cask@${EMACS_FLAVOR} \
diff --git a/science/siconos/Makefile b/science/siconos/Makefile
index f85823a25b46..25b98620da02 100644
--- a/science/siconos/Makefile
+++ b/science/siconos/Makefile
@@ -9,7 +9,6 @@ LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/COPYING
BROKEN_i386= non-constant-expression cannot be narrowed from type 'unsigned int' to 'npy_intp', see https://github.com/siconos/siconos/issues/416
-BROKEN_FreeBSD_11= error: use of undeclared identifier 'RTLD_DEEPBIND'
BUILD_DEPENDS= boost-libs>0:devel/boost-libs \
${PYTHON_PKGNAMEPREFIX}packaging>0:devel/py-packaging@${PY_FLAVOR} \
diff --git a/security/afl++/Makefile b/security/afl++/Makefile
index 84f06b73fa17..2f662451201f 100644
--- a/security/afl++/Makefile
+++ b/security/afl++/Makefile
@@ -35,10 +35,6 @@ BINARY_ALIAS= install=ginstall
OPTIONS_DEFINE= DEBUG DOCS EXAMPLES GCC LIBDISLOCATOR LLVM PYTHON
OPTIONS_DEFAULT= GCC LIBDISLOCATOR LLVM PYTHON
-# libdislocator fails to build on FreeBSD 11.x
-# error: typedef redefinition with different types ('struct max_align_t' vs '__max_align_t')
-OPTIONS_EXCLUDE_FreeBSD_11= LIBDISLOCATOR
-
# On non-x86 architectures LLVM is mandatory
OPTIONS_SLAVE= ${ARCH:Namd64:Ni386:S/${ARCH}/LLVM/}
OPTIONS_SUB= yes
diff --git a/security/botan2/Makefile b/security/botan2/Makefile
index 7fd4ef24f366..1d1ce7043755 100644
--- a/security/botan2/Makefile
+++ b/security/botan2/Makefile
@@ -65,10 +65,6 @@ CONFIGURE_ARGS+= --cc-abi="-march=armv8-a+crypto"
CONFIGURE_ARGS+= --cpu="ppc64"
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-CONFIGURE_ARGS+= --without-os-features=getentropy,elf_aux_info
-.endif
-
.if ${ARCH} == i386 || ${ARCH} == amd64
PLIST_SUB+= HAS_RDRAND_RNG=""
.else
diff --git a/security/dsniff/Makefile b/security/dsniff/Makefile
index a83e453d6d4f..ace01856a675 100644
--- a/security/dsniff/Makefile
+++ b/security/dsniff/Makefile
@@ -34,11 +34,7 @@ X11_CONFIGURE_WITH=x
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-USES+= ssl
-.endif
-
-.if (${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085) || ${SSL_DEFAULT} == openssl
+.if ${OPSYS} == FreeBSD || ${SSL_DEFAULT} == openssl
# Requires LibreSSL for old SSL interface
BUILD_DEPENDS+= ${NONEXISTENT}:security/libressl:stage
CPPFLAGS+= -nostdinc -I/usr/include -I${WRKDIR}/libressl/include
diff --git a/security/fwbuilder/Makefile b/security/fwbuilder/Makefile
index 3963f92060e1..97cfb3211b9c 100644
--- a/security/fwbuilder/Makefile
+++ b/security/fwbuilder/Makefile
@@ -9,7 +9,6 @@ CATEGORIES= security
MAINTAINER= cy@FreeBSD.org
COMMENT= Firewall Builder GUI and policy compilers
-BROKEN_FreeBSD_11_powerpc64= fails to configure on powerpc64 elfv1: libz library not found
BROKEN_FreeBSD_12_powerpc64= fails to configure on powerpc64 elfv1: libz library not found
LIB_DEPENDS= libxslt.so:textproc/libxslt \
diff --git a/security/gost-engine/Makefile b/security/gost-engine/Makefile
index efe3f8160bce..a7196c482d49 100644
--- a/security/gost-engine/Makefile
+++ b/security/gost-engine/Makefile
@@ -30,11 +30,6 @@ OPTIONS_DEFINE= DOCS
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-BROKEN_SSL+= base
-BROKEN_SSL_REASON_base= needs features only available in OpenSSL 1.1.1+
-.endif
-
post-patch:
${REINPLACE_CMD} 's/-Werror //' ${WRKSRC}/CMakeLists.txt
diff --git a/security/ipsec-tools/Makefile b/security/ipsec-tools/Makefile
index 602513817db6..4afe5d46c709 100644
--- a/security/ipsec-tools/Makefile
+++ b/security/ipsec-tools/Makefile
@@ -100,7 +100,7 @@ post-install-DOCS-on:
${INSTALL_DATA} ${WRKSRC}/src/racoon/doc/* ${STAGEDIR}/${DOCSDIR}
.if ${OPSYS} == FreeBSD
-. if ${OSVERSION} >= 1200085 && ${SSL_DEFAULT} != openssl
+. if ${SSL_DEFAULT} != openssl
EXTRA_PATCHES+= ${FILESDIR}/extra-patch-ipsec-tools
PLIST_FILES+= include/racoon/openssl_compat.h
. endif
diff --git a/security/isal-kmod/Makefile b/security/isal-kmod/Makefile
index cc026c629c54..635b7c4e6172 100644
--- a/security/isal-kmod/Makefile
+++ b/security/isal-kmod/Makefile
@@ -9,7 +9,6 @@ COMMENT= Kernel crypto driver using Intel(R) ISA-L crypto
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/isa-l_crypto/LICENSE
-IGNORE_FreeBSD_11= requires FreeBSD 13.0 or later
IGNORE_FreeBSD_12= requires FreeBSD 13.0 or later
ONLY_FOR_ARCHS= amd64
diff --git a/security/krb5-devel/Makefile b/security/krb5-devel/Makefile
index af3a0a560c78..21d1ed6786c4 100644
--- a/security/krb5-devel/Makefile
+++ b/security/krb5-devel/Makefile
@@ -15,8 +15,6 @@ PATCH_DIST_STRIP= -p2
MAINTAINER= cy@FreeBSD.org
COMMENT= MIT implementation of RFC 4120 network authentication service
-BROKEN_FreeBSD_11= OpenSSL 1.0.2 is not supported
-
LICENSE= MIT
USE_GITHUB= yes
diff --git a/security/libfido2/Makefile b/security/libfido2/Makefile
index 335e0b4854ee..35ae7d707b56 100644
--- a/security/libfido2/Makefile
+++ b/security/libfido2/Makefile
@@ -15,7 +15,6 @@ LIB_DEPENDS= libcbor.so:devel/libcbor
USES= cmake compiler:c11 pkgconfig ssl
-CFLAGS+= -D_WITH_GETLINE
CMAKE_OFF= FUZZ LIBFUZZER NFC_LINUX USE_HIDAPI USE_WINHELLO
CMAKE_ON= BUILD_EXAMPLES BUILD_MANPAGES BUILD_SHARED_LIBS BUILD_STATIC_LIBS BUILD_TOOLS
diff --git a/security/liboqs/Makefile b/security/liboqs/Makefile
index 7e3a945980c6..0a6aacb4d1fb 100644
--- a/security/liboqs/Makefile
+++ b/security/liboqs/Makefile
@@ -8,7 +8,6 @@ COMMENT= C library for quantum-resistant cryptography
LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE.txt
-BROKEN_FreeBSD_11= Could NOT find OpenSSL, try to set the path to OpenSSL root folder [...]
BROKEN_i386= Unknown or unsupported processor: i386
TEST_DEPENDS= ${PYTHON_PKGNAMEPREFIX}pytest>0:devel/py-pytest@${PY_FLAVOR}
diff --git a/security/libretls/Makefile b/security/libretls/Makefile
index 8b11089b147d..6c9445cf1733 100644
--- a/security/libretls/Makefile
+++ b/security/libretls/Makefile
@@ -8,8 +8,6 @@ COMMENT= TLS library designed to ease writing foolproof applications
LICENSE= ISCL
-BROKEN_FreeBSD_11= requires newer OpenSSL
-
USES= libtool ssl pkgconfig
INSTALL_TARGET= install-strip
GNU_CONFIGURE= yes
diff --git a/security/ncrack/Makefile b/security/ncrack/Makefile
index ab6f29e030b3..04cb8e20e660 100644
--- a/security/ncrack/Makefile
+++ b/security/ncrack/Makefile
@@ -19,10 +19,4 @@ GNU_CONFIGURE= yes
CPPFLAGS+= -I${OPENSSLINC}
LDFLAGS+= -L${OPENSSLLIB}
-.include <bsd.port.pre.mk>
-
-.if ${SSL_DEFAULT} == base
-BROKEN_FreeBSD_11= OpenSSL > 1.0 required
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/security/openiked-portable/Makefile b/security/openiked-portable/Makefile
index a65090b7ea04..bd92cd3f4de7 100644
--- a/security/openiked-portable/Makefile
+++ b/security/openiked-portable/Makefile
@@ -19,14 +19,8 @@ USE_RC_SUBR= iked
USERS= _iked
GROUPS= _iked
-.include <bsd.port.pre.mk>
-
-.if ${OSREL:R} < 12 && ${SSL_DEFAULT} == "base"
-BROKEN= requires OpenSSL 1.1.1, upgrade to FreeBSD 12.x/13.x or add DEFAULT_VERSIONS+=ssl=[openssl|libressl*] to /etc/make.conf
-.endif
-
post-install:
${MV} ${STAGEDIR}${PREFIX}/etc/iked.conf \
${STAGEDIR}${PREFIX}/etc/iked.conf.sample
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/security/p5-Crypt-OpenSSL-CA/Makefile b/security/p5-Crypt-OpenSSL-CA/Makefile
index c96f83e3550d..ef25b7d52089 100644
--- a/security/p5-Crypt-OpenSSL-CA/Makefile
+++ b/security/p5-Crypt-OpenSSL-CA/Makefile
@@ -34,7 +34,7 @@ CONFIGURE_ARGS= --openssl-cflags=-L${OPENSSLINC} --openssl-ldflags="-I${OPENSSLL
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085 && ${SSL_DEFAULT} == base
+.if ${OPSYS} == FreeBSD && (${SSL_DEFAULT} == base || ${SSL_DEFAULT} == openssl)
BROKEN= Does not support OpenSSL 1.1
.endif
diff --git a/security/p5-OpenCA-OpenSSL/Makefile b/security/p5-OpenCA-OpenSSL/Makefile
index 62c018f76b70..0698c2973ed8 100644
--- a/security/p5-OpenCA-OpenSSL/Makefile
+++ b/security/p5-OpenCA-OpenSSL/Makefile
@@ -11,10 +11,8 @@ PKGNAMEPREFIX= p5-
MAINTAINER= perl@FreeBSD.org
COMMENT= Perl crypto extension to OpenSSL
-BROKEN_SSL= openssl ${BROKEN_SSL_${OSREL:R}}
+BROKEN_SSL= base openssl
BROKEN_SSL_REASON_openssl= incomplete definition of type 'struct x509_st'
-BROKEN_SSL_12= base
-BROKEN_SSL_13= base
BUILD_DEPENDS= ${RUN_DEPENDS}
RUN_DEPENDS= p5-Locale-libintl>=0:devel/p5-Locale-libintl \
@@ -27,7 +25,7 @@ MAKE_ARGS+= PASTHRU_INC=-I${OPENSSLINC}
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085 && ${SSL_DEFAULT} == base
+.if ${OPSYS} == FreeBSD && (${SSL_DEFAULT} == base || ${SSL_DEFAULT} == openssl)
BROKEN= Does not support OpenSSL 1.1
.endif
diff --git a/security/pam_ssh_agent_auth/Makefile b/security/pam_ssh_agent_auth/Makefile
index 43be893df0b0..5de60f666c38 100644
--- a/security/pam_ssh_agent_auth/Makefile
+++ b/security/pam_ssh_agent_auth/Makefile
@@ -14,7 +14,6 @@ GH_TAGNAME= 7ff7858
GH_TUPLE= floodyberry:ed25519-donna:8757bd4:floodyberry_ed25519_donna/ed25519-donna
BROKEN_mips64= fails to compile: ed25519-donna-portable.h:85:4: Need a uint128_t implementation!
-BROKEN_FreeBSD_11_powerpc64= fails to compile on powerpc64 elfv1: ed25519-donna-portable.h: warning: ALIGN redefined
BROKEN_FreeBSD_12_powerpc64= fails to compile on powerpc64 elfv1: ed25519-donna-portable.h: warning: ALIGN redefined
USES= perl5 ssl tar:bzip2
diff --git a/security/pkcs11-tools/Makefile b/security/pkcs11-tools/Makefile
index 9a7deece7727..c605382b4c50 100644
--- a/security/pkcs11-tools/Makefile
+++ b/security/pkcs11-tools/Makefile
@@ -36,10 +36,6 @@ INSTALL_TARGET= install-strip
.include <bsd.port.options.mk>
-.if ${SSL_DEFAULT} == base && ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-BROKEN= OpenSSL version is too old, lacks symbols: error: use of undeclared identifier 'EVP_PKEY_X25519', etc.
-.endif
-
post-extract:
@${RMDIR} ${WRKSRC}/.gnulib ${WRKSRC}/include/oasis-pkcs11
@${MV} ${WRKSRC_gnulib} ${WRKSRC}/.gnulib
diff --git a/security/pks/Makefile b/security/pks/Makefile
index af3c2c3db49c..6849f109f799 100644
--- a/security/pks/Makefile
+++ b/security/pks/Makefile
@@ -53,7 +53,7 @@ post-install-DOCS-on:
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085 && ${SSL_DEFAULT} == base
+.if ${OPSYS} == FreeBSD && ${SSL_DEFAULT} == base
BROKEN= Does not build with OpenSSL 1.1
.endif
diff --git a/security/py-cryptography/Makefile b/security/py-cryptography/Makefile
index 0e8e8337092e..18d7c316f41d 100644
--- a/security/py-cryptography/Makefile
+++ b/security/py-cryptography/Makefile
@@ -45,20 +45,9 @@ TEST_ENV= PYTHONPATH=${STAGEDIR}${PYTHONPREFIX_SITELIBDIR}
# We need to keep old py-cryptography and py-openssl for 11.x release
# due to outdated OpenSSL version in base
-.if ${OPSYS} == FreeBSD && ${SSL_DEFAULT} == "base"
-. if ${OSVERSION} >= 1103500 && ${OSVERSION} < 1200085
-# 1103500 352193 2019-09-10 11.3-STABLE got OpenSSL 1.0.2t
-# 1200085 339270 2018-10-19 12.0-STABLE got OpenSSL 1.1.1
-PORTVERSION= 2.9.2
-EXTRA_PATCHES= ${PATCHDIR}/openssl102u
-. endif
-.endif
# Apply LibreSSL upstream patch that conflicts with above patch for 2.9.2
-# XXX convert back to unconditional when FreeBSD 11 goes EOL
-.if ${SSL_DEFAULT:Mlibressl*}
EXTRA_PATCHES= ${PATCHDIR}/extra-patch-Fix-build-with-LibreSSL-3.3.2-5988
-.endif
.if ${CHOSEN_COMPILER_TYPE} == gcc && ${COMPILER_VERSION} <= 42
post-patch:
diff --git a/security/py-openssl/Makefile b/security/py-openssl/Makefile
index d32114f89a09..c708b56d4d53 100644
--- a/security/py-openssl/Makefile
+++ b/security/py-openssl/Makefile
@@ -33,15 +33,6 @@ CPE_PRODUCT= py${PORTNAME}
# We need to keep old py-cryptography and py-penssl for 11.x release
# due to outdated OpenSSL version in base
-.if ${OPSYS} == FreeBSD && ${SSL_DEFAULT} == "base"
-. if ${OSVERSION} >= 1103500 && ${OSVERSION} < 1200085
-# 1103500 352193 2019-09-10 11.3-STABLE got OpenSSL 1.0.2t
-# 1200085 339270 2018-10-19 12.0-STABLE got OpenSSL 1.1.1
-#.sinclude "${.CURDIR}/Makefile.${OPSYS}-${OSREL:R}"
-PORTVERSION= 19.1.0
-PORTEPOCH= 1
-. endif
-.endif
# These tests will be skipped due the following reasons:
#
diff --git a/security/racoon2/Makefile b/security/racoon2/Makefile
index 7fba1a932685..15fa87b3a565 100644
--- a/security/racoon2/Makefile
+++ b/security/racoon2/Makefile
@@ -10,8 +10,6 @@ RACOON2_COMMIT_DATE=202000908
MAINTAINER= cy@FreeBSD.org
COMMENT= Racoon2 IPsec daemon
-BROKEN_FreeBSD_11= Requires openssl to build
-
CONFLICTS= racoon2-legacy-*
USE_GITHUB= yes
diff --git a/security/seahorse/Makefile b/security/seahorse/Makefile
index c77ace19711d..366fbfd7aa6f 100644
--- a/security/seahorse/Makefile
+++ b/security/seahorse/Makefile
@@ -57,10 +57,4 @@ AVAHI_MESON_TRUE= key-sharing
LDAP_USE= OPENLDAP=yes
LDAP_MESON_TRUE= ldap-support
-.include <bsd.port.options.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-LDFLAGS+= -fuse-ld=lld
-.endif
-
.include <bsd.port.mk>
diff --git a/security/softhsm2/Makefile b/security/softhsm2/Makefile
index e33cafb00e4f..0ff394d920ae 100644
--- a/security/softhsm2/Makefile
+++ b/security/softhsm2/Makefile
@@ -59,9 +59,7 @@ CONFIGURE_ARGS+= --disable-gost
.endif
# openssl-1.1.1 (default after 1200080) doesn't support GHOST (yet), punt for now.
-.if ${OSVERSION}>=1200080
CONFIGURE_ARGS+= --disable-gost
-.endif
post-install:
${MKDIR} ${STAGEDIR}${PREFIX}/share/p11-kit/modules
diff --git a/security/tpm2-tools/Makefile b/security/tpm2-tools/Makefile
index 30ff30f7b64d..b1eb83bcbcf3 100644
--- a/security/tpm2-tools/Makefile
+++ b/security/tpm2-tools/Makefile
@@ -20,10 +20,4 @@ CONFIGURE_ARGS= --disable-hardening --disable-fapi
BROKEN_SSL= openssl
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-BROKEN_SSL+= base
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/security/uacme/Makefile b/security/uacme/Makefile
index 8db1905b8c31..0958aa6df956 100644
--- a/security/uacme/Makefile
+++ b/security/uacme/Makefile
@@ -20,7 +20,7 @@ CONFIGURE_ARGS= --datadir=${EXAMPLESDIR:H} \
--sysconfdir=${PREFIX}/etc
OPTIONS_DEFINE= DOCS EXAMPLES MANPAGES UALPN
-_OPENSSL_SAFE= ${(${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base) || ${SSL_DEFAULT} == libressl || ${SSL_DEFAULT} == libressl-devel:?no:yes}
+_OPENSSL_SAFE= ${${SSL_DEFAULT} == libressl || ${SSL_DEFAULT} == libressl-devel:?no:yes}
OPTIONS_DEFAULT= ${${_OPENSSL_SAFE} == no:?GNUTLS:OPENSSL} MANPAGES \
UALPN
OPTIONS_SINGLE= CRYPTO
diff --git a/security/wpa_supplicant-devel/Makefile b/security/wpa_supplicant-devel/Makefile
index aa7385ca0ead..57a9110f7ede 100644
--- a/security/wpa_supplicant-devel/Makefile
+++ b/security/wpa_supplicant-devel/Makefile
@@ -13,8 +13,6 @@ GH_PROJECT= hostap
GH_TAGNAME= b4f7506ff
COMMIT_DATE= 2021.07.14
-BROKEN_FreeBSD_11= Does not support OpenSSL 1.0.2
-
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/README
diff --git a/security/zeek/Makefile b/security/zeek/Makefile
index 06325a3c57be..ce5a831d706f 100644
--- a/security/zeek/Makefile
+++ b/security/zeek/Makefile
@@ -11,7 +11,6 @@ COMMENT= System for detecting network intruders in real-time
LICENSE= BSD3CLAUSE
-BROKEN_FreeBSD_11_powerpc64= Does not build: error: zero-size array 'names'
BROKEN_FreeBSD_12_powerpc64= Does not build: error: zero-size array 'names'
USES= bison cmake compiler:c++11-lang cpe gettext-runtime ninja perl5 \
diff --git a/sysutils/acpica-tools/Makefile b/sysutils/acpica-tools/Makefile
index 005a6e36aeed..76c38c138274 100644
--- a/sysutils/acpica-tools/Makefile
+++ b/sysutils/acpica-tools/Makefile
@@ -12,7 +12,6 @@ COMMENT= Tools from the ACPI Component Architecture (ACPICA) project
LICENSE= BSD3CLAUSE GPLv2
LICENSE_COMB= dual
-BROKEN_FreeBSD_11_powerpc64= fails to compile on powerpc64 elfv1: comparison is always true due to limited range of data type
BROKEN_FreeBSD_12_powerpc64= fails to compile on powerpc64 elfv1: comparison is always true due to limited range of data type
USES= gmake
diff --git a/sysutils/apache-mesos/Makefile b/sysutils/apache-mesos/Makefile
index cba0d28870a1..51b89f27cf3a 100644
--- a/sysutils/apache-mesos/Makefile
+++ b/sysutils/apache-mesos/Makefile
@@ -13,8 +13,6 @@ COMMENT= Cluster manager providing resource isolation and sharing
LICENSE= APACHE20
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= does not build
-
BUILD_DEPENDS= boost-libs>0:devel/boost-libs \
elfio>0:devel/elfio \
http-parser>0:www/http-parser \
diff --git a/sysutils/arcconf/Makefile b/sysutils/arcconf/Makefile
index 5077bf5af7b2..cbb26407408b 100644
--- a/sysutils/arcconf/Makefile
+++ b/sysutils/arcconf/Makefile
@@ -25,13 +25,8 @@ SUB_FILES+= ${PERIODICSCRIPT}
PERIODICSCRIPT= 410.status-aac-raid
-.include <bsd.port.pre.mk>
-.if ${OSREL:R} >= 12
DIST_TYPE= 12_x64
RUN_DEPENDS+= ${LOCALBASE}/lib/compat/libncurses.so.8:misc/compat12x
-.else
-DIST_TYPE= 11_x64
-.endif
NO_BUILD= yes
NO_WRKSUBDIR= yes
@@ -44,4 +39,4 @@ do-install:
@${MKDIR} ${STAGEDIR}${PREFIX}/etc/periodic/daily
${INSTALL_SCRIPT} ${WRKDIR}/${PERIODICSCRIPT} ${STAGEDIR}${PREFIX}/etc/periodic/daily
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/sysutils/barrier/Makefile b/sysutils/barrier/Makefile
index f9a1042e0454..f8fdafdd26ea 100644
--- a/sysutils/barrier/Makefile
+++ b/sysutils/barrier/Makefile
@@ -20,8 +20,6 @@ MAKE_JOBS_UNSAFE= yes
OPTIONS_DEFINE= EXAMPLES GUI
OPTIONS_DEFAULT= GUI
-# no GUI option on 11.x with base SSL since qt5-network is not available
-OPTIONS_EXCLUDE= ${${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base:?GUI:}
OPTIONS_SUB= yes
GUI_DESC= Build configuration utility (requires Qt 5)
diff --git a/sysutils/bhyve+/Makefile b/sysutils/bhyve+/Makefile
index 04f6642286a8..9945c581697f 100644
--- a/sysutils/bhyve+/Makefile
+++ b/sysutils/bhyve+/Makefile
@@ -33,9 +33,7 @@ GH_TAGNAME= 7ef466772108856ee3e093735033232a6f1a3f04
USE_LDCONFIG= yes
-.if 1100000 <= ${OSVERSION} && ${OSVERSION} < 1200000
-EXTRA_PATCHES= ${PATCHDIR}/freebsd-11
-.elif 1200000 <= ${OSVERSION} && ${OSVERSION} < 1300000
+.if 1200000 <= ${OSVERSION} && ${OSVERSION} < 1300000
EXTRA_PATCHES= ${PATCHDIR}/freebsd-12
.elif 1300000 <= ${OSVERSION} && ${OSVERSION} < 1400000
EXTRA_PATCHES= ${PATCHDIR}/freebsd-13
diff --git a/sysutils/bhyve+/files/freebsd-11/patch-bhyve-shelp b/sysutils/bhyve+/files/freebsd-11/patch-bhyve-shelp
deleted file mode 100644
index 8f2bc12fa573..000000000000
--- a/sysutils/bhyve+/files/freebsd-11/patch-bhyve-shelp
+++ /dev/null
@@ -1,79 +0,0 @@
---- usr.sbin/bhyve/pci_emul.c.orig 2021-08-21 23:52:31 UTC
-+++ usr.sbin/bhyve/pci_emul.c
-@@ -237,6 +237,17 @@ done:
- return (error);
- }
-
-+void
-+pci_print_supported_devices()
-+{
-+ struct pci_devemu **pdpp, *pdp;
-+
-+ SET_FOREACH(pdpp, pci_devemu_set) {
-+ pdp = *pdpp;
-+ printf("%s\n", pdp->pe_emu);
-+ }
-+}
-+
- static int
- pci_valid_pba_offset(struct pci_devinst *pi, uint64_t offset)
- {
---- usr.sbin/bhyve/pci_emul.h.orig 2021-08-21 23:54:47 UTC
-+++ usr.sbin/bhyve/pci_emul.h
-@@ -235,6 +235,7 @@ int pci_msix_table_bar(struct pci_devins
- int pci_msix_pba_bar(struct pci_devinst *pi);
- int pci_msi_maxmsgnum(struct pci_devinst *pi);
- int pci_parse_slot(char *opt);
-+void pci_print_supported_devices();
- void pci_populate_msicap(struct msicap *cap, int msgs, int nextptr);
- int pci_emul_add_msixcap(struct pci_devinst *pi, int msgnum, int barnum);
- int pci_emul_msix_twrite(struct pci_devinst *pi, uint64_t offset, int size,
-diff --git a/bhyve.8.orig b/bhyve.8
-index 32392c9..0d4b16f 100644
---- usr.sbin/bhyve/bhyve.8.orig
-+++ usr.sbin/bhyve/bhyve.8
-@@ -47,7 +47,11 @@
- .Op Fl l Ar lpcdev Ns Op , Ns Ar conf
- .Op Fl m Ar memsize Ns Op Ar K|k|M|m|G|g|T|t
- .Op Fl p Ar vcpu:hostcpu
--.Op Fl s Ar slot,emulation Ns Op , Ns Ar conf
-+.Oo Fl s
-+.Sm off
-+.Cm help | Ar slot,emulation Ns Op , Ns Ar conf
-+.Sm on
-+.Oc
- .Op Fl U Ar uuid
- .Ar vmname
- .Sh DESCRIPTION
-@@ -157,7 +161,7 @@ to
- .Em hostcpu .
- .It Fl P
- Force the guest virtual CPU to exit when a PAUSE instruction is detected.
--.It Fl s Ar slot,emulation Ns Op , Ns Ar conf
-+.It Fl s Op Ar help|slot,emulation Ns Op , Ns Ar conf
- Configure a virtual PCI slot and function.
- .Pp
- .Nm
-@@ -166,6 +170,8 @@ slots on the bus.
- There are 32 available slots, with the option of providing up to 8 functions
- per slot.
- .Bl -tag -width 10n
-+.It Ar help
-+print a list of supported PCI devices.
- .It Ar slot
- .Ar pcislot[:function]
- .Ar bus:pcislot:function
---- usr.sbin/bhyve/bhyverun.c.orig 2021-08-21 23:52:19 UTC
-+++ usr.sbin/bhyve/bhyverun.c
-@@ -1058,7 +1058,10 @@ main(int argc, char *argv[])
- }
- break;
- case 's':
-- if (pci_parse_slot(optarg) != 0)
-+ if (strncmp(optarg, "help", strlen(optarg)) == 0) {
-+ pci_print_supported_devices();
-+ exit(0);
-+ } else if (pci_parse_slot(optarg) != 0)
- exit(4);
- else
- break;
diff --git a/sysutils/bhyve+/files/freebsd-11/patch-libvmmapi b/sysutils/bhyve+/files/freebsd-11/patch-libvmmapi
deleted file mode 100644
index 16f14a57bf9a..000000000000
--- a/sysutils/bhyve+/files/freebsd-11/patch-libvmmapi
+++ /dev/null
@@ -1,33 +0,0 @@
---- lib/libvmmapi/Makefile.orig 2021-09-04 01:05:23.110816000 UTC
-+++ lib/libvmmapi/Makefile
-@@ -6,6 +6,7 @@
- INCS= vmmapi.h
-
- WARNS?= 2
-+SHLIB_MAJOR?= 5.1
-
- LIBADD= util
-
---- usr.sbin/bhyvectl/Makefile.orig 2021-09-04 02:33:12.704720000 +0200
-+++ usr.sbin/bhyvectl/Makefile 2021-09-04 02:34:28.740202000 +0200
-@@ -8,7 +8,8 @@
-
- MAN= bhyvectl.8
-
--LIBADD= vmmapi util
-+LIBADD= util
-+LDADD= ../../lib/libvmmapi/libvmmapi.so.5.1
-
- WARNS?= 3
-
---- usr.sbin/bhyveload/Makefile.orig 2021-09-04 02:33:20.942548000 +0200
-+++ usr.sbin/bhyveload/Makefile 2021-09-04 02:35:58.712996000 +0200
-@@ -5,7 +5,7 @@
- MAN= bhyveload.8
- PACKAGE= bhyve
-
--LIBADD= vmmapi
-+LDADD= ../../lib/libvmmapi/libvmmapi.so.5.1
-
- WARNS?= 3
-
diff --git a/sysutils/bhyve+/files/freebsd-11/patch-virtio-9p b/sysutils/bhyve+/files/freebsd-11/patch-virtio-9p
deleted file mode 100644
index 1f98ebb69ddf..000000000000
--- a/sysutils/bhyve+/files/freebsd-11/patch-virtio-9p
+++ /dev/null
@@ -1,385 +0,0 @@
---- usr.sbin/bhyve/Makefile.orig 2021-08-20 16:08:36 UTC
-+++ usr.sbin/bhyve/Makefile
-@@ -3,6 +3,7 @@
- #
-
- .include <src.opts.mk>
-+CFLAGS+=-I${SRCTOP}/contrib/lib9p
- CFLAGS+=-I${SRCTOP}/sys
-
- PROG= bhyve
-@@ -37,6 +38,7 @@ SRCS= \
- pci_irq.c \
- pci_lpc.c \
- pci_passthru.c \
-+ pci_virtio_9p.c \
- pci_virtio_block.c \
- pci_virtio_console.c \
- pci_virtio_net.c \
-@@ -63,7 +65,8 @@ SRCS= \
- .PATH: ${BHYVE_SYSDIR}/sys/amd64/vmm
- SRCS+= vmm_instruction_emul.c
-
--LIBADD= vmmapi md pthread z
-+LIBADD= md pthread z sbuf casper cap_pwd cap_grp
-+LDADD+= ../../contrib/lib9p/lib9p.so.1.1 ../../lib/libvmmapi/libvmmapi.so.5.1
-
- .if ${MK_INET_SUPPORT} != "no"
- CFLAGS+=-DINET
---- usr.sbin/bhyve/pci_virtio_9p.c.orig 2021-08-20 16:11:13 UTC
-+++ usr.sbin/bhyve/pci_virtio_9p.c
-@@ -0,0 +1,344 @@
-+/*-
-+ * Copyright (c) 2015 iXsystems Inc.
-+ * Copyright (c) 2017-2018 Jakub Klama <jceel@FreeBSD.org>
-+ * All rights reserved.
-+ *
-+ * Redistribution and use in source and binary forms, with or without
-+ * modification, are permitted provided that the following conditions
-+ * are met:
-+ * 1. Redistributions of source code must retain the above copyright
-+ * notice, this list of conditions and the following disclaimer
-+ * in this position and unchanged.
-+ * 2. Redistributions in binary form must reproduce the above copyright
-+ * notice, this list of conditions and the following disclaimer in the
-+ * documentation and/or other materials provided with the distribution.
-+ *
-+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-+ * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-+ * SUCH DAMAGE.
-+ */
-+
-+/*
-+ * VirtIO filesystem passthrough using 9p protocol.
-+ */
-+
-+#include <sys/cdefs.h>
-+__FBSDID("$FreeBSD$");
-+
-+#include <sys/param.h>
-+#include <sys/linker_set.h>
-+#include <sys/uio.h>
-+#include <sys/capsicum.h>
-+
-+#include <errno.h>
-+#include <fcntl.h>
-+#include <stdio.h>
-+#include <stdlib.h>
-+#include <string.h>
-+#include <unistd.h>
-+#include <assert.h>
-+#include <pthread.h>
-+
-+#include <lib9p.h>
-+#include <backend/fs.h>
-+
-+#include "bhyverun.h"
-+#include "pci_emul.h"
-+#include "virtio.h"
-+
-+#define VT9P_MAX_IOV 128
-+#define VT9P_RINGSZ 256
-+#define VT9P_MAXTAGSZ 256
-+#define VT9P_CONFIGSPACESZ (VT9P_MAXTAGSZ + sizeof(uint16_t))
-+
-+static int pci_vt9p_debug;
-+#define DPRINTF(params) if (pci_vt9p_debug) printf params
-+#define WPRINTF(params) printf params
-+
-+/*
-+ * Per-device softc
-+ */
-+struct pci_vt9p_softc {
-+ struct virtio_softc vsc_vs;
-+ struct vqueue_info vsc_vq;
-+ pthread_mutex_t vsc_mtx;
-+ uint64_t vsc_cfg;
-+ uint64_t vsc_features;
-+ char * vsc_rootpath;
-+ struct pci_vt9p_config * vsc_config;
-+ struct l9p_backend * vsc_fs_backend;
-+ struct l9p_server * vsc_server;
-+ struct l9p_connection * vsc_conn;
-+};
-+
-+struct pci_vt9p_request {
-+ struct pci_vt9p_softc * vsr_sc;
-+ struct iovec * vsr_iov;
-+ size_t vsr_niov;
-+ size_t vsr_respidx;
-+ size_t vsr_iolen;
-+ uint16_t vsr_idx;
-+};
-+
-+struct pci_vt9p_config {
-+ uint16_t tag_len;
-+ char tag[0];
-+} __attribute__((packed));
-+
-+static int pci_vt9p_send(struct l9p_request *, const struct iovec *,
-+ const size_t, const size_t, void *);
-+static void pci_vt9p_drop(struct l9p_request *, const struct iovec *, size_t,
-+ void *);
-+static void pci_vt9p_reset(void *);
-+static void pci_vt9p_notify(void *, struct vqueue_info *);
-+static int pci_vt9p_cfgread(void *, int, int, uint32_t *);
-+static void pci_vt9p_neg_features(void *, uint64_t);
-+
-+static struct virtio_consts vt9p_vi_consts = {
-+ "vt9p", /* our name */
-+ 1, /* we support 1 virtqueue */
-+ VT9P_CONFIGSPACESZ, /* config reg size */
-+ pci_vt9p_reset, /* reset */
-+ pci_vt9p_notify, /* device-wide qnotify */
-+ pci_vt9p_cfgread, /* read virtio config */
-+ NULL, /* write virtio config */
-+ pci_vt9p_neg_features, /* apply negotiated features */
-+ (1 << 0), /* our capabilities */
-+};
-+
-+
-+static void
-+pci_vt9p_reset(void *vsc)
-+{
-+ struct pci_vt9p_softc *sc;
-+
-+ sc = vsc;
-+
-+ DPRINTF(("vt9p: device reset requested !\n"));
-+ vi_reset_dev(&sc->vsc_vs);
-+}
-+
-+static void
-+pci_vt9p_neg_features(void *vsc, uint64_t negotiated_features)
-+{
-+ struct pci_vt9p_softc *sc = vsc;
-+
-+ sc->vsc_features = negotiated_features;
-+}
-+
-+static int
-+pci_vt9p_cfgread(void *vsc, int offset, int size, uint32_t *retval)
-+{
-+ struct pci_vt9p_softc *sc = vsc;
-+ void *ptr;
-+
-+ ptr = (uint8_t *)sc->vsc_config + offset;
-+ memcpy(retval, ptr, size);
-+ return (0);
-+}
-+
-+static int
-+pci_vt9p_get_buffer(struct l9p_request *req, struct iovec *iov, size_t *niov,
-+ void *arg)
-+{
-+ struct pci_vt9p_request *preq = req->lr_aux;
-+ size_t n = preq->vsr_niov - preq->vsr_respidx;
-+
-+ memcpy(iov, preq->vsr_iov + preq->vsr_respidx,
-+ n * sizeof(struct iovec));
-+ *niov = n;
-+ return (0);
-+}
-+
-+static int
-+pci_vt9p_send(struct l9p_request *req, const struct iovec *iov,
-+ const size_t niov, const size_t iolen, void *arg)
-+{
-+ struct pci_vt9p_request *preq = req->lr_aux;
-+ struct pci_vt9p_softc *sc = preq->vsr_sc;
-+
-+ preq->vsr_iolen = iolen;
-+
-+ pthread_mutex_lock(&sc->vsc_mtx);
-+ vq_relchain(&sc->vsc_vq, preq->vsr_idx, preq->vsr_iolen);
-+ vq_endchains(&sc->vsc_vq, 1);
-+ pthread_mutex_unlock(&sc->vsc_mtx);
-+ free(preq);
-+ return (0);
-+}
-+
-+static void
-+pci_vt9p_drop(struct l9p_request *req, const struct iovec *iov, size_t niov,
-+ void *arg)
-+{
-+ struct pci_vt9p_request *preq = req->lr_aux;
-+ struct pci_vt9p_softc *sc = preq->vsr_sc;
-+
-+ pthread_mutex_lock(&sc->vsc_mtx);
-+ vq_relchain(&sc->vsc_vq, preq->vsr_idx, 0);
-+ vq_endchains(&sc->vsc_vq, 1);
-+ pthread_mutex_unlock(&sc->vsc_mtx);
-+ free(preq);
-+}
-+
-+static void
-+pci_vt9p_notify(void *vsc, struct vqueue_info *vq)
-+{
-+ struct iovec iov[VT9P_MAX_IOV];
-+ struct pci_vt9p_softc *sc;
-+ struct pci_vt9p_request *preq;
-+ uint16_t idx, n, i;
-+ uint16_t flags[VT9P_MAX_IOV];
-+
-+ sc = vsc;
-+
-+ while (vq_has_descs(vq)) {
-+ n = vq_getchain(vq, &idx, iov, VT9P_MAX_IOV, flags);
-+ preq = calloc(1, sizeof(struct pci_vt9p_request));
-+ preq->vsr_sc = sc;
-+ preq->vsr_idx = idx;
-+ preq->vsr_iov = iov;
-+ preq->vsr_niov = n;
-+ preq->vsr_respidx = 0;
-+
-+ /* Count readable descriptors */
-+ for (i = 0; i < n; i++) {
-+ if (flags[i] & VRING_DESC_F_WRITE)
-+ break;
-+
-+ preq->vsr_respidx++;
-+ }
-+
-+ for (int i = 0; i < n; i++) {
-+ DPRINTF(("vt9p: vt9p_notify(): desc%d base=%p, "
-+ "len=%zu, flags=0x%04x\r\n", i, iov[i].iov_base,
-+ iov[i].iov_len, flags[i]));
-+ }
-+
-+ l9p_connection_recv(sc->vsc_conn, iov, preq->vsr_respidx, preq);
-+ }
-+}
-+
-+
-+static int
-+pci_vt9p_init(struct vmctx *ctx, struct pci_devinst *pi, char *opts)
-+{
-+ struct pci_vt9p_softc *sc;
-+ char *opt;
-+ char *sharename = NULL;
-+ char *rootpath = NULL;
-+ int rootfd;
-+ bool ro = false;
-+ cap_rights_t rootcap;
-+
-+ if (opts == NULL) {
-+ printf("virtio-9p: share name and path required\n");
-+ return (1);
-+ }
-+
-+ while ((opt = strsep(&opts, ",")) != NULL) {
-+ if (strchr(opt, '=') != NULL) {
-+ if (sharename != NULL) {
-+ printf("virtio-9p: more than one share name given\n");
-+ return (1);
-+ }
-+
-+ sharename = strsep(&opt, "=");
-+ rootpath = opt;
-+ continue;
-+ }
-+
-+ if (strcmp(opt, "ro") == 0) {
-+ DPRINTF(("read-only mount requested\r\n"));
-+ ro = true;
-+ continue;
-+ }
-+
-+ printf("virtio-9p: invalid option '%s'\n", opt);
-+ return (1);
-+ }
-+
-+ if (strlen(sharename) > VT9P_MAXTAGSZ) {
-+ printf("virtio-9p: share name too long\n");
-+ return (1);
-+ }
-+
-+ rootfd = open(rootpath, O_DIRECTORY);
-+ if (rootfd < 0)
-+ return (-1);
-+
-+ sc = calloc(1, sizeof(struct pci_vt9p_softc));
-+ sc->vsc_config = calloc(1, sizeof(struct pci_vt9p_config) +
-+ VT9P_MAXTAGSZ);
-+
-+ pthread_mutex_init(&sc->vsc_mtx, NULL);
-+
-+ cap_rights_init(&rootcap,
-+ CAP_LOOKUP, CAP_ACL_CHECK, CAP_ACL_DELETE, CAP_ACL_GET,
-+ CAP_ACL_SET, CAP_READ, CAP_WRITE, CAP_SEEK, CAP_FSTAT,
-+ CAP_CREATE, CAP_FCHMODAT, CAP_FCHOWNAT, CAP_FTRUNCATE,
-+ CAP_LINKAT_SOURCE, CAP_LINKAT_TARGET, CAP_MKDIRAT, CAP_MKNODAT,
-+ CAP_PREAD, CAP_PWRITE, CAP_RENAMEAT_SOURCE, CAP_RENAMEAT_TARGET,
-+ CAP_SEEK, CAP_SYMLINKAT, CAP_UNLINKAT, CAP_EXTATTR_DELETE,
-+ CAP_EXTATTR_GET, CAP_EXTATTR_LIST, CAP_EXTATTR_SET,
-+ CAP_FUTIMES, CAP_FSTATFS, CAP_FSYNC, CAP_FPATHCONF);
-+
-+ if (cap_rights_limit(rootfd, &rootcap) != 0)
-+ return (1);
-+
-+ sc->vsc_config->tag_len = (uint16_t)strlen(sharename);
-+ memcpy(sc->vsc_config->tag, sharename, sc->vsc_config->tag_len);
-+
-+ if (l9p_backend_fs_init(&sc->vsc_fs_backend, rootfd, ro) != 0) {
-+ errno = ENXIO;
-+ return (1);
-+ }
-+
-+ if (l9p_server_init(&sc->vsc_server, sc->vsc_fs_backend) != 0) {
-+ errno = ENXIO;
-+ return (1);
-+ }
-+
-+ if (l9p_connection_init(sc->vsc_server, &sc->vsc_conn) != 0) {
-+ errno = EIO;
-+ return (1);
-+ }
-+
-+ sc->vsc_conn->lc_msize = L9P_MAX_IOV * PAGE_SIZE;
-+ sc->vsc_conn->lc_lt.lt_get_response_buffer = pci_vt9p_get_buffer;
-+ sc->vsc_conn->lc_lt.lt_send_response = pci_vt9p_send;
-+ sc->vsc_conn->lc_lt.lt_drop_response = pci_vt9p_drop;
-+
-+ vi_softc_linkup(&sc->vsc_vs, &vt9p_vi_consts, sc, pi, &sc->vsc_vq);
-+ sc->vsc_vs.vs_mtx = &sc->vsc_mtx;
-+ sc->vsc_vq.vq_qsize = VT9P_RINGSZ;
-+
-+ /* initialize config space */
-+ pci_set_cfgdata16(pi, PCIR_DEVICE, VIRTIO_DEV_9P);
-+ pci_set_cfgdata16(pi, PCIR_VENDOR, VIRTIO_VENDOR);
-+ pci_set_cfgdata8(pi, PCIR_CLASS, PCIC_STORAGE);
-+ pci_set_cfgdata16(pi, PCIR_SUBDEV_0, VIRTIO_TYPE_9P);
-+ pci_set_cfgdata16(pi, PCIR_SUBVEND_0, VIRTIO_VENDOR);
-+
-+ if (vi_intr_init(&sc->vsc_vs, 1, fbsdrun_virtio_msix()))
-+ return (1);
-+ vi_set_io_bar(&sc->vsc_vs, 0);
-+
-+ return (0);
-+}
-+
-+struct pci_devemu pci_de_v9p = {
-+ .pe_emu = "virtio-9p",
-+ .pe_init = pci_vt9p_init,
-+ .pe_barwrite = vi_pci_write,
-+ .pe_barread = vi_pci_read
-+};
-+PCI_EMUL_SET(pci_de_v9p);
---- usr.sbin/bhyve/virtio.h.orig 2021-08-20 16:20:49 UTC
-+++ usr.sbin/bhyve/virtio.h
-@@ -215,6 +215,7 @@ struct vring_used {
- #define VIRTIO_DEV_BLOCK 0x1001
- #define VIRTIO_DEV_RANDOM 0x1005
- #define VIRTIO_DEV_CONSOLE 0x1003
-+#define VIRTIO_DEV_9P 0x1009
-
- /*
- * PCI config space constants.
diff --git a/sysutils/bhyve+/files/freebsd-11/patch-vtd-fix b/sysutils/bhyve+/files/freebsd-11/patch-vtd-fix
deleted file mode 100644
index a5f2ce648941..000000000000
--- a/sysutils/bhyve+/files/freebsd-11/patch-vtd-fix
+++ /dev/null
@@ -1,211 +0,0 @@
---- sys/amd64/vmm/intel/vtd.c
-+++ sys/amd64/vmm/intel/vtd.c
-@@ -51,6 +51,8 @@ __FBSDID("$FreeBSD$");
- * Architecture Spec, September 2008.
- */
-
-+#define VTD_DRHD_INCLUDE_PCI_ALL(Flags) (((Flags) >> 0) & 0x1)
-+
- /* Section 10.4 "Register Descriptions" */
- struct vtdmap {
- volatile uint32_t version;
-@@ -116,10 +118,11 @@ struct domain {
- static SLIST_HEAD(, domain) domhead;
-
- #define DRHD_MAX_UNITS 8
--static int drhd_num;
--static struct vtdmap *vtdmaps[DRHD_MAX_UNITS];
--static int max_domains;
--typedef int (*drhd_ident_func_t)(void);
-+static ACPI_DMAR_HARDWARE_UNIT *drhds[DRHD_MAX_UNITS];
-+static int drhd_num;
-+static struct vtdmap *vtdmaps[DRHD_MAX_UNITS];
-+static int max_domains;
-+typedef int (*drhd_ident_func_t)(void);
-
- static uint64_t root_table[PAGE_SIZE / sizeof(uint64_t)] __aligned(4096);
- static uint64_t ctx_tables[256][PAGE_SIZE / sizeof(uint64_t)] __aligned(4096);
-@@ -175,6 +178,69 @@ domain_id(void)
- return (id);
- }
-
-+static struct vtdmap *
-+vtd_device_scope(uint16_t rid)
-+{
-+ int i, remaining, pathremaining;
-+ char *end, *pathend;
-+ struct vtdmap *vtdmap;
-+ ACPI_DMAR_HARDWARE_UNIT *drhd;
-+ ACPI_DMAR_DEVICE_SCOPE *device_scope;
-+ ACPI_DMAR_PCI_PATH *path;
-+
-+ for (i = 0; i < drhd_num; i++) {
-+ drhd = drhds[i];
-+
-+ if (VTD_DRHD_INCLUDE_PCI_ALL(drhd->Flags)) {
-+ /*
-+ * From Intel VT-d arch spec, version 3.0:
-+ * If a DRHD structure with INCLUDE_PCI_ALL flag Set is reported
-+ * for a Segment, it must be enumerated by BIOS after all other
-+ * DRHD structures for the same Segment.
-+ */
-+ vtdmap = vtdmaps[i];
-+ return(vtdmap);
-+ }
-+
-+ end = (char *)drhd + drhd->Header.Length;
-+ remaining = drhd->Header.Length - sizeof(ACPI_DMAR_HARDWARE_UNIT);
-+ while (remaining > sizeof(ACPI_DMAR_DEVICE_SCOPE)) {
-+ device_scope = (ACPI_DMAR_DEVICE_SCOPE *)(end - remaining);
-+ remaining -= device_scope->Length;
-+
-+ switch (device_scope->EntryType){
-+ /* 0x01 and 0x02 are PCI device entries */
-+ case 0x01:
-+ case 0x02:
-+ break;
-+ default:
-+ continue;
-+ }
-+
-+ if (PCI_RID2BUS(rid) != device_scope->Bus)
-+ continue;
-+
-+ pathend = (char *)device_scope + device_scope->Length;
-+ pathremaining = device_scope->Length - sizeof(ACPI_DMAR_DEVICE_SCOPE);
-+ while (pathremaining >= sizeof(ACPI_DMAR_PCI_PATH)) {
-+ path = (ACPI_DMAR_PCI_PATH *)(pathend - pathremaining);
-+ pathremaining -= sizeof(ACPI_DMAR_PCI_PATH);
-+
-+ if (PCI_RID2SLOT(rid) != path->Device)
-+ continue;
-+ if (PCI_RID2FUNC(rid) != path->Function)
-+ continue;
-+
-+ vtdmap = vtdmaps[i];
-+ return (vtdmap);
-+ }
-+ }
-+ }
-+
-+ /* No matching scope */
-+ return (NULL);
-+}
-+
- static void
- vtd_wbflush(struct vtdmap *vtdmap)
- {
-@@ -240,7 +306,7 @@ vtd_translation_disable(struct vtdmap *vtdmap)
- static int
- vtd_init(void)
- {
-- int i, units, remaining;
-+ int i, units, remaining, tmp;
- struct vtdmap *vtdmap;
- vm_paddr_t ctx_paddr;
- char *end, envname[32];
-@@ -291,8 +357,9 @@ vtd_init(void)
- break;
-
- drhd = (ACPI_DMAR_HARDWARE_UNIT *)hdr;
-- vtdmaps[units++] = (struct vtdmap *)PHYS_TO_DMAP(drhd->Address);
-- if (units >= DRHD_MAX_UNITS)
-+ drhds[units] = drhd;
-+ vtdmaps[units] = (struct vtdmap *)PHYS_TO_DMAP(drhd->Address);
-+ if (++units >= DRHD_MAX_UNITS)
- break;
- remaining -= hdr->Length;
- }
-@@ -302,12 +369,18 @@ vtd_init(void)
-
- skip_dmar:
- drhd_num = units;
-- vtdmap = vtdmaps[0];
-
-- if (VTD_CAP_CM(vtdmap->cap) != 0)
-- panic("vtd_init: invalid caching mode");
-+ max_domains = 64 * 1024; /* maximum valid value */
-+ for (i = 0; i < drhd_num; i++){
-+ vtdmap = vtdmaps[i];
-+
-+ if (VTD_CAP_CM(vtdmap->cap) != 0)
-+ panic("vtd_init: invalid caching mode");
-
-- max_domains = vtd_max_domains(vtdmap);
-+ /* take most compatible (minimum) value */
-+ if ((tmp = vtd_max_domains(vtdmap)) < max_domains)
-+ max_domains = tmp;
-+ }
-
- /*
- * Set up the root-table to point to the context-entry tables
-@@ -373,7 +446,6 @@ vtd_add_device(void *arg, uint16_t rid)
- struct vtdmap *vtdmap;
- uint8_t bus;
-
-- vtdmap = vtdmaps[0];
- bus = PCI_RID2BUS(rid);
- ctxp = ctx_tables[bus];
- pt_paddr = vtophys(dom->ptp);
-@@ -385,6 +457,10 @@ vtd_add_device(void *arg, uint16_t rid)
- (uint16_t)(ctxp[idx + 1] >> 8));
- }
-
-+ if ((vtdmap = vtd_device_scope(rid)) == NULL)
-+ panic("vtd_add_device: device %x is not in scope for "
-+ "any DMA remapping unit", rid);
-+
- /*
- * Order is important. The 'present' bit is set only after all fields
- * of the context pointer are initialized.
-@@ -568,8 +644,6 @@ vtd_create_domain(vm_paddr_t maxaddr)
- if (drhd_num <= 0)
- panic("vtd_create_domain: no dma remapping hardware available");
-
-- vtdmap = vtdmaps[0];
--
- /*
- * Calculate AGAW.
- * Section 3.4.2 "Adjusted Guest Address Width", Architecture Spec.
-@@ -594,7 +668,14 @@ vtd_create_domain(vm_paddr_t maxaddr)
- pt_levels = 2;
- sagaw = 30;
- addrwidth = 0;
-- tmp = VTD_CAP_SAGAW(vtdmap->cap);
-+
-+ tmp = ~0;
-+ for (i = 0; i < drhd_num; i++) {
-+ vtdmap = vtdmaps[i];
-+ /* take most compatible value */
-+ tmp &= VTD_CAP_SAGAW(vtdmap->cap);
-+ }
-+
- for (i = 0; i < 5; i++) {
- if ((tmp & (1 << i)) != 0 && sagaw >= agaw)
- break;
-@@ -606,8 +687,8 @@ vtd_create_domain(vm_paddr_t maxaddr)
- }
-
- if (i >= 5) {
-- panic("vtd_create_domain: SAGAW 0x%lx does not support AGAW %d",
-- VTD_CAP_SAGAW(vtdmap->cap), agaw);
-+ panic("vtd_create_domain: SAGAW 0x%x does not support AGAW %d",
-+ tmp, agaw);
- }
-
- dom = malloc(sizeof(struct domain), M_VTD, M_ZERO | M_WAITOK);
-@@ -634,7 +715,12 @@ vtd_create_domain(vm_paddr_t maxaddr)
- * There is not any code to deal with the demotion at the moment
- * so we disable superpage mappings altogether.
- */
-- dom->spsmask = VTD_CAP_SPS(vtdmap->cap);
-+ dom->spsmask = ~0;
-+ for (i = 0; i < drhd_num; i++) {
-+ vtdmap = vtdmaps[i];
-+ /* take most compatible value */
-+ dom->spsmask &= VTD_CAP_SPS(vtdmap->cap);
-+ }
- #endif
-
- SLIST_INSERT_HEAD(&domhead, dom, next);
-
diff --git a/sysutils/cfengine-devel/files/patch-cf-execd_cf-execd-runagent.c b/sysutils/cfengine-devel/files/patch-cf-execd_cf-execd-runagent.c
deleted file mode 100644
index 2c6b521ef5cf..000000000000
--- a/sysutils/cfengine-devel/files/patch-cf-execd_cf-execd-runagent.c
+++ /dev/null
@@ -1,15 +0,0 @@
---- cf-execd/cf-execd-runagent.c.orig 2021-03-19 07:11:45.000000000 -0700
-+++ cf-execd/cf-execd-runagent.c 2021-03-24 01:35:29.063038000 -0700
-@@ -22,6 +22,12 @@
- included file COSL.txt.
- */
-
-+/*
-+ * XXX: _WITH_GETLINE is required for FreeBSD-11.
-+ * Remove when FreeBSD-11 is EOL.
-+ */
-+#define _WITH_GETLINE
-+
- #include <stdio.h>
-
- #include <logging.h>
diff --git a/sysutils/cfengine318/files/patch-cf-execd_cf-execd-runagent.c b/sysutils/cfengine318/files/patch-cf-execd_cf-execd-runagent.c
deleted file mode 100644
index 2c6b521ef5cf..000000000000
--- a/sysutils/cfengine318/files/patch-cf-execd_cf-execd-runagent.c
+++ /dev/null
@@ -1,15 +0,0 @@
---- cf-execd/cf-execd-runagent.c.orig 2021-03-19 07:11:45.000000000 -0700
-+++ cf-execd/cf-execd-runagent.c 2021-03-24 01:35:29.063038000 -0700
-@@ -22,6 +22,12 @@
- included file COSL.txt.
- */
-
-+/*
-+ * XXX: _WITH_GETLINE is required for FreeBSD-11.
-+ * Remove when FreeBSD-11 is EOL.
-+ */
-+#define _WITH_GETLINE
-+
- #include <stdio.h>
-
- #include <logging.h>
diff --git a/sysutils/crate/Makefile b/sysutils/crate/Makefile
index 88d739888da0..184ae9fb3f8c 100644
--- a/sysutils/crate/Makefile
+++ b/sysutils/crate/Makefile
@@ -13,8 +13,6 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
BROKEN= STL feature 'filesystem' isn't available # '
.endif
-IGNORE_FreeBSD_11= getline isn't available on 11 by simply including <stdio.h> as its manpage says #'
-
BUILD_DEPENDS= rang>0:devel/rang
LIB_DEPENDS= libyaml-cpp.so:devel/yaml-cpp
diff --git a/sysutils/ddpt/Makefile b/sysutils/ddpt/Makefile
index 12d2bc7c8e2a..dd9ddc7b715b 100644
--- a/sysutils/ddpt/Makefile
+++ b/sysutils/ddpt/Makefile
@@ -11,8 +11,6 @@ COMMENT= dd tool that specializes in files that are block devices
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11= lack of NVME_STATUS_GET_SCT and NVME_STATUS_GET_SC
-
USES= gmake tar:tgz
USE_LDCONFIG= yes
GNU_CONFIGURE= yes
diff --git a/sysutils/dtrace-toolkit/Makefile b/sysutils/dtrace-toolkit/Makefile
index 66751bf1d4a9..690ec4d67180 100644
--- a/sysutils/dtrace-toolkit/Makefile
+++ b/sysutils/dtrace-toolkit/Makefile
@@ -78,7 +78,7 @@ NO_BUILD= yes
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} > 1200031
+.if ${OPSYS} == FreeBSD
# lstat calls are no longer available on 12.0+
EXTRA_PATCHES= ${PATCHDIR}/extra-patch-dtruss
.endif
diff --git a/sysutils/fluent-bit/Makefile b/sysutils/fluent-bit/Makefile
index feac83661ccc..f1f1898d5773 100644
--- a/sysutils/fluent-bit/Makefile
+++ b/sysutils/fluent-bit/Makefile
@@ -40,10 +40,6 @@ USE_RC_SUBR= ${PORTNAME}
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-EXTRA_PATCHES= ${PATCHDIR}/extra-patch-lib_luajit__src__lj_prng.c
-.endif
-
.if ${ARCH:Mpowerpc64*}
CMAKE_ARGS+= -DFLB_LUAJIT:BOOL=OFF
.elif ${ARCH} == powerpc
diff --git a/sysutils/gnome-control-center/Makefile b/sysutils/gnome-control-center/Makefile
index 486e9f56f839..de77f0e4b07a 100644
--- a/sysutils/gnome-control-center/Makefile
+++ b/sysutils/gnome-control-center/Makefile
@@ -66,11 +66,6 @@ CHEESE_MESON_TRUE= cheese
WAYLAND_MESON_TRUE= wayland
WAYLAND_LIB_DEPENDS= libgudev-1.0.so:devel/libgudev
-# This can be removed after 11.x is no longer supported
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-LDFLAGS+= -fuse-ld=lld
-.endif
-
.include <bsd.port.pre.mk>
# FreeBSD base gained an os-release in r354922, but that does not exist
diff --git a/sysutils/hexpeek/Makefile b/sysutils/hexpeek/Makefile
index ccc444712229..5cdf0f72abc0 100644
--- a/sysutils/hexpeek/Makefile
+++ b/sysutils/hexpeek/Makefile
@@ -16,7 +16,7 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
USES= libedit ncurses tar:bzip2
USE_CSTD= c99
-CFLAGS+= -D_WITH_GETLINE -Isrc -L${LOCALBASE}/lib
+CFLAGS+= -Isrc -L${LOCALBASE}/lib
PLIST_FILES= bin/hexdiff \
bin/hexDump \
diff --git a/sysutils/hid-tools/Makefile b/sysutils/hid-tools/Makefile
index 0821c27b3722..5988c231e3e3 100644
--- a/sysutils/hid-tools/Makefile
+++ b/sysutils/hid-tools/Makefile
@@ -10,8 +10,6 @@ COMMENT= Python scripts to manipulate HID data
LICENSE= GPLv2
-IGNORE_FreeBSD_11= Is missing a hidraw(4) driver
-
RUN_DEPENDS_FreeBSD_12= iichid>=0.0.6:sysutils/iichid
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}click>=0:devel/py-click@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}parse>=0:textproc/py-parse@${PY_FLAVOR} \
diff --git a/sysutils/iichid/Makefile b/sysutils/iichid/Makefile
index 81227fec74fc..df95ec155cd4 100644
--- a/sysutils/iichid/Makefile
+++ b/sysutils/iichid/Makefile
@@ -10,7 +10,6 @@ COMMENT= Generic FreeBSD HID layer for I2C and USB devices
LICENSE= BSD2CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= Requires FreeBSD 12.1 or later
IGNORE_FreeBSD_13= Is a part of base system
IGNORE_FreeBSD_14= Is a part of base system
diff --git a/sysutils/ipmitool/Makefile b/sysutils/ipmitool/Makefile
index 8e71a14c43ea..3e0cf0113e60 100644
--- a/sysutils/ipmitool/Makefile
+++ b/sysutils/ipmitool/Makefile
@@ -48,7 +48,7 @@ FREEIPMI_CONFIGURE_ENABLE= intf-free
.include <bsd.port.options.mk>
-.if (${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085) || ${SSL_DEFAULT} == openssl
+.if ${OPSYS} == FreeBSD || ${SSL_DEFAULT} == openssl
EXTRA_PATCHES+= ${PATCHDIR}/extra-patch-src_plugins_lanplus_lanplus__crypt__impl.c
.endif
diff --git a/sysutils/keyd/Makefile b/sysutils/keyd/Makefile
index aa20b3efa3e0..6cd6b262ad7c 100644
--- a/sysutils/keyd/Makefile
+++ b/sysutils/keyd/Makefile
@@ -18,7 +18,6 @@ USE_RC_SUBR= ${PORTNAME}
GH_ACCOUNT= rvaiya
MAKE_ARGS= DESTDIR="${DESTDIR}" PREFIX="${PREFIX}" \
GIT_HASH="${DISTVERSIONFULL}"
-CFLAGS+= -D_WITH_GETLINE # XXX Remove after FreeBSD 11 EOL
PLIST_FILES= bin/${PORTNAME} \
share/man/man1/${PORTNAME}.1.gz \
"@dir ${ETCDIR}"
diff --git a/sysutils/kvmclock-kmod/Makefile b/sysutils/kvmclock-kmod/Makefile
index 44f492b41c02..92bbb1de9989 100644
--- a/sysutils/kvmclock-kmod/Makefile
+++ b/sysutils/kvmclock-kmod/Makefile
@@ -8,7 +8,6 @@ COMMENT= Paravirtualized Linux KVM clock support
LICENSE= BSD2CLAUSE
-BROKEN_FreeBSD_11= fails to build: pvclock.c:248:30: error: too many arguments
ONLY_FOR_ARCHS= amd64 i386
ONLY_FOR_ARCHS_REASON= not yet tested for non-x86
diff --git a/sysutils/libdnf/Makefile b/sysutils/libdnf/Makefile
index 96fe9afc09a2..93494aaa5dc0 100644
--- a/sysutils/libdnf/Makefile
+++ b/sysutils/libdnf/Makefile
@@ -8,8 +8,6 @@ COMMENT= Dandified YUM, the next-generation version of YUM
LICENSE= LGPL21 # no LICENSE tag for Version 2.1
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11= fatal error: sys/auxv.h: No such file or directory
-
BUILD_DEPENDS= check>0:devel/check
LIB_DEPENDS= libassuan.so:security/libassuan \
libgpgme.so:security/gpgme \
diff --git a/sysutils/netevent/Makefile b/sysutils/netevent/Makefile
index bfa064494186..59efab4158ed 100644
--- a/sysutils/netevent/Makefile
+++ b/sysutils/netevent/Makefile
@@ -16,7 +16,6 @@ USES= compiler:c++14-lang gmake localbase
USE_GITHUB= yes
GH_ACCOUNT= Blub
HAS_CONFIGURE= yes
-CPPFLAGS+= -D_WITH_GETLINE # XXX Remove after FreeBSD 11 EOL
OPTIONS_DEFINE= EXAMPLES MANPAGES
OPTIONS_DEFAULT= EXAMPLES MANPAGES
diff --git a/sysutils/nsysctl/Makefile b/sysutils/nsysctl/Makefile
index 56d562e10e0d..81f2b2044cd6 100644
--- a/sysutils/nsysctl/Makefile
+++ b/sysutils/nsysctl/Makefile
@@ -24,9 +24,6 @@ OPTIONS_DEFINE= DOCS EXAMPLES
.include <bsd.port.pre.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200019
-IGNORE= needs oid_label member of struct sysctl_oid defined in sysctl.h which was first introduced in FreeBSD 12
-.endif
.if ${OPSYS} != FreeBSD
IGNORE= not supported on anything but FreeBSD
.endif
diff --git a/sysutils/nvme-cli/Makefile b/sysutils/nvme-cli/Makefile
index ad0aab3a4900..0344f4380e7d 100644
--- a/sysutils/nvme-cli/Makefile
+++ b/sysutils/nvme-cli/Makefile
@@ -12,7 +12,6 @@ LICENSE= GPLv2
# only tested on amd64, all other archs are no-go until we're sure amd64 works.
# And there's plenty in amd64 that compiles, but won't run (eg using /sys/, etc)
ONLY_FOR_ARCHS= amd64
-BROKEN_FreeBSD_11= Uses newer API than in 11.x
USES= gmake
USE_GITHUB= yes
diff --git a/sysutils/openzfs-kmod/Makefile b/sysutils/openzfs-kmod/Makefile
index f5fd1a59c94d..c6eff3e84be1 100644
--- a/sysutils/openzfs-kmod/Makefile
+++ b/sysutils/openzfs-kmod/Makefile
@@ -29,7 +29,7 @@ INVARIANTS_IMPLIES= DEBUG
.include <bsd.port.pre.mk>
-.if (${OSVERSION} < 1200504) || (${OSVERSION} >= 1300000 && ${OSVERSION} < 1300013)
+.if ${OSVERSION} >= 1300000 && ${OSVERSION} < 1300013
IGNORE= needs FreeBSD 12/13 with AES-CCM support
.endif
diff --git a/sysutils/openzfs/Makefile b/sysutils/openzfs/Makefile
index 3704d8edfe0e..dda366893501 100644
--- a/sysutils/openzfs/Makefile
+++ b/sysutils/openzfs/Makefile
@@ -29,7 +29,7 @@ GH_TAGNAME= ab15b1fc0
.include <bsd.port.pre.mk>
-.if (${OSVERSION} < 1200504) || (${OSVERSION} >= 1300000 && ${OSVERSION} < 1300013)
+.if ${OSVERSION} >= 1300000 && ${OSVERSION} < 1300013
IGNORE= needs FreeBSD 12/13 with AES-CCM support
.endif
diff --git a/sysutils/panicmail/Makefile b/sysutils/panicmail/Makefile
index 1a5bb4ad9cd2..2828ee21f714 100644
--- a/sysutils/panicmail/Makefile
+++ b/sysutils/panicmail/Makefile
@@ -8,21 +8,16 @@ COMMENT= Automatically report kernel panics
LICENSE= BSD2CLAUSE
-RUN_DEPENDS= pkesh:security/pkesh
+RUN_DEPENDS= pkesh:security/pkesh \
+ ${LOCALBASE}/bin/gdb:devel/gdb
NO_BUILD= yes
PLIST_FILES= etc/rc.d/panicmail \
etc/cperciva-panicmail.pem
-# Pull in gdb from ports for FreeBSD versions where it's not in base
-.include <bsd.port.pre.mk>
-.if ${OSVERSION} > 1200028
-RUN_DEPENDS+= ${LOCALBASE}/bin/gdb:devel/gdb
-.endif
-
do-install:
${INSTALL_SCRIPT} ${WRKSRC}/panicmail ${STAGEDIR}${PREFIX}/etc/rc.d/
${INSTALL_DATA} ${WRKSRC}/cperciva-panicmail.pem ${STAGEDIR}${PREFIX}/etc
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/sysutils/py-azure-cli-core/Makefile b/sysutils/py-azure-cli-core/Makefile
index 4e7124d22046..dfbb223d851b 100644
--- a/sysutils/py-azure-cli-core/Makefile
+++ b/sysutils/py-azure-cli-core/Makefile
@@ -1,6 +1,6 @@
PORTNAME= azure-cli-core
PORTVERSION= 2.28.0
-PORTREVISION= 1
+PORTREVISION= 2
CATEGORIES= sysutils python
MASTER_SITES= CHEESESHOP
PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
@@ -29,8 +29,7 @@ RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}adal>=1.2.7:net-mgmt/py-adal@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}pkginfo>=1.5.0.1:sysutils/py-pkginfo@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}azure-mgmt-core>=1.2.0<2.0.0:devel/py-azure-mgmt-core@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}psutil>=5.8:sysutils/py-psutil@${PY_FLAVOR} \
- ${PYTHON_PKGNAMEPREFIX}cryptography>0:security/py-cryptography@${PY_FLAVOR}
- # cryptography>=3.2<3.4 issue with py-openssl and py-cryptography on FreeBSD 11
+ ${PYTHON_PKGNAMEPREFIX}cryptography>=3.2<3.4:security/py-cryptography@${PY_FLAVOR}
USES= azurepy python:3.6+
USE_PYTHON= autoplist concurrent distutils
diff --git a/sysutils/rshim-user-space/Makefile b/sysutils/rshim-user-space/Makefile
index d8d8c52f6d9d..48fad1164d18 100644
--- a/sysutils/rshim-user-space/Makefile
+++ b/sysutils/rshim-user-space/Makefile
@@ -25,7 +25,7 @@ GNU_CONFIGURE= yes
.include <bsd.port.options.mk>
-.if ${OPSYS} != FreeBSD || ${OSVERSION} < 1201500 || !exists(/usr/lib/libcuse.so)
+.if ${OPSYS} != FreeBSD || !exists(/usr/lib/libcuse.so)
IGNORE= not supported on this operating system combination
.endif
diff --git a/sysutils/sdparm/Makefile b/sysutils/sdparm/Makefile
index 0e22c36938be..4c3edbc572d3 100644
--- a/sysutils/sdparm/Makefile
+++ b/sysutils/sdparm/Makefile
@@ -10,8 +10,6 @@ COMMENT= Utilities to access SCSI device parameters
LICENSE= BSD3CLAUSE
-BROKEN_FreeBSD_11= Lack of NVME_STATUS_GET_SCT
-
USE_LDCONFIG= yes
USES= shebangfix tar:tgz
GNU_CONFIGURE= yes
diff --git a/sysutils/sleuthkit/Makefile b/sysutils/sleuthkit/Makefile
index 2a82dbc25384..66638629e898 100644
--- a/sysutils/sleuthkit/Makefile
+++ b/sysutils/sleuthkit/Makefile
@@ -22,7 +22,6 @@ RUN_DEPENDS= p5-DateTime-TimeZone>=0:devel/p5-DateTime-TimeZone \
CONFLICTS= ja-ls-[0-9]* icat-[0-9]*
-CPPFLAGS+= -D_WITH_GETLINE
GNU_CONFIGURE= yes
CONFIGURE_ENV= ac_cv_header_libpq_fe_h=no
USES= compiler:c++11-lang libtool perl5 sqlite
diff --git a/sysutils/sysctlbyname-improved-kmod/Makefile b/sysutils/sysctlbyname-improved-kmod/Makefile
index 62a91f3f3a0b..69e2966cb1f5 100644
--- a/sysutils/sysctlbyname-improved-kmod/Makefile
+++ b/sysutils/sysctlbyname-improved-kmod/Makefile
@@ -23,12 +23,6 @@ OPTIONS_DEFAULT= EXAMPLES
.include <bsd.port.pre.mk>
-# Once the sysctlinfo interface (review D21700) lands into the base tree this
-# node can be added to the interface and the following statement needs
-# to be expanded
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200019
-IGNORE= needs oid_label member of struct sysctl_oid defined in sysctl.h which was first introduced in FreeBSD 12
-.endif
.if ${OPSYS} != FreeBSD
IGNORE= not supported on anything but FreeBSD
.endif
diff --git a/sysutils/sysctlinfo-kmod/Makefile b/sysutils/sysctlinfo-kmod/Makefile
index 304f7e2a3930..231e8566fbc5 100644
--- a/sysutils/sysctlinfo-kmod/Makefile
+++ b/sysutils/sysctlinfo-kmod/Makefile
@@ -26,11 +26,6 @@ OPTIONS_DEFAULT= EXAMPLES
.include <bsd.port.pre.mk>
-# Once the sysctlinfo interface (review D21700) lands into the base tree the
-# following statement needs to be expanded
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200019
-IGNORE= needs oid_label member of struct sysctl_oid defined in sysctl.h which was first introduced in FreeBSD 12
-.endif
.if ${OPSYS} != FreeBSD
IGNORE= not supported on anything but FreeBSD
.endif
diff --git a/sysutils/tracker/Makefile b/sysutils/tracker/Makefile
index ab458b0ed58e..debd5e017919 100644
--- a/sysutils/tracker/Makefile
+++ b/sysutils/tracker/Makefile
@@ -42,9 +42,4 @@ BINARY_ALIAS= python3=${PYTHON_CMD}
PLIST_SUB= LIBVER=0.304.0
-# This can be removed after 11.x is no longer supported
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-LDFLAGS+= -fuse-ld=lld
-.endif
-
.include <bsd.port.mk>
diff --git a/sysutils/tracker3/Makefile b/sysutils/tracker3/Makefile
index 363362ef1976..dc22e3263112 100644
--- a/sysutils/tracker3/Makefile
+++ b/sysutils/tracker3/Makefile
@@ -46,9 +46,4 @@ post-patch:
${REINPLACE_CMD} -e 's^/etc/asciidoc^${PREFIX}/etc/asciidoc^' \
${WRKSRC}/docs/manpages/meson.build
-# This can be removed after 11.x is no longer supported
-.if exists(/usr/bin/ld.lld) && (${/usr/bin/ld:L:tA} != /usr/bin/ld.lld)
-LDFLAGS+= -fuse-ld=lld
-.endif
-
.include <bsd.port.mk>
diff --git a/sysutils/u-boot-master/Makefile b/sysutils/u-boot-master/Makefile
index 7a6ebf06456d..48442f118c54 100644
--- a/sysutils/u-boot-master/Makefile
+++ b/sysutils/u-boot-master/Makefile
@@ -248,12 +248,4 @@ do-install:
.endfor
${INSTALL_DATA} ${DESCR} ${STAGEDIR}/${INST}/README
-.include <bsd.port.options.mk>
-
-.if defined(FAMILY)
-.if ${FAMILY} == qemu && ${OPSYS} == FreeBSD && ${OSVERSION} <= 1200000
-BROKEN= Base openssl too old
-.endif
-.endif
-
.include <bsd.port.mk>
diff --git a/sysutils/u-boot-sopine-spi/Makefile b/sysutils/u-boot-sopine-spi/Makefile
index b72bdbcaad23..be0ea6e4436d 100644
--- a/sysutils/u-boot-sopine-spi/Makefile
+++ b/sysutils/u-boot-sopine-spi/Makefile
@@ -10,7 +10,6 @@ NO_METADATA= yes
UBOOT_PLIST= u-boot-sunxi-with-spl.bin \
boot.scr
PLIST_EXTRAS= sopine-spi-flasher.img
-IGNORE_FreeBSD_11= No makefs msdos support
post-build:
mkimage -C none -A arm64 -T script -d ${.CURDIR}/../u-boot-sopine-spi/files/boot.cmd ${WRKSRC}/boot.scr
diff --git a/sysutils/uhidd/files/patch-less-basename b/sysutils/uhidd/files/patch-less-basename
deleted file mode 100644
index ce421a84592e..000000000000
--- a/sysutils/uhidd/files/patch-less-basename
+++ /dev/null
@@ -1,286 +0,0 @@
-commit ea1925e
-Author: Jan Beich <jbeich@FreeBSD.org>
-Date: Sun May 29 16:13:33 2016 +0000
-
- Drop unused /dev/ prefix to unbreak FreeBSD 11.0
-
- uhidd.c:291:16: error: passing 'const char *' to parameter of type 'char *' discards qualifiers
- [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
- basename(hi->dev));
- ^~~~~~~
- /usr/include/libgen.h:38:22: note: passing argument to parameter here
- char *basename(char *);
- ^
-
---- uhidd/uhidd.c.orig 2012-10-14 19:53:44 UTC
-+++ uhidd/uhidd.c
-@@ -174,7 +174,7 @@ main(int argc, char **argv)
-
- STAILQ_INIT(&hilist);
-
-- if (find_device(*argv) < 0) {
-+ if (find_device(basename(*argv)) < 0) {
- eval = 1;
- goto uhidd_end;
- }
-@@ -231,7 +231,7 @@ create_runtime_dir(void)
- hi = STAILQ_FIRST(&hilist);
- if (hi != NULL && hi->dev != NULL) {
- snprintf(dpath, sizeof(dpath), "/var/run/uhidd.%s",
-- basename(hi->dev));
-+ hi->dev);
- mkdir(dpath, 0755);
- }
- }
-@@ -247,7 +247,7 @@ remove_runtime_dir(void)
- hi = STAILQ_FIRST(&hilist);
- if (hi != NULL && hi->dev != NULL) {
- snprintf(dpath, sizeof(dpath), "/var/run/uhidd.%s",
-- basename(hi->dev));
-+ hi->dev);
- if ((dir = opendir(dpath)) != NULL) {
- while ((d = readdir(dir)) != NULL) {
- snprintf(fpath, sizeof(fpath), "%s/%s", dpath,
-@@ -286,7 +286,7 @@ find_device(const char *dev)
- unsigned int bus, addr;
- int ret;
-
-- if (sscanf(dev, "/dev/ugen%u.%u", &bus, &addr) < 2) {
-+ if (sscanf(dev, "ugen%u.%u", &bus, &addr) < 2) {
- syslog(LOG_ERR, "%s not found", dev);
- return (-1);
- }
-@@ -405,7 +405,7 @@ open_iface(const char *dev, struct libus
- e = libusb20_dev_request_sync(pdev, &req, rdesc, &actlen, 0, 0);
- if (e) {
- syslog(LOG_ERR, "%s[%d]=> libusb20_dev_request_sync"
-- " failed", basename(dev), ndx);
-+ " failed", dev, ndx);
- return;
- }
-
-@@ -497,7 +497,7 @@ alloc_hid_interface_be(struct hid_interf
-
- assert(hi != NULL);
-
-- if (sscanf(hi->dev, "/dev/ugen%u.%u", &bus, &addr) < 2) {
-+ if (sscanf(hi->dev, "ugen%u.%u", &bus, &addr) < 2) {
- syslog(LOG_ERR, "%s not found", hi->dev);
- return (-1);
- }
-@@ -547,7 +547,7 @@ start_hid_interface(void *arg)
- xfer = libusb20_tr_get_pointer(hi->pdev, x);
- if (xfer == NULL) {
- syslog(LOG_ERR, "%s[%d] libusb20_tr_get_pointer failed\n",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- goto parent_end;
- }
-
-@@ -556,7 +556,7 @@ start_hid_interface(void *arg)
- PRINT1("xfer already opened\n");
- } else if (e) {
- syslog(LOG_ERR, "%s[%d] libusb20_tr_open failed\n",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- goto parent_end;
- }
-
-@@ -628,14 +628,14 @@ hid_interrupt_out(void *context, int rep
- xfer = libusb20_tr_get_pointer(hi->pdev, x);
- if (xfer == NULL) {
- syslog(LOG_ERR, "%s[%d] libusb20_tr_get_pointer failed\n",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
-
- e = libusb20_tr_open(xfer, 4096, 1, XXX); /* FIXME */
- if (e && e != LIBUSB20_ERROR_BUSY) {
- syslog(LOG_ERR, "%s[%d] libusb20_tr_open failed\n",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
-
-@@ -720,12 +720,12 @@ hid_set_report(void *context, int report
- e = libusb20_dev_request_sync(hi->pdev, &req, buf, &actlen, 0, 0);
- if (e && verbose)
- syslog(LOG_ERR, "%s[%d] libusb20_dev_request_sync failed",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- try++;
- } while (e && try < _SET_REPORT_RETRY);
- if (e) {
- syslog(LOG_ERR, "%s[%d] libusb20_dev_request_sync failed",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
- if (verbose) {
---- uhidd/uhidd.h.orig 2012-10-14 19:53:44 UTC
-+++ uhidd/uhidd.h
-@@ -227,7 +227,7 @@ struct hid_interface {
- do { \
- char pb[64], pb2[1024]; \
- \
-- snprintf(pb, sizeof(pb), "%s[%d]", basename(d), n); \
-+ snprintf(pb, sizeof(pb), "%s[%d]", d, n); \
- snprintf(pb2, sizeof(pb2), __VA_ARGS__); \
- printf("%s-> %s", pb, pb2); \
- } while (0);
-@@ -236,7 +236,7 @@ struct hid_interface {
- do { \
- char pb[64], pb2[1024]; \
- \
-- snprintf(pb, sizeof(pb), "%s[%d]", basename(hi->dev), \
-+ snprintf(pb, sizeof(pb), "%s[%d]", hi->dev, \
- hi->ndx); \
- snprintf(pb2, sizeof(pb2), __VA_ARGS__); \
- printf("%s-> %s", pb, pb2); \
---- uhidd/uhidd_cc.c.orig 2012-10-14 19:53:44 UTC
-+++ uhidd/uhidd_cc.c
-@@ -175,11 +175,11 @@ cc_write_keymap_file(struct hid_interfac
- int i;
-
- snprintf(fpath, sizeof(fpath), "/var/run/uhidd.%s/cc_keymap",
-- basename(hi->dev));
-+ hi->dev);
- fp = fopen(fpath, "w+");
- if (fp == NULL) {
- syslog(LOG_ERR, "%s[%d] fopen %s failed: %m",
-- basename(hi->dev), hi->ndx, fpath);
-+ hi->dev, hi->ndx, fpath);
- return;
- }
- fprintf(fp, "0x%04x:0x%04x={\n", hi->vendor_id, hi->product_id);
---- uhidd/uhidd_kbd.c.orig 2012-10-14 19:53:44 UTC
-+++ uhidd/uhidd_kbd.c
-@@ -582,7 +582,7 @@ kbd_attach(struct hid_appcol *ha)
- /* Open /dev/vkbdctl. */
- if ((kd->vkbd_fd = open("/dev/vkbdctl", O_RDWR)) < 0) {
- syslog(LOG_ERR, "%s[%d] could not open /dev/vkbdctl: %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- if (verbose && errno == ENOENT)
- PRINT1("vkbd.ko kernel module not loaded?\n")
- return (-1);
-@@ -591,7 +591,7 @@ kbd_attach(struct hid_appcol *ha)
- if (verbose) {
- if (fstat(kd->vkbd_fd, &sb) < 0) {
- syslog(LOG_ERR, "%s[%d] fstat: /dev/vkbdctl: %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
- PRINT1("kbd device name: %s\n", devname(sb.st_rdev, S_IFCHR));
---- uhidd/uhidd_mouse.c.orig 2012-10-14 19:53:44 UTC
-+++ uhidd/uhidd_mouse.c
-@@ -91,7 +91,7 @@ mouse_attach(struct hid_appcol *ha)
- md->cons_fd = open("/dev/consolectl", O_RDWR);
- if (md->cons_fd < 0) {
- syslog(LOG_ERR, "%s[%d] could not open /dev/consolectl: %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
-
-@@ -212,5 +212,5 @@ mouse_recv(struct hid_appcol *ha, struct
-
- if (ioctl(md->cons_fd, CONS_MOUSECTL, &mi) < 0)
- syslog(LOG_ERR, "%s[%d] could not submit mouse data:"
-- " ioctl failed: %m", basename(hi->dev), hi->ndx);
-+ " ioctl failed: %m", hi->dev, hi->ndx);
- }
---- uhidd/uhidd_vhid.c.orig 2012-10-14 19:53:44 UTC
-+++ uhidd/uhidd_vhid.c
-@@ -97,7 +97,7 @@ vhid_attach(struct hid_appcol *ha)
- */
- if ((vd->vd_fd = open("/dev/uvhidctl", O_RDWR)) < 0) {
- syslog(LOG_ERR, "%s[%d] could not open /dev/uvhidctl: %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- if (verbose && errno == ENOENT)
- PRINT1("uvhid.ko kernel moduel not loaded?\n")
- return (-1);
-@@ -105,13 +105,13 @@ vhid_attach(struct hid_appcol *ha)
-
- if (fstat(vd->vd_fd, &sb) < 0) {
- syslog(LOG_ERR, "%s[%d] fstat: /dev/uvhidctl: %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- close(vd->vd_fd);
- return (-1);
- }
-
- if ((vd->vd_name = strdup(devname(sb.st_rdev, S_IFCHR))) == NULL) {
-- syslog(LOG_ERR, "%s[%d] strdup failed: %m", basename(hi->dev),
-+ syslog(LOG_ERR, "%s[%d] strdup failed: %m", hi->dev,
- hi->ndx);
- close(vd->vd_fd);
- return (-1);
-@@ -129,7 +129,7 @@ vhid_attach(struct hid_appcol *ha)
-
- if (ioctl(vd->vd_fd, USB_SET_REPORT_DESC, &ugd) < 0) {
- syslog(LOG_ERR, "%s[%d] ioctl(USB_SET_REPORT_DESC): %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
-
-@@ -148,7 +148,7 @@ vhid_attach(struct hid_appcol *ha)
-
- if (ioctl(vd->vd_fd, USB_SET_REPORT_ID, &vd->vd_rid) < 0) {
- syslog(LOG_ERR, "%s[%d] ioctl(USB_SET_REPORT_ID): %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
-
-@@ -156,7 +156,7 @@ vhid_attach(struct hid_appcol *ha)
- e = pthread_create(&vd->vd_task, NULL, vhid_task, (void *) ha);
- if (e) {
- syslog(LOG_ERR, "%s[%d] pthread_create failed: %m",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- close(vd->vd_fd);
- return (-1);
- }
-@@ -189,7 +189,7 @@ vhid_recv_raw(struct hid_appcol *ha, uin
- }
-
- if (write(vd->vd_fd, buf, len) < 0)
-- syslog(LOG_ERR, "%s[%d] write failed: %m", basename(hi->dev),
-+ syslog(LOG_ERR, "%s[%d] write failed: %m", hi->dev,
- hi->ndx);
- }
-
-@@ -217,7 +217,7 @@ vhid_task(void *arg)
- continue;
- }
- if (verbose) {
-- PRINT1("%s[%d] vhid_task recevied:", basename(hi->dev),
-+ PRINT1("%s[%d] vhid_task recevied:", hi->dev,
- hi->ndx);
- for (i = 0; i < len; i++)
- printf("%d ", buf[i]);
---- uhidd/uhidd_vhid_cuse.c.orig 2012-10-14 19:53:44 UTC
-+++ uhidd/uhidd_vhid_cuse.c
-@@ -192,7 +192,7 @@ vhid_attach(struct hid_appcol *ha)
- vd->vd_rsz = ha->ha_rsz;
- } else {
- syslog(LOG_ERR, "%s[%d] report descriptor too big!",
-- basename(hi->dev), hi->ndx);
-+ hi->dev, hi->ndx);
- return (-1);
- }
-
-@@ -468,7 +468,7 @@ vhid_write(struct cuse_dev *cdev, int ff
- goto write_done;
-
- if (verbose) {
-- PRINT1("%s[%d] vhid_task recevied:", basename(hi->dev),
-+ PRINT1("%s[%d] vhid_task recevied:", hi->dev,
- hi->ndx);
- for (i = 0; i < len; i++)
- printf("%d ", buf[i]);
diff --git a/sysutils/xen-tools/Makefile b/sysutils/xen-tools/Makefile
index 17a94b7c0a3c..1562d79f2218 100644
--- a/sysutils/xen-tools/Makefile
+++ b/sysutils/xen-tools/Makefile
@@ -65,10 +65,6 @@ DOCS_INSTALL_TARGET= install-docs
IGNORE= only supported on FreeBSD
.endif
-.if ${OSVERSION} < 1200074
-IGNORE= only supported on FreeBSD 12.0 or newer
-.endif
-
.if ${PORT_OPTIONS:MSPICE} && ${OSVERSION} < 1300008
BROKEN= SPICE support requires FreeBSD version 13.0 or higher
.endif
diff --git a/sysutils/ztop/Makefile b/sysutils/ztop/Makefile
index 5c07d6ea0727..82173a2b6f95 100644
--- a/sysutils/ztop/Makefile
+++ b/sysutils/ztop/Makefile
@@ -10,8 +10,6 @@ COMMENT= Display ZFS dataset I/O in real time
LICENSE= BSD2CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE
-IGNORE_FreeBSD_11= lacks required kernel functionality
-
USES= cargo
USE_GITHUB= yes
GH_ACCOUNT= asomers
diff --git a/textproc/apertium/Makefile b/textproc/apertium/Makefile
index 841f18611987..d7672bdbb466 100644
--- a/textproc/apertium/Makefile
+++ b/textproc/apertium/Makefile
@@ -11,7 +11,6 @@ COMMENT= Toolbox to build shallow-transfer machine translation systems
LICENSE= GPLv2+
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11_powerpc64= fails to configure on powerpc64 elfv1: *** unable to locate pcrecpp library ***
BROKEN_FreeBSD_12_powerpc64= fails to configure on powerpc64 elfv1: *** unable to locate pcrecpp library ***
BUILD_DEPENDS= bash:shells/bash
diff --git a/textproc/bsdgrep/Makefile b/textproc/bsdgrep/Makefile
index f2a976411f26..0d5689455864 100644
--- a/textproc/bsdgrep/Makefile
+++ b/textproc/bsdgrep/Makefile
@@ -15,8 +15,8 @@ LICENSE= BSD2CLAUSE
# This port should be deprecated once stable/12 goes EoL. bsdgrep shipped by
# default in FreeBSD 13.0.
-IGNORE_FreeBSD_13= only for FreeBSD 11.x and 12.x
-IGNORE_FreeBSD_14= only for FreeBSD 11.x and 12.x
+IGNORE_FreeBSD_13= only for FreeBSD 12.x
+IGNORE_FreeBSD_14= only for FreeBSD 12.x
USES= uidfix
diff --git a/textproc/dwdiff/Makefile b/textproc/dwdiff/Makefile
index 5e5dcb2c4445..24e996eb234e 100644
--- a/textproc/dwdiff/Makefile
+++ b/textproc/dwdiff/Makefile
@@ -28,7 +28,6 @@ UNICODE_LIB_DEPENDS= libicudata.so:devel/icu
UNICODE_USES= localbase:ldflags pkgconfig
HAS_CONFIGURE= yes
-CFLAGS+= -D_WITH_GETLINE
CONFIGURE_ARGS+=--with-verbose-compile
MAKE_ARGS+= prefix=${PREFIX:Q} mandir="${MANPREFIX}/man" docdir=${DOCSDIR:Q}
diff --git a/textproc/libucl/Makefile b/textproc/libucl/Makefile
index 82b892895b8c..cb40f449ccf6 100644
--- a/textproc/libucl/Makefile
+++ b/textproc/libucl/Makefile
@@ -53,7 +53,7 @@ UTILS_CONFIGURE_ENABLE= utils
.include <bsd.port.options.mk>
# https://github.com/vstakhov/libucl/issues/203
-.if ${PORT_OPTIONS:MSIGNATURES} && ((${OPSYS} == FreeBSD && ${OSVERSION} >= 1200085 && ${SSL_DEFAULT} == base) || ${SSL_DEFAULT} == openssl)
+.if ${PORT_OPTIONS:MSIGNATURES} && ((${OPSYS} == FreeBSD && ${SSL_DEFAULT} == base) || ${SSL_DEFAULT} == openssl)
BROKEN= Signatures checking support does not build with OpenSSL 1.1.1
.endif
diff --git a/textproc/xmlwrapp/Makefile b/textproc/xmlwrapp/Makefile
index a01d2c52de0e..f7f86726ccc9 100644
--- a/textproc/xmlwrapp/Makefile
+++ b/textproc/xmlwrapp/Makefile
@@ -12,7 +12,6 @@ COMMENT= Modern style C++ library for working with XML data
LICENSE= BSD3CLAUSE
LICENSE_FILE= ${WRKSRC}/LICENSE
-BROKEN_FreeBSD_11_powerpc64= fails to configure: invalid value: boost_major_version=
BROKEN_FreeBSD_12_powerpc64= fails to configure: invalid value: boost_major_version=
LIB_DEPENDS= libboost_iostreams.so:devel/boost-libs
diff --git a/www/chromium/Makefile b/www/chromium/Makefile
index d4e64b662c0e..07aeca66b690 100644
--- a/www/chromium/Makefile
+++ b/www/chromium/Makefile
@@ -14,7 +14,6 @@ COMMENT= Google web browser based on WebKit
LICENSE= BSD3CLAUSE LGPL21 MPL11
LICENSE_COMB= multi
-BROKEN_FreeBSD_11_aarch64= components/safe_browsing_db/v4_rice.cc:120:18: use of overloaded operator '&' is ambiguous
BROKEN_i386= ../../base/files/file_util_posix.cc:1258:29: error: no matching function for call to 'sendfile' (ssize_t vs off_t)
ONLY_FOR_ARCHS= aarch64 amd64 i386
diff --git a/www/cpp-httplib/Makefile b/www/cpp-httplib/Makefile
index 652528e30771..39fee9d6649e 100644
--- a/www/cpp-httplib/Makefile
+++ b/www/cpp-httplib/Makefile
@@ -29,8 +29,8 @@ PLIST_FILES= include/httplib.h \
lib/cmake/httplib/httplibConfigVersion.cmake \
lib/cmake/httplib/httplibTargets.cmake
-OPTIONS_DEFINE= BROTLI ${${OSVERSION}>1200085:?SSL:}
-OPTIONS_DEFAULT= BROTLI ${${OSVERSION}>1200085:?SSL:}
+OPTIONS_DEFINE= BROTLI SSL
+OPTIONS_DEFAULT= BROTLI SSL
BROTLI_CMAKE_BOOL= HTTPLIB_REQUIRE_BROTLI HTTPLIB_USE_BROTLI_IF_AVAILABLE
BROTLI_BUILD_DEPENDS= brotli>0:archivers/brotli
diff --git a/www/deno/Makefile b/www/deno/Makefile
index 9cf83b9953b1..3d8bd8dd9ee1 100644
--- a/www/deno/Makefile
+++ b/www/deno/Makefile
@@ -27,7 +27,6 @@ CARGO_ENV+= CLANG_BASE_PATH=/usr \
GN=${PREFIX}/bin/gn \
NINJA=${NINJA_CMD} \
V8_FROM_SOURCE=1
-RUSTFLAGS+= -C link-arg=-fuse-ld=lld
PLIST_FILES= bin/${PORTNAME}
diff --git a/www/epiphany/Makefile b/www/epiphany/Makefile
index 4db5f7387cd3..1749730b5aa4 100644
--- a/www/epiphany/Makefile
+++ b/www/epiphany/Makefile
@@ -54,10 +54,4 @@ SHEBANG_FILES= post_install.py
PLIST_SUB+= EPHY_VERSION=${PORTVERSION:R}
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-EXTRA_PATCHES+= ${PATCHDIR}/extra-patch-lib_ephy-sync-utils.c
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/www/firefox-esr/files/patch-cubeb-oss b/www/firefox-esr/files/patch-cubeb-oss
index 2b151a07fb20..41185cf141fd 100644
--- a/www/firefox-esr/files/patch-cubeb-oss
+++ b/www/firefox-esr/files/patch-cubeb-oss
@@ -61,7 +61,7 @@ https://github.com/kinetiknz/cubeb/pull/600
#endif
--- /dev/null
+++ media/libcubeb/src/cubeb_oss.c
-@@ -0,0 +1,1263 @@
+@@ -0,0 +1,1260 @@
+/*
+ * Copyright © 2019-2020 Nia Alarie <nia@NetBSD.org>
+ * Copyright © 2020 Ka Ho Ng <khng300@gmail.com>
@@ -74,9 +74,6 @@ https://github.com/kinetiknz/cubeb/pull/600
+ * accompanying file LICENSE for details.
+ */
+
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+#define _WITH_GETLINE
-+#endif
+#include <assert.h>
+#include <ctype.h>
+#include <limits.h>
diff --git a/www/firefox/files/patch-freebsd11 b/www/firefox/files/patch-freebsd11
deleted file mode 100644
index 4d075051751a..000000000000
--- a/www/firefox/files/patch-freebsd11
+++ /dev/null
@@ -1,21 +0,0 @@
-Drop after FreeBSD 11 EOL, see https://svnweb.freebsd.org/changeset/base/303524
-
-media/libcubeb/src/cubeb_oss.c:362:10: error: implicit declaration of function 'getline' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
- while (getline(&line, &linecap, sndstatfp) > 0) {
- ^
-media/libcubeb/src/cubeb_oss.c:850:13: warning: comparison of integers of different signs: 'long' and 'unsigned int' [-Wsign-compare]
- if (nfr > s->bufframes) {
- ~~~ ^ ~~~~~~~~~~~~
-
---- media/libcubeb/src/cubeb_oss.c.orig 2021-08-31 15:32:30.862769000 +0200
-+++ media/libcubeb/src/cubeb_oss.c 2021-08-31 15:33:07.421620000 +0200
-@@ -10,6 +10,9 @@
- * accompanying file LICENSE for details.
- */
-
-+#if defined(__FreeBSD__) && __FreeBSD__ < 12
-+#define _WITH_GETLINE
-+#endif
- #include "cubeb-internal.h"
- #include "cubeb/cubeb.h"
- #include "cubeb_mixer.h"
diff --git a/www/h2o-devel/Makefile b/www/h2o-devel/Makefile
index 95049dd3dc36..39b7c9126258 100644
--- a/www/h2o-devel/Makefile
+++ b/www/h2o-devel/Makefile
@@ -14,7 +14,6 @@ LICENSE_COMB= multi
BROKEN_armv6= fails to compile: asm_arm.inc:139:36: '.syntax divided' arm assembly not supported
BROKEN_armv7= fails to compile: asm_arm.inc:139:36: '.syntax divided' arm assembly not supported
-BROKEN_FreeBSD_11_powerpc64= fails to link on powerpc64 elfv1: unrecognized option '-Wl,-rpath=/usr/local/lib/gcc6'
BROKEN_FreeBSD_12_powerpc64= fails to link on powerpc64 elfv1: unrecognized option '-Wl,-rpath=/usr/local/lib/gcc6'
LIB_DEPENDS= libuv.so:devel/libuv
diff --git a/www/h2o/Makefile b/www/h2o/Makefile
index a19c057985aa..7bce0eb07afd 100644
--- a/www/h2o/Makefile
+++ b/www/h2o/Makefile
@@ -13,7 +13,6 @@ LICENSE_COMB= multi
BROKEN_armv6= fails to compile: asm_arm.inc:139:36: '.syntax divided' arm assembly not supported
BROKEN_armv7= fails to compile: asm_arm.inc:139:36: '.syntax divided' arm assembly not supported
-BROKEN_FreeBSD_11_powerpc64= fails to link: unrecognized option '-Wl,-rpath=/usr/local/lib/gcc6'
BROKEN_FreeBSD_12_powerpc64= fails to link: unrecognized option '-Wl,-rpath=/usr/local/lib/gcc6'
LIB_DEPENDS= libuv.so:devel/libuv
diff --git a/www/httest/Makefile b/www/httest/Makefile
index bdfd15f99e79..346a394739ba 100644
--- a/www/httest/Makefile
+++ b/www/httest/Makefile
@@ -37,12 +37,6 @@ INSTALL_TARGET= install-strip
MAKE_JOBS_UNSAFE= yes
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base
-BROKEN= requires OpenSSL 1.1.1, upgrade to FreeBSD 12.x/13.x or add DEFAULT_VERSIONS+=ssl=openssl to /etc/make.conf
-.endif
-
post-patch:
@${REINPLACE_CMD} -e 's|`$$APR_CONFIG --cflags`||; s|-llua|-llua-${LUA_VER}|g' ${WRKSRC}/configure
@${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|' ${WRKSRC}/generate_modules_c.sh
@@ -53,4 +47,4 @@ post-install:
@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
${INSTALL_DATA} ${WRKSRC}/examples/*.htt ${STAGEDIR}${EXAMPLESDIR}
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/www/lagrange/Makefile b/www/lagrange/Makefile
index ff3577978c97..3def63fd5162 100644
--- a/www/lagrange/Makefile
+++ b/www/lagrange/Makefile
@@ -28,10 +28,4 @@ SSE41_CMAKE_ON= -DTFDN_ENABLE_SSE41:BOOL=ON
OPENSSL_LDFLAGS= -lssl -lcrypto
-.include <bsd.port.pre.mk>
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085 && ${SSL_DEFAULT} == base
-BROKEN= requires at least OpenSSL version 1.1.1 to build
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/www/libdatachannel/Makefile b/www/libdatachannel/Makefile
index 15b0cf6b6511..7f406e286b9c 100644
--- a/www/libdatachannel/Makefile
+++ b/www/libdatachannel/Makefile
@@ -24,16 +24,10 @@ GH_TUPLE= \
CMAKE_ON= USE_SYSTEM_SRTP NO_EXAMPLES NO_TESTS
-.include <bsd.port.pre.mk>
-
-.if ${SSL_DEFAULT} == base
-BROKEN_FreeBSD_11= OpenSSL is too old: use of undeclared identifier 'X509_getm_notBefore'
-.endif
-
do-test:
@cd ${BUILD_WRKSRC} && \
${SETENV} ${CONFIGURE_ENV} ${CMAKE_BIN} ${CMAKE_ARGS} -DNO_TESTS:BOOL=OFF ${CMAKE_SOURCE_PATH} && \
${SETENV} ${MAKE_ENV} ${MAKE_CMD} ${MAKE_ARGS} ${ALL_TARGET} && \
./tests-${DISTVERSION:C/-.*//}
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/www/mod_authnz_crowd/Makefile b/www/mod_authnz_crowd/Makefile
index f165fd95cee2..d1a98b9fd36b 100644
--- a/www/mod_authnz_crowd/Makefile
+++ b/www/mod_authnz_crowd/Makefile
@@ -14,7 +14,6 @@ LICENSE= APACHE20
BROKEN_mips= fails to build: error: curl/curl.h: No such file or directory
BROKEN_mips64= fails to build: error: curl/curl.h: No such file or directory
-BROKEN_FreeBSD_11_powerpc64= fails to build on powerpc64 elfv1: curl/curl.h: No such file or directory
BROKEN_FreeBSD_12_powerpc64= fails to build on powerpc64 elfv1: curl/curl.h: No such file or directory
LIB_DEPENDS= libsvn_client-1.so:devel/subversion \
diff --git a/www/mod_rpaf2/files/patch-mod__rpaf.c b/www/mod_rpaf2/files/patch-mod__rpaf.c
deleted file mode 100644
index 7bda901e7753..000000000000
--- a/www/mod_rpaf2/files/patch-mod__rpaf.c
+++ /dev/null
@@ -1,31 +0,0 @@
-From e93902533dd89ba6c77cea90e4e2c7d762650126 Mon Sep 17 00:00:00 2001
-From: Geoffroy Desvernay <dgeo@centrale-marseille.fr>
-Date: Mon, 12 Dec 2016 10:01:14 +0100
-Subject: [PATCH] Fix warning with clang
-
-Fix this warning on FreeBSD 11 (clang cc by default)
-./apxs.sh -c -n mod_rpaf.so mod_rpaf.c
-/usr/local/share/apr/build-1/libtool --silent --mode=compile cc -prefer-pic -O2 -pipe -I/usr/local/include -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -I/usr/local/include/apache24 -I/usr/local/include/apr-1 -I/usr/local/include/apr-1 -I/usr/local/include -I/usr/local/include/db5 -I/usr/include -c -o mod_rpaf.lo mod_rpaf.c && touch mod_rpaf.slo
-mod_rpaf.c:117:18: warning: using the result of an assignment as a condition without parentheses [-Wparentheses]
- if (mask = ap_strchr(ip, '/')) {
- ~~~~~^~~~~~~~~~~~~~~~~~~~
-mod_rpaf.c:117:18: note: place parentheses around the assignment to silence this warning
- if (mask = ap_strchr(ip, '/')) {
- ^
- ( )
-mod_rpaf.c:117:18: note: use '==' to turn this assignment into an equality comparison
- if (mask = ap_strchr(ip, '/')) {
- ^
- ==
-1 warning generated.
---- mod_rpaf.c.orig 2014-09-03 06:41:36 UTC
-+++ mod_rpaf.c
-@@ -114,7 +114,7 @@ static const char *rpaf_set_proxy_ip(cmd
-
- if (rpaf_looks_like_ip(proxy_ip)) {
- ip = apr_pstrdup(cmd->temp_pool, proxy_ip);
-- if (mask = ap_strchr(ip, '/')) {
-+ if ((mask = ap_strchr(ip, '/'))) {
- *mask++ = '\0';
- }
- sub = (apr_ipsubnet_t **)apr_array_push(cfg->proxy_ips);
diff --git a/www/node/Makefile b/www/node/Makefile
index d112be9f065c..31f125a3e19d 100644
--- a/www/node/Makefile
+++ b/www/node/Makefile
@@ -19,7 +19,6 @@ USES= compiler:c++11-lib gmake python:3.6-3.9,build pkgconfig \
OPTIONS_DEFINE= BUNDLED_SSL DOCS NLS DTRACE
OPTIONS_DEFAULT= DTRACE
-OPTIONS_DEFAULT_FreeBSD_11= BUNDLED_SSL
OPTIONS_DEFAULT+= ${OPTIONS_DEFAULT_${OPSYS}_${OSREL:R}}
OPTIONS_SUB= yes
@@ -88,10 +87,6 @@ EXTRA_PATCHES= ${PATCHDIR}/extra-patch-common.gypi
EXTRA_PATCHES= ${PATCHDIR}/extra-patch-tools_v8__gypfiles_v8.gyp
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-BROKEN_SSL+= base
-.endif
-
.if ${PORT_OPTIONS:MBUNDLED_SSL} && ${ARCH} != amd64
CONFIGURE_ARGS+=--openssl-no-asm
.endif
diff --git a/www/node10/Makefile b/www/node10/Makefile
index c6b3b1544917..4fff903be770 100644
--- a/www/node10/Makefile
+++ b/www/node10/Makefile
@@ -23,7 +23,6 @@ USES= compiler:c++11-lib gmake python:2.7,build pkgconfig \
OPTIONS_DEFINE= BUNDLED_SSL DOCS NLS DTRACE
OPTIONS_DEFAULT= DTRACE
-OPTIONS_DEFAULT_FreeBSD_11= BUNDLED_SSL
OPTIONS_DEFAULT+= ${OPTIONS_DEFAULT_${OPSYS}_${OSREL:R}}
OPTIONS_SUB= yes
@@ -78,10 +77,6 @@ LIB_DEPENDS+= libcares.so:dns/c-ares\
.include <bsd.port.options.mk>
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-BROKEN_SSL+= base
-.endif
-
.if ${PORT_OPTIONS:MBUNDLED_SSL} && ${ARCH} != amd64 && ${ARCH} != i386
CONFIGURE_ARGS+=--openssl-no-asm
.elif (defined(PPC_ABI) && ${PPC_ABI} == ELFv2) || ${ARCH} == powerpc64le
diff --git a/www/node10/files/patch-common.gypi b/www/node10/files/patch-common.gypi
deleted file mode 100644
index a2b67b90d25a..000000000000
--- a/www/node10/files/patch-common.gypi
+++ /dev/null
@@ -1,18 +0,0 @@
---- common.gypi.orig 2021-01-04 14:30:16 UTC
-+++ common.gypi
-@@ -512,15 +512,6 @@
- 'libraries': [ '-lelf' ],
- }],
- ['OS=="freebsd"', {
-- 'conditions': [
-- ['"0" < llvm_version < "4.0"', {
-- # Use this flag because on FreeBSD std::pairs copy constructor is non-trivial.
-- # Doesn't apply to llvm 4.0 (FreeBSD 11.1) or later.
-- # Refs: https://lists.freebsd.org/pipermail/freebsd-toolchain/2016-March/002094.html
-- # Refs: https://svnweb.freebsd.org/ports/head/www/node/Makefile?revision=444555&view=markup
-- 'cflags': [ '-D_LIBCPP_TRIVIAL_PAIR_COPY_CTOR=1' ],
-- }],
-- ],
- 'ldflags': [
- '-Wl,--export-dynamic',
- ],
diff --git a/www/node14/Makefile b/www/node14/Makefile
index 8bc506ab4578..48ac8ac2aeb2 100644
--- a/www/node14/Makefile
+++ b/www/node14/Makefile
@@ -20,7 +20,6 @@ USES= compiler:c++11-lib gmake python:2.7-3.9,build pkgconfig \
OPTIONS_DEFINE= BUNDLED_SSL DOCS NLS DTRACE
OPTIONS_DEFAULT= DTRACE
-OPTIONS_DEFAULT_FreeBSD_11= BUNDLED_SSL
OPTIONS_DEFAULT+= ${OPTIONS_DEFAULT_${OPSYS}_${OSREL:R}}
OPTIONS_SUB= yes
@@ -89,10 +88,6 @@ EXTRA_PATCHES= ${PATCHDIR}/extra-patch-common.gypi
EXTRA_PATCHES= ${PATCHDIR}/extra-patch-tools_v8__gypfiles_v8.gyp
.endif
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200085
-BROKEN_SSL+= base
-.endif
-
.if ${PORT_OPTIONS:MBUNDLED_SSL} && ${ARCH} != amd64
CONFIGURE_ARGS+=--openssl-no-asm
.endif
diff --git a/www/polipo/files/pkg-install.in b/www/polipo/files/pkg-install.in
index e5a757a161d0..0c8986608ff0 100644
--- a/www/polipo/files/pkg-install.in
+++ b/www/polipo/files/pkg-install.in
@@ -65,12 +65,4 @@ elif [ "$2" = "POST-INSTALL" ]; then
fi
-OSVER=`uname -r | sed -e 's/\..*//'`
-if [ ${OSVER} = "8" -o ${OSVER} = "9" ]; then
- CACHEPARENT=`dirname ${POLIPOCACHE}`
- echo "You will need to manually run:"
- echo " chmod o+x %%DESTDIR%%$CACHEPARENT"
- echo "to ensure the cache is useable."
-fi
-
exit 0
diff --git a/www/quark/Makefile b/www/quark/Makefile
index c2281e0b7389..c3533dc68440 100644
--- a/www/quark/Makefile
+++ b/www/quark/Makefile
@@ -22,11 +22,6 @@ PLIST_FILES= bin/quark \
.include <bsd.port.options.mk>
-# _WITH_DPRINTF support was removed precisely in r303524.
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200002
-CFLAGS+= -D_WITH_DPRINTF
-.endif
-
_COMMIT_HASH= 3c7049e9063edebbd1934178f263f9f3c9b8ddf5
pre-everything::
diff --git a/www/sitecopy/Makefile b/www/sitecopy/Makefile
index ec5fda4fec2f..8d06c85b8548 100644
--- a/www/sitecopy/Makefile
+++ b/www/sitecopy/Makefile
@@ -42,7 +42,7 @@ post-patch:
${WRKSRC}/src/sitestore.c
@${REINPLACE_CMD} -e 's|25 26 27 28|& 29 30 31|g' \
${WRKSRC}/configure
-.if ${OPSYS} == FreeBSD && ${OSVERSION} >= 1200072
+.if ${OPSYS} == FreeBSD
@${REINPLACE_CMD} -e '/#define ksize_t /d' \
${WRKSRC}/configure
.endif
diff --git a/www/trafficserver/Makefile b/www/trafficserver/Makefile
index b694c6b61611..8771f1c8ecc9 100644
--- a/www/trafficserver/Makefile
+++ b/www/trafficserver/Makefile
@@ -62,12 +62,6 @@ MEMCACHED_LIB_DEPENDS= libmemcached.so:databases/libmemcached
IMAGEMAGICK_DESC= Enable ats-magick & webp convert plugin
-# Can be removed after 11 EoL'd
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --build-id isn't supported by old GNU ld.bfd in base
-LDFLAGS+= -fuse-ld=lld
-.endif
-
.include <bsd.port.pre.mk>
.if ${PORT_OPTIONS:MIMAGEMAGICK}
diff --git a/x11-drivers/xf86-video-intel/Makefile b/x11-drivers/xf86-video-intel/Makefile
index ff1b17eed08a..3a27beba3c47 100644
--- a/x11-drivers/xf86-video-intel/Makefile
+++ b/x11-drivers/xf86-video-intel/Makefile
@@ -29,8 +29,6 @@ TEST_TARGET= check
# XXX bug 214593: SNA crashes on pre-SandyBridge hardware
CONFIGURE_ARGS+=--with-default-accel=uxa
-# XXX Remove after FreeBSD 11 EOL
-CPPFLAGS+= -D_WITH_GETLINE
OPTIONS_DEFINE= UDEV XVMC
OPTIONS_DEFAULT=UDEV XVMC
diff --git a/x11-servers/xorg-server/Makefile b/x11-servers/xorg-server/Makefile
index 88932fb20945..c012f0d4afbc 100644
--- a/x11-servers/xorg-server/Makefile
+++ b/x11-servers/xorg-server/Makefile
@@ -23,10 +23,7 @@ OPTIONS_DEFINE+= SUID
OPTIONS_RADIO= CONF
OPTIONS_RADIO_CONF= DEVD UDEV
OPTIONS_DEFAULT= SUID
-OPTIONS_DEFAULT_FreeBSD_11= DEVD
-OPTIONS_DEFAULT_FreeBSD_12= UDEV
-OPTIONS_DEFAULT_FreeBSD_13= UDEV
-OPTIONS_DEFAULT_FreeBSD_14= UDEV
+OPTIONS_DEFAULT_FreeBSD= UDEV
OPTIONS_DEFAULT+= ${OPTIONS_DEFAULT_${OPSYS}_${OSREL:R}}
SUID_DESC= Install setuid wrapper to allow startx as non-root
diff --git a/x11-toolkits/gnustep-gui/Makefile b/x11-toolkits/gnustep-gui/Makefile
index c276da8a5085..be549de77636 100644
--- a/x11-toolkits/gnustep-gui/Makefile
+++ b/x11-toolkits/gnustep-gui/Makefile
@@ -20,8 +20,6 @@ LIB_DEPENDS+= libsndfile.so:audio/libsndfile
LIB_DEPENDS+= libao.so:audio/libao
LIB_DEPENDS+= libflite.so:audio/flite
-BROKEN_FreeBSD_11= compiler segfault
-
USES= gnustep jpeg pkgconfig xorg
USE_GNUSTEP= base build
USE_XORG= x11 xt
diff --git a/x11-toolkits/gtk40/Makefile b/x11-toolkits/gtk40/Makefile
index aca09ae599b0..c1ec1c44bc06 100644
--- a/x11-toolkits/gtk40/Makefile
+++ b/x11-toolkits/gtk40/Makefile
@@ -42,11 +42,6 @@ GLIB_SCHEMAS= org.gtk.Demo4.gschema.xml \
org.gtk.gtk4.Settings.EmojiChooser.gschema.xml \
org.gtk.gtk4.Settings.FileChooser.gschema.xml
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# undefined reference to symbol `g_module_symbol' (try adding -lgmodule-2.0)
-LDFLAGS+= -fuse-ld=lld
-.endif
-
OPTIONS_DEFINE= CUPS COLORD DEBUG BROADWAY FFMPEG \
GSTREAMER VULKAN WAYLAND X11
OPTIONS_DEFAULT=CUPS COLORD BROADWAY VULKAN WAYLAND X11
diff --git a/x11-toolkits/wlroots/files/patch-include_wlr_types_wlr__seat.h b/x11-toolkits/wlroots/files/patch-include_wlr_types_wlr__seat.h
deleted file mode 100644
index 29f8e9ea55fa..000000000000
--- a/x11-toolkits/wlroots/files/patch-include_wlr_types_wlr__seat.h
+++ /dev/null
@@ -1,26 +0,0 @@
-https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=231425
-
-In file included from ../sway/ipc-json.c:7:
-In file included from ../include/sway/ipc-json.h:5:
-In file included from ../include/sway/input/input-manager.h:6:
-In file included from ../include/sway/server.h:9:
-In file included from /usr/local/include/wlr/types/wlr_data_device.h:13:
-/usr/local/include/wlr/types/wlr_seat.h:197:18: error: field has incomplete type 'struct timespec'
- struct timespec last_event;
- ^
-/usr/local/include/wlr/types/wlr_output.h:123:9: note: forward declaration of 'struct timespec'
- struct timespec *when;
- ^
-
---- include/wlr/types/wlr_seat.h.orig 2019-08-01 16:00:48 UTC
-+++ include/wlr/types/wlr_seat.h
-@@ -10,6 +10,9 @@
- #define WLR_TYPES_WLR_SEAT_H
-
- #include <time.h>
-+#if defined(_C11_SOURCE) && defined(__FreeBSD__) && __FreeBSD__ < 12
-+#include <sys/_timespec.h>
-+#endif
- #include <wayland-server-core.h>
- #include <wlr/types/wlr_input_device.h>
- #include <wlr/types/wlr_keyboard.h>
diff --git a/x11-toolkits/wlroots/pkg-message b/x11-toolkits/wlroots/pkg-message
index 02d12355064e..2e15ad5fce88 100644
--- a/x11-toolkits/wlroots/pkg-message
+++ b/x11-toolkits/wlroots/pkg-message
@@ -2,8 +2,6 @@
{ type: install
message: <<EOM
Known issues:
-- On FreeBSD 11.* kernel needs to be rebuilt with EVDEV_SUPPORT
-- On FreeBSD 11.* drm-kmod needs https://github.com/FreeBSDDesktop/kms-drm/pull/213
- NVIDIA may be affected by https://github.com/aritger/eglstreams-kms-example/issues/7
- VULKAN currently requires vulkan-validation-layers
EOM
diff --git a/x11-wm/gamescope/Makefile b/x11-wm/gamescope/Makefile
index 0f4bcb9bf308..6212d7f8e6ac 100644
--- a/x11-wm/gamescope/Makefile
+++ b/x11-wm/gamescope/Makefile
@@ -33,7 +33,6 @@ USE_XORG= x11 xcomposite xdamage xext xfixes xrender xres xtst xxf86vm
GH_ACCOUNT= Plagman
GH_TUPLE= emersion:libliftoff:v0.1.0-3-g516cf94:libliftoff/subprojects/libliftoff \
nothings:stb:af1a5bc:stb/subprojects/stb
-CPPFLAGS+= -D_WITH_DPRINTF # XXX Remove after FreeBSD 11 EOL
PLIST_FILES= bin/${PORTNAME}
OPTIONS_DEFINE= PIPEWIRE
diff --git a/x11-wm/picom/files/patch-src_log.c b/x11-wm/picom/files/patch-src_log.c
deleted file mode 100644
index 7dd26a2ea070..000000000000
--- a/x11-wm/picom/files/patch-src_log.c
+++ /dev/null
@@ -1,21 +0,0 @@
-Drop after FreeBSD 11 EOL, other systems had timespec_get() for years.
-
-../src/log.c:162:20: error: use of undeclared identifier 'TIME_UTC'
- timespec_get(&ts, TIME_UTC);
- ^
-log.c:(.text+0x1db): undefined reference to `timespec_get'
-
---- src/log.c.orig 2019-09-21 00:08:00 UTC
-+++ src/log.c
-@@ -159,7 +159,11 @@ attr_printf(4, 5) void log_printf(struct log *l, int l
- }
-
- struct timespec ts;
-+#ifdef TIME_UTC
- timespec_get(&ts, TIME_UTC);
-+#else
-+ clock_gettime(CLOCK_REALTIME, &ts);
-+#endif
- auto tm = localtime(&ts.tv_sec);
- char time_buf[100];
- strftime(time_buf, sizeof time_buf, "%x %T", tm);
diff --git a/x11/brisk-menu/Makefile b/x11/brisk-menu/Makefile
index 733106839ed2..2389c95f4798 100644
--- a/x11/brisk-menu/Makefile
+++ b/x11/brisk-menu/Makefile
@@ -29,11 +29,4 @@ USE_XORG= x11
MESON_ARGS= --sysconfdir=${PREFIX}/etc
-.if exists(/usr/bin/ld.lld)
-LDFLAGS+= -fuse-ld=lld
-.else
-USE_BINUTILS= yes
-LDFLAGS+= -B${LOCALBASE}/bin
-.endif
-
.include <bsd.port.mk>
diff --git a/x11/foot/Makefile b/x11/foot/Makefile
index 0b5ace9a434b..b993dbf4b4b0 100644
--- a/x11/foot/Makefile
+++ b/x11/foot/Makefile
@@ -27,17 +27,12 @@ OPTIONS_DEFINE= DOCS LTO NOTIFY PGO UTF8PROC XDG
OPTIONS_DEFAULT=LTO NOTIFY PGO UTF8PROC XDG
OPTIONS_EXCLUDE+= ${CC:T:Mgcc*:C/.+/LTO/} # undefined reference to `xstrdup'
OPTIONS_EXCLUDE_powerpc64= ${"${/usr/bin/ld:L:tA}"==/usr/bin/ld.lld:?LTO:} # LLVM bug 47353
-OPTIONS_EXCLUDE_FreeBSD_11= ${WAYLAND_DISPLAY:UPGO} # ./pgo hangs
OPTIONS_EXCLUDE_FreeBSD_12= ${WAYLAND_DISPLAY:UPGO} # ./pgo hangs
DOCS_BUILD_DEPENDS= scdoc:textproc/scdoc
DOCS_MESON_ENABLED= docs
LTO_MESON_TRUE= b_lto
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --plugin isn't supported by old GNU ld.bfd in base
-LTO_LDFLAGS= -fuse-ld=lld
-.endif
NOTIFY_RUN_DEPENDS= notify-send:devel/libnotify
diff --git a/x11/gnome-shell/Makefile b/x11/gnome-shell/Makefile
index 0a3bbc6aeebe..fdc147c700a7 100644
--- a/x11/gnome-shell/Makefile
+++ b/x11/gnome-shell/Makefile
@@ -68,11 +68,6 @@ CPE_VENDOR= gnome
GLIB_SCHEMAS= 00_org.gnome.shell.gschema.override \
org.gnome.shell.gschema.xml
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# Work around "New rpath must not be longer than the old one."
-LDFLAGS+= -fuse-ld=lld
-.endif
-
post-extract:
${CP} ${FILESDIR}/*.xml ${WRKSRC}/data/dbus-interfaces
diff --git a/x11/kitty/Makefile b/x11/kitty/Makefile
index ec78e6a9ac6d..ca7a931426a5 100644
--- a/x11/kitty/Makefile
+++ b/x11/kitty/Makefile
@@ -40,11 +40,6 @@ SHEBANG_GLOB= *.py
TEST_ENV= PATH="${STAGEDIR}${PREFIX}/bin:${PATH}"
TEST_TARGET= test
-.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
-# --build-id isn't supported by old GNU ld.bfd in base
-LDFLAGS+= -fuse-ld=lld
-.endif
-
BINARY_ALIAS= python3=${PYTHON_CMD} python=${PYTHON_CMD}
INSTALL_WRKSRC= ${WRKSRC}/linux-package
diff --git a/x11/libxkbcommon/Makefile b/x11/libxkbcommon/Makefile
index e5294f98de9e..67a1d5999b3f 100644
--- a/x11/libxkbcommon/Makefile
+++ b/x11/libxkbcommon/Makefile
@@ -18,7 +18,6 @@ USE_LDCONFIG= yes
MESON_ARGS= -Denable-docs=false \
-Dx-locale-root="${PREFIX}/lib/X11/locale" \
${MESON_ARGS_${OPSYS}_${OSREL:R}}
-MESON_ARGS_FreeBSD_11= -Ddefault-rules=xorg
CPE_VENDOR= xkbcommon
OPTIONS_DEFINE= EVDEV WAYLAND X11
diff --git a/x11/nvidia-driver/Makefile b/x11/nvidia-driver/Makefile
index c47ebdf7279f..5218a2d75ef3 100644
--- a/x11/nvidia-driver/Makefile
+++ b/x11/nvidia-driver/Makefile
@@ -155,12 +155,10 @@ post-patch: .SILENT
${WRKSRC}/src/nvidia-modeset/nvidia-modeset-freebsd.c
.endif
# KPI of kmem_alloc_contig(),kmem_free() changed in FreeBSD src r338143,r338318
-.if ${OSVERSION} >= 1200079
${REINPLACE_CMD} \
-e 's/kmem_alloc_contig(kmem_arena, /kmem_alloc_contig(/' \
-e 's/kmem_free(kmem_arena, /kmem_free(/' \
${WRKSRC}/src/${NVSRC}/nvidia_subr.c
-.endif
# Pull the right header after FreeBSD src r347984
.if ${OSVERSION} >= 1300029 && ${NVVERSION} >= 358.009
${REINPLACE_CMD} -e '/^#include/s:lock\.h:mutex.h:' \
diff --git a/x11/squeekboard/Makefile b/x11/squeekboard/Makefile
index 2820b5a1ac1e..e0cbfad33bf8 100644
--- a/x11/squeekboard/Makefile
+++ b/x11/squeekboard/Makefile
@@ -10,7 +10,6 @@ COMMENT= On-screen keyboard for Wayland
LICENSE= GPLv3
LICENSE_FILE= ${WRKSRC}/COPYING
-BROKEN_FreeBSD_11= requires getrandom()
BROKEN_FreeBSD_12_powerpc64= fails to compile: rs.e2mg9us3-cgu.14:(.text.imservice_handle_commit_state+0x228): undefined reference to 'eekboard_context_service_show_keyboard'
BROKEN_FreeBSD_13_powerpc64= fails to link: ld: error: undefined symbol: eekboard_context_service_get_overlay
diff --git a/x11/taiga/Makefile b/x11/taiga/Makefile
index 7b219a376bc4..4a24a8153711 100644
--- a/x11/taiga/Makefile
+++ b/x11/taiga/Makefile
@@ -15,7 +15,6 @@ LIB_DEPENDS= libwayland-client.so:graphics/wayland \
libavcodec.so:multimedia/ffmpeg
USES= compiler:c11 meson pkgconfig
-CPPFLAGS+= -D_WITH_GETLINE # XXX Remove after FreeBSD 11 EOL
PLIST_FILES= bin/${PORTNAME}
.include <bsd.port.mk>
diff --git a/x11/waybar/Makefile b/x11/waybar/Makefile
index f0e82c970359..438ef7cb5b47 100644
--- a/x11/waybar/Makefile
+++ b/x11/waybar/Makefile
@@ -21,7 +21,6 @@ USE_GITHUB= yes
USE_GNOME= gtkmm30
GH_ACCOUNT= Alexays
GH_PROJECT= Waybar
-CPPFLAGS+= -D_WITH_GETLINE # XXX Remove after FreeBSD 11 EOL
PLIST_FILES= bin/${PORTNAME} \
etc/xdg/${PORTNAME}/config \
etc/xdg/${PORTNAME}/style.css
diff --git a/x11/wayland-logout/Makefile b/x11/wayland-logout/Makefile
index b2997555523a..4348e0509c2f 100644
--- a/x11/wayland-logout/Makefile
+++ b/x11/wayland-logout/Makefile
@@ -20,7 +20,7 @@ PLIST_FILES= bin/${PORTNAME} \
# Cannot use C implementation without cr_pid
.if make(makesum)
DISTFILES= ${DISTNAME:S/${DISTVERSION}/1.3/}${EXTRACT_SUFX}
-.elif ${OPSYS} != FreeBSD || ${OSVERSION} < 1202506
+.elif ${OPSYS} != FreeBSD
DISTVERSION= 1.3
NO_ARCH= yes
MESON_ARGS+= -Dimplementation=shell
diff --git a/x11/xlockmore/Makefile b/x11/xlockmore/Makefile
index b38e9024dc10..31bdf441f23d 100644
--- a/x11/xlockmore/Makefile
+++ b/x11/xlockmore/Makefile
@@ -92,10 +92,6 @@ FREETYPE_CFLAGS= -I${LOCALBASE}/include/gltt
.include <bsd.port.options.mk>
-.if ${PORT_OPTIONS:MFREETYPE}
-IGNORE_FreeBSD_11= FREETYPE support requires FreeBSD version 12+
-.endif
-
.if defined(XLOCKMORE_LANG)
CONFIGURE_ARGS+= --with-lang=${XLOCKMORE_LANG}
.endif
diff --git a/x11/xorg-minimal/Makefile b/x11/xorg-minimal/Makefile
index a9fc0526b6dd..fa66cfac63fc 100644
--- a/x11/xorg-minimal/Makefile
+++ b/x11/xorg-minimal/Makefile
@@ -14,14 +14,8 @@ VIDEO_DRIVER?= vesa
RUN_DEPENDS+= ${LOCALBASE}/bin/Xorg:x11-servers/xorg-server \
${LOCALBASE}/bin/xinit:x11/xinit \
- ${LOCALBASE}/bin/xauth:x11/xauth
-
-.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200000
-RUN_DEPENDS+= ${LOCALBASE}/lib/xorg/modules/input/mouse_drv.so:x11-drivers/xf86-input-mouse
-RUN_DEPENDS+= ${LOCALBASE}/lib/xorg/modules/input/kbd_drv.so:x11-drivers/xf86-input-keyboard
-.else
-RUN_DEPENDS+= ${LOCALBASE}/lib/xorg/modules/input/libinput_drv.so:x11-drivers/xf86-input-libinput
-.endif
+ ${LOCALBASE}/bin/xauth:x11/xauth \
+ ${LOCALBASE}/lib/xorg/modules/input/libinput_drv.so:x11-drivers/xf86-input-libinput
.if ${VIDEO_DRIVER} == "nvidia"
RUN_DEPENDS+= ${LOCALBASE}/lib/xorg/modules/drivers/nvidia_drv.so:x11/nvidia-driver